import 'package:json_annotation/json_annotation.dart';
import 'package:collection/collection.dart';

enum AcceptanceEnum {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('Unaccepted')
  unaccepted('Unaccepted'),
  @JsonValue('Accepted')
  accepted('Accepted'),
  @JsonValue('Rejected')
  rejected('Rejected');

  final String? value;

  const AcceptanceEnum(this.value);
}

enum AlignMentorBubbleEnum {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('left')
  left('left'),
  @JsonValue('right')
  right('right');

  final String? value;

  const AlignMentorBubbleEnum(this.value);
}

enum BlankEnum {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('')
  $null('');

  final String? value;

  const BlankEnum(this.value);
}

enum CategoryEnum {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('Business')
  business('Business'),
  @JsonValue('Social')
  social('Social'),
  @JsonValue('Writing')
  writing('Writing'),
  @JsonValue('Marketing')
  marketing('Marketing'),
  @JsonValue('Education')
  education('Education'),
  @JsonValue('Other')
  other('Other');

  final String? value;

  const CategoryEnum(this.value);
}

enum CredentialTypeEnum {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('MICROCREDENTIAL')
  microcredential('MICROCREDENTIAL'),
  @JsonValue('CERTIFICATE')
  certificate('CERTIFICATE'),
  @JsonValue('PROGRAM_CERTIFICATE')
  programCertificate('PROGRAM_CERTIFICATE'),
  @JsonValue('COURSE_CERTIFICATE')
  courseCertificate('COURSE_CERTIFICATE');

  final String? value;

  const CredentialTypeEnum(this.value);
}

enum ExpiresDurationEnum {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('days')
  days('days'),
  @JsonValue('weeks')
  weeks('weeks'),
  @JsonValue('months')
  months('months'),
  @JsonValue('years')
  years('years');

  final String? value;

  const ExpiresDurationEnum(this.value);
}

enum IssuingSignalEnum {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('COURSE_COMPLETED')
  courseCompleted('COURSE_COMPLETED'),
  @JsonValue('COURSE_PASSED')
  coursePassed('COURSE_PASSED');

  final String? value;

  const IssuingSignalEnum(this.value);
}

enum NullEnum {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('null')
  $null('null');

  final String? value;

  const NullEnum(this.value);
}

enum RatingEnum {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue(1)
  value_1(1),
  @JsonValue(-1)
  $value_1(-1);

  final int? value;

  const RatingEnum(this.value);
}

enum StateEnum {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('pending')
  pending('pending'),
  @JsonValue('running')
  running('running'),
  @JsonValue('accumulating')
  accumulating('accumulating'),
  @JsonValue('processing')
  processing('processing'),
  @JsonValue('storing')
  storing('storing'),
  @JsonValue('completed')
  completed('completed'),
  @JsonValue('cancelled')
  cancelled('cancelled'),
  @JsonValue('error')
  error('error');

  final String? value;

  const StateEnum(this.value);
}

enum ThemeEnum {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('dark')
  dark('dark'),
  @JsonValue('light')
  light('light');

  final String? value;

  const ThemeEnum(this.value);
}

enum ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat(this.value);
}

enum ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat(this.value);
}

enum ApiAudienceOrgsOrgActiveUsersUsersGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiAudienceOrgsOrgActiveUsersUsersGetFormat(this.value);
}

enum ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('y')
  y('y'),
  @JsonValue('yes')
  yes('yes'),
  @JsonValue('true')
  $true('true'),
  @JsonValue('True')
  $$true('True'),
  @JsonValue('n')
  n('n'),
  @JsonValue('no')
  no('no'),
  @JsonValue('false')
  $false('false'),
  @JsonValue('False')
  $$false('False');

  final String? value;

  const ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive(
      this.value);
}

enum ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat(
      this.value);
}

enum ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('y')
  y('y'),
  @JsonValue('yes')
  yes('yes'),
  @JsonValue('true')
  $true('true'),
  @JsonValue('True')
  $$true('True'),
  @JsonValue('n')
  n('n'),
  @JsonValue('no')
  no('no'),
  @JsonValue('false')
  $false('false'),
  @JsonValue('False')
  $$false('False');

  final String? value;

  const ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive(this.value);
}

enum ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat(this.value);
}

enum ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('y')
  y('y'),
  @JsonValue('yes')
  yes('yes'),
  @JsonValue('true')
  $true('true'),
  @JsonValue('True')
  $$true('True'),
  @JsonValue('n')
  n('n'),
  @JsonValue('no')
  no('no'),
  @JsonValue('false')
  $false('false'),
  @JsonValue('False')
  $$false('False');

  final String? value;

  const ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive(this.value);
}

enum ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat(this.value);
}

enum ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('y')
  y('y'),
  @JsonValue('yes')
  yes('yes'),
  @JsonValue('true')
  $true('true'),
  @JsonValue('True')
  $$true('True'),
  @JsonValue('n')
  n('n'),
  @JsonValue('no')
  no('no'),
  @JsonValue('false')
  $false('false'),
  @JsonValue('False')
  $$false('False');

  final String? value;

  const ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive(this.value);
}

enum ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat(this.value);
}

enum ApiAudienceOrgsOrgRegisteredUsersGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiAudienceOrgsOrgRegisteredUsersGetFormat(this.value);
}

enum ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat(this.value);
}

enum ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('y')
  y('y'),
  @JsonValue('yes')
  yes('yes'),
  @JsonValue('true')
  $true('true'),
  @JsonValue('True')
  $$true('True'),
  @JsonValue('n')
  n('n'),
  @JsonValue('no')
  no('no'),
  @JsonValue('false')
  $false('false'),
  @JsonValue('False')
  $$false('False');

  final String? value;

  const ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive(this.value);
}

enum ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat(this.value);
}

enum ApiCredentialsOrgsOrgAssertionsGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiCredentialsOrgsOrgAssertionsGetFormat(this.value);
}

enum ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat(this.value);
}

enum ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat(this.value);
}

enum ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat(this.value);
}

enum ApiEngagementOrgsOrgActivityGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgActivityGetFormat(this.value);
}

enum ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat(this.value);
}

enum ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat(this.value);
}

enum ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat(this.value);
}

enum ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat(this.value);
}

enum ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat(this.value);
}

enum ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat(
      this.value);
}

enum ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat(
      this.value);
}

enum ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat(this.value);
}

enum ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat(this.value);
}

enum ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat(this.value);
}

enum ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat(this.value);
}

enum ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat(this.value);
}

enum ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat(this.value);
}

enum ApiEngagementOrgsOrgTimeOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgTimeOverTimeGetFormat(this.value);
}

enum ApiEngagementOrgsOrgTimePerCourseGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgTimePerCourseGetFormat(this.value);
}

enum ApiEngagementOrgsOrgVideosGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgVideosGetFormat(this.value);
}

enum ApiEngagementOrgsOrgVideosOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiEngagementOrgsOrgVideosOverTimeGetFormat(this.value);
}

enum ApiOverviewOrgsOrgActiveUsersGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiOverviewOrgsOrgActiveUsersGetFormat(this.value);
}

enum ApiOverviewOrgsOrgAverageGradeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiOverviewOrgsOrgAverageGradeGetFormat(this.value);
}

enum ApiOverviewOrgsOrgCoursesCompletionsGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiOverviewOrgsOrgCoursesCompletionsGetFormat(this.value);
}

enum ApiOverviewOrgsOrgLearnersGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiOverviewOrgsOrgLearnersGetFormat(this.value);
}

enum ApiOverviewOrgsOrgMostActiveCoursesGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiOverviewOrgsOrgMostActiveCoursesGetFormat(this.value);
}

enum ApiOverviewOrgsOrgRegisteredUsersGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiOverviewOrgsOrgRegisteredUsersGetFormat(this.value);
}

enum ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat(this.value);
}

enum ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat(
      this.value);
}

enum ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat(this.value);
}

enum ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat(
      this.value);
}

enum ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat(this.value);
}

enum ApiPerformanceOrgsOrgGradingAverageGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerformanceOrgsOrgGradingAverageGetFormat(this.value);
}

enum ApiPerformanceOrgsOrgGradingPerCourseGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerformanceOrgsOrgGradingPerCourseGetFormat(this.value);
}

enum ApiPerlearnerOrgsOrgUsersGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersGetFormat(this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat(this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat(
      this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat(
      this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat(
      this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat(
      this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat(
      this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat(
      this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat(
      this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat(
      this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat(this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat(this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('y')
  y('y'),
  @JsonValue('yes')
  yes('yes'),
  @JsonValue('true')
  $true('true'),
  @JsonValue('True')
  $$true('True'),
  @JsonValue('n')
  n('n'),
  @JsonValue('no')
  no('no'),
  @JsonValue('false')
  $false('false'),
  @JsonValue('False')
  $$false('False');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta(this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat(this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat(
      this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat(
      this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat(
      this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat(
      this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat(this.value);
}

enum ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat(this.value);
}

enum ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat(
      this.value);
}

enum ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat(
      this.value);
}

enum ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat(
      this.value);
}

enum ApiPlatformOrgsOrgCoursesCountGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPlatformOrgsOrgCoursesCountGetFormat(this.value);
}

enum ApiPlatformOrgsOrgCoursesVideosGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPlatformOrgsOrgCoursesVideosGetFormat(this.value);
}

enum ApiPlatformOrgsOrgUsersActiveCountGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPlatformOrgsOrgUsersActiveCountGetFormat(this.value);
}

enum ApiPlatformOrgsOrgUsersCountGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPlatformOrgsOrgUsersCountGetFormat(this.value);
}

enum ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat(this.value);
}

enum ApiPlatformUsersUserIdAssessmentsCountGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPlatformUsersUserIdAssessmentsCountGetFormat(this.value);
}

enum ApiPlatformUsersUserIdCoursesCompletedGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPlatformUsersUserIdCoursesCompletedGetFormat(this.value);
}

enum ApiPlatformUsersUserIdCoursesStartedGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPlatformUsersUserIdCoursesStartedGetFormat(this.value);
}

enum ApiPlatformUsersUserIdCoursesStatusGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPlatformUsersUserIdCoursesStatusGetFormat(this.value);
}

enum ApiPlatformUsersUserIdCoursesTimeGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json');

  final String? value;

  const ApiPlatformUsersUserIdCoursesTimeGetFormat(this.value);
}

enum ApiSchemaGetFormat {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('json')
  json('json'),
  @JsonValue('yaml')
  yaml('yaml');

  final String? value;

  const ApiSchemaGetFormat(this.value);
}

enum ApiSchemaGetLang {
  @JsonValue(null)
  swaggerGeneratedUnknown(null),

  @JsonValue('af')
  af('af'),
  @JsonValue('ar')
  ar('ar'),
  @JsonValue('ar-dz')
  arDz('ar-dz'),
  @JsonValue('ast')
  ast('ast'),
  @JsonValue('az')
  az('az'),
  @JsonValue('be')
  be('be'),
  @JsonValue('bg')
  bg('bg'),
  @JsonValue('bn')
  bn('bn'),
  @JsonValue('br')
  br('br'),
  @JsonValue('bs')
  bs('bs'),
  @JsonValue('ca')
  ca('ca'),
  @JsonValue('ckb')
  ckb('ckb'),
  @JsonValue('cs')
  cs('cs'),
  @JsonValue('cy')
  cy('cy'),
  @JsonValue('da')
  da('da'),
  @JsonValue('de')
  de('de'),
  @JsonValue('dsb')
  dsb('dsb'),
  @JsonValue('el')
  el('el'),
  @JsonValue('en')
  en('en'),
  @JsonValue('en-au')
  enAu('en-au'),
  @JsonValue('en-gb')
  enGb('en-gb'),
  @JsonValue('eo')
  eo('eo'),
  @JsonValue('es')
  es('es'),
  @JsonValue('es-ar')
  esAr('es-ar'),
  @JsonValue('es-co')
  esCo('es-co'),
  @JsonValue('es-mx')
  esMx('es-mx'),
  @JsonValue('es-ni')
  esNi('es-ni'),
  @JsonValue('es-ve')
  esVe('es-ve'),
  @JsonValue('et')
  et('et'),
  @JsonValue('eu')
  eu('eu'),
  @JsonValue('fa')
  fa('fa'),
  @JsonValue('fi')
  fi('fi'),
  @JsonValue('fr')
  fr('fr'),
  @JsonValue('fy')
  fy('fy'),
  @JsonValue('ga')
  ga('ga'),
  @JsonValue('gd')
  gd('gd'),
  @JsonValue('gl')
  gl('gl'),
  @JsonValue('he')
  he('he'),
  @JsonValue('hi')
  hi('hi'),
  @JsonValue('hr')
  hr('hr'),
  @JsonValue('hsb')
  hsb('hsb'),
  @JsonValue('hu')
  hu('hu'),
  @JsonValue('hy')
  hy('hy'),
  @JsonValue('ia')
  ia('ia'),
  @JsonValue('id')
  id('id'),
  @JsonValue('ig')
  ig('ig'),
  @JsonValue('io')
  io('io'),
  @JsonValue('is')
  $is('is'),
  @JsonValue('it')
  it('it'),
  @JsonValue('ja')
  ja('ja'),
  @JsonValue('ka')
  ka('ka'),
  @JsonValue('kab')
  kab('kab'),
  @JsonValue('kk')
  kk('kk'),
  @JsonValue('km')
  km('km'),
  @JsonValue('kn')
  kn('kn'),
  @JsonValue('ko')
  ko('ko'),
  @JsonValue('ky')
  ky('ky'),
  @JsonValue('lb')
  lb('lb'),
  @JsonValue('lt')
  lt('lt'),
  @JsonValue('lv')
  lv('lv'),
  @JsonValue('mk')
  mk('mk'),
  @JsonValue('ml')
  ml('ml'),
  @JsonValue('mn')
  mn('mn'),
  @JsonValue('mr')
  mr('mr'),
  @JsonValue('ms')
  ms('ms'),
  @JsonValue('my')
  my('my'),
  @JsonValue('nb')
  nb('nb'),
  @JsonValue('ne')
  ne('ne'),
  @JsonValue('nl')
  nl('nl'),
  @JsonValue('nn')
  nn('nn'),
  @JsonValue('os')
  os('os'),
  @JsonValue('pa')
  pa('pa'),
  @JsonValue('pl')
  pl('pl'),
  @JsonValue('pt')
  pt('pt'),
  @JsonValue('pt-br')
  ptBr('pt-br'),
  @JsonValue('ro')
  ro('ro'),
  @JsonValue('ru')
  ru('ru'),
  @JsonValue('sk')
  sk('sk'),
  @JsonValue('sl')
  sl('sl'),
  @JsonValue('sq')
  sq('sq'),
  @JsonValue('sr')
  sr('sr'),
  @JsonValue('sr-latn')
  srLatn('sr-latn'),
  @JsonValue('sv')
  sv('sv'),
  @JsonValue('sw')
  sw('sw'),
  @JsonValue('ta')
  ta('ta'),
  @JsonValue('te')
  te('te'),
  @JsonValue('tg')
  tg('tg'),
  @JsonValue('th')
  th('th'),
  @JsonValue('tk')
  tk('tk'),
  @JsonValue('tr')
  tr('tr'),
  @JsonValue('tt')
  tt('tt'),
  @JsonValue('udm')
  udm('udm'),
  @JsonValue('uk')
  uk('uk'),
  @JsonValue('ur')
  ur('ur'),
  @JsonValue('uz')
  uz('uz'),
  @JsonValue('vi')
  vi('vi'),
  @JsonValue('zh-hans')
  zhHans('zh-hans'),
  @JsonValue('zh-hant')
  zhHant('zh-hant');

  final String? value;

  const ApiSchemaGetLang(this.value);
}
