// ignore_for_file: type=lint

import 'package:json_annotation/json_annotation.dart';
import 'package:collection/collection.dart';
import 'dart:convert';

import 'package:chopper/chopper.dart';

import 'client_mapping.dart';
import 'dart:async';
import 'package:http/http.dart' as http;
import 'package:http/http.dart' show MultipartFile;
import 'package:chopper/chopper.dart' as chopper;

part 'ibl_web_pro.swagger.chopper.dart';

// **************************************************************************
// SwaggerChopperGenerator
// **************************************************************************

@ChopperApi()
abstract class IblWebPro extends ChopperService {
  static IblWebPro create({
    ChopperClient? client,
    http.Client? httpClient,
    Authenticator? authenticator,
    Converter? converter,
    Uri? baseUrl,
    Iterable<dynamic>? interceptors,
  }) {
    if (client != null) {
      return _$IblWebPro(client);
    }

    final newClient = ChopperClient(
        services: [_$IblWebPro()],
        converter: converter ?? $JsonSerializableConverter(),
        interceptors: interceptors ?? [],
        client: httpClient,
        authenticator: authenticator,
        baseUrl: baseUrl ?? Uri.parse('web.mentor.iblai.tech/wp-json'));
    return _$IblWebPro(newClient);
  }

  ///
  Future<chopper.Response> apiIblV1UsersPost() {
    return _apiIblV1UsersPost();
  }

  ///
  @Post(
    path: '/api/ibl/v1/users',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UsersPost();

  ///
  Future<chopper.Response> apiIblV1UserUpdatePost() {
    return _apiIblV1UserUpdatePost();
  }

  ///
  @Post(
    path: '/api/ibl/v1/user/update',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserUpdatePost();

  ///
  ///@param session_url
  ///@param cancel_url
  ///@param price
  ///@param mode
  Future<chopper.Response> apiIblV1CheckoutSessionCreatePost({
    String? sessionUrl,
    String? cancelUrl,
    dynamic price,
    String? mode,
  }) {
    return _apiIblV1CheckoutSessionCreatePost(
        sessionUrl: sessionUrl, cancelUrl: cancelUrl, price: price, mode: mode);
  }

  ///
  ///@param session_url
  ///@param cancel_url
  ///@param price
  ///@param mode
  @Post(
    path: '/api/ibl/v1/checkout/session/create',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1CheckoutSessionCreatePost({
    @Field('session_url') String? sessionUrl,
    @Field('cancel_url') String? cancelUrl,
    @Field('price') dynamic price,
    @Field('mode') String? mode,
  });

  ///
  Future<chopper.Response> apiIblV1StripeProductsGet() {
    return _apiIblV1StripeProductsGet();
  }

  ///
  @Get(path: '/api/ibl/v1/stripe/products')
  Future<chopper.Response> _apiIblV1StripeProductsGet();

  ///
  ///@param product_id
  Future<chopper.Response> apiIblV1StripeProductPriceGet({String? productId}) {
    return _apiIblV1StripeProductPriceGet(productId: productId);
  }

  ///
  ///@param product_id
  @Get(path: '/api/ibl/v1/stripe/product/price')
  Future<chopper.Response> _apiIblV1StripeProductPriceGet(
      {@Query() String? productId});

  ///
  ///@param session_id
  Future<chopper.Response> apiIblV1StripeSessionGet({String? sessionId}) {
    return _apiIblV1StripeSessionGet(sessionId: sessionId);
  }

  ///
  ///@param session_id
  @Get(path: '/api/ibl/v1/stripe/session')
  Future<chopper.Response> _apiIblV1StripeSessionGet(
      {@Query() String? sessionId});

  ///
  ///@param product_id
  Future<chopper.Response> apiIblV1StripeProductGet({String? productId}) {
    return _apiIblV1StripeProductGet(productId: productId);
  }

  ///
  ///@param product_id
  @Get(path: '/api/ibl/v1/stripe/product')
  Future<chopper.Response> _apiIblV1StripeProductGet(
      {@Query() String? productId});

  ///
  Future<chopper.Response> apiIblV1StripeWebhookPost() {
    return _apiIblV1StripeWebhookPost();
  }

  ///
  @Post(
    path: '/api/ibl/v1/stripe/webhook',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1StripeWebhookPost();

  ///
  Future<chopper.Response> apiIblV1StripeCustomerIdGet() {
    return _apiIblV1StripeCustomerIdGet();
  }

  ///
  @Get(path: '/api/ibl/v1/stripe/customer/id')
  Future<chopper.Response> _apiIblV1StripeCustomerIdGet();

  ///
  Future<chopper.Response> apiIblV1StripeProductPurchaseGet() {
    return _apiIblV1StripeProductPurchaseGet();
  }

  ///
  @Get(path: '/api/ibl/v1/stripe/product/purchase')
  Future<chopper.Response> _apiIblV1StripeProductPurchaseGet();

  ///
  ///@param username
  ///@param email
  ///@param password
  ///@param firstname
  ///@param lastname
  ///@param role
  ///@param key
  ///@param name
  ///@param theme_name
  ///@param payment_intent
  ///@param stripe_price_id
  Future<chopper.Response> apiIblV1StripeTenantLaunchPost({
    String? username,
    String? email,
    String? password,
    String? firstname,
    String? lastname,
    String? role,
    String? key,
    String? name,
    String? themeName,
    String? paymentIntent,
    String? stripePriceId,
  }) {
    return _apiIblV1StripeTenantLaunchPost(
        username: username,
        email: email,
        password: password,
        firstname: firstname,
        lastname: lastname,
        role: role,
        key: key,
        name: name,
        themeName: themeName,
        paymentIntent: paymentIntent,
        stripePriceId: stripePriceId);
  }

  ///
  ///@param username
  ///@param email
  ///@param password
  ///@param firstname
  ///@param lastname
  ///@param role
  ///@param key
  ///@param name
  ///@param theme_name
  ///@param payment_intent
  ///@param stripe_price_id
  @Post(
    path: '/api/ibl/v1/stripe/tenant/launch',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1StripeTenantLaunchPost({
    @Field('username') String? username,
    @Field('email') String? email,
    @Field('password') String? password,
    @Field('firstname') String? firstname,
    @Field('lastname') String? lastname,
    @Field('role') String? role,
    @Field('key') String? key,
    @Field('name') String? name,
    @Field('theme_name') String? themeName,
    @Field('payment_intent') String? paymentIntent,
    @Field('stripe_price_id') String? stripePriceId,
  });

  ///
  ///@param email
  ///@param redirect_url
  Future<chopper.Response> apiIblV1StripeCustomerCreatePost({
    String? email,
    String? redirectUrl,
  }) {
    return _apiIblV1StripeCustomerCreatePost(
        email: email, redirectUrl: redirectUrl);
  }

  ///
  ///@param email
  ///@param redirect_url
  @Post(
    path: '/api/ibl/v1/stripe/customer/create',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1StripeCustomerCreatePost({
    @Field('email') String? email,
    @Field('redirect_url') String? redirectUrl,
  });

  ///
  ///@param customer_id
  Future<chopper.Response> apiIblV1StripeCustomerPortalPost(
      {String? customerId}) {
    return _apiIblV1StripeCustomerPortalPost(customerId: customerId);
  }

  ///
  ///@param customer_id
  @Post(
    path: '/api/ibl/v1/stripe/customer/portal',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1StripeCustomerPortalPost(
      {@Field('customer_id') String? customerId});

  ///
  Future<chopper.Response> apiIblV1PathwayPost() {
    return _apiIblV1PathwayPost();
  }

  ///
  @Post(
    path: '/api/ibl/v1/pathway',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1PathwayPost();

  ///
  ///@param user_id
  Future<chopper.Response> apiIblV1UserCoursesGet({required int? userId}) {
    return _apiIblV1UserCoursesGet(userId: userId);
  }

  ///
  ///@param user_id
  @Get(path: '/api/ibl/v1/user/courses')
  Future<chopper.Response> _apiIblV1UserCoursesGet(
      {@Query() required int? userId});

  ///
  ///@param user_id
  Future<chopper.Response> apiIblV1UserProgressGet({required int? userId}) {
    return _apiIblV1UserProgressGet(userId: userId);
  }

  ///
  ///@param user_id
  @Get(path: '/api/ibl/v1/user/progress')
  Future<chopper.Response> _apiIblV1UserProgressGet(
      {@Query() required int? userId});

  ///
  ///@param course_id
  Future<chopper.Response> apiIblV1CourseMetadataGet(
      {required String? courseId}) {
    return _apiIblV1CourseMetadataGet(courseId: courseId);
  }

  ///
  ///@param course_id
  @Get(path: '/api/ibl/v1/course/metadata')
  Future<chopper.Response> _apiIblV1CourseMetadataGet(
      {@Query() required String? courseId});

  ///
  ///@param course_id
  Future<chopper.Response> apiIblV1CourseMetadataSearchGet(
      {required String? courseId}) {
    return _apiIblV1CourseMetadataSearchGet(courseId: courseId);
  }

  ///
  ///@param course_id
  @Get(path: '/api/ibl/v1/course/metadata/search')
  Future<chopper.Response> _apiIblV1CourseMetadataSearchGet(
      {@Query() required String? courseId});

  ///
  ///@param course_id
  Future<chopper.Response> apiIblV1UserCourseEnrollmentStatusGet(
      {String? courseId}) {
    return _apiIblV1UserCourseEnrollmentStatusGet(courseId: courseId);
  }

  ///
  ///@param course_id
  @Get(path: '/api/ibl/v1/user/course/enrollment/status')
  Future<chopper.Response> _apiIblV1UserCourseEnrollmentStatusGet(
      {@Query() String? courseId});

  ///
  ///@param username
  ///@param course_id
  Future<chopper.Response> apiIblV1CourseOutlineGet({
    String? username,
    String? courseId,
  }) {
    return _apiIblV1CourseOutlineGet(username: username, courseId: courseId);
  }

  ///
  ///@param username
  ///@param course_id
  @Get(path: '/api/ibl/v1/course/outline')
  Future<chopper.Response> _apiIblV1CourseOutlineGet({
    @Query() String? username,
    @Query() String? courseId,
  });

  ///
  ///@param xblock_id
  ///@param lms_url
  Future<chopper.Response> apiIblV1CourseIframeUrlGet({
    required String? xblockId,
    required String? lmsUrl,
  }) {
    return _apiIblV1CourseIframeUrlGet(xblockId: xblockId, lmsUrl: lmsUrl);
  }

  ///
  ///@param xblock_id
  ///@param lms_url
  @Get(path: '/api/ibl/v1/course/iframe-url')
  Future<chopper.Response> _apiIblV1CourseIframeUrlGet({
    @Query() required String? xblockId,
    @Query() required String? lmsUrl,
  });

  ///
  ///@param org
  ///@param number
  ///@param run
  ///@param name
  Future<chopper.Response> apiIblV1CourseCreatePost({
    String? org,
    int? number,
    String? run,
    String? name,
  }) {
    return _apiIblV1CourseCreatePost(
        org: org, number: number, run: run, name: name);
  }

  ///
  ///@param org
  ///@param number
  ///@param run
  ///@param name
  @Post(
    path: '/api/ibl/v1/course/create',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1CourseCreatePost({
    @Field('org') String? org,
    @Field('number') int? number,
    @Field('run') String? run,
    @Field('name') String? name,
  });

  ///
  Future<chopper.Response> apiIblV1UserCourseEnrollPost() {
    return _apiIblV1UserCourseEnrollPost();
  }

  ///
  @Post(
    path: '/api/ibl/v1/user/course/enroll',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserCourseEnrollPost();

  ///
  ///@param url
  Future<chopper.Response> apiIblV1CourseIframeAuthTokenPost({String? url}) {
    return _apiIblV1CourseIframeAuthTokenPost(url: url);
  }

  ///
  ///@param url
  @Post(
    path: '/api/ibl/v1/course/iframe-auth-token',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1CourseIframeAuthTokenPost(
      {@Field('url') String? url});

  ///
  ///@param course_id
  Future<chopper.Response> apiIblV1UserCourseUnenrollPost({String? courseId}) {
    return _apiIblV1UserCourseUnenrollPost(courseId: courseId);
  }

  ///
  ///@param course_id
  @Post(
    path: '/api/ibl/v1/user/course/unenroll',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserCourseUnenrollPost(
      {@Field('course_id') String? courseId});

  ///
  ///@param block_id
  ///@param attended
  ///@param user
  ///@param course_id
  Future<chopper.Response> apiIblV1AttendanceUserCourseBlockPost({
    required String? blockId,
    required bool? attended,
    required String? user,
    required String? courseId,
  }) {
    return _apiIblV1AttendanceUserCourseBlockPost(
        blockId: blockId, attended: attended, user: user, courseId: courseId);
  }

  ///
  ///@param block_id
  ///@param attended
  ///@param user
  ///@param course_id
  @Post(
    path: '/api/ibl/v1/attendance/user/course/block',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1AttendanceUserCourseBlockPost({
    @Field('block_id') required String? blockId,
    @Field('attended') required bool? attended,
    @Field('user') required String? user,
    @Field('course_id') required String? courseId,
  });

  ///
  ///@param user_id
  ///@param course_id
  Future<chopper.Response> apiIblV1UserGradeProgressGet({
    int? userId,
    String? courseId,
  }) {
    return _apiIblV1UserGradeProgressGet(userId: userId, courseId: courseId);
  }

  ///
  ///@param user_id
  ///@param course_id
  @Get(path: '/api/ibl/v1/user/grade/progress')
  Future<chopper.Response> _apiIblV1UserGradeProgressGet({
    @Query() int? userId,
    @Query() String? courseId,
  });

  ///
  Future<chopper.Response> apiIblV1MfeContextGet() {
    return _apiIblV1MfeContextGet();
  }

  ///
  @Get(path: '/api/ibl/v1/mfe-context')
  Future<chopper.Response> _apiIblV1MfeContextGet();

  ///
  ///@param user_id
  Future<chopper.Response> apiIblV1UserProgramsGet({required String? userId}) {
    return _apiIblV1UserProgramsGet(userId: userId);
  }

  ///
  ///@param user_id
  @Get(path: '/api/ibl/v1/user/programs')
  Future<chopper.Response> _apiIblV1UserProgramsGet(
      {@Query() required String? userId});

  ///
  ///@param requested_username
  Future<chopper.Response> apiIblV1CredentialsIssuedGet(
      {String? requestedUsername}) {
    return _apiIblV1CredentialsIssuedGet(requestedUsername: requestedUsername);
  }

  ///
  ///@param requested_username
  @Get(path: '/api/ibl/v1/credentials/issued')
  Future<chopper.Response> _apiIblV1CredentialsIssuedGet(
      {@Query() String? requestedUsername});

  ///
  ///@param username
  ///@param social_auth_code
  ///@param email
  ///@param name
  ///@param password
  ///@param redirect-to
  Future<chopper.Response> apiIblV1AuthenticationRegisterUserPost({
    String? username,
    String? email,
    String? name,
    String? password
  }) {
    return _apiIblV1AuthenticationRegisterUserPost(
        username: username,
        email: email,
        name: name,
        password: password
        );
  }

  ///
  ///@param username
  ///@param social_auth_code
  ///@param email
  ///@param name
  ///@param password
  ///@param redirect-to
  @Post(
    path: '/api/ibl/v1/authentication/register-user',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1AuthenticationRegisterUserPost({
    @Field('username') String? username,
    @Field('email') String? email,
    @Field('name') String? name,
    @Field('password') String? password
  });

  ///
  ///@param username
  ///@param password
  Future<chopper.Response> apiIblV1AuthenticationLoginPost({
    String? username,
    String? password,
  }) {
    return _apiIblV1AuthenticationLoginPost(
        username: username, password: password);
  }

  ///
  ///@param username
  ///@param password
  @Post(
    path: '/api/ibl/v1/authentication/login',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1AuthenticationLoginPost({
    @Field('username') String? username,
    @Field('password') String? password,
  });

  ///
  ///@param email
  Future<chopper.Response> apiIblV1AuthenticationForgetPasswordPost(
      {String? email}) {
    return _apiIblV1AuthenticationForgetPasswordPost(email: email);
  }

  ///
  ///@param email
  @Post(
    path: '/api/ibl/v1/authentication/forget-password',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1AuthenticationForgetPasswordPost(
      {@Field('email') String? email});

  ///
  ///@param password
  ///@param reset_password_token
  Future<chopper.Response> apiIblV1AuthenticationResetPasswordPost({
    String? password,
    String? resetPasswordToken,
  }) {
    return _apiIblV1AuthenticationResetPasswordPost(
        password: password, resetPasswordToken: resetPasswordToken);
  }

  ///
  ///@param password
  ///@param reset_password_token
  @Post(
    path: '/api/ibl/v1/authentication/reset-password',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1AuthenticationResetPasswordPost({
    @Field('password') String? password,
    @Field('reset_password_token') String? resetPasswordToken,
  });

  ///
  Future<chopper.Response> apiIblV1AuthenticationLogoutPost() {
    return _apiIblV1AuthenticationLogoutPost();
  }

  ///
  @Post(
    path: '/api/ibl/v1/authentication/logout',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1AuthenticationLogoutPost();

  ///
  ///@param email
  Future<chopper.Response> apiIblV1AuthenticationInvitationGet(
      {required String? email}) {
    return _apiIblV1AuthenticationInvitationGet(email: email);
  }

  ///
  ///@param email
  @Get(path: '/api/ibl/v1/authentication/invitation')
  Future<chopper.Response> _apiIblV1AuthenticationInvitationGet(
      {@Query() required String? email});

  ///
  ///@param username
  ///@param email
  ///@param name
  ///@param password
  ///@param provider
  ///@param tpa_uid
  ///@param is_staff
  ///@param is_active
  ///@param update
  Future<chopper.Response> apiIblV1UsersManagePost({
    required String? username,
    required String? email,
    String? name,
    String? password,
    String? provider,
    String? tpaUid,
    bool? isStaff,
    bool? isActive,
    bool? update,
  }) {
    return _apiIblV1UsersManagePost(
        username: username,
        email: email,
        name: name,
        password: password,
        provider: provider,
        tpaUid: tpaUid,
        isStaff: isStaff,
        isActive: isActive,
        update: update);
  }

  ///
  ///@param username
  ///@param email
  ///@param name
  ///@param password
  ///@param provider
  ///@param tpa_uid
  ///@param is_staff
  ///@param is_active
  ///@param update
  @Post(
    path: '/api/ibl/v1/users/manage',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UsersManagePost({
    @Field('username') required String? username,
    @Field('email') required String? email,
    @Field('name') String? name,
    @Field('password') String? password,
    @Field('provider') String? provider,
    @Field('tpa_uid') String? tpaUid,
    @Field('is_staff') bool? isStaff,
    @Field('is_active') bool? isActive,
    @Field('update') bool? update,
  });

  ///
  ///@param username
  ///@param user_id
  ///@param email
  Future<chopper.Response> apiIblV1UsersManageMetadataPost({
    String? username,
    String? userId,
    String? email,
  }) {
    return _apiIblV1UsersManageMetadataPost(
        username: username, userId: userId, email: email);
  }

  ///
  ///@param username
  ///@param user_id
  ///@param email
  @Post(
    path: '/api/ibl/v1/users/manage/metadata',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UsersManageMetadataPost({
    @Field('username') String? username,
    @Field('user_id') String? userId,
    @Field('email') String? email,
  });

  ///
  ///@param username
  ///@param user_id
  ///@param email
  Future<chopper.Response> apiIblV1UsersManageMetadataGet({
    String? username,
    String? userId,
    String? email,
  }) {
    return _apiIblV1UsersManageMetadataGet(
        username: username, userId: userId, email: email);
  }

  ///
  ///@param username
  ///@param user_id
  ///@param email
  @Get(path: '/api/ibl/v1/users/manage/metadata')
  Future<chopper.Response> _apiIblV1UsersManageMetadataGet({
    @Query() String? username,
    @Query() String? userId,
    @Query() String? email,
  });

  ///
  Future<chopper.Response> apiIblV1UsersManageForgotPasswordPost() {
    return _apiIblV1UsersManageForgotPasswordPost();
  }

  ///
  @Post(
    path: '/api/ibl/v1/users/manage/forgot-password',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UsersManageForgotPasswordPost();

  ///
  Future<chopper.Response> apiIblV1PlatformUsersGet() {
    return _apiIblV1PlatformUsersGet();
  }

  ///
  @Get(path: '/api/ibl/v1/platform/users')
  Future<chopper.Response> _apiIblV1PlatformUsersGet();

  ///
  ///@param username
  Future<chopper.Response> apiIblV1UserPlatformLinkPost({String? username}) {
    return _apiIblV1UserPlatformLinkPost(username: username);
  }

  ///
  ///@param username
  @Post(
    path: '/api/ibl/v1/user/platform/link',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserPlatformLinkPost(
      {@Field('username') String? username});

  ///
  ///@param platform_key
  ///@param username
  ///@param email
  Future<chopper.Response> apiIblV1UserPlatformInvitePost({
    String? platformKey,
    String? username,
    String? email,
  }) {
    return _apiIblV1UserPlatformInvitePost(
        platformKey: platformKey, username: username, email: email);
  }

  ///
  ///@param platform_key
  ///@param username
  ///@param email
  @Post(
    path: '/api/ibl/v1/user/platform/invite',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserPlatformInvitePost({
    @Field('platform_key') String? platformKey,
    @Field('username') String? username,
    @Field('email') String? email,
  });

  ///
  ///@param course_id
  ///@param username
  ///@param email
  Future<chopper.Response> apiIblV1UserCourseInvitePost({
    String? courseId,
    String? username,
    String? email,
  }) {
    return _apiIblV1UserCourseInvitePost(
        courseId: courseId, username: username, email: email);
  }

  ///
  ///@param course_id
  ///@param username
  ///@param email
  @Post(
    path: '/api/ibl/v1/user/course/invite',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserCourseInvitePost({
    @Field('course_id') String? courseId,
    @Field('username') String? username,
    @Field('email') String? email,
  });

  ///
  ///@param program_key
  ///@param username
  ///@param email
  Future<chopper.Response> apiIblV1UserProgramInvitePost({
    String? programKey,
    String? username,
    String? email,
  }) {
    return _apiIblV1UserProgramInvitePost(
        programKey: programKey, username: username, email: email);
  }

  ///
  ///@param program_key
  ///@param username
  ///@param email
  @Post(
    path: '/api/ibl/v1/user/program/invite',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserProgramInvitePost({
    @Field('program_key') String? programKey,
    @Field('username') String? username,
    @Field('email') String? email,
  });

  ///
  ///@param username
  Future<chopper.Response> apiIblV1UserDataPublicGet({String? username}) {
    return _apiIblV1UserDataPublicGet(username: username);
  }

  ///
  ///@param username
  @Get(path: '/api/ibl/v1/user/data/public')
  Future<chopper.Response> _apiIblV1UserDataPublicGet(
      {@Query() String? username});

  ///
  ///@param tenant
  Future<chopper.Response> apiIblV1AxdLearnerTokenGet({String? tenant}) {
    return _apiIblV1AxdLearnerTokenGet(tenant: tenant);
  }

  ///
  ///@param tenant
  @Get(path: '/api/ibl/v1/axd/learner-token')
  Future<chopper.Response> _apiIblV1AxdLearnerTokenGet(
      {@Query() String? tenant});

  ///
  Future<chopper.Response> apiIblV1TenantPublicConfigGet() {
    return _apiIblV1TenantPublicConfigGet();
  }

  ///
  @Get(path: '/api/ibl/v1/tenant/public-config')
  Future<chopper.Response> _apiIblV1TenantPublicConfigGet();

  ///
  Future<chopper.Response> apiIblV1TenantNameGet() {
    return _apiIblV1TenantNameGet();
  }

  ///
  @Get(path: '/api/ibl/v1/tenant/name')
  Future<chopper.Response> _apiIblV1TenantNameGet();

  ///
  Future<chopper.Response> apiIblV1GetCustomCssGet() {
    return _apiIblV1GetCustomCssGet();
  }

  ///
  @Get(path: '/api/ibl/v1/get-custom-css')
  Future<chopper.Response> _apiIblV1GetCustomCssGet();

  ///
  Future<chopper.Response> apiIblV1CertificateTemplateGet() {
    return _apiIblV1CertificateTemplateGet();
  }

  ///
  @Get(path: '/api/ibl/v1/certificate/template')
  Future<chopper.Response> _apiIblV1CertificateTemplateGet();

  ///
  Future<chopper.Response> apiIblV1GetCustomRegistrationFieldsGet() {
    return _apiIblV1GetCustomRegistrationFieldsGet();
  }

  ///
  @Get(path: '/api/ibl/v1/get-custom-registration-fields')
  Future<chopper.Response> _apiIblV1GetCustomRegistrationFieldsGet();

  ///
  ///@param key
  ///@param value
  ///@param field_key
  Future<chopper.Response> apiIblV1PlatformConfigUpdatePost({
    String? key,
    String? value,
    String? fieldKey,
  }) {
    return _apiIblV1PlatformConfigUpdatePost(
        key: key, value: value, fieldKey: fieldKey);
  }

  ///
  ///@param key
  ///@param value
  ///@param field_key
  @Post(
    path: '/api/ibl/v1/platform/config/update',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1PlatformConfigUpdatePost({
    @Field('key') String? key,
    @Field('value') String? value,
    @Field('field_key') String? fieldKey,
  });

  ///
  ///@param tenant
  Future<chopper.Response> apiIblV1MatomoAdminTokenGet({String? tenant}) {
    return _apiIblV1MatomoAdminTokenGet(tenant: tenant);
  }

  ///
  ///@param tenant
  @Get(path: '/api/ibl/v1/matomo-admin-token')
  Future<chopper.Response> _apiIblV1MatomoAdminTokenGet(
      {@Query() String? tenant});

  ///
  Future<chopper.Response> apiIblV1SendEmailPost() {
    return _apiIblV1SendEmailPost();
  }

  ///
  @Post(
    path: '/api/ibl/v1/send-email',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1SendEmailPost();

  ///
  ///@param tenant
  ///@param page
  ///@param page_size
  Future<chopper.Response> apiIblV1PlatformInvitationsGet({
    String? tenant,
    int? page,
    int? pageSize,
  }) {
    return _apiIblV1PlatformInvitationsGet(
        tenant: tenant, page: page, pageSize: pageSize);
  }

  ///
  ///@param tenant
  ///@param page
  ///@param page_size
  @Get(path: '/api/ibl/v1/platform/invitations')
  Future<chopper.Response> _apiIblV1PlatformInvitationsGet({
    @Query() String? tenant,
    @Query() int? page,
    @Query() int? pageSize,
  });

  ///
  ///@param page
  ///@param page_size
  Future<chopper.Response> apiIblV1CourseInvitationsGet({
    int? page,
    int? pageSize,
  }) {
    return _apiIblV1CourseInvitationsGet(page: page, pageSize: pageSize);
  }

  ///
  ///@param page
  ///@param page_size
  @Get(path: '/api/ibl/v1/course/invitations')
  Future<chopper.Response> _apiIblV1CourseInvitationsGet({
    @Query() int? page,
    @Query() int? pageSize,
  });

  ///
  ///@param page
  ///@param page_size
  Future<chopper.Response> apiIblV1ProgramInvitationsGet({
    int? page,
    int? pageSize,
  }) {
    return _apiIblV1ProgramInvitationsGet(page: page, pageSize: pageSize);
  }

  ///
  ///@param page
  ///@param page_size
  @Get(path: '/api/ibl/v1/program/invitations')
  Future<chopper.Response> _apiIblV1ProgramInvitationsGet({
    @Query() int? page,
    @Query() int? pageSize,
  });

  ///
  ///@param program_key
  ///@param source
  ///@param count
  ///@param invitation_data
  Future<chopper.Response> apiIblV1UserPlatformBulkInvitePost({
    required String? programKey,
    String? source,
    int? count,
    String? invitationData,
  }) {
    return _apiIblV1UserPlatformBulkInvitePost(
        programKey: programKey,
        source: source,
        count: count,
        invitationData: invitationData);
  }

  ///
  ///@param program_key
  ///@param source
  ///@param count
  ///@param invitation_data
  @Post(
    path: '/api/ibl/v1/user/platform/bulk/invite',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserPlatformBulkInvitePost({
    @Field('program_key') required String? programKey,
    @Field('source') String? source,
    @Field('count') int? count,
    @Field('invitation_data') String? invitationData,
  });

  ///
  ///@param course_id
  ///@param source
  ///@param count
  ///@param invitation_data
  Future<chopper.Response> apiIblV1UserCourseBulkInvitePost({
    required String? courseId,
    String? source,
    int? count,
    String? invitationData,
  }) {
    return _apiIblV1UserCourseBulkInvitePost(
        courseId: courseId,
        source: source,
        count: count,
        invitationData: invitationData);
  }

  ///
  ///@param course_id
  ///@param source
  ///@param count
  ///@param invitation_data
  @Post(
    path: '/api/ibl/v1/user/course/bulk/invite',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserCourseBulkInvitePost({
    @Field('course_id') required String? courseId,
    @Field('source') String? source,
    @Field('count') int? count,
    @Field('invitation_data') String? invitationData,
  });

  ///
  ///@param program_key
  ///@param source
  ///@param count
  ///@param invitation_data
  Future<chopper.Response> apiIblV1UserProgramBulkInvitePost({
    required String? programKey,
    String? source,
    int? count,
    String? invitationData,
  }) {
    return _apiIblV1UserProgramBulkInvitePost(
        programKey: programKey,
        source: source,
        count: count,
        invitationData: invitationData);
  }

  ///
  ///@param program_key
  ///@param source
  ///@param count
  ///@param invitation_data
  @Post(
    path: '/api/ibl/v1/user/program/bulk/invite',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserProgramBulkInvitePost({
    @Field('program_key') required String? programKey,
    @Field('source') String? source,
    @Field('count') int? count,
    @Field('invitation_data') String? invitationData,
  });

  ///
  ///@param platform_key
  ///@param source
  ///@param username
  ///@param email
  Future<chopper.Response> apiIblV1UserPlatformRedeemPost({
    required String? platformKey,
    String? source,
    String? username,
    String? email,
  }) {
    return _apiIblV1UserPlatformRedeemPost(
        platformKey: platformKey,
        source: source,
        username: username,
        email: email);
  }

  ///
  ///@param platform_key
  ///@param source
  ///@param username
  ///@param email
  @Post(
    path: '/api/ibl/v1/user/platform/redeem',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserPlatformRedeemPost({
    @Field('platform_key') required String? platformKey,
    @Field('source') String? source,
    @Field('username') String? username,
    @Field('email') String? email,
  });

  ///
  ///@param course_id
  ///@param source
  ///@param username
  ///@param email
  Future<chopper.Response> apiIblV1UserCourseRedeemPost({
    required String? courseId,
    String? source,
    String? username,
    String? email,
  }) {
    return _apiIblV1UserCourseRedeemPost(
        courseId: courseId, source: source, username: username, email: email);
  }

  ///
  ///@param course_id
  ///@param source
  ///@param username
  ///@param email
  @Post(
    path: '/api/ibl/v1/user/course/redeem',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserCourseRedeemPost({
    @Field('course_id') required String? courseId,
    @Field('source') String? source,
    @Field('username') String? username,
    @Field('email') String? email,
  });

  ///
  ///@param program_key
  ///@param source
  ///@param username
  ///@param email
  Future<chopper.Response> apiIblV1UserProgramRedeemPost({
    required String? programKey,
    String? source,
    String? username,
    String? email,
  }) {
    return _apiIblV1UserProgramRedeemPost(
        programKey: programKey,
        source: source,
        username: username,
        email: email);
  }

  ///
  ///@param program_key
  ///@param source
  ///@param username
  ///@param email
  @Post(
    path: '/api/ibl/v1/user/program/redeem',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserProgramRedeemPost({
    @Field('program_key') required String? programKey,
    @Field('source') String? source,
    @Field('username') String? username,
    @Field('email') String? email,
  });

  ///
  ///@param username
  Future<chopper.Response> apiIblV1UserPlatformLinksGet({String? username}) {
    return _apiIblV1UserPlatformLinksGet(username: username);
  }

  ///
  ///@param username
  @Get(path: '/api/ibl/v1/user/platform-links')
  Future<chopper.Response> _apiIblV1UserPlatformLinksGet(
      {@Query() String? username});

  ///
  ///@param user_id
  Future<chopper.Response> apiIblV1UserProgramUpdateStatusPost(
      {String? userId}) {
    return _apiIblV1UserProgramUpdateStatusPost(userId: userId);
  }

  ///
  ///@param user_id
  @Post(
    path: '/api/ibl/v1/user/program/update-status',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserProgramUpdateStatusPost(
      {@Field('user_id') String? userId});

  ///
  ///@param user_id
  Future<chopper.Response> apiIblV1UserSkillsGet({required String? userId}) {
    return _apiIblV1UserSkillsGet(userId: userId);
  }

  ///
  ///@param user_id
  @Get(path: '/api/ibl/v1/user/skills')
  Future<chopper.Response> _apiIblV1UserSkillsGet(
      {@Query() required String? userId});

  ///
  ///@param user_id
  Future<chopper.Response> apiIblV1UserSkillsSelfReportedGet(
      {required String? userId}) {
    return _apiIblV1UserSkillsSelfReportedGet(userId: userId);
  }

  ///
  ///@param user_id
  @Get(path: '/api/ibl/v1/user/skills/self-reported')
  Future<chopper.Response> _apiIblV1UserSkillsSelfReportedGet(
      {@Query() required String? userId});

  ///
  ///@param user_id
  Future<chopper.Response> apiIblV1UserSkillsSelfReportedPost(
      {required String? userId}) {
    return _apiIblV1UserSkillsSelfReportedPost(userId: userId);
  }

  ///
  ///@param user_id
  @Post(
    path: '/api/ibl/v1/user/skills/self-reported',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserSkillsSelfReportedPost(
      {@Field('user_id') required String? userId});

  ///
  Future<chopper.Response> apiIblV1OrgSkillsGet() {
    return _apiIblV1OrgSkillsGet();
  }

  ///
  @Get(path: '/api/ibl/v1/org/skills')
  Future<chopper.Response> _apiIblV1OrgSkillsGet();

  ///
  ///@param user_id
  Future<chopper.Response> apiIblV1UserSkillsDesiredPost(
      {required String? userId}) {
    return _apiIblV1UserSkillsDesiredPost(userId: userId);
  }

  ///
  ///@param user_id
  @Post(
    path: '/api/ibl/v1/user/skills/desired',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1UserSkillsDesiredPost(
      {@Field('user_id') required String? userId});

  ///
  Future<chopper.Response> apiIblV1GetPathwayGet() {
    return _apiIblV1GetPathwayGet();
  }

  ///
  @Get(path: '/api/ibl/v1/get-pathway')
  Future<chopper.Response> _apiIblV1GetPathwayGet();

  ///
  Future<chopper.Response> apiIblV1CreatePathwayPost() {
    return _apiIblV1CreatePathwayPost();
  }

  ///
  @Post(
    path: '/api/ibl/v1/create-pathway',
    optionalBody: true,
  )
  Future<chopper.Response> _apiIblV1CreatePathwayPost();

  ///
  Future<chopper.Response> apiIblV1GetUserPathwaysGet() {
    return _apiIblV1GetUserPathwaysGet();
  }

  ///
  @Get(path: '/api/ibl/v1/get-user-pathways')
  Future<chopper.Response> _apiIblV1GetUserPathwaysGet();

  ///
  Future<chopper.Response> apiIblV1OrgSearchGet() {
    return _apiIblV1OrgSearchGet();
  }

  ///
  @Get(path: '/api/ibl/v1/org-search')
  Future<chopper.Response> _apiIblV1OrgSearchGet();

  ///
  Future<chopper.Response> apiIblV1GetOrgSkillsGet() {
    return _apiIblV1GetOrgSkillsGet();
  }

  ///
  @Get(path: '/api/ibl/v1/get-org-skills')
  Future<chopper.Response> _apiIblV1GetOrgSkillsGet();
}

typedef $JsonFactory<T> = T Function(Map<String, dynamic> json);

class $CustomJsonDecoder {
  $CustomJsonDecoder(this.factories);

  final Map<Type, $JsonFactory> factories;

  dynamic decode<T>(dynamic entity) {
    if (entity is Iterable) {
      return _decodeList<T>(entity);
    }

    if (entity is T) {
      return entity;
    }

    if (isTypeOf<T, Map>()) {
      return entity;
    }

    if (isTypeOf<T, Iterable>()) {
      return entity;
    }

    if (entity is Map<String, dynamic>) {
      return _decodeMap<T>(entity);
    }

    return entity;
  }

  T _decodeMap<T>(Map<String, dynamic> values) {
    final jsonFactory = factories[T];
    if (jsonFactory == null || jsonFactory is! $JsonFactory<T>) {
      return throw "Could not find factory for type $T. Is '$T: $T.fromJsonFactory' included in the CustomJsonDecoder instance creation in bootstrapper.dart?";
    }

    return jsonFactory(values);
  }

  List<T> _decodeList<T>(Iterable values) =>
      values.where((v) => v != null).map<T>((v) => decode<T>(v) as T).toList();
}

class $JsonSerializableConverter extends chopper.JsonConverter {
  @override
  FutureOr<chopper.Response<ResultType>> convertResponse<ResultType, Item>(
      chopper.Response response) async {
    if (response.bodyString.isEmpty) {
      // In rare cases, when let's say 204 (no content) is returned -
      // we cannot decode the missing json with the result type specified
      return chopper.Response(response.base, null, error: response.error);
    }

    if (ResultType == String) {
      return response.copyWith();
    }

    if (ResultType == DateTime) {
      return response.copyWith(
          body: DateTime.parse((response.body as String).replaceAll('"', ''))
              as ResultType);
    }

    final jsonRes = await super.convertResponse(response);
    return jsonRes.copyWith<ResultType>(
        body: $jsonDecoder.decode<Item>(jsonRes.body) as ResultType);
  }
}

final $jsonDecoder = $CustomJsonDecoder(generatedMapping);

// ignore: unused_element
String? _dateToJson(DateTime? date) {
  if (date == null) {
    return null;
  }

  final year = date.year.toString();
  final month = date.month < 10 ? '0${date.month}' : date.month.toString();
  final day = date.day < 10 ? '0${date.day}' : date.day.toString();

  return '$year-$month-$day';
}

class Wrapped<T> {
  final T value;
  const Wrapped.value(this.value);
}
