// ignore_for_file: type=lint

import 'package:json_annotation/json_annotation.dart';
import 'package:collection/collection.dart';
import 'dart:convert';

import 'package:chopper/chopper.dart';

import 'client_mapping.dart';
import 'dart:async';
import 'package:http/http.dart' as http;
import 'package:http/http.dart' show MultipartFile;
import 'package:chopper/chopper.dart' as chopper;
import 'ibl_axd_pro.enums.swagger.dart' as enums;
export 'ibl_axd_pro.enums.swagger.dart';

part 'ibl_axd_pro.swagger.chopper.dart';
part 'ibl_axd_pro.swagger.g.dart';

// **************************************************************************
// SwaggerChopperGenerator
// **************************************************************************

@ChopperApi()
abstract class IblAxdPro extends ChopperService {
  static IblAxdPro create({
    ChopperClient? client,
    http.Client? httpClient,
    Authenticator? authenticator,
    Converter? converter,
    Uri? baseUrl,
    Iterable<dynamic>? interceptors,
  }) {
    if (client != null) {
      return _$IblAxdPro(client);
    }

    final newClient = ChopperClient(
        services: [_$IblAxdPro()],
        converter: converter ?? $JsonSerializableConverter(),
        interceptors: interceptors ?? [],
        client: httpClient,
        authenticator: authenticator,
        // baseUrl: baseUrl ?? Uri.parse('https:'));
        baseUrl: baseUrl );

    return _$IblAxdPro(newClient);
  }

  ///
  ///@param org
  Future<chopper.Response<LLMCredential>> apiAiAccountOrgsOrgCredentialGet(
      {required String? org}) {
    generatedMapping.putIfAbsent(
        LLMCredential, () => LLMCredential.fromJsonFactory);

    return _apiAiAccountOrgsOrgCredentialGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/ai/account/orgs/{org}/credential/')
  Future<chopper.Response<LLMCredential>> _apiAiAccountOrgsOrgCredentialGet(
      {@Path('org') required String? org});

  ///
  ///@param org
  Future<chopper.Response<LLMCredential>> apiAiAccountOrgsOrgCredentialPost({
    required String? org,
    required LLMCredential? body,
  }) {
    generatedMapping.putIfAbsent(
        LLMCredential, () => LLMCredential.fromJsonFactory);

    return _apiAiAccountOrgsOrgCredentialPost(org: org, body: body);
  }

  ///
  ///@param org
  @Post(
    path: '/api/ai/account/orgs/{org}/credential/',
    optionalBody: true,
  )
  Future<chopper.Response<LLMCredential>> _apiAiAccountOrgsOrgCredentialPost({
    @Path('org') required String? org,
    @Body() required LLMCredential? body,
  });

  ///
  ///@param org
  Future<chopper.Response<LLMCredential>> apiAiAccountOrgsOrgCredentialPatch({
    required String? org,
    required PatchedLLMCredential? body,
  }) {
    generatedMapping.putIfAbsent(
        LLMCredential, () => LLMCredential.fromJsonFactory);

    return _apiAiAccountOrgsOrgCredentialPatch(org: org, body: body);
  }

  ///
  ///@param org
  @Patch(
    path: '/api/ai/account/orgs/{org}/credential/',
    optionalBody: true,
  )
  Future<chopper.Response<LLMCredential>> _apiAiAccountOrgsOrgCredentialPatch({
    @Path('org') required String? org,
    @Body() required PatchedLLMCredential? body,
  });

  ///
  ///@param org
  Future<chopper.Response<IBLAIPlatformMeta>>
      apiAiAccountOrgsOrgPlatformMetadataGet({required String? org}) {
    generatedMapping.putIfAbsent(
        IBLAIPlatformMeta, () => IBLAIPlatformMeta.fromJsonFactory);

    return _apiAiAccountOrgsOrgPlatformMetadataGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/ai/account/orgs/{org}/platform-metadata/')
  Future<chopper.Response<IBLAIPlatformMeta>>
      _apiAiAccountOrgsOrgPlatformMetadataGet(
          {@Path('org') required String? org});

  ///
  ///@param org
  Future<chopper.Response<IBLAIPlatformMeta>>
      apiAiAccountOrgsOrgPlatformMetadataPost({
    required String? org,
    required IBLAIPlatformMeta? body,
  }) {
    generatedMapping.putIfAbsent(
        IBLAIPlatformMeta, () => IBLAIPlatformMeta.fromJsonFactory);

    return _apiAiAccountOrgsOrgPlatformMetadataPost(org: org, body: body);
  }

  ///
  ///@param org
  @Post(
    path: '/api/ai/account/orgs/{org}/platform-metadata/',
    optionalBody: true,
  )
  Future<chopper.Response<IBLAIPlatformMeta>>
      _apiAiAccountOrgsOrgPlatformMetadataPost({
    @Path('org') required String? org,
    @Body() required IBLAIPlatformMeta? body,
  });

  ///
  ///@param org
  Future<chopper.Response<IBLAIPlatformMeta>>
      apiAiAccountOrgsOrgPlatformMetadataPut({
    required String? org,
    required IBLAIPlatformMeta? body,
  }) {
    generatedMapping.putIfAbsent(
        IBLAIPlatformMeta, () => IBLAIPlatformMeta.fromJsonFactory);

    return _apiAiAccountOrgsOrgPlatformMetadataPut(org: org, body: body);
  }

  ///
  ///@param org
  @Put(
    path: '/api/ai/account/orgs/{org}/platform-metadata/',
    optionalBody: true,
  )
  Future<chopper.Response<IBLAIPlatformMeta>>
      _apiAiAccountOrgsOrgPlatformMetadataPut({
    @Path('org') required String? org,
    @Body() required IBLAIPlatformMeta? body,
  });

  ///
  ///@param org
  Future<chopper.Response<List<APITokenCost>>> apiAiAccountOrgsOrgTokensGet(
      {required String? org}) {
    generatedMapping.putIfAbsent(
        APITokenCost, () => APITokenCost.fromJsonFactory);

    return _apiAiAccountOrgsOrgTokensGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/ai/account/orgs/{org}/tokens/')
  Future<chopper.Response<List<APITokenCost>>> _apiAiAccountOrgsOrgTokensGet(
      {@Path('org') required String? org});

  ///
  ///@param document_id
  ///@param org
  ///@param user_id
  Future<chopper.Response<RetrieverDocumentEmbedding>>
      apiAiIndexOrgsOrgUsersUserIdDocumentsDocumentIdRetrieverDocumentsGet({
    required String? documentId,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(RetrieverDocumentEmbedding,
        () => RetrieverDocumentEmbedding.fromJsonFactory);

    return _apiAiIndexOrgsOrgUsersUserIdDocumentsDocumentIdRetrieverDocumentsGet(
        documentId: documentId, org: org, userId: userId);
  }

  ///
  ///@param document_id
  ///@param org
  ///@param user_id
  @Get(
      path:
          '/api/ai/index/orgs/{org}/users/{user_id}/documents/{document_id}/retriever_documents/')
  Future<chopper.Response<RetrieverDocumentEmbedding>>
      _apiAiIndexOrgsOrgUsersUserIdDocumentsDocumentIdRetrieverDocumentsGet({
    @Path('document_id') required String? documentId,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param document_id
  ///@param org
  ///@param user_id
  Future<chopper.Response<RetrieverDocumentEmbedding>>
      apiAiIndexOrgsOrgUsersUserIdDocumentsDocumentIdRetrieverDocumentsPut({
    required String? documentId,
    required String? org,
    required String? userId,
    required RetrieverDocumentEmbeddingRequest? body,
  }) {
    generatedMapping.putIfAbsent(RetrieverDocumentEmbedding,
        () => RetrieverDocumentEmbedding.fromJsonFactory);

    return _apiAiIndexOrgsOrgUsersUserIdDocumentsDocumentIdRetrieverDocumentsPut(
        documentId: documentId, org: org, userId: userId, body: body);
  }

  ///
  ///@param document_id
  ///@param org
  ///@param user_id
  @Put(
    path:
        '/api/ai/index/orgs/{org}/users/{user_id}/documents/{document_id}/retriever_documents/',
    optionalBody: true,
  )
  Future<chopper.Response<RetrieverDocumentEmbedding>>
      _apiAiIndexOrgsOrgUsersUserIdDocumentsDocumentIdRetrieverDocumentsPut({
    @Path('document_id') required String? documentId,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required RetrieverDocumentEmbeddingRequest? body,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<RetreiverTrainViewResponse>>
      apiAiIndexOrgsOrgUsersUserIdMultilingualRetrieverTrainPost({
    required String? org,
    required String? userId,
    required RetreiverTrainViewRequest? body,
  }) {
    generatedMapping.putIfAbsent(RetreiverTrainViewResponse,
        () => RetreiverTrainViewResponse.fromJsonFactory);

    return _apiAiIndexOrgsOrgUsersUserIdMultilingualRetrieverTrainPost(
        org: org, userId: userId, body: body);
  }

  ///
  ///@param org
  ///@param user_id
  @Post(
    path:
        '/api/ai/index/orgs/{org}/users/{user_id}/multilingual_retriever_train/',
    optionalBody: true,
  )
  Future<chopper.Response<RetreiverTrainViewResponse>>
      _apiAiIndexOrgsOrgUsersUserIdMultilingualRetrieverTrainPost({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required RetreiverTrainViewRequest? body,
  });

  ///
  ///@param org
  ///@param pathway
  ///@param user_id
  Future<chopper.Response<RetrieverDocumentEmbedding>>
      apiAiIndexOrgsOrgUsersUserIdPathwaysPathwayRetrieverDocumentsGet({
    required String? org,
    required String? pathway,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(RetrieverDocumentEmbedding,
        () => RetrieverDocumentEmbedding.fromJsonFactory);

    return _apiAiIndexOrgsOrgUsersUserIdPathwaysPathwayRetrieverDocumentsGet(
        org: org, pathway: pathway, userId: userId);
  }

  ///
  ///@param org
  ///@param pathway
  ///@param user_id
  @Get(
      path:
          '/api/ai/index/orgs/{org}/users/{user_id}/pathways/{pathway}/retriever_documents/')
  Future<chopper.Response<RetrieverDocumentEmbedding>>
      _apiAiIndexOrgsOrgUsersUserIdPathwaysPathwayRetrieverDocumentsGet({
    @Path('org') required String? org,
    @Path('pathway') required String? pathway,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<RetrieverResponseSearch>>
      apiAiIndexOrgsOrgUsersUserIdRetrieverSearchPost({
    required String? org,
    required String? userId,
    required RetrieverRequestSearch? body,
  }) {
    generatedMapping.putIfAbsent(
        RetrieverResponseSearch, () => RetrieverResponseSearch.fromJsonFactory);

    return _apiAiIndexOrgsOrgUsersUserIdRetrieverSearchPost(
        org: org, userId: userId, body: body);
  }

  ///
  ///@param org
  ///@param user_id
  @Post(
    path: '/api/ai/index/orgs/{org}/users/{user_id}/retriever_search/',
    optionalBody: true,
  )
  Future<chopper.Response<RetrieverResponseSearch>>
      _apiAiIndexOrgsOrgUsersUserIdRetrieverSearchPost({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required RetrieverRequestSearch? body,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<RetreiverTrainViewResponse>>
      apiAiIndexOrgsOrgUsersUserIdRetrieverTrainPost({
    required String? org,
    required String? userId,
    required RetreiverTrainViewRequest? body,
  }) {
    generatedMapping.putIfAbsent(RetreiverTrainViewResponse,
        () => RetreiverTrainViewResponse.fromJsonFactory);

    return _apiAiIndexOrgsOrgUsersUserIdRetrieverTrainPost(
        org: org, userId: userId, body: body);
  }

  ///
  ///@param org
  ///@param user_id
  @Post(
    path: '/api/ai/index/orgs/{org}/users/{user_id}/retriever_train/',
    optionalBody: true,
  )
  Future<chopper.Response<RetreiverTrainViewResponse>>
      _apiAiIndexOrgsOrgUsersUserIdRetrieverTrainPost({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required RetreiverTrainViewRequest? body,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<RetrieverRequestSearchDocument>>
      apiAiIndexOrgsOrgUsersUserIdSourcesPost({
    required String? org,
    required String? userId,
    required RetrieverRequestSearch? body,
  }) {
    generatedMapping.putIfAbsent(RetrieverRequestSearchDocument,
        () => RetrieverRequestSearchDocument.fromJsonFactory);

    return _apiAiIndexOrgsOrgUsersUserIdSourcesPost(
        org: org, userId: userId, body: body);
  }

  ///
  ///@param org
  ///@param user_id
  @Post(
    path: '/api/ai/index/orgs/{org}/users/{user_id}/sources/',
    optionalBody: true,
  )
  Future<chopper.Response<RetrieverRequestSearchDocument>>
      _apiAiIndexOrgsOrgUsersUserIdSourcesPost({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required RetrieverRequestSearch? body,
  });

  ///
  ///@param org
  ///@param task_id
  ///@param user_id
  Future<chopper.Response<CheckDocumentTrainingStatus>>
      apiAiIndexOrgsOrgUsersUserIdTasksTaskIdGet({
    required String? org,
    required String? taskId,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(CheckDocumentTrainingStatus,
        () => CheckDocumentTrainingStatus.fromJsonFactory);

    return _apiAiIndexOrgsOrgUsersUserIdTasksTaskIdGet(
        org: org, taskId: taskId, userId: userId);
  }

  ///
  ///@param org
  ///@param task_id
  ///@param user_id
  @Get(path: '/api/ai/index/orgs/{org}/users/{user_id}/tasks/{task_id}/')
  Future<chopper.Response<CheckDocumentTrainingStatus>>
      _apiAiIndexOrgsOrgUsersUserIdTasksTaskIdGet({
    @Path('org') required String? org,
    @Path('task_id') required String? taskId,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<TrainDocumentViewResponse>>
      apiAiIndexOrgsOrgUsersUserIdTrainDocumentPost({
    required String? org,
    required String? userId,
    required TrainDocumentViewRequest? body,
  }) {
    generatedMapping.putIfAbsent(TrainDocumentViewResponse,
        () => TrainDocumentViewResponse.fromJsonFactory);

    return _apiAiIndexOrgsOrgUsersUserIdTrainDocumentPost(
        org: org, userId: userId, body: body);
  }

  ///
  ///@param org
  ///@param user_id
  @Post(
    path: '/api/ai/index/orgs/{org}/users/{user_id}/train-document/',
    optionalBody: true,
  )
  Future<chopper.Response<TrainDocumentViewResponse>>
      _apiAiIndexOrgsOrgUsersUserIdTrainDocumentPost({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required TrainDocumentViewRequest? body,
  });

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  Future<chopper.Response<TrainChatSessionDocumentView>>
      apiAiIndexOrgsOrgUsersUserIdTrainSessionDocumentSessionsSessionIdPost({
    required String? org,
    required String? sessionId,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(TrainChatSessionDocumentView,
        () => TrainChatSessionDocumentView.fromJsonFactory);

    return _apiAiIndexOrgsOrgUsersUserIdTrainSessionDocumentSessionsSessionIdPost(
        org: org, sessionId: sessionId, userId: userId);
  }

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  @Post(
    path:
        '/api/ai/index/orgs/{org}/users/{user_id}/train-session-document/sessions/{session_id}/',
    optionalBody: true,
  )
  Future<chopper.Response<TrainChatSessionDocumentView>>
      _apiAiIndexOrgsOrgUsersUserIdTrainSessionDocumentSessionsSessionIdPost({
    @Path('org') required String? org,
    @Path('session_id') required String? sessionId,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param generation_id
  Future<chopper.Response<WebSocketStopGenerationView>>
      apiAiMentorGenerationsGenerationIdStopGenerationPost(
          {required String? generationId}) {
    generatedMapping.putIfAbsent(WebSocketStopGenerationView,
        () => WebSocketStopGenerationView.fromJsonFactory);

    return _apiAiMentorGenerationsGenerationIdStopGenerationPost(
        generationId: generationId);
  }

  ///
  ///@param generation_id
  @Post(
    path: '/api/ai/mentor/generations/{generation_id}/stop-generation/',
    optionalBody: true,
  )
  Future<chopper.Response<WebSocketStopGenerationView>>
      _apiAiMentorGenerationsGenerationIdStopGenerationPost(
          {@Path('generation_id') required String? generationId});

  ///
  ///@param mentor
  Future<chopper.Response<Mentor>> apiAiMentorMentorsMentorGet(
      {required String? mentor}) {
    generatedMapping.putIfAbsent(Mentor, () => Mentor.fromJsonFactory);

    return _apiAiMentorMentorsMentorGet(mentor: mentor);
  }

  ///
  ///@param mentor
  @Get(path: '/api/ai/mentor/mentors/{mentor}/')
  Future<chopper.Response<Mentor>> _apiAiMentorMentorsMentorGet(
      {@Path('mentor') required String? mentor});

  ///
  ///@param org
  ///@param session_id
  Future<chopper.Response<GuidedPromptsResponse>>
      apiAiMentorOrgsOrgGuidedPromptsSessionsSessionIdGet({
    required String? org,
    required String? sessionId,
  }) {
    generatedMapping.putIfAbsent(
        GuidedPromptsResponse, () => GuidedPromptsResponse.fromJsonFactory);

    return _apiAiMentorOrgsOrgGuidedPromptsSessionsSessionIdGet(
        org: org, sessionId: sessionId);
  }

  ///
  ///@param org
  ///@param session_id
  @Get(path: '/api/ai/mentor/orgs/{org}/guided-prompts/sessions/{session_id}/')
  Future<chopper.Response<GuidedPromptsResponse>>
      _apiAiMentorOrgsOrgGuidedPromptsSessionsSessionIdGet({
    @Path('org') required String? org,
    @Path('session_id') required String? sessionId,
  });

  ///
  ///@param feedback_id
  ///@param org
  Future<chopper.Response<UserChatFeedback>>
      apiAiMentorOrgsOrgMentorFeedbackFeedbackIdGet({
    required int? feedbackId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(
        UserChatFeedback, () => UserChatFeedback.fromJsonFactory);

    return _apiAiMentorOrgsOrgMentorFeedbackFeedbackIdGet(
        feedbackId: feedbackId, org: org);
  }

  ///
  ///@param feedback_id
  ///@param org
  @Get(path: '/api/ai/mentor/orgs/{org}/mentor-feedback/{feedback_id}/')
  Future<chopper.Response<UserChatFeedback>>
      _apiAiMentorOrgsOrgMentorFeedbackFeedbackIdGet({
    @Path('feedback_id') required int? feedbackId,
    @Path('org') required String? org,
  });

  ///
  ///@param feedback_id
  ///@param org
  Future<chopper.Response<UserChatFeedback>>
      apiAiMentorOrgsOrgMentorFeedbackFeedbackIdPut({
    required int? feedbackId,
    required String? org,
    required UserChatFeedback? body,
  }) {
    generatedMapping.putIfAbsent(
        UserChatFeedback, () => UserChatFeedback.fromJsonFactory);

    return _apiAiMentorOrgsOrgMentorFeedbackFeedbackIdPut(
        feedbackId: feedbackId, org: org, body: body);
  }

  ///
  ///@param feedback_id
  ///@param org
  @Put(
    path: '/api/ai/mentor/orgs/{org}/mentor-feedback/{feedback_id}/',
    optionalBody: true,
  )
  Future<chopper.Response<UserChatFeedback>>
      _apiAiMentorOrgsOrgMentorFeedbackFeedbackIdPut({
    @Path('feedback_id') required int? feedbackId,
    @Path('org') required String? org,
    @Body() required UserChatFeedback? body,
  });

  ///
  ///@param org
  Future<chopper.Response<UserChatFeedback>>
      apiAiMentorOrgsOrgMentorFeedbackCreatePost({
    required String? org,
    required UserChatFeedback? body,
  }) {
    generatedMapping.putIfAbsent(
        UserChatFeedback, () => UserChatFeedback.fromJsonFactory);

    return _apiAiMentorOrgsOrgMentorFeedbackCreatePost(org: org, body: body);
  }

  ///
  ///@param org
  @Post(
    path: '/api/ai/mentor/orgs/{org}/mentor-feedback/create/',
    optionalBody: true,
  )
  Future<chopper.Response<UserChatFeedback>>
      _apiAiMentorOrgsOrgMentorFeedbackCreatePost({
    @Path('org') required String? org,
    @Body() required UserChatFeedback? body,
  });

  ///
  ///@param org
  Future<chopper.Response<MentorFromTemplate>>
      apiAiMentorOrgsOrgMentorFromTemplatePost({
    required String? org,
    required MentorFromTemplateRequest? body,
  }) {
    generatedMapping.putIfAbsent(
        MentorFromTemplate, () => MentorFromTemplate.fromJsonFactory);

    return _apiAiMentorOrgsOrgMentorFromTemplatePost(org: org, body: body);
  }

  ///
  ///@param org
  @Post(
    path: '/api/ai/mentor/orgs/{org}/mentor-from-template/',
    optionalBody: true,
  )
  Future<chopper.Response<MentorFromTemplate>>
      _apiAiMentorOrgsOrgMentorFromTemplatePost({
    @Path('org') required String? org,
    @Body() required MentorFromTemplateRequest? body,
  });

  ///
  ///@param org
  Future<chopper.Response<MentorLLMFlowResponse>>
      apiAiMentorOrgsOrgMentorLlmsGet({required String? org}) {
    generatedMapping.putIfAbsent(
        MentorLLMFlowResponse, () => MentorLLMFlowResponse.fromJsonFactory);

    return _apiAiMentorOrgsOrgMentorLlmsGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/ai/mentor/orgs/{org}/mentor-llms/')
  Future<chopper.Response<MentorLLMFlowResponse>>
      _apiAiMentorOrgsOrgMentorLlmsGet({@Path('org') required String? org});

  ///
  ///@param org
  Future<chopper.Response<MentorFromTemplate>>
      apiAiMentorOrgsOrgMentorWithSettingsPost({
    required String? org,
    required MentorFromTemplateWithSettingRequest? body,
  }) {
    generatedMapping.putIfAbsent(
        MentorFromTemplate, () => MentorFromTemplate.fromJsonFactory);

    return _apiAiMentorOrgsOrgMentorWithSettingsPost(org: org, body: body);
  }

  ///
  ///@param org
  @Post(
    path: '/api/ai/mentor/orgs/{org}/mentor-with-settings/',
    optionalBody: true,
  )
  Future<chopper.Response<MentorFromTemplate>>
      _apiAiMentorOrgsOrgMentorWithSettingsPost({
    @Path('org') required String? org,
    @Body() required MentorFromTemplateWithSettingRequest? body,
  });

  ///
  ///@param mentor
  ///@param org
  Future<chopper.Response<MentorSettings>>
      apiAiMentorOrgsOrgMentorsMentorSettingsGet({
    required String? mentor,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(
        MentorSettings, () => MentorSettings.fromJsonFactory);

    return _apiAiMentorOrgsOrgMentorsMentorSettingsGet(
        mentor: mentor, org: org);
  }

  ///
  ///@param mentor
  ///@param org
  @Get(path: '/api/ai/mentor/orgs/{org}/mentors/{mentor}/settings/')
  Future<chopper.Response<MentorSettings>>
      _apiAiMentorOrgsOrgMentorsMentorSettingsGet({
    @Path('mentor') required String? mentor,
    @Path('org') required String? org,
  });

  ///
  ///@param mentor
  ///@param org
  Future<chopper.Response<MentorSettings>>
      apiAiMentorOrgsOrgMentorsMentorSettingsPut({
    required String? mentor,
    required String? org,
    required MentorSettingsRequest? body,
  }) {
    generatedMapping.putIfAbsent(
        MentorSettings, () => MentorSettings.fromJsonFactory);

    return _apiAiMentorOrgsOrgMentorsMentorSettingsPut(
        mentor: mentor, org: org, body: body);
  }

  ///
  ///@param mentor
  ///@param org
  @Put(
    path: '/api/ai/mentor/orgs/{org}/mentors/{mentor}/settings/',
    optionalBody: true,
  )
  Future<chopper.Response<MentorSettings>>
      _apiAiMentorOrgsOrgMentorsMentorSettingsPut({
    @Path('mentor') required String? mentor,
    @Path('org') required String? org,
    @Body() required MentorSettingsRequest? body,
  });

  ///
  ///@param mentor
  ///@param org
  Future<chopper.Response<SuggestedPrompts>>
      apiAiMentorOrgsOrgMentorsMentorSuggestedPromptsGet({
    required String? mentor,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(
        SuggestedPrompts, () => SuggestedPrompts.fromJsonFactory);

    return _apiAiMentorOrgsOrgMentorsMentorSuggestedPromptsGet(
        mentor: mentor, org: org);
  }

  ///
  ///@param mentor
  ///@param org
  @Get(path: '/api/ai/mentor/orgs/{org}/mentors/{mentor}/suggested-prompts/')
  Future<chopper.Response<SuggestedPrompts>>
      _apiAiMentorOrgsOrgMentorsMentorSuggestedPromptsGet({
    @Path('mentor') required String? mentor,
    @Path('org') required String? org,
  });

  ///
  ///@param mentor
  ///@param org
  Future<chopper.Response<SuggestedPrompts>>
      apiAiMentorOrgsOrgMentorsMentorSuggestedPromptsPost({
    required String? mentor,
    required String? org,
    required SuggestedPrompts? body,
  }) {
    generatedMapping.putIfAbsent(
        SuggestedPrompts, () => SuggestedPrompts.fromJsonFactory);

    return _apiAiMentorOrgsOrgMentorsMentorSuggestedPromptsPost(
        mentor: mentor, org: org, body: body);
  }

  ///
  ///@param mentor
  ///@param org
  @Post(
    path: '/api/ai/mentor/orgs/{org}/mentors/{mentor}/suggested-prompts/',
    optionalBody: true,
  )
  Future<chopper.Response<SuggestedPrompts>>
      _apiAiMentorOrgsOrgMentorsMentorSuggestedPromptsPost({
    @Path('mentor') required String? mentor,
    @Path('org') required String? org,
    @Body() required SuggestedPrompts? body,
  });

  ///
  ///@param mentor
  ///@param org
  Future<chopper.Response>
      apiAiMentorOrgsOrgMentorsMentorSuggestedPromptsDelete({
    required String? mentor,
    required String? org,
  }) {
    return _apiAiMentorOrgsOrgMentorsMentorSuggestedPromptsDelete(
        mentor: mentor, org: org);
  }

  ///
  ///@param mentor
  ///@param org
  @Delete(path: '/api/ai/mentor/orgs/{org}/mentors/{mentor}/suggested-prompts/')
  Future<chopper.Response>
      _apiAiMentorOrgsOrgMentorsMentorSuggestedPromptsDelete({
    @Path('mentor') required String? mentor,
    @Path('org') required String? org,
  });

  ///
  ///@param mentor
  ///@param org
  ///@param user_id
  Future<chopper.Response<SessionDetail>>
      apiAiMentorOrgsOrgMentorsMentorUsersUserIdGet({
    required String? mentor,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        SessionDetail, () => SessionDetail.fromJsonFactory);

    return _apiAiMentorOrgsOrgMentorsMentorUsersUserIdGet(
        mentor: mentor, org: org, userId: userId);
  }

  ///
  ///@param mentor
  ///@param org
  ///@param user_id
  @Get(path: '/api/ai/mentor/orgs/{org}/mentors/{mentor}/users/{user_id}/')
  Future<chopper.Response<SessionDetail>>
      _apiAiMentorOrgsOrgMentorsMentorUsersUserIdGet({
    @Path('mentor') required String? mentor,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  Future<chopper.Response<PredictiveAnalyticsResponse>>
      apiAiMentorOrgsOrgPredictiveAnalyticsPost({
    required String? org,
    required PredictiveAnalyticsRequest? body,
  }) {
    generatedMapping.putIfAbsent(PredictiveAnalyticsResponse,
        () => PredictiveAnalyticsResponse.fromJsonFactory);

    return _apiAiMentorOrgsOrgPredictiveAnalyticsPost(org: org, body: body);
  }

  ///
  ///@param org
  @Post(
    path: '/api/ai/mentor/orgs/{org}/predictive-analytics/',
    optionalBody: true,
  )
  Future<chopper.Response<PredictiveAnalyticsResponse>>
      _apiAiMentorOrgsOrgPredictiveAnalyticsPost({
    @Path('org') required String? org,
    @Body() required PredictiveAnalyticsRequest? body,
  });

  ///
  ///@param org
  Future<chopper.Response<ChatSessionResponse>> apiAiMentorOrgsOrgSessionsPost({
    required String? org,
    required ChatSessionRequest? body,
  }) {
    generatedMapping.putIfAbsent(
        ChatSessionResponse, () => ChatSessionResponse.fromJsonFactory);

    return _apiAiMentorOrgsOrgSessionsPost(org: org, body: body);
  }

  ///
  ///@param org
  @Post(
    path: '/api/ai/mentor/orgs/{org}/sessions/',
    optionalBody: true,
  )
  Future<chopper.Response<ChatSessionResponse>>
      _apiAiMentorOrgsOrgSessionsPost({
    @Path('org') required String? org,
    @Body() required ChatSessionRequest? body,
  });

  ///
  ///@param org
  ///@param session_id
  Future<chopper.Response<AskMentorResponse>>
      apiAiMentorOrgsOrgSessionsSessionIdAskPost({
    required String? org,
    required String? sessionId,
    required AskMentorRequest? body,
  }) {
    generatedMapping.putIfAbsent(
        AskMentorResponse, () => AskMentorResponse.fromJsonFactory);

    return _apiAiMentorOrgsOrgSessionsSessionIdAskPost(
        org: org, sessionId: sessionId, body: body);
  }

  ///
  ///@param org
  ///@param session_id
  @Post(
    path: '/api/ai/mentor/orgs/{org}/sessions/{session_id}/ask/',
    optionalBody: true,
  )
  Future<chopper.Response<AskMentorResponse>>
      _apiAiMentorOrgsOrgSessionsSessionIdAskPost({
    @Path('org') required String? org,
    @Path('session_id') required String? sessionId,
    @Body() required AskMentorRequest? body,
  });

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  Future<chopper.Response<AskMentorResponse>>
      apiAiMentorOrgsOrgSessionsSessionIdUsersUserIdAskPost({
    required String? org,
    required String? sessionId,
    required String? userId,
    required AskMentorRequest? body,
  }) {
    generatedMapping.putIfAbsent(
        AskMentorResponse, () => AskMentorResponse.fromJsonFactory);

    return _apiAiMentorOrgsOrgSessionsSessionIdUsersUserIdAskPost(
        org: org, sessionId: sessionId, userId: userId, body: body);
  }

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  @Post(
    path:
        '/api/ai/mentor/orgs/{org}/sessions/{session_id}/users/{user_id}/ask/',
    optionalBody: true,
  )
  Future<chopper.Response<AskMentorResponse>>
      _apiAiMentorOrgsOrgSessionsSessionIdUsersUserIdAskPost({
    @Path('org') required String? org,
    @Path('session_id') required String? sessionId,
    @Path('user_id') required String? userId,
    @Body() required AskMentorRequest? body,
  });

  ///
  ///@param org
  Future<chopper.Response<Usage>> apiAiMentorOrgsOrgUsageGet(
      {required String? org}) {
    generatedMapping.putIfAbsent(Usage, () => Usage.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsageGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/ai/mentor/orgs/{org}/usage/')
  Future<chopper.Response<Usage>> _apiAiMentorOrgsOrgUsageGet(
      {@Path('org') required String? org});

  ///
  ///@param org
  ///@param page A page number within the paginated result set.
  ///@param page_size Number of results to return per page.
  ///@param user_id
  Future<chopper.Response<PaginatedMentorList>>
      apiAiMentorOrgsOrgUsersUserIdGet({
    required String? org,
    int? page,
    int? pageSize,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        PaginatedMentorList, () => PaginatedMentorList.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdGet(
        org: org, page: page, pageSize: pageSize, userId: userId);
  }

  ///
  ///@param org
  ///@param page A page number within the paginated result set.
  ///@param page_size Number of results to return per page.
  ///@param user_id
  @Get(path: '/api/ai/mentor/orgs/{org}/users/{user_id}/')
  Future<chopper.Response<PaginatedMentorList>>
      _apiAiMentorOrgsOrgUsersUserIdGet({
    @Path('org') required String? org,
    @Query() int? page,
    @Query() int? pageSize,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<Mentor>> apiAiMentorOrgsOrgUsersUserIdPost({
    required String? org,
    required String? userId,
    required Mentor? body,
  }) {
    generatedMapping.putIfAbsent(Mentor, () => Mentor.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdPost(
        org: org, userId: userId, body: body);
  }

  ///
  ///@param org
  ///@param user_id
  @Post(
    path: '/api/ai/mentor/orgs/{org}/users/{user_id}/',
    optionalBody: true,
  )
  Future<chopper.Response<Mentor>> _apiAiMentorOrgsOrgUsersUserIdPost({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required Mentor? body,
  });

  ///
  ///@param name
  ///@param org
  ///@param user_id
  Future<chopper.Response<Mentor>> apiAiMentorOrgsOrgUsersUserIdNameGet({
    required String? name,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Mentor, () => Mentor.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdNameGet(
        name: name, org: org, userId: userId);
  }

  ///
  ///@param name
  ///@param org
  ///@param user_id
  @Get(path: '/api/ai/mentor/orgs/{org}/users/{user_id}/{name}/')
  Future<chopper.Response<Mentor>> _apiAiMentorOrgsOrgUsersUserIdNameGet({
    @Path('name') required String? name,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param name
  ///@param org
  ///@param user_id
  Future<chopper.Response<Mentor>> apiAiMentorOrgsOrgUsersUserIdNamePut({
    required String? name,
    required String? org,
    required String? userId,
    required Mentor? body,
  }) {
    generatedMapping.putIfAbsent(Mentor, () => Mentor.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdNamePut(
        name: name, org: org, userId: userId, body: body);
  }

  ///
  ///@param name
  ///@param org
  ///@param user_id
  @Put(
    path: '/api/ai/mentor/orgs/{org}/users/{user_id}/{name}/',
    optionalBody: true,
  )
  Future<chopper.Response<Mentor>> _apiAiMentorOrgsOrgUsersUserIdNamePut({
    @Path('name') required String? name,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required Mentor? body,
  });

  ///
  ///@param name
  ///@param org
  ///@param user_id
  Future<chopper.Response<Mentor>> apiAiMentorOrgsOrgUsersUserIdNamePatch({
    required String? name,
    required String? org,
    required String? userId,
    required PatchedMentor? body,
  }) {
    generatedMapping.putIfAbsent(Mentor, () => Mentor.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdNamePatch(
        name: name, org: org, userId: userId, body: body);
  }

  ///
  ///@param name
  ///@param org
  ///@param user_id
  @Patch(
    path: '/api/ai/mentor/orgs/{org}/users/{user_id}/{name}/',
    optionalBody: true,
  )
  Future<chopper.Response<Mentor>> _apiAiMentorOrgsOrgUsersUserIdNamePatch({
    @Path('name') required String? name,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required PatchedMentor? body,
  });

  ///
  ///@param name
  ///@param org
  ///@param user_id
  Future<chopper.Response> apiAiMentorOrgsOrgUsersUserIdNameDelete({
    required String? name,
    required String? org,
    required String? userId,
  }) {
    return _apiAiMentorOrgsOrgUsersUserIdNameDelete(
        name: name, org: org, userId: userId);
  }

  ///
  ///@param name
  ///@param org
  ///@param user_id
  @Delete(path: '/api/ai/mentor/orgs/{org}/users/{user_id}/{name}/')
  Future<chopper.Response> _apiAiMentorOrgsOrgUsersUserIdNameDelete({
    @Path('name') required String? name,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<PinnedMessageCreate>>
      apiAiMentorOrgsOrgUsersUserIdPinMessageGet({
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        PinnedMessageCreate, () => PinnedMessageCreate.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdPinMessageGet(
        org: org, userId: userId);
  }

  ///
  ///@param org
  ///@param user_id
  @Get(path: '/api/ai/mentor/orgs/{org}/users/{user_id}/pin-message/')
  Future<chopper.Response<PinnedMessageCreate>>
      _apiAiMentorOrgsOrgUsersUserIdPinMessageGet({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<PinnedMessageCreate>>
      apiAiMentorOrgsOrgUsersUserIdPinMessagePost({
    required String? org,
    required String? userId,
    required PinnedMessageCreate? body,
  }) {
    generatedMapping.putIfAbsent(
        PinnedMessageCreate, () => PinnedMessageCreate.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdPinMessagePost(
        org: org, userId: userId, body: body);
  }

  ///
  ///@param org
  ///@param user_id
  @Post(
    path: '/api/ai/mentor/orgs/{org}/users/{user_id}/pin-message/',
    optionalBody: true,
  )
  Future<chopper.Response<PinnedMessageCreate>>
      _apiAiMentorOrgsOrgUsersUserIdPinMessagePost({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required PinnedMessageCreate? body,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response> apiAiMentorOrgsOrgUsersUserIdPinMessageDelete({
    required String? org,
    required String? userId,
  }) {
    return _apiAiMentorOrgsOrgUsersUserIdPinMessageDelete(
        org: org, userId: userId);
  }

  ///
  ///@param org
  ///@param user_id
  @Delete(path: '/api/ai/mentor/orgs/{org}/users/{user_id}/pin-message/')
  Future<chopper.Response> _apiAiMentorOrgsOrgUsersUserIdPinMessageDelete({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<List<Prompt>>>
      apiAiMentorOrgsOrgUsersUserIdPromptGet({
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Prompt, () => Prompt.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdPromptGet(org: org, userId: userId);
  }

  ///
  ///@param org
  ///@param user_id
  @Get(path: '/api/ai/mentor/orgs/{org}/users/{user_id}/prompt/')
  Future<chopper.Response<List<Prompt>>>
      _apiAiMentorOrgsOrgUsersUserIdPromptGet({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<Prompt>> apiAiMentorOrgsOrgUsersUserIdPromptPost({
    required String? org,
    required String? userId,
    required Prompt? body,
  }) {
    generatedMapping.putIfAbsent(Prompt, () => Prompt.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdPromptPost(
        org: org, userId: userId, body: body);
  }

  ///
  ///@param org
  ///@param user_id
  @Post(
    path: '/api/ai/mentor/orgs/{org}/users/{user_id}/prompt/',
    optionalBody: true,
  )
  Future<chopper.Response<Prompt>> _apiAiMentorOrgsOrgUsersUserIdPromptPost({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required Prompt? body,
  });

  ///
  ///@param id A unique integer value identifying this prompt.
  ///@param org
  ///@param user_id
  Future<chopper.Response<Prompt>> apiAiMentorOrgsOrgUsersUserIdPromptIdGet({
    required int? id,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Prompt, () => Prompt.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdPromptIdGet(
        id: id, org: org, userId: userId);
  }

  ///
  ///@param id A unique integer value identifying this prompt.
  ///@param org
  ///@param user_id
  @Get(path: '/api/ai/mentor/orgs/{org}/users/{user_id}/prompt/{id}/')
  Future<chopper.Response<Prompt>> _apiAiMentorOrgsOrgUsersUserIdPromptIdGet({
    @Path('id') required int? id,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param id A unique integer value identifying this prompt.
  ///@param org
  ///@param user_id
  Future<chopper.Response<Prompt>> apiAiMentorOrgsOrgUsersUserIdPromptIdPut({
    required int? id,
    required String? org,
    required String? userId,
    required Prompt? body,
  }) {
    generatedMapping.putIfAbsent(Prompt, () => Prompt.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdPromptIdPut(
        id: id, org: org, userId: userId, body: body);
  }

  ///
  ///@param id A unique integer value identifying this prompt.
  ///@param org
  ///@param user_id
  @Put(
    path: '/api/ai/mentor/orgs/{org}/users/{user_id}/prompt/{id}/',
    optionalBody: true,
  )
  Future<chopper.Response<Prompt>> _apiAiMentorOrgsOrgUsersUserIdPromptIdPut({
    @Path('id') required int? id,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required Prompt? body,
  });

  ///
  ///@param id A unique integer value identifying this prompt.
  ///@param org
  ///@param user_id
  Future<chopper.Response<Prompt>> apiAiMentorOrgsOrgUsersUserIdPromptIdPatch({
    required int? id,
    required String? org,
    required String? userId,
    required PatchedPrompt? body,
  }) {
    generatedMapping.putIfAbsent(Prompt, () => Prompt.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdPromptIdPatch(
        id: id, org: org, userId: userId, body: body);
  }

  ///
  ///@param id A unique integer value identifying this prompt.
  ///@param org
  ///@param user_id
  @Patch(
    path: '/api/ai/mentor/orgs/{org}/users/{user_id}/prompt/{id}/',
    optionalBody: true,
  )
  Future<chopper.Response<Prompt>> _apiAiMentorOrgsOrgUsersUserIdPromptIdPatch({
    @Path('id') required int? id,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required PatchedPrompt? body,
  });

  ///
  ///@param id A unique integer value identifying this prompt.
  ///@param org
  ///@param user_id
  Future<chopper.Response> apiAiMentorOrgsOrgUsersUserIdPromptIdDelete({
    required int? id,
    required String? org,
    required String? userId,
  }) {
    return _apiAiMentorOrgsOrgUsersUserIdPromptIdDelete(
        id: id, org: org, userId: userId);
  }

  ///
  ///@param id A unique integer value identifying this prompt.
  ///@param org
  ///@param user_id
  @Delete(path: '/api/ai/mentor/orgs/{org}/users/{user_id}/prompt/{id}/')
  Future<chopper.Response> _apiAiMentorOrgsOrgUsersUserIdPromptIdDelete({
    @Path('id') required int? id,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<ChatSessionWithMessage>>
      apiAiMentorOrgsOrgUsersUserIdRecentMessagesGet({
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        ChatSessionWithMessage, () => ChatSessionWithMessage.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdRecentMessagesGet(
        org: org, userId: userId);
  }

  ///
  ///@param org
  ///@param user_id
  @Get(path: '/api/ai/mentor/orgs/{org}/users/{user_id}/recent-messages/')
  Future<chopper.Response<ChatSessionWithMessage>>
      _apiAiMentorOrgsOrgUsersUserIdRecentMessagesGet({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param end_date
  ///@param org
  ///@param start_date
  ///@param user_id
  Future<chopper.Response<List<ChatHistorySessionId>>>
      apiAiMentorOrgsOrgUsersUserIdSessionidGet({
    required String? endDate,
    required String? org,
    required String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        ChatHistorySessionId, () => ChatHistorySessionId.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdSessionidGet(
        endDate: endDate, org: org, startDate: startDate, userId: userId);
  }

  ///
  ///@param end_date
  ///@param org
  ///@param start_date
  ///@param user_id
  @Get(path: '/api/ai/mentor/orgs/{org}/users/{user_id}/sessionid/')
  Future<chopper.Response<List<ChatHistorySessionId>>>
      _apiAiMentorOrgsOrgUsersUserIdSessionidGet({
    @Query() required String? endDate,
    @Path('org') required String? org,
    @Query() required String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<ChatSessionResponse>>
      apiAiMentorOrgsOrgUsersUserIdSessionsPost({
    required String? org,
    required String? userId,
    required ChatSessionRequest? body,
  }) {
    generatedMapping.putIfAbsent(
        ChatSessionResponse, () => ChatSessionResponse.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdSessionsPost(
        org: org, userId: userId, body: body);
  }

  ///
  ///@param org
  ///@param user_id
  @Post(
    path: '/api/ai/mentor/orgs/{org}/users/{user_id}/sessions/',
    optionalBody: true,
  )
  Future<chopper.Response<ChatSessionResponse>>
      _apiAiMentorOrgsOrgUsersUserIdSessionsPost({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
    @Body() required ChatSessionRequest? body,
  });

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  Future<chopper.Response<MessageView>>
      apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdGet({
    required String? org,
    required String? sessionId,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        MessageView, () => MessageView.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdGet(
        org: org, sessionId: sessionId, userId: userId);
  }

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  @Get(path: '/api/ai/mentor/orgs/{org}/users/{user_id}/sessions/{session_id}/')
  Future<chopper.Response<MessageView>>
      _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdGet({
    @Path('org') required String? org,
    @Path('session_id') required String? sessionId,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  Future<chopper.Response>
      apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdDelete({
    required String? org,
    required String? sessionId,
    required String? userId,
  }) {
    return _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdDelete(
        org: org, sessionId: sessionId, userId: userId);
  }

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  @Delete(
      path: '/api/ai/mentor/orgs/{org}/users/{user_id}/sessions/{session_id}/')
  Future<chopper.Response>
      _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdDelete({
    @Path('org') required String? org,
    @Path('session_id') required String? sessionId,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  Future<chopper.Response<ChatHistoryItem>>
      apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdDownloadSessionGet({
    required String? org,
    required String? sessionId,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        ChatHistoryItem, () => ChatHistoryItem.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdDownloadSessionGet(
        org: org, sessionId: sessionId, userId: userId);
  }

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  @Get(
      path:
          '/api/ai/mentor/orgs/{org}/users/{user_id}/sessions/{session_id}/download-session')
  Future<chopper.Response<ChatHistoryItem>>
      _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdDownloadSessionGet({
    @Path('org') required String? org,
    @Path('session_id') required String? sessionId,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  Future<chopper.Response<RelatedText>>
      apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdSuggestionGet({
    required String? org,
    required String? sessionId,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        RelatedText, () => RelatedText.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdSuggestionGet(
        org: org, sessionId: sessionId, userId: userId);
  }

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  @Get(
      path:
          '/api/ai/mentor/orgs/{org}/users/{user_id}/sessions/{session_id}/suggestion')
  Future<chopper.Response<RelatedText>>
      _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdSuggestionGet({
    @Path('org') required String? org,
    @Path('session_id') required String? sessionId,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param session_id
  ///@param task_id
  ///@param user_id
  Future<chopper.Response<ChatHistoryItem>>
      apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdTasksTaskIdGet({
    required String? org,
    required String? sessionId,
    required String? taskId,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        ChatHistoryItem, () => ChatHistoryItem.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdTasksTaskIdGet(
        org: org, sessionId: sessionId, taskId: taskId, userId: userId);
  }

  ///
  ///@param org
  ///@param session_id
  ///@param task_id
  ///@param user_id
  @Get(
      path:
          '/api/ai/mentor/orgs/{org}/users/{user_id}/sessions/{session_id}/tasks/{task_id}/')
  Future<chopper.Response<ChatHistoryItem>>
      _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdTasksTaskIdGet({
    @Path('org') required String? org,
    @Path('session_id') required String? sessionId,
    @Path('task_id') required String? taskId,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param task_id
  ///@param user_id
  Future<chopper.Response<RetrieveTask>>
      apiAiMentorOrgsOrgUsersUserIdTasksTaskIdGet({
    required String? org,
    required String? taskId,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        RetrieveTask, () => RetrieveTask.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdTasksTaskIdGet(
        org: org, taskId: taskId, userId: userId);
  }

  ///
  ///@param org
  ///@param task_id
  ///@param user_id
  @Get(path: '/api/ai/mentor/orgs/{org}/users/{user_id}/tasks/{task_id}')
  Future<chopper.Response<RetrieveTask>>
      _apiAiMentorOrgsOrgUsersUserIdTasksTaskIdGet({
    @Path('org') required String? org,
    @Path('task_id') required String? taskId,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  Future<chopper.Response<TaskView>>
      apiAiMentorOrgsOrgUsersUserIdTasksSessionsSessionIdPost({
    required String? org,
    required String? sessionId,
    required String? userId,
    required TaskView? body,
  }) {
    generatedMapping.putIfAbsent(TaskView, () => TaskView.fromJsonFactory);

    return _apiAiMentorOrgsOrgUsersUserIdTasksSessionsSessionIdPost(
        org: org, sessionId: sessionId, userId: userId, body: body);
  }

  ///
  ///@param org
  ///@param session_id
  ///@param user_id
  @Post(
    path:
        '/api/ai/mentor/orgs/{org}/users/{user_id}/tasks/sessions/{session_id}/',
    optionalBody: true,
  )
  Future<chopper.Response<TaskView>>
      _apiAiMentorOrgsOrgUsersUserIdTasksSessionsSessionIdPost({
    @Path('org') required String? org,
    @Path('session_id') required String? sessionId,
    @Path('user_id') required String? userId,
    @Body() required TaskView? body,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<OvertimeWithChangeInfo>>
      apiAudienceOrgsOrgActiveUsersOverTimeGet({
    String? endDate,
    enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        OvertimeWithChangeInfo, () => OvertimeWithChangeInfo.fromJsonFactory);

    return _apiAudienceOrgsOrgActiveUsersOverTimeGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/audience/orgs/{org}/active-users/over-time')
  Future<chopper.Response<OvertimeWithChangeInfo>>
      _apiAudienceOrgsOrgActiveUsersOverTimeGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<ActiveUsersPerCourse>>
      apiAudienceOrgsOrgActiveUsersPerCourseGet({
    String? endDate,
    enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        ActiveUsersPerCourse, () => ActiveUsersPerCourse.fromJsonFactory);

    return _apiAudienceOrgsOrgActiveUsersPerCourseGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/audience/orgs/{org}/active-users/per-course')
  Future<chopper.Response<ActiveUsersPerCourse>>
      _apiAudienceOrgsOrgActiveUsersPerCourseGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  Future<chopper.Response<ActiveUsersList>>
      apiAudienceOrgsOrgActiveUsersUsersGet({
    enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
  }) {
    generatedMapping.putIfAbsent(
        ActiveUsersList, () => ActiveUsersList.fromJsonFactory);

    return _apiAudienceOrgsOrgActiveUsersUsersGet(
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  @Get(path: '/api/audience/orgs/{org}/active-users/users')
  Future<chopper.Response<ActiveUsersList>>
      _apiAudienceOrgsOrgActiveUsersUsersGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
  });

  ///
  ///@param active Any of `y`, `yes`, `true`. set to false or no for unenrollments   * `y` - y * `yes` - yes * `true` - true * `True` - True * `n` - n * `no` - no * `false` - false * `False` - False
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<OvertimeWithChangeInfo>>
      apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGet({
    enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive? active,
    required String? courseId,
    String? endDate,
    enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        OvertimeWithChangeInfo, () => OvertimeWithChangeInfo.fromJsonFactory);

    return _apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGet(
        active: active?.value?.toString(),
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param active Any of `y`, `yes`, `true`. set to false or no for unenrollments   * `y` - y * `yes` - yes * `true` - true * `True` - True * `n` - n * `no` - no * `false` - false * `False` - False
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(
      path:
          '/api/audience/orgs/{org}/enrollments/courses/{course_id}/over-time')
  Future<chopper.Response<OvertimeWithChangeInfo>>
      _apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGet({
    @Query() String? active,
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param active Any of `y`, `yes`, `true`. set to false or no for unenrollments   * `y` - y * `yes` - yes * `true` - true * `True` - True * `n` - n * `no` - no * `false` - false * `False` - False
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<EnrollmentsPerUser>>
      apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGet({
    enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive? active,
    required String? courseId,
    String? endDate,
    enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        EnrollmentsPerUser, () => EnrollmentsPerUser.fromJsonFactory);

    return _apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGet(
        active: active?.value?.toString(),
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page,
        startDate: startDate);
  }

  ///
  ///@param active Any of `y`, `yes`, `true`. set to false or no for unenrollments   * `y` - y * `yes` - yes * `true` - true * `True` - True * `n` - n * `no` - no * `false` - false * `False` - False
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/audience/orgs/{org}/enrollments/courses/{course_id}/users')
  Future<chopper.Response<EnrollmentsPerUser>>
      _apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGet({
    @Query() String? active,
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
    @Query() String? startDate,
  });

  ///
  ///@param active Any of `y`, `yes`, `true`. set to false or no for unenrollments   * `y` - y * `yes` - yes * `true` - true * `True` - True * `n` - n * `no` - no * `false` - false * `False` - False
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<OvertimeWithChangeInfo>>
      apiAudienceOrgsOrgEnrollmentsOverTimeGet({
    enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive? active,
    String? endDate,
    enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        OvertimeWithChangeInfo, () => OvertimeWithChangeInfo.fromJsonFactory);

    return _apiAudienceOrgsOrgEnrollmentsOverTimeGet(
        active: active?.value?.toString(),
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param active Any of `y`, `yes`, `true`. set to false or no for unenrollments   * `y` - y * `yes` - yes * `true` - true * `True` - True * `n` - n * `no` - no * `false` - false * `False` - False
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/audience/orgs/{org}/enrollments/over-time')
  Future<chopper.Response<OvertimeWithChangeInfo>>
      _apiAudienceOrgsOrgEnrollmentsOverTimeGet({
    @Query() String? active,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param active Any of `y`, `yes`, `true`. set to false or no for unenrollments   * `y` - y * `yes` - yes * `true` - true * `True` - True * `n` - n * `no` - no * `false` - false * `False` - False
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<Enrollments>>
      apiAudienceOrgsOrgEnrollmentsPerCourseGet({
    enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive? active,
    String? endDate,
    enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        Enrollments, () => Enrollments.fromJsonFactory);

    return _apiAudienceOrgsOrgEnrollmentsPerCourseGet(
        active: active?.value?.toString(),
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page,
        startDate: startDate);
  }

  ///
  ///@param active Any of `y`, `yes`, `true`. set to false or no for unenrollments   * `y` - y * `yes` - yes * `true` - true * `True` - True * `n` - n * `no` - no * `false` - false * `False` - False
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/audience/orgs/{org}/enrollments/per-course')
  Future<chopper.Response<Enrollments>>
      _apiAudienceOrgsOrgEnrollmentsPerCourseGet({
    @Query() String? active,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
    @Query() String? startDate,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param search Search string for learner
  Future<chopper.Response<PerlearnerUserList>>
      apiAudienceOrgsOrgRegisteredUsersGet({
    enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? search,
  }) {
    generatedMapping.putIfAbsent(
        PerlearnerUserList, () => PerlearnerUserList.fromJsonFactory);

    return _apiAudienceOrgsOrgRegisteredUsersGet(
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page,
        search: search);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param search Search string for learner
  @Get(path: '/api/audience/orgs/{org}/registered-users/')
  Future<chopper.Response<PerlearnerUserList>>
      _apiAudienceOrgsOrgRegisteredUsersGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
    @Query() String? search,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<OvertimeWithChangeInfo>>
      apiAudienceOrgsOrgRegisteredUsersOverTimeGet({
    String? endDate,
    enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        OvertimeWithChangeInfo, () => OvertimeWithChangeInfo.fromJsonFactory);

    return _apiAudienceOrgsOrgRegisteredUsersOverTimeGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/audience/orgs/{org}/registered-users/over-time')
  Future<chopper.Response<OvertimeWithChangeInfo>>
      _apiAudienceOrgsOrgRegisteredUsersOverTimeGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param active Any of `y`, `yes`, `true`. set to false or no for unenrollments   * `y` - y * `yes` - yes * `true` - true * `True` - True * `n` - n * `no` - no * `false` - false * `False` - False
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<Enrollments>>
      apiAudienceOrgsOrgRegisteredUsersPerCourseGet({
    enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive? active,
    String? endDate,
    enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        Enrollments, () => Enrollments.fromJsonFactory);

    return _apiAudienceOrgsOrgRegisteredUsersPerCourseGet(
        active: active?.value?.toString(),
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page,
        startDate: startDate);
  }

  ///
  ///@param active Any of `y`, `yes`, `true`. set to false or no for unenrollments   * `y` - y * `yes` - yes * `true` - true * `True` - True * `n` - n * `no` - no * `false` - false * `False` - False
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/audience/orgs/{org}/registered-users/per-course')
  Future<chopper.Response<Enrollments>>
      _apiAudienceOrgsOrgRegisteredUsersPerCourseGet({
    @Query() String? active,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
    @Query() String? startDate,
  });

  ///
  Future<chopper.Response<AuthToken>> apiAuthLoginPost(
      {required AuthLogin? body}) {
    generatedMapping.putIfAbsent(AuthToken, () => AuthToken.fromJsonFactory);

    return _apiAuthLoginPost(body: body);
  }

  ///
  @Post(
    path: '/api/auth/login/',
    optionalBody: true,
  )
  Future<chopper.Response<AuthToken>> _apiAuthLoginPost(
      {@Body() required AuthLogin? body});

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<AuthToken>> apiAuthOrgsOrgUsersUserIdTokenPost({
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(AuthToken, () => AuthToken.fromJsonFactory);

    return _apiAuthOrgsOrgUsersUserIdTokenPost(org: org, userId: userId);
  }

  ///
  ///@param org
  ///@param user_id
  @Post(
    path: '/api/auth/orgs/{org}/users/{user_id}/token/',
    optionalBody: true,
  )
  Future<chopper.Response<AuthToken>> _apiAuthOrgsOrgUsersUserIdTokenPost({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  Future<chopper.Response<AuthRegisterResponse>> apiAuthRegisterPost(
      {required AuthRegisterRequest? body}) {
    generatedMapping.putIfAbsent(
        AuthRegisterResponse, () => AuthRegisterResponse.fromJsonFactory);

    return _apiAuthRegisterPost(body: body);
  }

  ///
  @Post(
    path: '/api/auth/register/',
    optionalBody: true,
  )
  Future<chopper.Response<AuthRegisterResponse>> _apiAuthRegisterPost(
      {@Body() required AuthRegisterRequest? body});

  ///
  ///@param org
  Future<chopper.Response<List<Cohort>>> apiCohortsOrgsOrgGet(
      {required String? org}) {
    generatedMapping.putIfAbsent(Cohort, () => Cohort.fromJsonFactory);

    return _apiCohortsOrgsOrgGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/cohorts/orgs/{org}/')
  Future<chopper.Response<List<Cohort>>> _apiCohortsOrgsOrgGet(
      {@Path('org') required String? org});

  ///
  ///@param org
  Future<chopper.Response<Cohort>> apiCohortsOrgsOrgPost({
    required String? org,
    required Cohort? body,
  }) {
    generatedMapping.putIfAbsent(Cohort, () => Cohort.fromJsonFactory);

    return _apiCohortsOrgsOrgPost(org: org, body: body);
  }

  ///
  ///@param org
  @Post(
    path: '/api/cohorts/orgs/{org}/',
    optionalBody: true,
  )
  Future<chopper.Response<Cohort>> _apiCohortsOrgsOrgPost({
    @Path('org') required String? org,
    @Body() required Cohort? body,
  });

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  Future<chopper.Response<CohortUpdate>> apiCohortsOrgsOrgIdGet({
    required int? id,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(
        CohortUpdate, () => CohortUpdate.fromJsonFactory);

    return _apiCohortsOrgsOrgIdGet(id: id, org: org);
  }

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  @Get(path: '/api/cohorts/orgs/{org}/{id}/')
  Future<chopper.Response<CohortUpdate>> _apiCohortsOrgsOrgIdGet({
    @Path('id') required int? id,
    @Path('org') required String? org,
  });

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  Future<chopper.Response<CohortUpdate>> apiCohortsOrgsOrgIdPut({
    required int? id,
    required String? org,
    required CohortUpdate? body,
  }) {
    generatedMapping.putIfAbsent(
        CohortUpdate, () => CohortUpdate.fromJsonFactory);

    return _apiCohortsOrgsOrgIdPut(id: id, org: org, body: body);
  }

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  @Put(
    path: '/api/cohorts/orgs/{org}/{id}/',
    optionalBody: true,
  )
  Future<chopper.Response<CohortUpdate>> _apiCohortsOrgsOrgIdPut({
    @Path('id') required int? id,
    @Path('org') required String? org,
    @Body() required CohortUpdate? body,
  });

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  Future<chopper.Response<CohortUpdate>> apiCohortsOrgsOrgIdPatch({
    required int? id,
    required String? org,
    required PatchedCohortUpdate? body,
  }) {
    generatedMapping.putIfAbsent(
        CohortUpdate, () => CohortUpdate.fromJsonFactory);

    return _apiCohortsOrgsOrgIdPatch(id: id, org: org, body: body);
  }

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  @Patch(
    path: '/api/cohorts/orgs/{org}/{id}/',
    optionalBody: true,
  )
  Future<chopper.Response<CohortUpdate>> _apiCohortsOrgsOrgIdPatch({
    @Path('id') required int? id,
    @Path('org') required String? org,
    @Body() required PatchedCohortUpdate? body,
  });

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  Future<chopper.Response> apiCohortsOrgsOrgIdDelete({
    required int? id,
    required String? org,
  }) {
    return _apiCohortsOrgsOrgIdDelete(id: id, org: org);
  }

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  @Delete(path: '/api/cohorts/orgs/{org}/{id}/')
  Future<chopper.Response> _apiCohortsOrgsOrgIdDelete({
    @Path('id') required int? id,
    @Path('org') required String? org,
  });

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  Future<chopper.Response<CohortUpdate>> apiCohortsOrgsOrgIdAddInstructorsPut({
    required int? id,
    required String? org,
    required CohortUpdate? body,
  }) {
    generatedMapping.putIfAbsent(
        CohortUpdate, () => CohortUpdate.fromJsonFactory);

    return _apiCohortsOrgsOrgIdAddInstructorsPut(id: id, org: org, body: body);
  }

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  @Put(
    path: '/api/cohorts/orgs/{org}/{id}/add_instructors/',
    optionalBody: true,
  )
  Future<chopper.Response<CohortUpdate>> _apiCohortsOrgsOrgIdAddInstructorsPut({
    @Path('id') required int? id,
    @Path('org') required String? org,
    @Body() required CohortUpdate? body,
  });

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  Future<chopper.Response> apiCohortsOrgsOrgIdRemoveInstructorsDelete({
    required int? id,
    required String? org,
  }) {
    return _apiCohortsOrgsOrgIdRemoveInstructorsDelete(id: id, org: org);
  }

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  @Delete(path: '/api/cohorts/orgs/{org}/{id}/remove_instructors/')
  Future<chopper.Response> _apiCohortsOrgsOrgIdRemoveInstructorsDelete({
    @Path('id') required int? id,
    @Path('org') required String? org,
  });

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  Future<chopper.Response> apiCohortsOrgsOrgIdRemoveStudentsDelete({
    required int? id,
    required String? org,
  }) {
    return _apiCohortsOrgsOrgIdRemoveStudentsDelete(id: id, org: org);
  }

  ///
  ///@param id A unique integer value identifying this cohort.
  ///@param org
  @Delete(path: '/api/cohorts/orgs/{org}/{id}/remove_students/')
  Future<chopper.Response> _apiCohortsOrgsOrgIdRemoveStudentsDelete({
    @Path('id') required int? id,
    @Path('org') required String? org,
  });

  ///
  ///@param org
  Future<chopper.Response> apiCohortsOrgsOrgRequestsGet(
      {required String? org}) {
    return _apiCohortsOrgsOrgRequestsGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/cohorts/orgs/{org}/requests/')
  Future<chopper.Response> _apiCohortsOrgsOrgRequestsGet(
      {@Path('org') required String? org});

  ///
  ///@param org
  Future<chopper.Response> apiCohortsOrgsOrgRequestsPost(
      {required String? org}) {
    return _apiCohortsOrgsOrgRequestsPost(org: org);
  }

  ///
  ///@param org
  @Post(
    path: '/api/cohorts/orgs/{org}/requests/',
    optionalBody: true,
  )
  Future<chopper.Response> _apiCohortsOrgsOrgRequestsPost(
      {@Path('org') required String? org});

  ///
  ///@param org
  Future<chopper.Response> apiCohortsOrgsOrgRequestsPut(
      {required String? org}) {
    return _apiCohortsOrgsOrgRequestsPut(org: org);
  }

  ///
  ///@param org
  @Put(
    path: '/api/cohorts/orgs/{org}/requests/',
    optionalBody: true,
  )
  Future<chopper.Response> _apiCohortsOrgsOrgRequestsPut(
      {@Path('org') required String? org});

  ///
  ///@param org
  ///@param request_id
  Future<chopper.Response> apiCohortsOrgsOrgRequestsRequestIdGet({
    required String? org,
    required int? requestId,
  }) {
    return _apiCohortsOrgsOrgRequestsRequestIdGet(
        org: org, requestId: requestId);
  }

  ///
  ///@param org
  ///@param request_id
  @Get(path: '/api/cohorts/orgs/{org}/requests/{request_id}')
  Future<chopper.Response> _apiCohortsOrgsOrgRequestsRequestIdGet({
    @Path('org') required String? org,
    @Path('request_id') required int? requestId,
  });

  ///
  ///@param org
  ///@param request_id
  Future<chopper.Response> apiCohortsOrgsOrgRequestsRequestIdPost({
    required String? org,
    required int? requestId,
  }) {
    return _apiCohortsOrgsOrgRequestsRequestIdPost(
        org: org, requestId: requestId);
  }

  ///
  ///@param org
  ///@param request_id
  @Post(
    path: '/api/cohorts/orgs/{org}/requests/{request_id}',
    optionalBody: true,
  )
  Future<chopper.Response> _apiCohortsOrgsOrgRequestsRequestIdPost({
    @Path('org') required String? org,
    @Path('request_id') required int? requestId,
  });

  ///
  ///@param org
  ///@param request_id
  Future<chopper.Response> apiCohortsOrgsOrgRequestsRequestIdPut({
    required String? org,
    required int? requestId,
  }) {
    return _apiCohortsOrgsOrgRequestsRequestIdPut(
        org: org, requestId: requestId);
  }

  ///
  ///@param org
  ///@param request_id
  @Put(
    path: '/api/cohorts/orgs/{org}/requests/{request_id}',
    optionalBody: true,
  )
  Future<chopper.Response> _apiCohortsOrgsOrgRequestsRequestIdPut({
    @Path('org') required String? org,
    @Path('request_id') required int? requestId,
  });

  ///
  ///@param limit Number of results to return per page.
  ///@param offset The initial index from which to return the results.
  ///@param org
  Future<chopper.Response<PaginatedCredentialList>> apiCredentialsOrgsOrgGet({
    int? limit,
    int? offset,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(
        PaginatedCredentialList, () => PaginatedCredentialList.fromJsonFactory);

    return _apiCredentialsOrgsOrgGet(limit: limit, offset: offset, org: org);
  }

  ///
  ///@param limit Number of results to return per page.
  ///@param offset The initial index from which to return the results.
  ///@param org
  @Get(path: '/api/credentials/orgs/{org}/')
  Future<chopper.Response<PaginatedCredentialList>> _apiCredentialsOrgsOrgGet({
    @Query() int? limit,
    @Query() int? offset,
    @Path('org') required String? org,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param limit Number of results to return per page.
  ///@param offset The initial index from which to return the results.
  ///@param org
  Future<chopper.Response<PaginatedAssertionsList>>
      apiCredentialsOrgsOrgAssertionsGet({
    enums.ApiCredentialsOrgsOrgAssertionsGetFormat? format,
    int? groupId,
    int? limit,
    int? offset,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(
        PaginatedAssertionsList, () => PaginatedAssertionsList.fromJsonFactory);

    return _apiCredentialsOrgsOrgAssertionsGet(
        format: format?.value?.toString(),
        groupId: groupId,
        limit: limit,
        offset: offset,
        org: org);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param limit Number of results to return per page.
  ///@param offset The initial index from which to return the results.
  ///@param org
  @Get(path: '/api/credentials/orgs/{org}/assertions/')
  Future<chopper.Response<PaginatedAssertionsList>>
      _apiCredentialsOrgsOrgAssertionsGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? limit,
    @Query() int? offset,
    @Path('org') required String? org,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<OverTime>>
      apiCredentialsOrgsOrgAssertionsOverTimeGet({
    String? endDate,
    enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(OverTime, () => OverTime.fromJsonFactory);

    return _apiCredentialsOrgsOrgAssertionsOverTimeGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/credentials/orgs/{org}/assertions-over-time/')
  Future<chopper.Response<OverTime>>
      _apiCredentialsOrgsOrgAssertionsOverTimeGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<OverTime>>
      apiCredentialsOrgsOrgCourseAssertionsOverTimeGet({
    String? endDate,
    enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(OverTime, () => OverTime.fromJsonFactory);

    return _apiCredentialsOrgsOrgCourseAssertionsOverTimeGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/credentials/orgs/{org}/course-assertions-over-time/')
  Future<chopper.Response<OverTime>>
      _apiCredentialsOrgsOrgCourseAssertionsOverTimeGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param limit Number of results to return per page.
  ///@param offset The initial index from which to return the results.
  ///@param org
  Future<chopper.Response> apiCredentialsOrgsOrgCourseCredentialsGet({
    int? limit,
    int? offset,
    required String? org,
  }) {
    return _apiCredentialsOrgsOrgCourseCredentialsGet(
        limit: limit, offset: offset, org: org);
  }

  ///
  ///@param limit Number of results to return per page.
  ///@param offset The initial index from which to return the results.
  ///@param org
  @Get(path: '/api/credentials/orgs/{org}/course-credentials/')
  Future<chopper.Response> _apiCredentialsOrgsOrgCourseCredentialsGet({
    @Query() int? limit,
    @Query() int? offset,
    @Path('org') required String? org,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<OverTime>>
      apiCredentialsOrgsOrgCredentialsOverTimeGet({
    String? endDate,
    enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(OverTime, () => OverTime.fromJsonFactory);

    return _apiCredentialsOrgsOrgCredentialsOverTimeGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/credentials/orgs/{org}/credentials-over-time/')
  Future<chopper.Response<OverTime>>
      _apiCredentialsOrgsOrgCredentialsOverTimeGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param id
  ///@param org
  Future<chopper.Response<Credential>> apiCredentialsOrgsOrgCredentialsIdGet({
    required int? id,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(Credential, () => Credential.fromJsonFactory);

    return _apiCredentialsOrgsOrgCredentialsIdGet(id: id, org: org);
  }

  ///
  ///@param id
  ///@param org
  @Get(path: '/api/credentials/orgs/{org}/credentials/{id}/')
  Future<chopper.Response<Credential>> _apiCredentialsOrgsOrgCredentialsIdGet({
    @Path('id') required int? id,
    @Path('org') required String? org,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  Future<chopper.Response<EngagementPerCourse>>
      apiEngagementOrgsOrgActivityGet({
    enums.ApiEngagementOrgsOrgActivityGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
  }) {
    generatedMapping.putIfAbsent(
        EngagementPerCourse, () => EngagementPerCourse.fromJsonFactory);

    return _apiEngagementOrgsOrgActivityGet(
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  @Get(path: '/api/engagement/orgs/{org}/activity')
  Future<chopper.Response<EngagementPerCourse>>
      _apiEngagementOrgsOrgActivityGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  Future<chopper.Response<CourseCompletionPerCourse>>
      apiEngagementOrgsOrgCourseCompletionPerCourseGet({
    enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
  }) {
    generatedMapping.putIfAbsent(CourseCompletionPerCourse,
        () => CourseCompletionPerCourse.fromJsonFactory);

    return _apiEngagementOrgsOrgCourseCompletionPerCourseGet(
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  @Get(path: '/api/engagement/orgs/{org}/course_completion/per-course')
  Future<chopper.Response<CourseCompletionPerCourse>>
      _apiEngagementOrgsOrgCourseCompletionPerCourseGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<AverageOvertime>>
      apiEngagementOrgsOrgCoursesCourseIdTimeAverageGet({
    required String? courseId,
    String? endDate,
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        AverageOvertime, () => AverageOvertime.fromJsonFactory);

    return _apiEngagementOrgsOrgCoursesCourseIdTimeAverageGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/engagement/orgs/{org}/courses/{course_id}/time/average')
  Future<chopper.Response<AverageOvertime>>
      _apiEngagementOrgsOrgCoursesCourseIdTimeAverageGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  Future<chopper.Response<TimeDetail>>
      apiEngagementOrgsOrgCoursesCourseIdTimeDetailGet({
    required String? courseId,
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat? format,
    int? groupId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(TimeDetail, () => TimeDetail.fromJsonFactory);

    return _apiEngagementOrgsOrgCoursesCourseIdTimeDetailGet(
        courseId: courseId,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org);
  }

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  @Get(path: '/api/engagement/orgs/{org}/courses/{course_id}/time/detail')
  Future<chopper.Response<TimeDetail>>
      _apiEngagementOrgsOrgCoursesCourseIdTimeDetailGet({
    @Path('course_id') required String? courseId,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<Overtime>>
      apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGet({
    required String? courseId,
    String? endDate,
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(Overtime, () => Overtime.fromJsonFactory);

    return _apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/engagement/orgs/{org}/courses/{course_id}/time/over-time')
  Future<chopper.Response<Overtime>>
      _apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<TimeSpentByUsersInCourse>>
      apiEngagementOrgsOrgCoursesCourseIdTimeUsersGet({
    required String? courseId,
    String? endDate,
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(TimeSpentByUsersInCourse,
        () => TimeSpentByUsersInCourse.fromJsonFactory);

    return _apiEngagementOrgsOrgCoursesCourseIdTimeUsersGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page,
        startDate: startDate);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/engagement/orgs/{org}/courses/{course_id}/time/users')
  Future<chopper.Response<TimeSpentByUsersInCourse>>
      _apiEngagementOrgsOrgCoursesCourseIdTimeUsersGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
    @Query() String? startDate,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<PerLearnerTimeSpentInCourseTree>>
      apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGet({
    required String? courseId,
    String? endDate,
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat?
        format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(PerLearnerTimeSpentInCourseTree,
        () => PerLearnerTimeSpentInCourseTree.fromJsonFactory);

    return _apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(
      path:
          '/api/engagement/orgs/{org}/courses/{course_id}/time/users/{user_id}/detail')
  Future<chopper.Response<PerLearnerTimeSpentInCourseTree>>
      _apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<Overtime>>
      apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGet({
    required String? courseId,
    String? endDate,
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat?
        format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Overtime, () => Overtime.fromJsonFactory);

    return _apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(
      path:
          '/api/engagement/orgs/{org}/courses/{course_id}/time/users/{user_id}/over-time')
  Future<chopper.Response<Overtime>>
      _apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  Future<chopper.Response<VideosSpecificCourse>>
      apiEngagementOrgsOrgCoursesCourseIdVideosGet({
    required String? courseId,
    enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat? format,
    int? groupId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(
        VideosSpecificCourse, () => VideosSpecificCourse.fromJsonFactory);

    return _apiEngagementOrgsOrgCoursesCourseIdVideosGet(
        courseId: courseId,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org);
  }

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  @Get(path: '/api/engagement/orgs/{org}/courses/{course_id}/videos/')
  Future<chopper.Response<VideosSpecificCourse>>
      _apiEngagementOrgsOrgCoursesCourseIdVideosGet({
    @Path('course_id') required String? courseId,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<Overtime>>
      apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGet({
    required String? courseId,
    String? endDate,
    enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(Overtime, () => Overtime.fromJsonFactory);

    return _apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/engagement/orgs/{org}/courses/{course_id}/videos/over-time')
  Future<chopper.Response<Overtime>>
      _apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  Future<chopper.Response<VideosInCourseSummary>>
      apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGet({
    required String? courseId,
    enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat? format,
    int? groupId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(
        VideosInCourseSummary, () => VideosInCourseSummary.fromJsonFactory);

    return _apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGet(
        courseId: courseId,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org);
  }

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  @Get(path: '/api/engagement/orgs/{org}/courses/{course_id}/videos/summary')
  Future<chopper.Response<VideosInCourseSummary>>
      _apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGet({
    @Path('course_id') required String? courseId,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  Future<chopper.Response<WatchedVideosPerUser>>
      apiEngagementOrgsOrgCoursesCourseIdVideosUsersGet({
    required String? courseId,
    enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat? format,
    int? groupId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(
        WatchedVideosPerUser, () => WatchedVideosPerUser.fromJsonFactory);

    return _apiEngagementOrgsOrgCoursesCourseIdVideosUsersGet(
        courseId: courseId,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org);
  }

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  @Get(path: '/api/engagement/orgs/{org}/courses/{course_id}/videos/users')
  Future<chopper.Response<WatchedVideosPerUser>>
      _apiEngagementOrgsOrgCoursesCourseIdVideosUsersGet({
    @Path('course_id') required String? courseId,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<AverageOvertime>>
      apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGet({
    String? endDate,
    enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        AverageOvertime, () => AverageOvertime.fromJsonFactory);

    return _apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/engagement/orgs/{org}/time/average-perlearner-percourse')
  Future<chopper.Response<AverageOvertime>>
      _apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<AverageOvertime>>
      apiEngagementOrgsOrgTimeAverageWithOverTimeGet({
    String? endDate,
    enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        AverageOvertime, () => AverageOvertime.fromJsonFactory);

    return _apiEngagementOrgsOrgTimeAverageWithOverTimeGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/engagement/orgs/{org}/time/average-with-over-time')
  Future<chopper.Response<AverageOvertime>>
      _apiEngagementOrgsOrgTimeAverageWithOverTimeGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<OvertimeWithChangeInfo>>
      apiEngagementOrgsOrgTimeOverTimeGet({
    String? endDate,
    enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        OvertimeWithChangeInfo, () => OvertimeWithChangeInfo.fromJsonFactory);

    return _apiEngagementOrgsOrgTimeOverTimeGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/engagement/orgs/{org}/time/over-time')
  Future<chopper.Response<OvertimeWithChangeInfo>>
      _apiEngagementOrgsOrgTimeOverTimeGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<TimeSpentPerCourse>>
      apiEngagementOrgsOrgTimePerCourseGet({
    String? endDate,
    enums.ApiEngagementOrgsOrgTimePerCourseGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        TimeSpentPerCourse, () => TimeSpentPerCourse.fromJsonFactory);

    return _apiEngagementOrgsOrgTimePerCourseGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/engagement/orgs/{org}/time/per-course')
  Future<chopper.Response<TimeSpentPerCourse>>
      _apiEngagementOrgsOrgTimePerCourseGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
    @Query() String? startDate,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  Future<chopper.Response<VideoEngagementPerCourse>>
      apiEngagementOrgsOrgVideosGet({
    enums.ApiEngagementOrgsOrgVideosGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
  }) {
    generatedMapping.putIfAbsent(VideoEngagementPerCourse,
        () => VideoEngagementPerCourse.fromJsonFactory);

    return _apiEngagementOrgsOrgVideosGet(
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  @Get(path: '/api/engagement/orgs/{org}/videos/')
  Future<chopper.Response<VideoEngagementPerCourse>>
      _apiEngagementOrgsOrgVideosGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<Overtime>> apiEngagementOrgsOrgVideosOverTimeGet({
    String? endDate,
    enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(Overtime, () => Overtime.fromJsonFactory);

    return _apiEngagementOrgsOrgVideosOverTimeGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/engagement/orgs/{org}/videos/over-time')
  Future<chopper.Response<Overtime>> _apiEngagementOrgsOrgVideosOverTimeGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param org
  Future<chopper.Response<Product>> apiFinanceV1OrgsOrgProductsGet(
      {required String? org}) {
    generatedMapping.putIfAbsent(Product, () => Product.fromJsonFactory);

    return _apiFinanceV1OrgsOrgProductsGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/finance/v1/orgs/{org}/products')
  Future<chopper.Response<Product>> _apiFinanceV1OrgsOrgProductsGet(
      {@Path('org') required String? org});

  ///
  ///@param end_date End of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  ///@param org
  ///@param start_date Start of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  Future<chopper.Response<NetRevenueOverTime>>
      apiFinanceV1OrgsOrgRevenueNetOverTimeGet({
    String? endDate,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        NetRevenueOverTime, () => NetRevenueOverTime.fromJsonFactory);

    return _apiFinanceV1OrgsOrgRevenueNetOverTimeGet(
        endDate: endDate, org: org, startDate: startDate);
  }

  ///
  ///@param end_date End of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  ///@param org
  ///@param start_date Start of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  @Get(path: '/api/finance/v1/orgs/{org}/revenue/net-over-time')
  Future<chopper.Response<NetRevenueOverTime>>
      _apiFinanceV1OrgsOrgRevenueNetOverTimeGet({
    @Query() String? endDate,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param end_date End of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  ///@param org
  ///@param start_date Start of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  Future<chopper.Response<RevenueByProduct>>
      apiFinanceV1OrgsOrgRevenueProductsGet({
    String? endDate,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        RevenueByProduct, () => RevenueByProduct.fromJsonFactory);

    return _apiFinanceV1OrgsOrgRevenueProductsGet(
        endDate: endDate, org: org, startDate: startDate);
  }

  ///
  ///@param end_date End of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  ///@param org
  ///@param start_date Start of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  @Get(path: '/api/finance/v1/orgs/{org}/revenue/products')
  Future<chopper.Response<RevenueByProduct>>
      _apiFinanceV1OrgsOrgRevenueProductsGet({
    @Query() String? endDate,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  Future<chopper.Response<Product>> apiFinanceV1ProductsGet() {
    generatedMapping.putIfAbsent(Product, () => Product.fromJsonFactory);

    return _apiFinanceV1ProductsGet();
  }

  ///
  @Get(path: '/api/finance/v1/products')
  Future<chopper.Response<Product>> _apiFinanceV1ProductsGet();

  ///
  ///@param end_date End of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  ///@param slug
  ///@param start_date Start of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  Future<chopper.Response<Order>> apiFinanceV1ProductsSlugOrdersGet({
    String? endDate,
    required String? slug,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(Order, () => Order.fromJsonFactory);

    return _apiFinanceV1ProductsSlugOrdersGet(
        endDate: endDate, slug: slug, startDate: startDate);
  }

  ///
  ///@param end_date End of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  ///@param slug
  ///@param start_date Start of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  @Get(path: '/api/finance/v1/products/{slug}/orders')
  Future<chopper.Response<Order>> _apiFinanceV1ProductsSlugOrdersGet({
    @Query() String? endDate,
    @Path('slug') required String? slug,
    @Query() String? startDate,
  });

  ///
  ///@param end_date End of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  ///@param slug
  ///@param start_date Start of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  Future<chopper.Response<NetRevenueOverTime>>
      apiFinanceV1ProductsSlugSalesOverTimeGet({
    String? endDate,
    required String? slug,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        NetRevenueOverTime, () => NetRevenueOverTime.fromJsonFactory);

    return _apiFinanceV1ProductsSlugSalesOverTimeGet(
        endDate: endDate, slug: slug, startDate: startDate);
  }

  ///
  ///@param end_date End of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  ///@param slug
  ///@param start_date Start of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  @Get(path: '/api/finance/v1/products/{slug}/sales-over-time')
  Future<chopper.Response<NetRevenueOverTime>>
      _apiFinanceV1ProductsSlugSalesOverTimeGet({
    @Query() String? endDate,
    @Path('slug') required String? slug,
    @Query() String? startDate,
  });

  ///
  ///@param end_date End of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  ///@param start_date Start of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  Future<chopper.Response<NetRevenueOverTime>>
      apiFinanceV1RevenueNetOverTimeGet({
    String? endDate,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        NetRevenueOverTime, () => NetRevenueOverTime.fromJsonFactory);

    return _apiFinanceV1RevenueNetOverTimeGet(
        endDate: endDate, startDate: startDate);
  }

  ///
  ///@param end_date End of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  ///@param start_date Start of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  @Get(path: '/api/finance/v1/revenue/net-over-time')
  Future<chopper.Response<NetRevenueOverTime>>
      _apiFinanceV1RevenueNetOverTimeGet({
    @Query() String? endDate,
    @Query() String? startDate,
  });

  ///
  ///@param end_date End of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  ///@param start_date Start of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  Future<chopper.Response<RevenueByProduct>> apiFinanceV1RevenueProductsGet({
    String? endDate,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        RevenueByProduct, () => RevenueByProduct.fromJsonFactory);

    return _apiFinanceV1RevenueProductsGet(
        endDate: endDate, startDate: startDate);
  }

  ///
  ///@param end_date End of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  ///@param start_date Start of date range, not-inclusive. ISO8601 Date or DateTime. Dates will have 00:00:00 set as the time.
  @Get(path: '/api/finance/v1/revenue/products')
  Future<chopper.Response<RevenueByProduct>> _apiFinanceV1RevenueProductsGet({
    @Query() String? endDate,
    @Query() String? startDate,
  });

  ///
  ///@param org
  Future<chopper.Response> apiNotificationV1OrgsOrgNotificationsGet(
      {required String? org}) {
    return _apiNotificationV1OrgsOrgNotificationsGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/notification/v1/orgs/{org}/notifications/')
  Future<chopper.Response> _apiNotificationV1OrgsOrgNotificationsGet(
      {@Path('org') required String? org});

  ///
  ///@param org
  Future<chopper.Response<CreateNotificationResponse>>
      apiNotificationV1OrgsOrgNotificationsPost({
    required String? org,
    required CreateNotification? body,
  }) {
    generatedMapping.putIfAbsent(CreateNotificationResponse,
        () => CreateNotificationResponse.fromJsonFactory);

    return _apiNotificationV1OrgsOrgNotificationsPost(org: org, body: body);
  }

  ///
  ///@param org
  @Post(
    path: '/api/notification/v1/orgs/{org}/notifications/',
    optionalBody: true,
  )
  Future<chopper.Response<CreateNotificationResponse>>
      _apiNotificationV1OrgsOrgNotificationsPost({
    @Path('org') required String? org,
    @Body() required CreateNotification? body,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<OvertimeWithChangeInfo>>
      apiOverviewOrgsOrgActiveUsersGet({
    String? endDate,
    enums.ApiOverviewOrgsOrgActiveUsersGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        OvertimeWithChangeInfo, () => OvertimeWithChangeInfo.fromJsonFactory);

    return _apiOverviewOrgsOrgActiveUsersGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/overview/orgs/{org}/active-users')
  Future<chopper.Response<OvertimeWithChangeInfo>>
      _apiOverviewOrgsOrgActiveUsersGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  Future<chopper.Response<Average>> apiOverviewOrgsOrgAverageGradeGet({
    enums.ApiOverviewOrgsOrgAverageGradeGetFormat? format,
    int? groupId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(Average, () => Average.fromJsonFactory);

    return _apiOverviewOrgsOrgAverageGradeGet(
        format: format?.value?.toString(), groupId: groupId, org: org);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  @Get(path: '/api/overview/orgs/{org}/average-grade')
  Future<chopper.Response<Average>> _apiOverviewOrgsOrgAverageGradeGet({
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<CourseCompletionSummaryOvertime>>
      apiOverviewOrgsOrgCoursesCompletionsGet({
    String? endDate,
    enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(CourseCompletionSummaryOvertime,
        () => CourseCompletionSummaryOvertime.fromJsonFactory);

    return _apiOverviewOrgsOrgCoursesCompletionsGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/overview/orgs/{org}/courses/completions')
  Future<chopper.Response<CourseCompletionSummaryOvertime>>
      _apiOverviewOrgsOrgCoursesCompletionsGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param search Search string for learner
  Future<chopper.Response<PerlearnerUserList>> apiOverviewOrgsOrgLearnersGet({
    enums.ApiOverviewOrgsOrgLearnersGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? search,
  }) {
    generatedMapping.putIfAbsent(
        PerlearnerUserList, () => PerlearnerUserList.fromJsonFactory);

    return _apiOverviewOrgsOrgLearnersGet(
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page,
        search: search);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param search Search string for learner
  @Get(path: '/api/overview/orgs/{org}/learners')
  Future<chopper.Response<PerlearnerUserList>> _apiOverviewOrgsOrgLearnersGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
    @Query() String? search,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<TimeSpentPerCourse>>
      apiOverviewOrgsOrgMostActiveCoursesGet({
    String? endDate,
    enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        TimeSpentPerCourse, () => TimeSpentPerCourse.fromJsonFactory);

    return _apiOverviewOrgsOrgMostActiveCoursesGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/overview/orgs/{org}/most-active-courses')
  Future<chopper.Response<TimeSpentPerCourse>>
      _apiOverviewOrgsOrgMostActiveCoursesGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
    @Query() String? startDate,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<OvertimeWithChangeInfo>>
      apiOverviewOrgsOrgRegisteredUsersGet({
    String? endDate,
    enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(
        OvertimeWithChangeInfo, () => OvertimeWithChangeInfo.fromJsonFactory);

    return _apiOverviewOrgsOrgRegisteredUsersGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/overview/orgs/{org}/registered-users')
  Future<chopper.Response<OvertimeWithChangeInfo>>
      _apiOverviewOrgsOrgRegisteredUsersGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  Future<chopper.Response<Average>>
      apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGet({
    required String? courseId,
    enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat? format,
    int? groupId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(Average, () => Average.fromJsonFactory);

    return _apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGet(
        courseId: courseId,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org);
  }

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  @Get(path: '/api/performance/orgs/{org}/courses/{course_id}/grading/average')
  Future<chopper.Response<Average>>
      _apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGet({
    @Path('course_id') required String? courseId,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  Future<chopper.Response<AvgCourseGradeWithCutoff>>
      apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGet({
    required String? courseId,
    enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat?
        format,
    int? groupId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(AvgCourseGradeWithCutoff,
        () => AvgCourseGradeWithCutoff.fromJsonFactory);

    return _apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGet(
        courseId: courseId,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org);
  }

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  @Get(
      path:
          '/api/performance/orgs/{org}/courses/{course_id}/grading/average-with-cutoff')
  Future<chopper.Response<AvgCourseGradeWithCutoff>>
      _apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGet({
    @Path('course_id') required String? courseId,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  Future<chopper.Response<CourseGradingDetail>>
      apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGet({
    required String? courseId,
    enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat? format,
    int? groupId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(
        CourseGradingDetail, () => CourseGradingDetail.fromJsonFactory);

    return _apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGet(
        courseId: courseId,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org);
  }

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  @Get(path: '/api/performance/orgs/{org}/courses/{course_id}/grading/detail')
  Future<chopper.Response<CourseGradingDetail>>
      _apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGet({
    @Path('course_id') required String? courseId,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  Future<chopper.Response<GradingPerUser>>
      apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGet({
    required String? courseId,
    enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat?
        format,
    int? groupId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(
        GradingPerUser, () => GradingPerUser.fromJsonFactory);

    return _apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGet(
        courseId: courseId,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org);
  }

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  @Get(
      path:
          '/api/performance/orgs/{org}/courses/{course_id}/grading/per-learner')
  Future<chopper.Response<GradingPerUser>>
      _apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGet({
    @Path('course_id') required String? courseId,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  Future<chopper.Response<CourseGradeSummary>>
      apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGet({
    required String? courseId,
    enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat? format,
    int? groupId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(
        CourseGradeSummary, () => CourseGradeSummary.fromJsonFactory);

    return _apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGet(
        courseId: courseId,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org);
  }

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  @Get(path: '/api/performance/orgs/{org}/courses/{course_id}/grading/summary')
  Future<chopper.Response<CourseGradeSummary>>
      _apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGet({
    @Path('course_id') required String? courseId,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  Future<chopper.Response<Average>> apiPerformanceOrgsOrgGradingAverageGet({
    enums.ApiPerformanceOrgsOrgGradingAverageGetFormat? format,
    int? groupId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(Average, () => Average.fromJsonFactory);

    return _apiPerformanceOrgsOrgGradingAverageGet(
        format: format?.value?.toString(), groupId: groupId, org: org);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  @Get(path: '/api/performance/orgs/{org}/grading/average')
  Future<chopper.Response<Average>> _apiPerformanceOrgsOrgGradingAverageGet({
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  Future<chopper.Response<PerformanceGradesPerCourse>>
      apiPerformanceOrgsOrgGradingPerCourseGet({
    enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
  }) {
    generatedMapping.putIfAbsent(PerformanceGradesPerCourse,
        () => PerformanceGradesPerCourse.fromJsonFactory);

    return _apiPerformanceOrgsOrgGradingPerCourseGet(
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  @Get(path: '/api/performance/orgs/{org}/grading/per-course')
  Future<chopper.Response<PerformanceGradesPerCourse>>
      _apiPerformanceOrgsOrgGradingPerCourseGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param search Search string for learner
  Future<chopper.Response<PerlearnerUserList>> apiPerlearnerOrgsOrgUsersGet({
    enums.ApiPerlearnerOrgsOrgUsersGetFormat? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? search,
  }) {
    generatedMapping.putIfAbsent(
        PerlearnerUserList, () => PerlearnerUserList.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersGet(
        format: format?.value?.toString(),
        groupId: groupId,
        length: length,
        org: org,
        page: page,
        search: search);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param length Size of data to return
  ///@param org
  ///@param page Page offset
  ///@param search Search string for learner
  @Get(path: '/api/perlearner/orgs/{org}/users')
  Future<chopper.Response<PerlearnerUserList>> _apiPerlearnerOrgsOrgUsersGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() int? length,
    @Path('org') required String? org,
    @Query() int? page,
    @Query() String? search,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  Future<chopper.Response<ActivityAPI>>
      apiPerlearnerOrgsOrgUsersUserIdActivityGet({
    enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        ActivityAPI, () => ActivityAPI.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdActivityGet(
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        userId: userId);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  @Get(path: '/api/perlearner/orgs/{org}/users/{user_id}/activity/')
  Future<chopper.Response<ActivityAPI>>
      _apiPerlearnerOrgsOrgUsersUserIdActivityGet({
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<PerlearnerGradeWithCutOff>>
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGet({
    required String? courseId,
    String? endDate,
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat?
        format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(PerlearnerGradeWithCutOff,
        () => PerlearnerGradeWithCutOff.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(
      path:
          '/api/perlearner/orgs/{org}/users/{user_id}/courses/{course_id}/grading/cutoffs')
  Future<chopper.Response<PerlearnerGradeWithCutOff>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<DetailedGradeView>>
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGet({
    required String? courseId,
    String? endDate,
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat?
        format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        DetailedGradeView, () => DetailedGradeView.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(
      path:
          '/api/perlearner/orgs/{org}/users/{user_id}/courses/{course_id}/grading/detail')
  Future<chopper.Response<DetailedGradeView>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<PerlearnerGradeSummary>>
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGet({
    required String? courseId,
    String? endDate,
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat?
        format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        PerlearnerGradeSummary, () => PerlearnerGradeSummary.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(
      path:
          '/api/perlearner/orgs/{org}/users/{user_id}/courses/{course_id}/grading/summary')
  Future<chopper.Response<PerlearnerGradeSummary>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param org
  ///@param user_id
  Future<chopper.Response<Value>>
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewEngagementIndexGet({
    required String? courseId,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Value, () => Value.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewEngagementIndexGet(
        courseId: courseId, org: org, userId: userId);
  }

  ///
  ///@param course_id
  ///@param org
  ///@param user_id
  @Get(
      path:
          '/api/perlearner/orgs/{org}/users/{user_id}/courses/{course_id}/overview/engagement-index')
  Future<chopper.Response<Value>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewEngagementIndexGet({
    @Path('course_id') required String? courseId,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<PerlearnerGradeWithCutOff>>
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGet({
    required String? courseId,
    String? endDate,
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat?
        format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(PerlearnerGradeWithCutOff,
        () => PerlearnerGradeWithCutOff.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(
      path:
          '/api/perlearner/orgs/{org}/users/{user_id}/courses/{course_id}/overview/grade')
  Future<chopper.Response<PerlearnerGradeWithCutOff>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<Value>>
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGet({
    required String? courseId,
    String? endDate,
    enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat?
        format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Value, () => Value.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(
      path:
          '/api/perlearner/orgs/{org}/users/{user_id}/courses/{course_id}/overview/performance-index')
  Future<chopper.Response<Value>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<Overtime>>
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGet({
    required String? courseId,
    String? endDate,
    enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat?
        format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Overtime, () => Overtime.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(
      path:
          '/api/perlearner/orgs/{org}/users/{user_id}/courses/{course_id}/overview/time/over-time')
  Future<chopper.Response<Overtime>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  Future<chopper.Response<PerLearnerCourseVideosWatched>>
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGet({
    required String? courseId,
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(PerLearnerCourseVideosWatched,
        () => PerLearnerCourseVideosWatched.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGet(
        courseId: courseId,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        userId: userId);
  }

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  @Get(
      path:
          '/api/perlearner/orgs/{org}/users/{user_id}/courses/{course_id}/videos')
  Future<chopper.Response<PerLearnerCourseVideosWatched>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGet({
    @Path('course_id') required String? courseId,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<Overtime>>
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGet({
    required String? courseId,
    String? endDate,
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat?
        format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Overtime, () => Overtime.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(
      path:
          '/api/perlearner/orgs/{org}/users/{user_id}/courses/{course_id}/videos/over-time')
  Future<chopper.Response<Overtime>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  Future<chopper.Response<PerlearnerGradingPerCourseAPI>>
      apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGet({
    enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(PerlearnerGradingPerCourseAPI,
        () => PerlearnerGradingPerCourseAPI.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGet(
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        userId: userId);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  @Get(path: '/api/perlearner/orgs/{org}/users/{user_id}/grades/per-course')
  Future<chopper.Response<PerlearnerGradingPerCourseAPI>>
      _apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGet({
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param meta Include extra analytics information?  * `y` - y * `yes` - yes * `true` - true * `True` - True * `n` - n * `no` - no * `false` - false * `False` - False
  ///@param org
  ///@param search
  ///@param user_id
  Future<chopper.Response<LearnerInformationAPI>>
      apiPerlearnerOrgsOrgUsersUserIdInfoGet({
    enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat? format,
    int? groupId,
    enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta? meta,
    required String? org,
    String? search,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        LearnerInformationAPI, () => LearnerInformationAPI.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdInfoGet(
        format: format?.value?.toString(),
        groupId: groupId,
        meta: meta?.value?.toString(),
        org: org,
        search: search,
        userId: userId);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param meta Include extra analytics information?  * `y` - y * `yes` - yes * `true` - true * `True` - True * `n` - n * `no` - no * `false` - false * `False` - False
  ///@param org
  ///@param search
  ///@param user_id
  @Get(path: '/api/perlearner/orgs/{org}/users/{user_id}/info')
  Future<chopper.Response<LearnerInformationAPI>>
      _apiPerlearnerOrgsOrgUsersUserIdInfoGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() String? meta,
    @Path('org') required String? org,
    @Query() String? search,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  Future<chopper.Response<PerLearnerLastAccess>>
      apiPerlearnerOrgsOrgUsersUserIdLastAccessGet({
    enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        PerLearnerLastAccess, () => PerLearnerLastAccess.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdLastAccessGet(
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        userId: userId);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  @Get(path: '/api/perlearner/orgs/{org}/users/{user_id}/last-access')
  Future<chopper.Response<PerLearnerLastAccess>>
      _apiPerlearnerOrgsOrgUsersUserIdLastAccessGet({
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<Value>>
      apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGet({
    String? endDate,
    enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat?
        format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Value, () => Value.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(
      path:
          '/api/perlearner/orgs/{org}/users/{user_id}/overview/engagement-index')
  Future<chopper.Response<Value>>
      _apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  Future<chopper.Response<Average>>
      apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGet({
    enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Average, () => Average.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGet(
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        userId: userId);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  @Get(
      path:
          '/api/perlearner/orgs/{org}/users/{user_id}/overview/grades/average')
  Future<chopper.Response<Average>>
      _apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGet({
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<Value>>
      apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGet({
    String? endDate,
    enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat?
        format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Value, () => Value.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(
      path:
          '/api/perlearner/orgs/{org}/users/{user_id}/overview/performance-index')
  Future<chopper.Response<Value>>
      _apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<Overtime>>
      apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGet({
    String? endDate,
    enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Overtime, () => Overtime.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(
      path:
          '/api/perlearner/orgs/{org}/users/{user_id}/overview/time/over-time')
  Future<chopper.Response<Overtime>>
      _apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<Overtime>>
      apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGet({
    String? endDate,
    enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Overtime, () => Overtime.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(path: '/api/perlearner/orgs/{org}/users/{user_id}/videos/over-time')
  Future<chopper.Response<Overtime>>
      _apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<PerlearnerEngagementVideosWatchedPerCourse>>
      apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGet({
    String? endDate,
    enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(PerlearnerEngagementVideosWatchedPerCourse,
        () => PerlearnerEngagementVideosWatchedPerCourse.fromJsonFactory);

    return _apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(path: '/api/perlearner/orgs/{org}/users/{user_id}/videos/per-course')
  Future<chopper.Response<PerlearnerEngagementVideosWatchedPerCourse>>
      _apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  Future<chopper.Response> apiPlatformOrgsOrgGet({required String? org}) {
    return _apiPlatformOrgsOrgGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/platform/orgs/{org}/')
  Future<chopper.Response> _apiPlatformOrgsOrgGet(
      {@Path('org') required String? org});

  ///
  ///@param course_id
  ///@param org
  Future<chopper.Response> apiPlatformOrgsOrgCoursesCourseIdProgressGet({
    required String? courseId,
    required String? org,
  }) {
    return _apiPlatformOrgsOrgCoursesCourseIdProgressGet(
        courseId: courseId, org: org);
  }

  ///
  ///@param course_id
  ///@param org
  @Get(path: '/api/platform/orgs/{org}/courses/{course_id}/progress/')
  Future<chopper.Response> _apiPlatformOrgsOrgCoursesCourseIdProgressGet({
    @Path('course_id') required String? courseId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param org
  Future<chopper.Response>
      apiPlatformOrgsOrgCoursesCourseIdProgressAverageDaysToCompleteGet({
    required String? courseId,
    required String? org,
  }) {
    return _apiPlatformOrgsOrgCoursesCourseIdProgressAverageDaysToCompleteGet(
        courseId: courseId, org: org);
  }

  ///
  ///@param course_id
  ///@param org
  @Get(
      path:
          '/api/platform/orgs/{org}/courses/{course_id}/progress/average-days-to-complete')
  Future<chopper.Response>
      _apiPlatformOrgsOrgCoursesCourseIdProgressAverageDaysToCompleteGet({
    @Path('course_id') required String? courseId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param org
  Future<chopper.Response>
      apiPlatformOrgsOrgCoursesCourseIdProgressAverageTimeToCompleteGet({
    required String? courseId,
    required String? org,
  }) {
    return _apiPlatformOrgsOrgCoursesCourseIdProgressAverageTimeToCompleteGet(
        courseId: courseId, org: org);
  }

  ///
  ///@param course_id
  ///@param org
  @Get(
      path:
          '/api/platform/orgs/{org}/courses/{course_id}/progress/average-time-to-complete')
  Future<chopper.Response>
      _apiPlatformOrgsOrgCoursesCourseIdProgressAverageTimeToCompleteGet({
    @Path('course_id') required String? courseId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param org
  Future<chopper.Response>
      apiPlatformOrgsOrgCoursesCourseIdProgressCompletedGet({
    required String? courseId,
    required String? org,
  }) {
    return _apiPlatformOrgsOrgCoursesCourseIdProgressCompletedGet(
        courseId: courseId, org: org);
  }

  ///
  ///@param course_id
  ///@param org
  @Get(path: '/api/platform/orgs/{org}/courses/{course_id}/progress/completed')
  Future<chopper.Response>
      _apiPlatformOrgsOrgCoursesCourseIdProgressCompletedGet({
    @Path('course_id') required String? courseId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param org
  Future<chopper.Response>
      apiPlatformOrgsOrgCoursesCourseIdProgressCompletionRateGet({
    required String? courseId,
    required String? org,
  }) {
    return _apiPlatformOrgsOrgCoursesCourseIdProgressCompletionRateGet(
        courseId: courseId, org: org);
  }

  ///
  ///@param course_id
  ///@param org
  @Get(
      path:
          '/api/platform/orgs/{org}/courses/{course_id}/progress/completion-rate')
  Future<chopper.Response>
      _apiPlatformOrgsOrgCoursesCourseIdProgressCompletionRateGet({
    @Path('course_id') required String? courseId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param org
  Future<chopper.Response>
      apiPlatformOrgsOrgCoursesCourseIdProgressInProgressGet({
    required String? courseId,
    required String? org,
  }) {
    return _apiPlatformOrgsOrgCoursesCourseIdProgressInProgressGet(
        courseId: courseId, org: org);
  }

  ///
  ///@param course_id
  ///@param org
  @Get(
      path: '/api/platform/orgs/{org}/courses/{course_id}/progress/in-progress')
  Future<chopper.Response>
      _apiPlatformOrgsOrgCoursesCourseIdProgressInProgressGet({
    @Path('course_id') required String? courseId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param org
  Future<chopper.Response> apiPlatformOrgsOrgCoursesCourseIdProgressStartedGet({
    required String? courseId,
    required String? org,
  }) {
    return _apiPlatformOrgsOrgCoursesCourseIdProgressStartedGet(
        courseId: courseId, org: org);
  }

  ///
  ///@param course_id
  ///@param org
  @Get(path: '/api/platform/orgs/{org}/courses/{course_id}/progress/started')
  Future<chopper.Response>
      _apiPlatformOrgsOrgCoursesCourseIdProgressStartedGet({
    @Path('course_id') required String? courseId,
    @Path('org') required String? org,
  });

  ///
  ///@param course_id
  ///@param org
  ///@param user_id
  Future<chopper.Response>
      apiPlatformOrgsOrgCoursesCourseIdUsersUserIdGradesPassedGet({
    required String? courseId,
    required String? org,
    required String? userId,
  }) {
    return _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdGradesPassedGet(
        courseId: courseId, org: org, userId: userId);
  }

  ///
  ///@param course_id
  ///@param org
  ///@param user_id
  @Get(
      path:
          '/api/platform/orgs/{org}/courses/{course_id}/users/{user_id}/grades/passed')
  Future<chopper.Response>
      _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdGradesPassedGet({
    @Path('course_id') required String? courseId,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  Future<chopper.Response<PerlearnerCourseProgress>>
      apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGet({
    required String? courseId,
    enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(PerlearnerCourseProgress,
        () => PerlearnerCourseProgress.fromJsonFactory);

    return _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGet(
        courseId: courseId,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        userId: userId);
  }

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  @Get(
      path:
          '/api/platform/orgs/{org}/courses/{course_id}/users/{user_id}/progress')
  Future<chopper.Response<PerlearnerCourseProgress>>
      _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGet({
    @Path('course_id') required String? courseId,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param org
  ///@param user_id
  Future<chopper.Response>
      apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressDaysToCompleteGet({
    required String? courseId,
    required String? org,
    required String? userId,
  }) {
    return _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressDaysToCompleteGet(
        courseId: courseId, org: org, userId: userId);
  }

  ///
  ///@param course_id
  ///@param org
  ///@param user_id
  @Get(
      path:
          '/api/platform/orgs/{org}/courses/{course_id}/users/{user_id}/progress/days-to-complete')
  Future<chopper.Response>
      _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressDaysToCompleteGet({
    @Path('course_id') required String? courseId,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<Count>>
      apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGet({
    required String? courseId,
    String? endDate,
    enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat?
        format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Count, () => Count.fromJsonFactory);

    return _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGet(
        courseId: courseId,
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param course_id
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(
      path:
          '/api/platform/orgs/{org}/courses/{course_id}/users/{user_id}/time/count')
  Future<chopper.Response<Count>>
      _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGet({
    @Path('course_id') required String? courseId,
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  Future<chopper.Response<VideosCount>>
      apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGet({
    required String? courseId,
    enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat?
        format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        VideosCount, () => VideosCount.fromJsonFactory);

    return _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGet(
        courseId: courseId,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        userId: userId);
  }

  ///
  ///@param course_id
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param user_id
  @Get(
      path:
          '/api/platform/orgs/{org}/courses/{course_id}/users/{user_id}/videos/count')
  Future<chopper.Response<VideosCount>>
      _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGet({
    @Path('course_id') required String? courseId,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param course_id
  ///@param org
  Future<chopper.Response> apiPlatformOrgsOrgCoursesCourseIdVideosGet({
    required String? courseId,
    required String? org,
  }) {
    return _apiPlatformOrgsOrgCoursesCourseIdVideosGet(
        courseId: courseId, org: org);
  }

  ///
  ///@param course_id
  ///@param org
  @Get(path: '/api/platform/orgs/{org}/courses/{course_id}/videos/')
  Future<chopper.Response> _apiPlatformOrgsOrgCoursesCourseIdVideosGet({
    @Path('course_id') required String? courseId,
    @Path('org') required String? org,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  Future<chopper.Response<Count>> apiPlatformOrgsOrgCoursesCountGet({
    enums.ApiPlatformOrgsOrgCoursesCountGetFormat? format,
    int? groupId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(Count, () => Count.fromJsonFactory);

    return _apiPlatformOrgsOrgCoursesCountGet(
        format: format?.value?.toString(), groupId: groupId, org: org);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  @Get(path: '/api/platform/orgs/{org}/courses/count')
  Future<chopper.Response<Count>> _apiPlatformOrgsOrgCoursesCountGet({
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
  });

  ///
  ///@param org
  Future<chopper.Response> apiPlatformOrgsOrgCoursesGradesGet(
      {required String? org}) {
    return _apiPlatformOrgsOrgCoursesGradesGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/platform/orgs/{org}/courses/grades')
  Future<chopper.Response> _apiPlatformOrgsOrgCoursesGradesGet(
      {@Path('org') required String? org});

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  Future<chopper.Response<WatchedVideosPerCourse>>
      apiPlatformOrgsOrgCoursesVideosGet({
    enums.ApiPlatformOrgsOrgCoursesVideosGetFormat? format,
    int? groupId,
    required String? org,
  }) {
    generatedMapping.putIfAbsent(
        WatchedVideosPerCourse, () => WatchedVideosPerCourse.fromJsonFactory);

    return _apiPlatformOrgsOrgCoursesVideosGet(
        format: format?.value?.toString(), groupId: groupId, org: org);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  @Get(path: '/api/platform/orgs/{org}/courses/videos')
  Future<chopper.Response<WatchedVideosPerCourse>>
      _apiPlatformOrgsOrgCoursesVideosGet({
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
  });

  ///
  ///@param org
  Future<chopper.Response> apiPlatformOrgsOrgProgressCompletedGet(
      {required String? org}) {
    return _apiPlatformOrgsOrgProgressCompletedGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/platform/orgs/{org}/progress/completed')
  Future<chopper.Response> _apiPlatformOrgsOrgProgressCompletedGet(
      {@Path('org') required String? org});

  ///
  ///@param org
  Future<chopper.Response> apiPlatformOrgsOrgProgressCompletionRateGet(
      {required String? org}) {
    return _apiPlatformOrgsOrgProgressCompletionRateGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/platform/orgs/{org}/progress/completion-rate')
  Future<chopper.Response> _apiPlatformOrgsOrgProgressCompletionRateGet(
      {@Path('org') required String? org});

  ///
  ///@param org
  Future<chopper.Response> apiPlatformOrgsOrgProgressInProgressGet(
      {required String? org}) {
    return _apiPlatformOrgsOrgProgressInProgressGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/platform/orgs/{org}/progress/in-progress')
  Future<chopper.Response> _apiPlatformOrgsOrgProgressInProgressGet(
      {@Path('org') required String? org});

  ///
  ///@param org
  Future<chopper.Response> apiPlatformOrgsOrgProgressStartedGet(
      {required String? org}) {
    return _apiPlatformOrgsOrgProgressStartedGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/platform/orgs/{org}/progress/started')
  Future<chopper.Response> _apiPlatformOrgsOrgProgressStartedGet(
      {@Path('org') required String? org});

  ///
  ///@param org
  Future<chopper.Response> apiPlatformOrgsOrgTimeCountGet(
      {required String? org}) {
    return _apiPlatformOrgsOrgTimeCountGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/platform/orgs/{org}/time/count')
  Future<chopper.Response> _apiPlatformOrgsOrgTimeCountGet(
      {@Path('org') required String? org});

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<Overtime>> apiPlatformOrgsOrgUsersActiveCountGet({
    String? endDate,
    enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(Overtime, () => Overtime.fromJsonFactory);

    return _apiPlatformOrgsOrgUsersActiveCountGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/platform/orgs/{org}/users/active/count')
  Future<chopper.Response<Overtime>> _apiPlatformOrgsOrgUsersActiveCountGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<Overtime>> apiPlatformOrgsOrgUsersCountGet({
    String? endDate,
    enums.ApiPlatformOrgsOrgUsersCountGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(Overtime, () => Overtime.fromJsonFactory);

    return _apiPlatformOrgsOrgUsersCountGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/platform/orgs/{org}/users/count')
  Future<chopper.Response<Overtime>> _apiPlatformOrgsOrgUsersCountGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  Future<chopper.Response<Overtime>>
      apiPlatformOrgsOrgUsersCoursesCompletedCountGet({
    String? endDate,
    enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    generatedMapping.putIfAbsent(Overtime, () => Overtime.fromJsonFactory);

    return _apiPlatformOrgsOrgUsersCoursesCompletedCountGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org
  ///@param start_date start date. ISO 8601
  @Get(path: '/api/platform/orgs/{org}/users/courses-completed/count')
  Future<chopper.Response<Overtime>>
      _apiPlatformOrgsOrgUsersCoursesCompletedCountGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Path('org') required String? org,
    @Query() String? startDate,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org Organization ID
  ///@param user_id
  Future<chopper.Response<Count>> apiPlatformUsersUserIdAssessmentsCountGet({
    enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Count, () => Count.fromJsonFactory);

    return _apiPlatformUsersUserIdAssessmentsCountGet(
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        userId: userId);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org Organization ID
  ///@param user_id
  @Get(path: '/api/platform/users/{user_id}/assessments/count')
  Future<chopper.Response<Count>> _apiPlatformUsersUserIdAssessmentsCountGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org Organization ID
  ///@param user_id
  Future<chopper.Response<Count>> apiPlatformUsersUserIdCoursesCompletedGet({
    enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Count, () => Count.fromJsonFactory);

    return _apiPlatformUsersUserIdCoursesCompletedGet(
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        userId: userId);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org Organization ID
  ///@param user_id
  @Get(path: '/api/platform/users/{user_id}/courses/completed')
  Future<chopper.Response<Count>> _apiPlatformUsersUserIdCoursesCompletedGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param user_id
  Future<chopper.Response> apiPlatformUsersUserIdCoursesInProgressGet(
      {required String? userId}) {
    return _apiPlatformUsersUserIdCoursesInProgressGet(userId: userId);
  }

  ///
  ///@param user_id
  @Get(path: '/api/platform/users/{user_id}/courses/in-progress')
  Future<chopper.Response> _apiPlatformUsersUserIdCoursesInProgressGet(
      {@Path('user_id') required String? userId});

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org Organization ID
  ///@param user_id
  Future<chopper.Response<Count>> apiPlatformUsersUserIdCoursesStartedGet({
    enums.ApiPlatformUsersUserIdCoursesStartedGetFormat? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Count, () => Count.fromJsonFactory);

    return _apiPlatformUsersUserIdCoursesStartedGet(
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        userId: userId);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org Organization ID
  ///@param user_id
  @Get(path: '/api/platform/users/{user_id}/courses/started')
  Future<chopper.Response<Count>> _apiPlatformUsersUserIdCoursesStartedGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org Organization ID
  ///@param user_id
  Future<chopper.Response<StatusPerCourseAPI>>
      apiPlatformUsersUserIdCoursesStatusGet({
    enums.ApiPlatformUsersUserIdCoursesStatusGetFormat? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        StatusPerCourseAPI, () => StatusPerCourseAPI.fromJsonFactory);

    return _apiPlatformUsersUserIdCoursesStatusGet(
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        userId: userId);
  }

  ///
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org Organization ID
  ///@param user_id
  @Get(path: '/api/platform/users/{user_id}/courses/status')
  Future<chopper.Response<StatusPerCourseAPI>>
      _apiPlatformUsersUserIdCoursesStatusGet({
    @Query() String? format,
    @Query() int? groupId,
    @Query() required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org Organization ID
  ///@param start_date start date. ISO 8601
  ///@param user_id
  Future<chopper.Response<Count>> apiPlatformUsersUserIdCoursesTimeGet({
    String? endDate,
    enums.ApiPlatformUsersUserIdCoursesTimeGetFormat? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(Count, () => Count.fromJsonFactory);

    return _apiPlatformUsersUserIdCoursesTimeGet(
        endDate: endDate,
        format: format?.value?.toString(),
        groupId: groupId,
        org: org,
        startDate: startDate,
        userId: userId);
  }

  ///
  ///@param end_date end date. ISO 8601
  ///@param format Format  * `json` - json
  ///@param group_id Cohort Group ID
  ///@param org Organization ID
  ///@param start_date start date. ISO 8601
  ///@param user_id
  @Get(path: '/api/platform/users/{user_id}/courses/time')
  Future<chopper.Response<Count>> _apiPlatformUsersUserIdCoursesTimeGet({
    @Query() String? endDate,
    @Query() String? format,
    @Query() int? groupId,
    @Query() required String? org,
    @Query() String? startDate,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<RecommendationSearchAPI>>
      apiRecommendationsOrgsOrgUsersUserIdGet({
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        RecommendationSearchAPI, () => RecommendationSearchAPI.fromJsonFactory);

    return _apiRecommendationsOrgsOrgUsersUserIdGet(org: org, userId: userId);
  }

  ///
  ///@param org
  ///@param user_id
  @Get(path: '/api/recommendations/orgs/{org}/users/{user_id}/')
  Future<chopper.Response<RecommendationSearchAPI>>
      _apiRecommendationsOrgsOrgUsersUserIdGet({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param owner Owner of the report. (username)
  Future<chopper.Response<List<ReportList>>> apiReportsOrgsOrgGet({
    required String? org,
    String? owner,
  }) {
    generatedMapping.putIfAbsent(ReportList, () => ReportList.fromJsonFactory);

    return _apiReportsOrgsOrgGet(org: org, owner: owner);
  }

  ///
  ///@param org
  ///@param owner Owner of the report. (username)
  @Get(path: '/api/reports/orgs/{org}/')
  Future<chopper.Response<List<ReportList>>> _apiReportsOrgsOrgGet({
    @Path('org') required String? org,
    @Query() String? owner,
  });

  ///
  ///@param org
  ///@param owner Owner of the report. (username)
  ///@param task_id
  Future<chopper.Response<ReportDetail>> apiReportsOrgsOrgTaskIdGet({
    required String? org,
    String? owner,
    required String? taskId,
  }) {
    generatedMapping.putIfAbsent(
        ReportDetail, () => ReportDetail.fromJsonFactory);

    return _apiReportsOrgsOrgTaskIdGet(org: org, owner: owner, taskId: taskId);
  }

  ///
  ///@param org
  ///@param owner Owner of the report. (username)
  ///@param task_id
  @Get(path: '/api/reports/orgs/{org}/{task_id}')
  Future<chopper.Response<ReportDetail>> _apiReportsOrgsOrgTaskIdGet({
    @Path('org') required String? org,
    @Query() String? owner,
    @Path('task_id') required String? taskId,
  });

  ///
  ///@param org
  Future<chopper.Response<ReportCreate>> apiReportsOrgsOrgNewPost({
    required String? org,
    required ReportRequest? body,
  }) {
    generatedMapping.putIfAbsent(
        ReportCreate, () => ReportCreate.fromJsonFactory);

    return _apiReportsOrgsOrgNewPost(org: org, body: body);
  }

  ///
  ///@param org
  @Post(
    path: '/api/reports/orgs/{org}/new',
    optionalBody: true,
  )
  Future<chopper.Response<ReportCreate>> _apiReportsOrgsOrgNewPost({
    @Path('org') required String? org,
    @Body() required ReportRequest? body,
  });

  ///
  ///@param org
  ///@param username
  Future<chopper.Response<DesiredRole>>
      apiRolesPlatformOrgsOrgRolesUsersUsernameDesiredRolesGet({
    required String? org,
    required String? username,
  }) {
    generatedMapping.putIfAbsent(
        DesiredRole, () => DesiredRole.fromJsonFactory);

    return _apiRolesPlatformOrgsOrgRolesUsersUsernameDesiredRolesGet(
        org: org, username: username);
  }

  ///
  ///@param org
  ///@param username
  @Get(
      path:
          '/api/roles/platform/orgs/{org}/roles/users/{username}/desired-roles/')
  Future<chopper.Response<DesiredRole>>
      _apiRolesPlatformOrgsOrgRolesUsersUsernameDesiredRolesGet({
    @Path('org') required String? org,
    @Path('username') required String? username,
  });

  ///
  ///@param org
  ///@param username
  Future<chopper.Response<ReportedRole>>
      apiRolesPlatformOrgsOrgRolesUsersUsernameReportedRolesGet({
    required String? org,
    required String? username,
  }) {
    generatedMapping.putIfAbsent(
        ReportedRole, () => ReportedRole.fromJsonFactory);

    return _apiRolesPlatformOrgsOrgRolesUsersUsernameReportedRolesGet(
        org: org, username: username);
  }

  ///
  ///@param org
  ///@param username
  @Get(
      path:
          '/api/roles/platform/orgs/{org}/roles/users/{username}/reported-roles/')
  Future<chopper.Response<ReportedRole>>
      _apiRolesPlatformOrgsOrgRolesUsersUsernameReportedRolesGet({
    @Path('org') required String? org,
    @Path('username') required String? username,
  });

  ///
  ///@param format
  ///@param lang
  Future<chopper.Response<Object>> apiSchemaGet({
    enums.ApiSchemaGetFormat? format,
    enums.ApiSchemaGetLang? lang,
  }) {
    return _apiSchemaGet(
        format: format?.value?.toString(), lang: lang?.value?.toString());
  }

  ///
  ///@param format
  ///@param lang
  @Get(path: '/api/schema/')
  Future<chopper.Response<Object>> _apiSchemaGet({
    @Query() String? format,
    @Query() String? lang,
  });

  ///
  ///@param org
  Future<chopper.Response<List<SkillInfo>>> apiSkillsOrgsOrgSkillsGet(
      {required String? org}) {
    generatedMapping.putIfAbsent(SkillInfo, () => SkillInfo.fromJsonFactory);

    return _apiSkillsOrgsOrgSkillsGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/skills/orgs/{org}/skills')
  Future<chopper.Response<List<SkillInfo>>> _apiSkillsOrgsOrgSkillsGet(
      {@Path('org') required String? org});

  ///
  ///@param org
  ///@param skill_id
  Future<chopper.Response<PointsPercentile>>
      apiSkillsOrgsOrgSkillsSkillIdPercentileGet({
    required String? org,
    required int? skillId,
  }) {
    generatedMapping.putIfAbsent(
        PointsPercentile, () => PointsPercentile.fromJsonFactory);

    return _apiSkillsOrgsOrgSkillsSkillIdPercentileGet(
        org: org, skillId: skillId);
  }

  ///
  ///@param org
  ///@param skill_id
  @Get(path: '/api/skills/orgs/{org}/skills/{skill_id}/percentile/')
  Future<chopper.Response<PointsPercentile>>
      _apiSkillsOrgsOrgSkillsSkillIdPercentileGet({
    @Path('org') required String? org,
    @Path('skill_id') required int? skillId,
  });

  ///
  ///@param org
  ///@param skill_name
  Future<chopper.Response<SkillDetail>> apiSkillsOrgsOrgSkillsSkillNameGet({
    required String? org,
    required String? skillName,
  }) {
    generatedMapping.putIfAbsent(
        SkillDetail, () => SkillDetail.fromJsonFactory);

    return _apiSkillsOrgsOrgSkillsSkillNameGet(org: org, skillName: skillName);
  }

  ///
  ///@param org
  ///@param skill_name
  @Get(path: '/api/skills/orgs/{org}/skills/{skill_name}/')
  Future<chopper.Response<SkillDetail>> _apiSkillsOrgsOrgSkillsSkillNameGet({
    @Path('org') required String? org,
    @Path('skill_name') required String? skillName,
  });

  ///
  ///@param org
  Future<chopper.Response<List<PointsPercentile>>>
      apiSkillsOrgsOrgSkillsPercentileGet({required String? org}) {
    generatedMapping.putIfAbsent(
        PointsPercentile, () => PointsPercentile.fromJsonFactory);

    return _apiSkillsOrgsOrgSkillsPercentileGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/skills/orgs/{org}/skills/percentile/')
  Future<chopper.Response<List<PointsPercentile>>>
      _apiSkillsOrgsOrgSkillsPercentileGet({@Path('org') required String? org});

  ///
  ///@param org
  Future<chopper.Response<SkillThreshold>> apiSkillsOrgsOrgSkillsThresholdsGet(
      {required String? org}) {
    generatedMapping.putIfAbsent(
        SkillThreshold, () => SkillThreshold.fromJsonFactory);

    return _apiSkillsOrgsOrgSkillsThresholdsGet(org: org);
  }

  ///
  ///@param org
  @Get(path: '/api/skills/orgs/{org}/skills/thresholds/')
  Future<chopper.Response<SkillThreshold>> _apiSkillsOrgsOrgSkillsThresholdsGet(
      {@Path('org') required String? org});

  ///
  ///@param org
  Future<chopper.Response<SkillThreshold>>
      apiSkillsOrgsOrgSkillsThresholdsPost({
    required String? org,
    required SkillThreshold? body,
  }) {
    generatedMapping.putIfAbsent(
        SkillThreshold, () => SkillThreshold.fromJsonFactory);

    return _apiSkillsOrgsOrgSkillsThresholdsPost(org: org, body: body);
  }

  ///
  ///@param org
  @Post(
    path: '/api/skills/orgs/{org}/skills/thresholds/',
    optionalBody: true,
  )
  Future<chopper.Response<SkillThreshold>>
      _apiSkillsOrgsOrgSkillsThresholdsPost({
    @Path('org') required String? org,
    @Body() required SkillThreshold? body,
  });

  ///
  ///@param org
  Future<chopper.Response<SkillThreshold>>
      apiSkillsOrgsOrgSkillsThresholdsPatch({
    required String? org,
    required PatchedSkillThreshold? body,
  }) {
    generatedMapping.putIfAbsent(
        SkillThreshold, () => SkillThreshold.fromJsonFactory);

    return _apiSkillsOrgsOrgSkillsThresholdsPatch(org: org, body: body);
  }

  ///
  ///@param org
  @Patch(
    path: '/api/skills/orgs/{org}/skills/thresholds/',
    optionalBody: true,
  )
  Future<chopper.Response<SkillThreshold>>
      _apiSkillsOrgsOrgSkillsThresholdsPatch({
    @Path('org') required String? org,
    @Body() required PatchedSkillThreshold? body,
  });

  ///
  ///@param org
  Future<chopper.Response> apiSkillsOrgsOrgSkillsThresholdsDelete(
      {required String? org}) {
    return _apiSkillsOrgsOrgSkillsThresholdsDelete(org: org);
  }

  ///
  ///@param org
  @Delete(path: '/api/skills/orgs/{org}/skills/thresholds/')
  Future<chopper.Response> _apiSkillsOrgsOrgSkillsThresholdsDelete(
      {@Path('org') required String? org});

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<UserSkill>> apiSkillsOrgsOrgSkillsUsersUserIdGet({
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(UserSkill, () => UserSkill.fromJsonFactory);

    return _apiSkillsOrgsOrgSkillsUsersUserIdGet(org: org, userId: userId);
  }

  ///
  ///@param org
  ///@param user_id
  @Get(path: '/api/skills/orgs/{org}/skills/users/{user_id}/')
  Future<chopper.Response<UserSkill>> _apiSkillsOrgsOrgSkillsUsersUserIdGet({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<DesiredSkill>>
      apiSkillsOrgsOrgSkillsUsersUserIdDesiredSkillsGet({
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        DesiredSkill, () => DesiredSkill.fromJsonFactory);

    return _apiSkillsOrgsOrgSkillsUsersUserIdDesiredSkillsGet(
        org: org, userId: userId);
  }

  ///
  ///@param org
  ///@param user_id
  @Get(path: '/api/skills/orgs/{org}/skills/users/{user_id}/desired-skills/')
  Future<chopper.Response<DesiredSkill>>
      _apiSkillsOrgsOrgSkillsUsersUserIdDesiredSkillsGet({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<UserSkillPointsPercentile>>
      apiSkillsOrgsOrgSkillsUsersUserIdPointPercentileGet({
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(UserSkillPointsPercentile,
        () => UserSkillPointsPercentile.fromJsonFactory);

    return _apiSkillsOrgsOrgSkillsUsersUserIdPointPercentileGet(
        org: org, userId: userId);
  }

  ///
  ///@param org
  ///@param user_id
  @Get(path: '/api/skills/orgs/{org}/skills/users/{user_id}/point-percentile/')
  Future<chopper.Response<UserSkillPointsPercentile>>
      _apiSkillsOrgsOrgSkillsUsersUserIdPointPercentileGet({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });

  ///
  ///@param org
  ///@param user_id
  Future<chopper.Response<ReportedSkill>>
      apiSkillsOrgsOrgSkillsUsersUserIdReportedSkillsGet({
    required String? org,
    required String? userId,
  }) {
    generatedMapping.putIfAbsent(
        ReportedSkill, () => ReportedSkill.fromJsonFactory);

    return _apiSkillsOrgsOrgSkillsUsersUserIdReportedSkillsGet(
        org: org, userId: userId);
  }

  ///
  ///@param org
  ///@param user_id
  @Get(path: '/api/skills/orgs/{org}/skills/users/{user_id}/reported-skills/')
  Future<chopper.Response<ReportedSkill>>
      _apiSkillsOrgsOrgSkillsUsersUserIdReportedSkillsGet({
    @Path('org') required String? org,
    @Path('user_id') required String? userId,
  });
}

@JsonSerializable(explicitToJson: true)
class APITokenCost {
  const APITokenCost({
    required this.date,
    required this.completionTokens,
    required this.promptTokens,
  });

  factory APITokenCost.fromJson(Map<String, dynamic> json) =>
      _$APITokenCostFromJson(json);

  static const toJsonFactory = _$APITokenCostToJson;
  Map<String, dynamic> toJson() => _$APITokenCostToJson(this);

  @JsonKey(name: 'date', toJson: _dateToJson)
  final DateTime date;
  @JsonKey(name: 'completion_tokens')
  final int completionTokens;
  @JsonKey(name: 'prompt_tokens')
  final int promptTokens;
  static const fromJsonFactory = _$APITokenCostFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is APITokenCost &&
            (identical(other.date, date) ||
                const DeepCollectionEquality().equals(other.date, date)) &&
            (identical(other.completionTokens, completionTokens) ||
                const DeepCollectionEquality()
                    .equals(other.completionTokens, completionTokens)) &&
            (identical(other.promptTokens, promptTokens) ||
                const DeepCollectionEquality()
                    .equals(other.promptTokens, promptTokens)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(date) ^
      const DeepCollectionEquality().hash(completionTokens) ^
      const DeepCollectionEquality().hash(promptTokens) ^
      runtimeType.hashCode;
}

extension $APITokenCostExtension on APITokenCost {
  APITokenCost copyWith(
      {DateTime? date, int? completionTokens, int? promptTokens}) {
    return APITokenCost(
        date: date ?? this.date,
        completionTokens: completionTokens ?? this.completionTokens,
        promptTokens: promptTokens ?? this.promptTokens);
  }

  APITokenCost copyWithWrapped(
      {Wrapped<DateTime>? date,
      Wrapped<int>? completionTokens,
      Wrapped<int>? promptTokens}) {
    return APITokenCost(
        date: (date != null ? date.value : this.date),
        completionTokens: (completionTokens != null
            ? completionTokens.value
            : this.completionTokens),
        promptTokens:
            (promptTokens != null ? promptTokens.value : this.promptTokens));
  }
}

@JsonSerializable(explicitToJson: true)
class ActiveUsersData {
  const ActiveUsersData({
    required this.username,
    required this.name,
    required this.engagementIndex,
    required this.performanceIndex,
  });

  factory ActiveUsersData.fromJson(Map<String, dynamic> json) =>
      _$ActiveUsersDataFromJson(json);

  static const toJsonFactory = _$ActiveUsersDataToJson;
  Map<String, dynamic> toJson() => _$ActiveUsersDataToJson(this);

  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'engagement_index')
  final double engagementIndex;
  @JsonKey(name: 'performance_index')
  final double performanceIndex;
  static const fromJsonFactory = _$ActiveUsersDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ActiveUsersData &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.engagementIndex, engagementIndex) ||
                const DeepCollectionEquality()
                    .equals(other.engagementIndex, engagementIndex)) &&
            (identical(other.performanceIndex, performanceIndex) ||
                const DeepCollectionEquality()
                    .equals(other.performanceIndex, performanceIndex)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(engagementIndex) ^
      const DeepCollectionEquality().hash(performanceIndex) ^
      runtimeType.hashCode;
}

extension $ActiveUsersDataExtension on ActiveUsersData {
  ActiveUsersData copyWith(
      {String? username,
      String? name,
      double? engagementIndex,
      double? performanceIndex}) {
    return ActiveUsersData(
        username: username ?? this.username,
        name: name ?? this.name,
        engagementIndex: engagementIndex ?? this.engagementIndex,
        performanceIndex: performanceIndex ?? this.performanceIndex);
  }

  ActiveUsersData copyWithWrapped(
      {Wrapped<String>? username,
      Wrapped<String>? name,
      Wrapped<double>? engagementIndex,
      Wrapped<double>? performanceIndex}) {
    return ActiveUsersData(
        username: (username != null ? username.value : this.username),
        name: (name != null ? name.value : this.name),
        engagementIndex: (engagementIndex != null
            ? engagementIndex.value
            : this.engagementIndex),
        performanceIndex: (performanceIndex != null
            ? performanceIndex.value
            : this.performanceIndex));
  }
}

@JsonSerializable(explicitToJson: true)
class ActiveUsersList {
  const ActiveUsersList({
    this.data,
    required this.pagination,
  });

  factory ActiveUsersList.fromJson(Map<String, dynamic> json) =>
      _$ActiveUsersListFromJson(json);

  static const toJsonFactory = _$ActiveUsersListToJson;
  Map<String, dynamic> toJson() => _$ActiveUsersListToJson(this);

  @JsonKey(name: 'data', defaultValue: <ActiveUsersData>[])
  final List<ActiveUsersData>? data;
  @JsonKey(name: 'pagination')
  final Pagination pagination;
  static const fromJsonFactory = _$ActiveUsersListFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ActiveUsersList &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.pagination, pagination) ||
                const DeepCollectionEquality()
                    .equals(other.pagination, pagination)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(pagination) ^
      runtimeType.hashCode;
}

extension $ActiveUsersListExtension on ActiveUsersList {
  ActiveUsersList copyWith(
      {List<ActiveUsersData>? data, Pagination? pagination}) {
    return ActiveUsersList(
        data: data ?? this.data, pagination: pagination ?? this.pagination);
  }

  ActiveUsersList copyWithWrapped(
      {Wrapped<List<ActiveUsersData>?>? data,
      Wrapped<Pagination>? pagination}) {
    return ActiveUsersList(
        data: (data != null ? data.value : this.data),
        pagination: (pagination != null ? pagination.value : this.pagination));
  }
}

@JsonSerializable(explicitToJson: true)
class ActiveUsersPerCourse {
  const ActiveUsersPerCourse({
    required this.data,
    required this.total,
    required this.meta,
  });

  factory ActiveUsersPerCourse.fromJson(Map<String, dynamic> json) =>
      _$ActiveUsersPerCourseFromJson(json);

  static const toJsonFactory = _$ActiveUsersPerCourseToJson;
  Map<String, dynamic> toJson() => _$ActiveUsersPerCourseToJson(this);

  @JsonKey(name: 'data', defaultValue: <ActiveUsersPerCourseData>[])
  final List<ActiveUsersPerCourseData> data;
  @JsonKey(name: 'total')
  final int total;
  @JsonKey(name: 'meta')
  final OvertimeMeta meta;
  static const fromJsonFactory = _$ActiveUsersPerCourseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ActiveUsersPerCourse &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)) &&
            (identical(other.meta, meta) ||
                const DeepCollectionEquality().equals(other.meta, meta)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(total) ^
      const DeepCollectionEquality().hash(meta) ^
      runtimeType.hashCode;
}

extension $ActiveUsersPerCourseExtension on ActiveUsersPerCourse {
  ActiveUsersPerCourse copyWith(
      {List<ActiveUsersPerCourseData>? data, int? total, OvertimeMeta? meta}) {
    return ActiveUsersPerCourse(
        data: data ?? this.data,
        total: total ?? this.total,
        meta: meta ?? this.meta);
  }

  ActiveUsersPerCourse copyWithWrapped(
      {Wrapped<List<ActiveUsersPerCourseData>>? data,
      Wrapped<int>? total,
      Wrapped<OvertimeMeta>? meta}) {
    return ActiveUsersPerCourse(
        data: (data != null ? data.value : this.data),
        total: (total != null ? total.value : this.total),
        meta: (meta != null ? meta.value : this.meta));
  }
}

@JsonSerializable(explicitToJson: true)
class ActiveUsersPerCourseData {
  const ActiveUsersPerCourseData({
    required this.courseId,
    required this.name,
    required this.userCount,
  });

  factory ActiveUsersPerCourseData.fromJson(Map<String, dynamic> json) =>
      _$ActiveUsersPerCourseDataFromJson(json);

  static const toJsonFactory = _$ActiveUsersPerCourseDataToJson;
  Map<String, dynamic> toJson() => _$ActiveUsersPerCourseDataToJson(this);

  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'user_count')
  final int userCount;
  static const fromJsonFactory = _$ActiveUsersPerCourseDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ActiveUsersPerCourseData &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.userCount, userCount) ||
                const DeepCollectionEquality()
                    .equals(other.userCount, userCount)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(userCount) ^
      runtimeType.hashCode;
}

extension $ActiveUsersPerCourseDataExtension on ActiveUsersPerCourseData {
  ActiveUsersPerCourseData copyWith(
      {String? courseId, String? name, int? userCount}) {
    return ActiveUsersPerCourseData(
        courseId: courseId ?? this.courseId,
        name: name ?? this.name,
        userCount: userCount ?? this.userCount);
  }

  ActiveUsersPerCourseData copyWithWrapped(
      {Wrapped<String>? courseId,
      Wrapped<String>? name,
      Wrapped<int>? userCount}) {
    return ActiveUsersPerCourseData(
        courseId: (courseId != null ? courseId.value : this.courseId),
        name: (name != null ? name.value : this.name),
        userCount: (userCount != null ? userCount.value : this.userCount));
  }
}

@JsonSerializable(explicitToJson: true)
class ActivityAPI {
  const ActivityAPI({
    this.data,
    required this.total,
  });

  factory ActivityAPI.fromJson(Map<String, dynamic> json) =>
      _$ActivityAPIFromJson(json);

  static const toJsonFactory = _$ActivityAPIToJson;
  Map<String, dynamic> toJson() => _$ActivityAPIToJson(this);

  @JsonKey(name: 'data', defaultValue: <ActivityData>[])
  final List<ActivityData>? data;
  @JsonKey(name: 'total')
  final int total;
  static const fromJsonFactory = _$ActivityAPIFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ActivityAPI &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(total) ^
      runtimeType.hashCode;
}

extension $ActivityAPIExtension on ActivityAPI {
  ActivityAPI copyWith({List<ActivityData>? data, int? total}) {
    return ActivityAPI(data: data ?? this.data, total: total ?? this.total);
  }

  ActivityAPI copyWithWrapped(
      {Wrapped<List<ActivityData>?>? data, Wrapped<int>? total}) {
    return ActivityAPI(
        data: (data != null ? data.value : this.data),
        total: (total != null ? total.value : this.total));
  }
}

@JsonSerializable(explicitToJson: true)
class ActivityData {
  const ActivityData({
    required this.courseId,
    required this.name,
    required this.courseStart,
    required this.courseEnd,
    required this.averageTimeInvested,
    required this.timeInvested,
    required this.daysAway,
    required this.lastAccessDate,
    required this.daysAccessed,
  });

  factory ActivityData.fromJson(Map<String, dynamic> json) =>
      _$ActivityDataFromJson(json);

  static const toJsonFactory = _$ActivityDataToJson;
  Map<String, dynamic> toJson() => _$ActivityDataToJson(this);

  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'course_start')
  final String courseStart;
  @JsonKey(name: 'course_end')
  final String courseEnd;
  @JsonKey(name: 'average_time_invested')
  final double averageTimeInvested;
  @JsonKey(name: 'time_invested')
  final int timeInvested;
  @JsonKey(name: 'days_away')
  final int daysAway;
  @JsonKey(name: 'last_access_date')
  final String lastAccessDate;
  @JsonKey(name: 'days_accessed')
  final int daysAccessed;
  static const fromJsonFactory = _$ActivityDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ActivityData &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.courseStart, courseStart) ||
                const DeepCollectionEquality()
                    .equals(other.courseStart, courseStart)) &&
            (identical(other.courseEnd, courseEnd) ||
                const DeepCollectionEquality()
                    .equals(other.courseEnd, courseEnd)) &&
            (identical(other.averageTimeInvested, averageTimeInvested) ||
                const DeepCollectionEquality()
                    .equals(other.averageTimeInvested, averageTimeInvested)) &&
            (identical(other.timeInvested, timeInvested) ||
                const DeepCollectionEquality()
                    .equals(other.timeInvested, timeInvested)) &&
            (identical(other.daysAway, daysAway) ||
                const DeepCollectionEquality()
                    .equals(other.daysAway, daysAway)) &&
            (identical(other.lastAccessDate, lastAccessDate) ||
                const DeepCollectionEquality()
                    .equals(other.lastAccessDate, lastAccessDate)) &&
            (identical(other.daysAccessed, daysAccessed) ||
                const DeepCollectionEquality()
                    .equals(other.daysAccessed, daysAccessed)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(courseStart) ^
      const DeepCollectionEquality().hash(courseEnd) ^
      const DeepCollectionEquality().hash(averageTimeInvested) ^
      const DeepCollectionEquality().hash(timeInvested) ^
      const DeepCollectionEquality().hash(daysAway) ^
      const DeepCollectionEquality().hash(lastAccessDate) ^
      const DeepCollectionEquality().hash(daysAccessed) ^
      runtimeType.hashCode;
}

extension $ActivityDataExtension on ActivityData {
  ActivityData copyWith(
      {String? courseId,
      String? name,
      String? courseStart,
      String? courseEnd,
      double? averageTimeInvested,
      int? timeInvested,
      int? daysAway,
      String? lastAccessDate,
      int? daysAccessed}) {
    return ActivityData(
        courseId: courseId ?? this.courseId,
        name: name ?? this.name,
        courseStart: courseStart ?? this.courseStart,
        courseEnd: courseEnd ?? this.courseEnd,
        averageTimeInvested: averageTimeInvested ?? this.averageTimeInvested,
        timeInvested: timeInvested ?? this.timeInvested,
        daysAway: daysAway ?? this.daysAway,
        lastAccessDate: lastAccessDate ?? this.lastAccessDate,
        daysAccessed: daysAccessed ?? this.daysAccessed);
  }

  ActivityData copyWithWrapped(
      {Wrapped<String>? courseId,
      Wrapped<String>? name,
      Wrapped<String>? courseStart,
      Wrapped<String>? courseEnd,
      Wrapped<double>? averageTimeInvested,
      Wrapped<int>? timeInvested,
      Wrapped<int>? daysAway,
      Wrapped<String>? lastAccessDate,
      Wrapped<int>? daysAccessed}) {
    return ActivityData(
        courseId: (courseId != null ? courseId.value : this.courseId),
        name: (name != null ? name.value : this.name),
        courseStart:
            (courseStart != null ? courseStart.value : this.courseStart),
        courseEnd: (courseEnd != null ? courseEnd.value : this.courseEnd),
        averageTimeInvested: (averageTimeInvested != null
            ? averageTimeInvested.value
            : this.averageTimeInvested),
        timeInvested:
            (timeInvested != null ? timeInvested.value : this.timeInvested),
        daysAway: (daysAway != null ? daysAway.value : this.daysAway),
        lastAccessDate: (lastAccessDate != null
            ? lastAccessDate.value
            : this.lastAccessDate),
        daysAccessed:
            (daysAccessed != null ? daysAccessed.value : this.daysAccessed));
  }
}

@JsonSerializable(explicitToJson: true)
class AskMentorRequest {
  const AskMentorRequest({
    this.prompt,
    this.name,
    this.org,
    this.mentorFlow,
    this.sessionId,
    this.llmProvider,
    this.returnResources,
  });

  factory AskMentorRequest.fromJson(Map<String, dynamic> json) =>
      _$AskMentorRequestFromJson(json);

  static const toJsonFactory = _$AskMentorRequestToJson;
  Map<String, dynamic> toJson() => _$AskMentorRequestToJson(this);

  @JsonKey(name: 'prompt')
  final String? prompt;
  @JsonKey(name: 'name')
  final String? name;
  @JsonKey(name: 'org')
  final String? org;
  @JsonKey(name: 'mentor_flow')
  final Map<String, dynamic>? mentorFlow;
  @JsonKey(name: 'session_id')
  final String? sessionId;
  @JsonKey(name: 'llm_provider')
  final String? llmProvider;
  @JsonKey(name: 'return_resources', defaultValue: false)
  final bool? returnResources;
  static const fromJsonFactory = _$AskMentorRequestFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is AskMentorRequest &&
            (identical(other.prompt, prompt) ||
                const DeepCollectionEquality().equals(other.prompt, prompt)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.org, org) ||
                const DeepCollectionEquality().equals(other.org, org)) &&
            (identical(other.mentorFlow, mentorFlow) ||
                const DeepCollectionEquality()
                    .equals(other.mentorFlow, mentorFlow)) &&
            (identical(other.sessionId, sessionId) ||
                const DeepCollectionEquality()
                    .equals(other.sessionId, sessionId)) &&
            (identical(other.llmProvider, llmProvider) ||
                const DeepCollectionEquality()
                    .equals(other.llmProvider, llmProvider)) &&
            (identical(other.returnResources, returnResources) ||
                const DeepCollectionEquality()
                    .equals(other.returnResources, returnResources)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(prompt) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(org) ^
      const DeepCollectionEquality().hash(mentorFlow) ^
      const DeepCollectionEquality().hash(sessionId) ^
      const DeepCollectionEquality().hash(llmProvider) ^
      const DeepCollectionEquality().hash(returnResources) ^
      runtimeType.hashCode;
}

extension $AskMentorRequestExtension on AskMentorRequest {
  AskMentorRequest copyWith(
      {String? prompt,
      String? name,
      String? org,
      Map<String, dynamic>? mentorFlow,
      String? sessionId,
      String? llmProvider,
      bool? returnResources}) {
    return AskMentorRequest(
        prompt: prompt ?? this.prompt,
        name: name ?? this.name,
        org: org ?? this.org,
        mentorFlow: mentorFlow ?? this.mentorFlow,
        sessionId: sessionId ?? this.sessionId,
        llmProvider: llmProvider ?? this.llmProvider,
        returnResources: returnResources ?? this.returnResources);
  }

  AskMentorRequest copyWithWrapped(
      {Wrapped<String?>? prompt,
      Wrapped<String?>? name,
      Wrapped<String?>? org,
      Wrapped<Map<String, dynamic>?>? mentorFlow,
      Wrapped<String?>? sessionId,
      Wrapped<String?>? llmProvider,
      Wrapped<bool?>? returnResources}) {
    return AskMentorRequest(
        prompt: (prompt != null ? prompt.value : this.prompt),
        name: (name != null ? name.value : this.name),
        org: (org != null ? org.value : this.org),
        mentorFlow: (mentorFlow != null ? mentorFlow.value : this.mentorFlow),
        sessionId: (sessionId != null ? sessionId.value : this.sessionId),
        llmProvider:
            (llmProvider != null ? llmProvider.value : this.llmProvider),
        returnResources: (returnResources != null
            ? returnResources.value
            : this.returnResources));
  }
}

@JsonSerializable(explicitToJson: true)
class AskMentorResponse {
  const AskMentorResponse({
    required this.response,
  });

  factory AskMentorResponse.fromJson(Map<String, dynamic> json) =>
      _$AskMentorResponseFromJson(json);

  static const toJsonFactory = _$AskMentorResponseToJson;
  Map<String, dynamic> toJson() => _$AskMentorResponseToJson(this);

  @JsonKey(name: 'response')
  final String response;
  static const fromJsonFactory = _$AskMentorResponseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is AskMentorResponse &&
            (identical(other.response, response) ||
                const DeepCollectionEquality()
                    .equals(other.response, response)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(response) ^ runtimeType.hashCode;
}

extension $AskMentorResponseExtension on AskMentorResponse {
  AskMentorResponse copyWith({String? response}) {
    return AskMentorResponse(response: response ?? this.response);
  }

  AskMentorResponse copyWithWrapped({Wrapped<String>? response}) {
    return AskMentorResponse(
        response: (response != null ? response.value : this.response));
  }
}

@JsonSerializable(explicitToJson: true)
class Assertions {
  const Assertions({
    required this.id,
    required this.user,
    this.issuedOn,
    this.revoked,
    this.revocationReason,
    this.expiresAt,
    this.hashed,
    this.salt,
    this.narrative,
    this.acceptance,
    required this.created,
    required this.updated,
    this.metadata,
    required this.entityId,
    required this.credential,
    this.item,
  });

  factory Assertions.fromJson(Map<String, dynamic> json) =>
      _$AssertionsFromJson(json);

  static const toJsonFactory = _$AssertionsToJson;
  Map<String, dynamic> toJson() => _$AssertionsToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'user')
  final String user;
  @JsonKey(name: 'issued_on')
  final DateTime? issuedOn;
  @JsonKey(name: 'revoked')
  final bool? revoked;
  @JsonKey(name: 'revocation_reason')
  final String? revocationReason;
  @JsonKey(name: 'expires_at')
  final DateTime? expiresAt;
  @JsonKey(name: 'hashed')
  final bool? hashed;
  @JsonKey(name: 'salt')
  final String? salt;
  @JsonKey(name: 'narrative')
  final String? narrative;
  @JsonKey(
    name: 'acceptance',
    toJson: acceptanceEnumNullableToJson,
    fromJson: acceptanceEnumNullableFromJson,
  )
  final enums.AcceptanceEnum? acceptance;
  @JsonKey(name: 'created')
  final DateTime created;
  @JsonKey(name: 'updated')
  final DateTime updated;
  @JsonKey(name: 'metadata')
  final Map<String, dynamic>? metadata;
  @JsonKey(name: 'entity_id')
  final String entityId;
  @JsonKey(name: 'credential')
  final int credential;
  @JsonKey(name: 'item')
  final int? item;
  static const fromJsonFactory = _$AssertionsFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Assertions &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.user, user) ||
                const DeepCollectionEquality().equals(other.user, user)) &&
            (identical(other.issuedOn, issuedOn) ||
                const DeepCollectionEquality()
                    .equals(other.issuedOn, issuedOn)) &&
            (identical(other.revoked, revoked) ||
                const DeepCollectionEquality()
                    .equals(other.revoked, revoked)) &&
            (identical(other.revocationReason, revocationReason) ||
                const DeepCollectionEquality()
                    .equals(other.revocationReason, revocationReason)) &&
            (identical(other.expiresAt, expiresAt) ||
                const DeepCollectionEquality()
                    .equals(other.expiresAt, expiresAt)) &&
            (identical(other.hashed, hashed) ||
                const DeepCollectionEquality().equals(other.hashed, hashed)) &&
            (identical(other.salt, salt) ||
                const DeepCollectionEquality().equals(other.salt, salt)) &&
            (identical(other.narrative, narrative) ||
                const DeepCollectionEquality()
                    .equals(other.narrative, narrative)) &&
            (identical(other.acceptance, acceptance) ||
                const DeepCollectionEquality()
                    .equals(other.acceptance, acceptance)) &&
            (identical(other.created, created) ||
                const DeepCollectionEquality()
                    .equals(other.created, created)) &&
            (identical(other.updated, updated) ||
                const DeepCollectionEquality()
                    .equals(other.updated, updated)) &&
            (identical(other.metadata, metadata) ||
                const DeepCollectionEquality()
                    .equals(other.metadata, metadata)) &&
            (identical(other.entityId, entityId) ||
                const DeepCollectionEquality()
                    .equals(other.entityId, entityId)) &&
            (identical(other.credential, credential) ||
                const DeepCollectionEquality()
                    .equals(other.credential, credential)) &&
            (identical(other.item, item) ||
                const DeepCollectionEquality().equals(other.item, item)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(user) ^
      const DeepCollectionEquality().hash(issuedOn) ^
      const DeepCollectionEquality().hash(revoked) ^
      const DeepCollectionEquality().hash(revocationReason) ^
      const DeepCollectionEquality().hash(expiresAt) ^
      const DeepCollectionEquality().hash(hashed) ^
      const DeepCollectionEquality().hash(salt) ^
      const DeepCollectionEquality().hash(narrative) ^
      const DeepCollectionEquality().hash(acceptance) ^
      const DeepCollectionEquality().hash(created) ^
      const DeepCollectionEquality().hash(updated) ^
      const DeepCollectionEquality().hash(metadata) ^
      const DeepCollectionEquality().hash(entityId) ^
      const DeepCollectionEquality().hash(credential) ^
      const DeepCollectionEquality().hash(item) ^
      runtimeType.hashCode;
}

extension $AssertionsExtension on Assertions {
  Assertions copyWith(
      {int? id,
      String? user,
      DateTime? issuedOn,
      bool? revoked,
      String? revocationReason,
      DateTime? expiresAt,
      bool? hashed,
      String? salt,
      String? narrative,
      enums.AcceptanceEnum? acceptance,
      DateTime? created,
      DateTime? updated,
      Map<String, dynamic>? metadata,
      String? entityId,
      int? credential,
      int? item}) {
    return Assertions(
        id: id ?? this.id,
        user: user ?? this.user,
        issuedOn: issuedOn ?? this.issuedOn,
        revoked: revoked ?? this.revoked,
        revocationReason: revocationReason ?? this.revocationReason,
        expiresAt: expiresAt ?? this.expiresAt,
        hashed: hashed ?? this.hashed,
        salt: salt ?? this.salt,
        narrative: narrative ?? this.narrative,
        acceptance: acceptance ?? this.acceptance,
        created: created ?? this.created,
        updated: updated ?? this.updated,
        metadata: metadata ?? this.metadata,
        entityId: entityId ?? this.entityId,
        credential: credential ?? this.credential,
        item: item ?? this.item);
  }

  Assertions copyWithWrapped(
      {Wrapped<int>? id,
      Wrapped<String>? user,
      Wrapped<DateTime?>? issuedOn,
      Wrapped<bool?>? revoked,
      Wrapped<String?>? revocationReason,
      Wrapped<DateTime?>? expiresAt,
      Wrapped<bool?>? hashed,
      Wrapped<String?>? salt,
      Wrapped<String?>? narrative,
      Wrapped<enums.AcceptanceEnum?>? acceptance,
      Wrapped<DateTime>? created,
      Wrapped<DateTime>? updated,
      Wrapped<Map<String, dynamic>?>? metadata,
      Wrapped<String>? entityId,
      Wrapped<int>? credential,
      Wrapped<int?>? item}) {
    return Assertions(
        id: (id != null ? id.value : this.id),
        user: (user != null ? user.value : this.user),
        issuedOn: (issuedOn != null ? issuedOn.value : this.issuedOn),
        revoked: (revoked != null ? revoked.value : this.revoked),
        revocationReason: (revocationReason != null
            ? revocationReason.value
            : this.revocationReason),
        expiresAt: (expiresAt != null ? expiresAt.value : this.expiresAt),
        hashed: (hashed != null ? hashed.value : this.hashed),
        salt: (salt != null ? salt.value : this.salt),
        narrative: (narrative != null ? narrative.value : this.narrative),
        acceptance: (acceptance != null ? acceptance.value : this.acceptance),
        created: (created != null ? created.value : this.created),
        updated: (updated != null ? updated.value : this.updated),
        metadata: (metadata != null ? metadata.value : this.metadata),
        entityId: (entityId != null ? entityId.value : this.entityId),
        credential: (credential != null ? credential.value : this.credential),
        item: (item != null ? item.value : this.item));
  }
}

@JsonSerializable(explicitToJson: true)
class AuthLogin {
  const AuthLogin({
    required this.username,
    required this.password,
    required this.platform,
  });

  factory AuthLogin.fromJson(Map<String, dynamic> json) =>
      _$AuthLoginFromJson(json);

  static const toJsonFactory = _$AuthLoginToJson;
  Map<String, dynamic> toJson() => _$AuthLoginToJson(this);

  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'password')
  final String password;
  @JsonKey(name: 'platform')
  final String platform;
  static const fromJsonFactory = _$AuthLoginFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is AuthLogin &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.password, password) ||
                const DeepCollectionEquality()
                    .equals(other.password, password)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(password) ^
      const DeepCollectionEquality().hash(platform) ^
      runtimeType.hashCode;
}

extension $AuthLoginExtension on AuthLogin {
  AuthLogin copyWith({String? username, String? password, String? platform}) {
    return AuthLogin(
        username: username ?? this.username,
        password: password ?? this.password,
        platform: platform ?? this.platform);
  }

  AuthLogin copyWithWrapped(
      {Wrapped<String>? username,
      Wrapped<String>? password,
      Wrapped<String>? platform}) {
    return AuthLogin(
        username: (username != null ? username.value : this.username),
        password: (password != null ? password.value : this.password),
        platform: (platform != null ? platform.value : this.platform));
  }
}

@JsonSerializable(explicitToJson: true)
class AuthRegisterRequest {
  const AuthRegisterRequest({
    required this.username,
    required this.password,
    required this.platform,
    this.email,
    this.firstname,
    this.lastname,
  });

  factory AuthRegisterRequest.fromJson(Map<String, dynamic> json) =>
      _$AuthRegisterRequestFromJson(json);

  static const toJsonFactory = _$AuthRegisterRequestToJson;
  Map<String, dynamic> toJson() => _$AuthRegisterRequestToJson(this);

  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'password')
  final String password;
  @JsonKey(name: 'platform')
  final String platform;
  @JsonKey(name: 'email')
  final String? email;
  @JsonKey(name: 'firstname')
  final String? firstname;
  @JsonKey(name: 'lastname')
  final String? lastname;
  static const fromJsonFactory = _$AuthRegisterRequestFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is AuthRegisterRequest &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.password, password) ||
                const DeepCollectionEquality()
                    .equals(other.password, password)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)) &&
            (identical(other.email, email) ||
                const DeepCollectionEquality().equals(other.email, email)) &&
            (identical(other.firstname, firstname) ||
                const DeepCollectionEquality()
                    .equals(other.firstname, firstname)) &&
            (identical(other.lastname, lastname) ||
                const DeepCollectionEquality()
                    .equals(other.lastname, lastname)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(password) ^
      const DeepCollectionEquality().hash(platform) ^
      const DeepCollectionEquality().hash(email) ^
      const DeepCollectionEquality().hash(firstname) ^
      const DeepCollectionEquality().hash(lastname) ^
      runtimeType.hashCode;
}

extension $AuthRegisterRequestExtension on AuthRegisterRequest {
  AuthRegisterRequest copyWith(
      {String? username,
      String? password,
      String? platform,
      String? email,
      String? firstname,
      String? lastname}) {
    return AuthRegisterRequest(
        username: username ?? this.username,
        password: password ?? this.password,
        platform: platform ?? this.platform,
        email: email ?? this.email,
        firstname: firstname ?? this.firstname,
        lastname: lastname ?? this.lastname);
  }

  AuthRegisterRequest copyWithWrapped(
      {Wrapped<String>? username,
      Wrapped<String>? password,
      Wrapped<String>? platform,
      Wrapped<String?>? email,
      Wrapped<String?>? firstname,
      Wrapped<String?>? lastname}) {
    return AuthRegisterRequest(
        username: (username != null ? username.value : this.username),
        password: (password != null ? password.value : this.password),
        platform: (platform != null ? platform.value : this.platform),
        email: (email != null ? email.value : this.email),
        firstname: (firstname != null ? firstname.value : this.firstname),
        lastname: (lastname != null ? lastname.value : this.lastname));
  }
}

@JsonSerializable(explicitToJson: true)
class AuthRegisterResponse {
  const AuthRegisterResponse({
    required this.username,
    required this.status,
    required this.platform,
    this.token,
  });

  factory AuthRegisterResponse.fromJson(Map<String, dynamic> json) =>
      _$AuthRegisterResponseFromJson(json);

  static const toJsonFactory = _$AuthRegisterResponseToJson;
  Map<String, dynamic> toJson() => _$AuthRegisterResponseToJson(this);

  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'status')
  final String status;
  @JsonKey(name: 'platform')
  final String platform;
  @JsonKey(name: 'token')
  final String? token;
  static const fromJsonFactory = _$AuthRegisterResponseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is AuthRegisterResponse &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.status, status) ||
                const DeepCollectionEquality().equals(other.status, status)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)) &&
            (identical(other.token, token) ||
                const DeepCollectionEquality().equals(other.token, token)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(status) ^
      const DeepCollectionEquality().hash(platform) ^
      const DeepCollectionEquality().hash(token) ^
      runtimeType.hashCode;
}

extension $AuthRegisterResponseExtension on AuthRegisterResponse {
  AuthRegisterResponse copyWith(
      {String? username, String? status, String? platform, String? token}) {
    return AuthRegisterResponse(
        username: username ?? this.username,
        status: status ?? this.status,
        platform: platform ?? this.platform,
        token: token ?? this.token);
  }

  AuthRegisterResponse copyWithWrapped(
      {Wrapped<String>? username,
      Wrapped<String>? status,
      Wrapped<String>? platform,
      Wrapped<String?>? token}) {
    return AuthRegisterResponse(
        username: (username != null ? username.value : this.username),
        status: (status != null ? status.value : this.status),
        platform: (platform != null ? platform.value : this.platform),
        token: (token != null ? token.value : this.token));
  }
}

@JsonSerializable(explicitToJson: true)
class AuthToken {
  const AuthToken({
    required this.token,
  });

  factory AuthToken.fromJson(Map<String, dynamic> json) =>
      _$AuthTokenFromJson(json);

  static const toJsonFactory = _$AuthTokenToJson;
  Map<String, dynamic> toJson() => _$AuthTokenToJson(this);

  @JsonKey(name: 'token')
  final String token;
  static const fromJsonFactory = _$AuthTokenFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is AuthToken &&
            (identical(other.token, token) ||
                const DeepCollectionEquality().equals(other.token, token)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(token) ^ runtimeType.hashCode;
}

extension $AuthTokenExtension on AuthToken {
  AuthToken copyWith({String? token}) {
    return AuthToken(token: token ?? this.token);
  }

  AuthToken copyWithWrapped({Wrapped<String>? token}) {
    return AuthToken(token: (token != null ? token.value : this.token));
  }
}

@JsonSerializable(explicitToJson: true)
class Average {
  const Average({
    required this.data,
  });

  factory Average.fromJson(Map<String, dynamic> json) =>
      _$AverageFromJson(json);

  static const toJsonFactory = _$AverageToJson;
  Map<String, dynamic> toJson() => _$AverageToJson(this);

  @JsonKey(name: 'data')
  final AverageData data;
  static const fromJsonFactory = _$AverageFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Average &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $AverageExtension on Average {
  Average copyWith({AverageData? data}) {
    return Average(data: data ?? this.data);
  }

  Average copyWithWrapped({Wrapped<AverageData>? data}) {
    return Average(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class AverageData {
  const AverageData({
    required this.average,
  });

  factory AverageData.fromJson(Map<String, dynamic> json) =>
      _$AverageDataFromJson(json);

  static const toJsonFactory = _$AverageDataToJson;
  Map<String, dynamic> toJson() => _$AverageDataToJson(this);

  @JsonKey(name: 'average')
  final double average;
  static const fromJsonFactory = _$AverageDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is AverageData &&
            (identical(other.average, average) ||
                const DeepCollectionEquality().equals(other.average, average)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(average) ^ runtimeType.hashCode;
}

extension $AverageDataExtension on AverageData {
  AverageData copyWith({double? average}) {
    return AverageData(average: average ?? this.average);
  }

  AverageData copyWithWrapped({Wrapped<double>? average}) {
    return AverageData(
        average: (average != null ? average.value : this.average));
  }
}

@JsonSerializable(explicitToJson: true)
class AverageOvertime {
  const AverageOvertime({
    this.data,
    this.average,
  });

  factory AverageOvertime.fromJson(Map<String, dynamic> json) =>
      _$AverageOvertimeFromJson(json);

  static const toJsonFactory = _$AverageOvertimeToJson;
  Map<String, dynamic> toJson() => _$AverageOvertimeToJson(this);

  @JsonKey(name: 'data')
  final Map<String, dynamic>? data;
  @JsonKey(name: 'average')
  final double? average;
  static const fromJsonFactory = _$AverageOvertimeFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is AverageOvertime &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.average, average) ||
                const DeepCollectionEquality().equals(other.average, average)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(average) ^
      runtimeType.hashCode;
}

extension $AverageOvertimeExtension on AverageOvertime {
  AverageOvertime copyWith({Map<String, dynamic>? data, double? average}) {
    return AverageOvertime(
        data: data ?? this.data, average: average ?? this.average);
  }

  AverageOvertime copyWithWrapped(
      {Wrapped<Map<String, dynamic>?>? data, Wrapped<double?>? average}) {
    return AverageOvertime(
        data: (data != null ? data.value : this.data),
        average: (average != null ? average.value : this.average));
  }
}

@JsonSerializable(explicitToJson: true)
class AvgCourseGradeWithCutoff {
  const AvgCourseGradeWithCutoff({
    this.data,
  });

  factory AvgCourseGradeWithCutoff.fromJson(Map<String, dynamic> json) =>
      _$AvgCourseGradeWithCutoffFromJson(json);

  static const toJsonFactory = _$AvgCourseGradeWithCutoffToJson;
  Map<String, dynamic> toJson() => _$AvgCourseGradeWithCutoffToJson(this);

  @JsonKey(name: 'data')
  final AvgCourseGradeWithCutoffData? data;
  static const fromJsonFactory = _$AvgCourseGradeWithCutoffFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is AvgCourseGradeWithCutoff &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $AvgCourseGradeWithCutoffExtension on AvgCourseGradeWithCutoff {
  AvgCourseGradeWithCutoff copyWith({AvgCourseGradeWithCutoffData? data}) {
    return AvgCourseGradeWithCutoff(data: data ?? this.data);
  }

  AvgCourseGradeWithCutoff copyWithWrapped(
      {Wrapped<AvgCourseGradeWithCutoffData?>? data}) {
    return AvgCourseGradeWithCutoff(
        data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class AvgCourseGradeWithCutoffData {
  const AvgCourseGradeWithCutoffData({
    required this.gradeCutoffs,
    required this.averageGrade,
  });

  factory AvgCourseGradeWithCutoffData.fromJson(Map<String, dynamic> json) =>
      _$AvgCourseGradeWithCutoffDataFromJson(json);

  static const toJsonFactory = _$AvgCourseGradeWithCutoffDataToJson;
  Map<String, dynamic> toJson() => _$AvgCourseGradeWithCutoffDataToJson(this);

  @JsonKey(name: 'grade_cutoffs')
  final Map<String, dynamic> gradeCutoffs;
  @JsonKey(name: 'average_grade')
  final double averageGrade;
  static const fromJsonFactory = _$AvgCourseGradeWithCutoffDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is AvgCourseGradeWithCutoffData &&
            (identical(other.gradeCutoffs, gradeCutoffs) ||
                const DeepCollectionEquality()
                    .equals(other.gradeCutoffs, gradeCutoffs)) &&
            (identical(other.averageGrade, averageGrade) ||
                const DeepCollectionEquality()
                    .equals(other.averageGrade, averageGrade)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(gradeCutoffs) ^
      const DeepCollectionEquality().hash(averageGrade) ^
      runtimeType.hashCode;
}

extension $AvgCourseGradeWithCutoffDataExtension
    on AvgCourseGradeWithCutoffData {
  AvgCourseGradeWithCutoffData copyWith(
      {Map<String, dynamic>? gradeCutoffs, double? averageGrade}) {
    return AvgCourseGradeWithCutoffData(
        gradeCutoffs: gradeCutoffs ?? this.gradeCutoffs,
        averageGrade: averageGrade ?? this.averageGrade);
  }

  AvgCourseGradeWithCutoffData copyWithWrapped(
      {Wrapped<Map<String, dynamic>>? gradeCutoffs,
      Wrapped<double>? averageGrade}) {
    return AvgCourseGradeWithCutoffData(
        gradeCutoffs:
            (gradeCutoffs != null ? gradeCutoffs.value : this.gradeCutoffs),
        averageGrade:
            (averageGrade != null ? averageGrade.value : this.averageGrade));
  }
}

@JsonSerializable(explicitToJson: true)
class ChatHistory {
  const ChatHistory({
    required this.id,
    this.message,
  });

  factory ChatHistory.fromJson(Map<String, dynamic> json) =>
      _$ChatHistoryFromJson(json);

  static const toJsonFactory = _$ChatHistoryToJson;
  Map<String, dynamic> toJson() => _$ChatHistoryToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'message')
  final Map<String, dynamic>? message;
  static const fromJsonFactory = _$ChatHistoryFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ChatHistory &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.message, message) ||
                const DeepCollectionEquality().equals(other.message, message)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(message) ^
      runtimeType.hashCode;
}

extension $ChatHistoryExtension on ChatHistory {
  ChatHistory copyWith({int? id, Map<String, dynamic>? message}) {
    return ChatHistory(id: id ?? this.id, message: message ?? this.message);
  }

  ChatHistory copyWithWrapped(
      {Wrapped<int>? id, Wrapped<Map<String, dynamic>?>? message}) {
    return ChatHistory(
        id: (id != null ? id.value : this.id),
        message: (message != null ? message.value : this.message));
  }
}

@JsonSerializable(explicitToJson: true)
class ChatHistoryItem {
  const ChatHistoryItem({
    required this.type,
    required this.content,
    required this.timestamp,
  });

  factory ChatHistoryItem.fromJson(Map<String, dynamic> json) =>
      _$ChatHistoryItemFromJson(json);

  static const toJsonFactory = _$ChatHistoryItemToJson;
  Map<String, dynamic> toJson() => _$ChatHistoryItemToJson(this);

  @JsonKey(name: 'type')
  final String type;
  @JsonKey(name: 'content')
  final String content;
  @JsonKey(name: 'timestamp')
  final DateTime timestamp;
  static const fromJsonFactory = _$ChatHistoryItemFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ChatHistoryItem &&
            (identical(other.type, type) ||
                const DeepCollectionEquality().equals(other.type, type)) &&
            (identical(other.content, content) ||
                const DeepCollectionEquality()
                    .equals(other.content, content)) &&
            (identical(other.timestamp, timestamp) ||
                const DeepCollectionEquality()
                    .equals(other.timestamp, timestamp)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(type) ^
      const DeepCollectionEquality().hash(content) ^
      const DeepCollectionEquality().hash(timestamp) ^
      runtimeType.hashCode;
}

extension $ChatHistoryItemExtension on ChatHistoryItem {
  ChatHistoryItem copyWith(
      {String? type, String? content, DateTime? timestamp}) {
    return ChatHistoryItem(
        type: type ?? this.type,
        content: content ?? this.content,
        timestamp: timestamp ?? this.timestamp);
  }

  ChatHistoryItem copyWithWrapped(
      {Wrapped<String>? type,
      Wrapped<String>? content,
      Wrapped<DateTime>? timestamp}) {
    return ChatHistoryItem(
        type: (type != null ? type.value : this.type),
        content: (content != null ? content.value : this.content),
        timestamp: (timestamp != null ? timestamp.value : this.timestamp));
  }
}

@JsonSerializable(explicitToJson: true)
class ChatHistorySessionId {
  const ChatHistorySessionId({
    required this.sessionId,
  });

  factory ChatHistorySessionId.fromJson(Map<String, dynamic> json) =>
      _$ChatHistorySessionIdFromJson(json);

  static const toJsonFactory = _$ChatHistorySessionIdToJson;
  Map<String, dynamic> toJson() => _$ChatHistorySessionIdToJson(this);

  @JsonKey(name: 'session_id')
  final String sessionId;
  static const fromJsonFactory = _$ChatHistorySessionIdFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ChatHistorySessionId &&
            (identical(other.sessionId, sessionId) ||
                const DeepCollectionEquality()
                    .equals(other.sessionId, sessionId)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(sessionId) ^ runtimeType.hashCode;
}

extension $ChatHistorySessionIdExtension on ChatHistorySessionId {
  ChatHistorySessionId copyWith({String? sessionId}) {
    return ChatHistorySessionId(sessionId: sessionId ?? this.sessionId);
  }

  ChatHistorySessionId copyWithWrapped({Wrapped<String>? sessionId}) {
    return ChatHistorySessionId(
        sessionId: (sessionId != null ? sessionId.value : this.sessionId));
  }
}

@JsonSerializable(explicitToJson: true)
class ChatSessionRequest {
  const ChatSessionRequest({
    this.isAnonymous,
  });

  factory ChatSessionRequest.fromJson(Map<String, dynamic> json) =>
      _$ChatSessionRequestFromJson(json);

  static const toJsonFactory = _$ChatSessionRequestToJson;
  Map<String, dynamic> toJson() => _$ChatSessionRequestToJson(this);

  @JsonKey(name: 'is_anonymous')
  final String? isAnonymous;
  static const fromJsonFactory = _$ChatSessionRequestFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ChatSessionRequest &&
            (identical(other.isAnonymous, isAnonymous) ||
                const DeepCollectionEquality()
                    .equals(other.isAnonymous, isAnonymous)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(isAnonymous) ^ runtimeType.hashCode;
}

extension $ChatSessionRequestExtension on ChatSessionRequest {
  ChatSessionRequest copyWith({String? isAnonymous}) {
    return ChatSessionRequest(isAnonymous: isAnonymous ?? this.isAnonymous);
  }

  ChatSessionRequest copyWithWrapped({Wrapped<String?>? isAnonymous}) {
    return ChatSessionRequest(
        isAnonymous:
            (isAnonymous != null ? isAnonymous.value : this.isAnonymous));
  }
}

@JsonSerializable(explicitToJson: true)
class ChatSessionResponse {
  const ChatSessionResponse({
    required this.sessionId,
  });

  factory ChatSessionResponse.fromJson(Map<String, dynamic> json) =>
      _$ChatSessionResponseFromJson(json);

  static const toJsonFactory = _$ChatSessionResponseToJson;
  Map<String, dynamic> toJson() => _$ChatSessionResponseToJson(this);

  @JsonKey(name: 'session_id')
  final String sessionId;
  static const fromJsonFactory = _$ChatSessionResponseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ChatSessionResponse &&
            (identical(other.sessionId, sessionId) ||
                const DeepCollectionEquality()
                    .equals(other.sessionId, sessionId)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(sessionId) ^ runtimeType.hashCode;
}

extension $ChatSessionResponseExtension on ChatSessionResponse {
  ChatSessionResponse copyWith({String? sessionId}) {
    return ChatSessionResponse(sessionId: sessionId ?? this.sessionId);
  }

  ChatSessionResponse copyWithWrapped({Wrapped<String>? sessionId}) {
    return ChatSessionResponse(
        sessionId: (sessionId != null ? sessionId.value : this.sessionId));
  }
}

@JsonSerializable(explicitToJson: true)
class ChatSessionWithMessage {
  const ChatSessionWithMessage({
    required this.sessionId,
    required this.messages,
  });

  factory ChatSessionWithMessage.fromJson(Map<String, dynamic> json) =>
      _$ChatSessionWithMessageFromJson(json);

  static const toJsonFactory = _$ChatSessionWithMessageToJson;
  Map<String, dynamic> toJson() => _$ChatSessionWithMessageToJson(this);

  @JsonKey(name: 'session_id')
  final String sessionId;
  @JsonKey(name: 'messages', defaultValue: <ChatHistory>[])
  final List<ChatHistory> messages;
  static const fromJsonFactory = _$ChatSessionWithMessageFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ChatSessionWithMessage &&
            (identical(other.sessionId, sessionId) ||
                const DeepCollectionEquality()
                    .equals(other.sessionId, sessionId)) &&
            (identical(other.messages, messages) ||
                const DeepCollectionEquality()
                    .equals(other.messages, messages)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(sessionId) ^
      const DeepCollectionEquality().hash(messages) ^
      runtimeType.hashCode;
}

extension $ChatSessionWithMessageExtension on ChatSessionWithMessage {
  ChatSessionWithMessage copyWith(
      {String? sessionId, List<ChatHistory>? messages}) {
    return ChatSessionWithMessage(
        sessionId: sessionId ?? this.sessionId,
        messages: messages ?? this.messages);
  }

  ChatSessionWithMessage copyWithWrapped(
      {Wrapped<String>? sessionId, Wrapped<List<ChatHistory>>? messages}) {
    return ChatSessionWithMessage(
        sessionId: (sessionId != null ? sessionId.value : this.sessionId),
        messages: (messages != null ? messages.value : this.messages));
  }
}

@JsonSerializable(explicitToJson: true)
class CheckDocumentTrainingStatus {
  const CheckDocumentTrainingStatus({
    required this.status,
    required this.message,
  });

  factory CheckDocumentTrainingStatus.fromJson(Map<String, dynamic> json) =>
      _$CheckDocumentTrainingStatusFromJson(json);

  static const toJsonFactory = _$CheckDocumentTrainingStatusToJson;
  Map<String, dynamic> toJson() => _$CheckDocumentTrainingStatusToJson(this);

  @JsonKey(name: 'status')
  final String status;
  @JsonKey(name: 'message')
  final String message;
  static const fromJsonFactory = _$CheckDocumentTrainingStatusFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CheckDocumentTrainingStatus &&
            (identical(other.status, status) ||
                const DeepCollectionEquality().equals(other.status, status)) &&
            (identical(other.message, message) ||
                const DeepCollectionEquality().equals(other.message, message)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(status) ^
      const DeepCollectionEquality().hash(message) ^
      runtimeType.hashCode;
}

extension $CheckDocumentTrainingStatusExtension on CheckDocumentTrainingStatus {
  CheckDocumentTrainingStatus copyWith({String? status, String? message}) {
    return CheckDocumentTrainingStatus(
        status: status ?? this.status, message: message ?? this.message);
  }

  CheckDocumentTrainingStatus copyWithWrapped(
      {Wrapped<String>? status, Wrapped<String>? message}) {
    return CheckDocumentTrainingStatus(
        status: (status != null ? status.value : this.status),
        message: (message != null ? message.value : this.message));
  }
}

@JsonSerializable(explicitToJson: true)
class Cohort {
  const Cohort({
    required this.id,
    required this.owner,
    required this.students,
    required this.platform,
    this.date,
    required this.name,
  });

  factory Cohort.fromJson(Map<String, dynamic> json) => _$CohortFromJson(json);

  static const toJsonFactory = _$CohortToJson;
  Map<String, dynamic> toJson() => _$CohortToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'owner')
  final String? owner;
  @JsonKey(name: 'students', defaultValue: <String>[])
  final List<String> students;
  @JsonKey(name: 'platform')
  final String? platform;
  @JsonKey(name: 'date')
  final DateTime? date;
  @JsonKey(name: 'name')
  final String name;
  static const fromJsonFactory = _$CohortFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Cohort &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.owner, owner) ||
                const DeepCollectionEquality().equals(other.owner, owner)) &&
            (identical(other.students, students) ||
                const DeepCollectionEquality()
                    .equals(other.students, students)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)) &&
            (identical(other.date, date) ||
                const DeepCollectionEquality().equals(other.date, date)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(owner) ^
      const DeepCollectionEquality().hash(students) ^
      const DeepCollectionEquality().hash(platform) ^
      const DeepCollectionEquality().hash(date) ^
      const DeepCollectionEquality().hash(name) ^
      runtimeType.hashCode;
}

extension $CohortExtension on Cohort {
  Cohort copyWith(
      {int? id,
      String? owner,
      List<String>? students,
      String? platform,
      DateTime? date,
      String? name}) {
    return Cohort(
        id: id ?? this.id,
        owner: owner ?? this.owner,
        students: students ?? this.students,
        platform: platform ?? this.platform,
        date: date ?? this.date,
        name: name ?? this.name);
  }

  Cohort copyWithWrapped(
      {Wrapped<int>? id,
      Wrapped<String?>? owner,
      Wrapped<List<String>>? students,
      Wrapped<String?>? platform,
      Wrapped<DateTime?>? date,
      Wrapped<String>? name}) {
    return Cohort(
        id: (id != null ? id.value : this.id),
        owner: (owner != null ? owner.value : this.owner),
        students: (students != null ? students.value : this.students),
        platform: (platform != null ? platform.value : this.platform),
        date: (date != null ? date.value : this.date),
        name: (name != null ? name.value : this.name));
  }
}

@JsonSerializable(explicitToJson: true)
class CohortUpdate {
  const CohortUpdate({
    required this.id,
    required this.owner,
    required this.students,
    required this.platform,
    this.date,
    required this.name,
  });

  factory CohortUpdate.fromJson(Map<String, dynamic> json) =>
      _$CohortUpdateFromJson(json);

  static const toJsonFactory = _$CohortUpdateToJson;
  Map<String, dynamic> toJson() => _$CohortUpdateToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'owner')
  final String? owner;
  @JsonKey(name: 'students', defaultValue: <String>[])
  final List<String> students;
  @JsonKey(name: 'platform')
  final String? platform;
  @JsonKey(name: 'date')
  final DateTime? date;
  @JsonKey(name: 'name')
  final String name;
  static const fromJsonFactory = _$CohortUpdateFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CohortUpdate &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.owner, owner) ||
                const DeepCollectionEquality().equals(other.owner, owner)) &&
            (identical(other.students, students) ||
                const DeepCollectionEquality()
                    .equals(other.students, students)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)) &&
            (identical(other.date, date) ||
                const DeepCollectionEquality().equals(other.date, date)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(owner) ^
      const DeepCollectionEquality().hash(students) ^
      const DeepCollectionEquality().hash(platform) ^
      const DeepCollectionEquality().hash(date) ^
      const DeepCollectionEquality().hash(name) ^
      runtimeType.hashCode;
}

extension $CohortUpdateExtension on CohortUpdate {
  CohortUpdate copyWith(
      {int? id,
      String? owner,
      List<String>? students,
      String? platform,
      DateTime? date,
      String? name}) {
    return CohortUpdate(
        id: id ?? this.id,
        owner: owner ?? this.owner,
        students: students ?? this.students,
        platform: platform ?? this.platform,
        date: date ?? this.date,
        name: name ?? this.name);
  }

  CohortUpdate copyWithWrapped(
      {Wrapped<int>? id,
      Wrapped<String?>? owner,
      Wrapped<List<String>>? students,
      Wrapped<String?>? platform,
      Wrapped<DateTime?>? date,
      Wrapped<String>? name}) {
    return CohortUpdate(
        id: (id != null ? id.value : this.id),
        owner: (owner != null ? owner.value : this.owner),
        students: (students != null ? students.value : this.students),
        platform: (platform != null ? platform.value : this.platform),
        date: (date != null ? date.value : this.date),
        name: (name != null ? name.value : this.name));
  }
}

@JsonSerializable(explicitToJson: true)
class Count {
  const Count({
    required this.data,
  });

  factory Count.fromJson(Map<String, dynamic> json) => _$CountFromJson(json);

  static const toJsonFactory = _$CountToJson;
  Map<String, dynamic> toJson() => _$CountToJson(this);

  @JsonKey(name: 'data')
  final CountData data;
  static const fromJsonFactory = _$CountFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Count &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $CountExtension on Count {
  Count copyWith({CountData? data}) {
    return Count(data: data ?? this.data);
  }

  Count copyWithWrapped({Wrapped<CountData>? data}) {
    return Count(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class CountData {
  const CountData({
    required this.count,
  });

  factory CountData.fromJson(Map<String, dynamic> json) =>
      _$CountDataFromJson(json);

  static const toJsonFactory = _$CountDataToJson;
  Map<String, dynamic> toJson() => _$CountDataToJson(this);

  @JsonKey(name: 'count')
  final int count;
  static const fromJsonFactory = _$CountDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CountData &&
            (identical(other.count, count) ||
                const DeepCollectionEquality().equals(other.count, count)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(count) ^ runtimeType.hashCode;
}

extension $CountDataExtension on CountData {
  CountData copyWith({int? count}) {
    return CountData(count: count ?? this.count);
  }

  CountData copyWithWrapped({Wrapped<int>? count}) {
    return CountData(count: (count != null ? count.value : this.count));
  }
}

@JsonSerializable(explicitToJson: true)
class CourseCompletionPerCourse {
  const CourseCompletionPerCourse({
    this.data,
    required this.pagination,
  });

  factory CourseCompletionPerCourse.fromJson(Map<String, dynamic> json) =>
      _$CourseCompletionPerCourseFromJson(json);

  static const toJsonFactory = _$CourseCompletionPerCourseToJson;
  Map<String, dynamic> toJson() => _$CourseCompletionPerCourseToJson(this);

  @JsonKey(name: 'data', defaultValue: <CourseCompletionPerCourseData>[])
  final List<CourseCompletionPerCourseData>? data;
  @JsonKey(name: 'pagination')
  final Pagination pagination;
  static const fromJsonFactory = _$CourseCompletionPerCourseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CourseCompletionPerCourse &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.pagination, pagination) ||
                const DeepCollectionEquality()
                    .equals(other.pagination, pagination)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(pagination) ^
      runtimeType.hashCode;
}

extension $CourseCompletionPerCourseExtension on CourseCompletionPerCourse {
  CourseCompletionPerCourse copyWith(
      {List<CourseCompletionPerCourseData>? data, Pagination? pagination}) {
    return CourseCompletionPerCourse(
        data: data ?? this.data, pagination: pagination ?? this.pagination);
  }

  CourseCompletionPerCourse copyWithWrapped(
      {Wrapped<List<CourseCompletionPerCourseData>?>? data,
      Wrapped<Pagination>? pagination}) {
    return CourseCompletionPerCourse(
        data: (data != null ? data.value : this.data),
        pagination: (pagination != null ? pagination.value : this.pagination));
  }
}

@JsonSerializable(explicitToJson: true)
class CourseCompletionPerCourseData {
  const CourseCompletionPerCourseData({
    required this.courseId,
    required this.name,
    required this.enrollments,
    required this.completions,
    required this.average,
  });

  factory CourseCompletionPerCourseData.fromJson(Map<String, dynamic> json) =>
      _$CourseCompletionPerCourseDataFromJson(json);

  static const toJsonFactory = _$CourseCompletionPerCourseDataToJson;
  Map<String, dynamic> toJson() => _$CourseCompletionPerCourseDataToJson(this);

  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'enrollments')
  final int enrollments;
  @JsonKey(name: 'completions')
  final int completions;
  @JsonKey(name: 'average')
  final double average;
  static const fromJsonFactory = _$CourseCompletionPerCourseDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CourseCompletionPerCourseData &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.enrollments, enrollments) ||
                const DeepCollectionEquality()
                    .equals(other.enrollments, enrollments)) &&
            (identical(other.completions, completions) ||
                const DeepCollectionEquality()
                    .equals(other.completions, completions)) &&
            (identical(other.average, average) ||
                const DeepCollectionEquality().equals(other.average, average)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(enrollments) ^
      const DeepCollectionEquality().hash(completions) ^
      const DeepCollectionEquality().hash(average) ^
      runtimeType.hashCode;
}

extension $CourseCompletionPerCourseDataExtension
    on CourseCompletionPerCourseData {
  CourseCompletionPerCourseData copyWith(
      {String? courseId,
      String? name,
      int? enrollments,
      int? completions,
      double? average}) {
    return CourseCompletionPerCourseData(
        courseId: courseId ?? this.courseId,
        name: name ?? this.name,
        enrollments: enrollments ?? this.enrollments,
        completions: completions ?? this.completions,
        average: average ?? this.average);
  }

  CourseCompletionPerCourseData copyWithWrapped(
      {Wrapped<String>? courseId,
      Wrapped<String>? name,
      Wrapped<int>? enrollments,
      Wrapped<int>? completions,
      Wrapped<double>? average}) {
    return CourseCompletionPerCourseData(
        courseId: (courseId != null ? courseId.value : this.courseId),
        name: (name != null ? name.value : this.name),
        enrollments:
            (enrollments != null ? enrollments.value : this.enrollments),
        completions:
            (completions != null ? completions.value : this.completions),
        average: (average != null ? average.value : this.average));
  }
}

@JsonSerializable(explicitToJson: true)
class CourseCompletionSummaryDataOvertime {
  const CourseCompletionSummaryDataOvertime({
    this.overtime,
    required this.totalUserCount,
    required this.completedCount,
    required this.completedPercent,
  });

  factory CourseCompletionSummaryDataOvertime.fromJson(
          Map<String, dynamic> json) =>
      _$CourseCompletionSummaryDataOvertimeFromJson(json);

  static const toJsonFactory = _$CourseCompletionSummaryDataOvertimeToJson;
  Map<String, dynamic> toJson() =>
      _$CourseCompletionSummaryDataOvertimeToJson(this);

  @JsonKey(name: 'overtime')
  final Map<String, dynamic>? overtime;
  @JsonKey(name: 'total_user_count')
  final int totalUserCount;
  @JsonKey(name: 'completed_count')
  final int completedCount;
  @JsonKey(name: 'completed_percent')
  final double completedPercent;
  static const fromJsonFactory = _$CourseCompletionSummaryDataOvertimeFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CourseCompletionSummaryDataOvertime &&
            (identical(other.overtime, overtime) ||
                const DeepCollectionEquality()
                    .equals(other.overtime, overtime)) &&
            (identical(other.totalUserCount, totalUserCount) ||
                const DeepCollectionEquality()
                    .equals(other.totalUserCount, totalUserCount)) &&
            (identical(other.completedCount, completedCount) ||
                const DeepCollectionEquality()
                    .equals(other.completedCount, completedCount)) &&
            (identical(other.completedPercent, completedPercent) ||
                const DeepCollectionEquality()
                    .equals(other.completedPercent, completedPercent)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(overtime) ^
      const DeepCollectionEquality().hash(totalUserCount) ^
      const DeepCollectionEquality().hash(completedCount) ^
      const DeepCollectionEquality().hash(completedPercent) ^
      runtimeType.hashCode;
}

extension $CourseCompletionSummaryDataOvertimeExtension
    on CourseCompletionSummaryDataOvertime {
  CourseCompletionSummaryDataOvertime copyWith(
      {Map<String, dynamic>? overtime,
      int? totalUserCount,
      int? completedCount,
      double? completedPercent}) {
    return CourseCompletionSummaryDataOvertime(
        overtime: overtime ?? this.overtime,
        totalUserCount: totalUserCount ?? this.totalUserCount,
        completedCount: completedCount ?? this.completedCount,
        completedPercent: completedPercent ?? this.completedPercent);
  }

  CourseCompletionSummaryDataOvertime copyWithWrapped(
      {Wrapped<Map<String, dynamic>?>? overtime,
      Wrapped<int>? totalUserCount,
      Wrapped<int>? completedCount,
      Wrapped<double>? completedPercent}) {
    return CourseCompletionSummaryDataOvertime(
        overtime: (overtime != null ? overtime.value : this.overtime),
        totalUserCount: (totalUserCount != null
            ? totalUserCount.value
            : this.totalUserCount),
        completedCount: (completedCount != null
            ? completedCount.value
            : this.completedCount),
        completedPercent: (completedPercent != null
            ? completedPercent.value
            : this.completedPercent));
  }
}

@JsonSerializable(explicitToJson: true)
class CourseCompletionSummaryOvertime {
  const CourseCompletionSummaryOvertime({
    required this.data,
    required this.meta,
  });

  factory CourseCompletionSummaryOvertime.fromJson(Map<String, dynamic> json) =>
      _$CourseCompletionSummaryOvertimeFromJson(json);

  static const toJsonFactory = _$CourseCompletionSummaryOvertimeToJson;
  Map<String, dynamic> toJson() =>
      _$CourseCompletionSummaryOvertimeToJson(this);

  @JsonKey(name: 'data')
  final CourseCompletionSummaryDataOvertime data;
  @JsonKey(name: 'meta')
  final OvertimeMeta meta;
  static const fromJsonFactory = _$CourseCompletionSummaryOvertimeFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CourseCompletionSummaryOvertime &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.meta, meta) ||
                const DeepCollectionEquality().equals(other.meta, meta)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(meta) ^
      runtimeType.hashCode;
}

extension $CourseCompletionSummaryOvertimeExtension
    on CourseCompletionSummaryOvertime {
  CourseCompletionSummaryOvertime copyWith(
      {CourseCompletionSummaryDataOvertime? data, OvertimeMeta? meta}) {
    return CourseCompletionSummaryOvertime(
        data: data ?? this.data, meta: meta ?? this.meta);
  }

  CourseCompletionSummaryOvertime copyWithWrapped(
      {Wrapped<CourseCompletionSummaryDataOvertime>? data,
      Wrapped<OvertimeMeta>? meta}) {
    return CourseCompletionSummaryOvertime(
        data: (data != null ? data.value : this.data),
        meta: (meta != null ? meta.value : this.meta));
  }
}

@JsonSerializable(explicitToJson: true)
class CourseGradeDetailBlock {
  const CourseGradeDetailBlock({
    required this.displayName,
    required this.id,
    this.attempts,
    required this.average,
  });

  factory CourseGradeDetailBlock.fromJson(Map<String, dynamic> json) =>
      _$CourseGradeDetailBlockFromJson(json);

  static const toJsonFactory = _$CourseGradeDetailBlockToJson;
  Map<String, dynamic> toJson() => _$CourseGradeDetailBlockToJson(this);

  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'attempts')
  final String? attempts;
  @JsonKey(name: 'average')
  final String average;
  static const fromJsonFactory = _$CourseGradeDetailBlockFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CourseGradeDetailBlock &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.attempts, attempts) ||
                const DeepCollectionEquality()
                    .equals(other.attempts, attempts)) &&
            (identical(other.average, average) ||
                const DeepCollectionEquality().equals(other.average, average)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(attempts) ^
      const DeepCollectionEquality().hash(average) ^
      runtimeType.hashCode;
}

extension $CourseGradeDetailBlockExtension on CourseGradeDetailBlock {
  CourseGradeDetailBlock copyWith(
      {String? displayName, String? id, String? attempts, String? average}) {
    return CourseGradeDetailBlock(
        displayName: displayName ?? this.displayName,
        id: id ?? this.id,
        attempts: attempts ?? this.attempts,
        average: average ?? this.average);
  }

  CourseGradeDetailBlock copyWithWrapped(
      {Wrapped<String>? displayName,
      Wrapped<String>? id,
      Wrapped<String?>? attempts,
      Wrapped<String>? average}) {
    return CourseGradeDetailBlock(
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        id: (id != null ? id.value : this.id),
        attempts: (attempts != null ? attempts.value : this.attempts),
        average: (average != null ? average.value : this.average));
  }
}

@JsonSerializable(explicitToJson: true)
class CourseGradeDetailSubSection {
  const CourseGradeDetailSubSection({
    required this.displayName,
    required this.id,
    this.attempts,
    required this.average,
    this.problems,
  });

  factory CourseGradeDetailSubSection.fromJson(Map<String, dynamic> json) =>
      _$CourseGradeDetailSubSectionFromJson(json);

  static const toJsonFactory = _$CourseGradeDetailSubSectionToJson;
  Map<String, dynamic> toJson() => _$CourseGradeDetailSubSectionToJson(this);

  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'attempts')
  final String? attempts;
  @JsonKey(name: 'average')
  final String average;
  @JsonKey(name: 'problems', defaultValue: <CourseGradeDetailBlock>[])
  final List<CourseGradeDetailBlock>? problems;
  static const fromJsonFactory = _$CourseGradeDetailSubSectionFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CourseGradeDetailSubSection &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.attempts, attempts) ||
                const DeepCollectionEquality()
                    .equals(other.attempts, attempts)) &&
            (identical(other.average, average) ||
                const DeepCollectionEquality()
                    .equals(other.average, average)) &&
            (identical(other.problems, problems) ||
                const DeepCollectionEquality()
                    .equals(other.problems, problems)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(attempts) ^
      const DeepCollectionEquality().hash(average) ^
      const DeepCollectionEquality().hash(problems) ^
      runtimeType.hashCode;
}

extension $CourseGradeDetailSubSectionExtension on CourseGradeDetailSubSection {
  CourseGradeDetailSubSection copyWith(
      {String? displayName,
      String? id,
      String? attempts,
      String? average,
      List<CourseGradeDetailBlock>? problems}) {
    return CourseGradeDetailSubSection(
        displayName: displayName ?? this.displayName,
        id: id ?? this.id,
        attempts: attempts ?? this.attempts,
        average: average ?? this.average,
        problems: problems ?? this.problems);
  }

  CourseGradeDetailSubSection copyWithWrapped(
      {Wrapped<String>? displayName,
      Wrapped<String>? id,
      Wrapped<String?>? attempts,
      Wrapped<String>? average,
      Wrapped<List<CourseGradeDetailBlock>?>? problems}) {
    return CourseGradeDetailSubSection(
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        id: (id != null ? id.value : this.id),
        attempts: (attempts != null ? attempts.value : this.attempts),
        average: (average != null ? average.value : this.average),
        problems: (problems != null ? problems.value : this.problems));
  }
}

@JsonSerializable(explicitToJson: true)
class CourseGradeSummary {
  const CourseGradeSummary({
    this.data,
  });

  factory CourseGradeSummary.fromJson(Map<String, dynamic> json) =>
      _$CourseGradeSummaryFromJson(json);

  static const toJsonFactory = _$CourseGradeSummaryToJson;
  Map<String, dynamic> toJson() => _$CourseGradeSummaryToJson(this);

  @JsonKey(name: 'data', defaultValue: <CourseGradeSummaryData>[])
  final List<CourseGradeSummaryData>? data;
  static const fromJsonFactory = _$CourseGradeSummaryFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CourseGradeSummary &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $CourseGradeSummaryExtension on CourseGradeSummary {
  CourseGradeSummary copyWith({List<CourseGradeSummaryData>? data}) {
    return CourseGradeSummary(data: data ?? this.data);
  }

  CourseGradeSummary copyWithWrapped(
      {Wrapped<List<CourseGradeSummaryData>?>? data}) {
    return CourseGradeSummary(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class CourseGradeSummaryData {
  const CourseGradeSummaryData({
    required this.assignmentType,
    required this.weight,
    required this.averageWeightedGrade,
    required this.averageSectionGrade,
  });

  factory CourseGradeSummaryData.fromJson(Map<String, dynamic> json) =>
      _$CourseGradeSummaryDataFromJson(json);

  static const toJsonFactory = _$CourseGradeSummaryDataToJson;
  Map<String, dynamic> toJson() => _$CourseGradeSummaryDataToJson(this);

  @JsonKey(name: 'assignment_type')
  final String assignmentType;
  @JsonKey(name: 'weight')
  final double weight;
  @JsonKey(name: 'average_weighted_grade')
  final double averageWeightedGrade;
  @JsonKey(name: 'average_section_grade')
  final double averageSectionGrade;
  static const fromJsonFactory = _$CourseGradeSummaryDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CourseGradeSummaryData &&
            (identical(other.assignmentType, assignmentType) ||
                const DeepCollectionEquality()
                    .equals(other.assignmentType, assignmentType)) &&
            (identical(other.weight, weight) ||
                const DeepCollectionEquality().equals(other.weight, weight)) &&
            (identical(other.averageWeightedGrade, averageWeightedGrade) ||
                const DeepCollectionEquality().equals(
                    other.averageWeightedGrade, averageWeightedGrade)) &&
            (identical(other.averageSectionGrade, averageSectionGrade) ||
                const DeepCollectionEquality()
                    .equals(other.averageSectionGrade, averageSectionGrade)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(assignmentType) ^
      const DeepCollectionEquality().hash(weight) ^
      const DeepCollectionEquality().hash(averageWeightedGrade) ^
      const DeepCollectionEquality().hash(averageSectionGrade) ^
      runtimeType.hashCode;
}

extension $CourseGradeSummaryDataExtension on CourseGradeSummaryData {
  CourseGradeSummaryData copyWith(
      {String? assignmentType,
      double? weight,
      double? averageWeightedGrade,
      double? averageSectionGrade}) {
    return CourseGradeSummaryData(
        assignmentType: assignmentType ?? this.assignmentType,
        weight: weight ?? this.weight,
        averageWeightedGrade: averageWeightedGrade ?? this.averageWeightedGrade,
        averageSectionGrade: averageSectionGrade ?? this.averageSectionGrade);
  }

  CourseGradeSummaryData copyWithWrapped(
      {Wrapped<String>? assignmentType,
      Wrapped<double>? weight,
      Wrapped<double>? averageWeightedGrade,
      Wrapped<double>? averageSectionGrade}) {
    return CourseGradeSummaryData(
        assignmentType: (assignmentType != null
            ? assignmentType.value
            : this.assignmentType),
        weight: (weight != null ? weight.value : this.weight),
        averageWeightedGrade: (averageWeightedGrade != null
            ? averageWeightedGrade.value
            : this.averageWeightedGrade),
        averageSectionGrade: (averageSectionGrade != null
            ? averageSectionGrade.value
            : this.averageSectionGrade));
  }
}

@JsonSerializable(explicitToJson: true)
class CourseGradingDetail {
  const CourseGradingDetail({
    this.data,
  });

  factory CourseGradingDetail.fromJson(Map<String, dynamic> json) =>
      _$CourseGradingDetailFromJson(json);

  static const toJsonFactory = _$CourseGradingDetailToJson;
  Map<String, dynamic> toJson() => _$CourseGradingDetailToJson(this);

  @JsonKey(name: 'data', defaultValue: <CourseGradingDetailData>[])
  final List<CourseGradingDetailData>? data;
  static const fromJsonFactory = _$CourseGradingDetailFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CourseGradingDetail &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $CourseGradingDetailExtension on CourseGradingDetail {
  CourseGradingDetail copyWith({List<CourseGradingDetailData>? data}) {
    return CourseGradingDetail(data: data ?? this.data);
  }

  CourseGradingDetail copyWithWrapped(
      {Wrapped<List<CourseGradingDetailData>?>? data}) {
    return CourseGradingDetail(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class CourseGradingDetailData {
  const CourseGradingDetailData({
    required this.displayName,
    required this.id,
    this.subsections,
  });

  factory CourseGradingDetailData.fromJson(Map<String, dynamic> json) =>
      _$CourseGradingDetailDataFromJson(json);

  static const toJsonFactory = _$CourseGradingDetailDataToJson;
  Map<String, dynamic> toJson() => _$CourseGradingDetailDataToJson(this);

  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'subsections', defaultValue: <CourseGradeDetailSubSection>[])
  final List<CourseGradeDetailSubSection>? subsections;
  static const fromJsonFactory = _$CourseGradingDetailDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CourseGradingDetailData &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.subsections, subsections) ||
                const DeepCollectionEquality()
                    .equals(other.subsections, subsections)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(subsections) ^
      runtimeType.hashCode;
}

extension $CourseGradingDetailDataExtension on CourseGradingDetailData {
  CourseGradingDetailData copyWith(
      {String? displayName,
      String? id,
      List<CourseGradeDetailSubSection>? subsections}) {
    return CourseGradingDetailData(
        displayName: displayName ?? this.displayName,
        id: id ?? this.id,
        subsections: subsections ?? this.subsections);
  }

  CourseGradingDetailData copyWithWrapped(
      {Wrapped<String>? displayName,
      Wrapped<String>? id,
      Wrapped<List<CourseGradeDetailSubSection>?>? subsections}) {
    return CourseGradingDetailData(
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        id: (id != null ? id.value : this.id),
        subsections:
            (subsections != null ? subsections.value : this.subsections));
  }
}

@JsonSerializable(explicitToJson: true)
class CoursePoint {
  const CoursePoint({
    required this.courseId,
    required this.points,
  });

  factory CoursePoint.fromJson(Map<String, dynamic> json) =>
      _$CoursePointFromJson(json);

  static const toJsonFactory = _$CoursePointToJson;
  Map<String, dynamic> toJson() => _$CoursePointToJson(this);

  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'points')
  final int points;
  static const fromJsonFactory = _$CoursePointFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CoursePoint &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.points, points) ||
                const DeepCollectionEquality().equals(other.points, points)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(points) ^
      runtimeType.hashCode;
}

extension $CoursePointExtension on CoursePoint {
  CoursePoint copyWith({String? courseId, int? points}) {
    return CoursePoint(
        courseId: courseId ?? this.courseId, points: points ?? this.points);
  }

  CoursePoint copyWithWrapped(
      {Wrapped<String>? courseId, Wrapped<int>? points}) {
    return CoursePoint(
        courseId: (courseId != null ? courseId.value : this.courseId),
        points: (points != null ? points.value : this.points));
  }
}

@JsonSerializable(explicitToJson: true)
class CourseSkill {
  const CourseSkill({
    required this.courseId,
    required this.skills,
  });

  factory CourseSkill.fromJson(Map<String, dynamic> json) =>
      _$CourseSkillFromJson(json);

  static const toJsonFactory = _$CourseSkillToJson;
  Map<String, dynamic> toJson() => _$CourseSkillToJson(this);

  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'skills', defaultValue: <Skill>[])
  final List<Skill> skills;
  static const fromJsonFactory = _$CourseSkillFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CourseSkill &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.skills, skills) ||
                const DeepCollectionEquality().equals(other.skills, skills)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(skills) ^
      runtimeType.hashCode;
}

extension $CourseSkillExtension on CourseSkill {
  CourseSkill copyWith({String? courseId, List<Skill>? skills}) {
    return CourseSkill(
        courseId: courseId ?? this.courseId, skills: skills ?? this.skills);
  }

  CourseSkill copyWithWrapped(
      {Wrapped<String>? courseId, Wrapped<List<Skill>>? skills}) {
    return CourseSkill(
        courseId: (courseId != null ? courseId.value : this.courseId),
        skills: (skills != null ? skills.value : this.skills));
  }
}

@JsonSerializable(explicitToJson: true)
class CreateNotification {
  const CreateNotification({
    required this.recipientListType,
    required this.recipientList,
    required this.notificationType,
    required this.context,
  });

  factory CreateNotification.fromJson(Map<String, dynamic> json) =>
      _$CreateNotificationFromJson(json);

  static const toJsonFactory = _$CreateNotificationToJson;
  Map<String, dynamic> toJson() => _$CreateNotificationToJson(this);

  @JsonKey(name: 'recipient_list_type')
  final String recipientListType;
  @JsonKey(name: 'recipient_list', defaultValue: <String>[])
  final List<String> recipientList;
  @JsonKey(name: 'notification_type')
  final String notificationType;
  @JsonKey(name: 'context')
  final NotificationContext context;
  static const fromJsonFactory = _$CreateNotificationFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CreateNotification &&
            (identical(other.recipientListType, recipientListType) ||
                const DeepCollectionEquality()
                    .equals(other.recipientListType, recipientListType)) &&
            (identical(other.recipientList, recipientList) ||
                const DeepCollectionEquality()
                    .equals(other.recipientList, recipientList)) &&
            (identical(other.notificationType, notificationType) ||
                const DeepCollectionEquality()
                    .equals(other.notificationType, notificationType)) &&
            (identical(other.context, context) ||
                const DeepCollectionEquality().equals(other.context, context)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(recipientListType) ^
      const DeepCollectionEquality().hash(recipientList) ^
      const DeepCollectionEquality().hash(notificationType) ^
      const DeepCollectionEquality().hash(context) ^
      runtimeType.hashCode;
}

extension $CreateNotificationExtension on CreateNotification {
  CreateNotification copyWith(
      {String? recipientListType,
      List<String>? recipientList,
      String? notificationType,
      NotificationContext? context}) {
    return CreateNotification(
        recipientListType: recipientListType ?? this.recipientListType,
        recipientList: recipientList ?? this.recipientList,
        notificationType: notificationType ?? this.notificationType,
        context: context ?? this.context);
  }

  CreateNotification copyWithWrapped(
      {Wrapped<String>? recipientListType,
      Wrapped<List<String>>? recipientList,
      Wrapped<String>? notificationType,
      Wrapped<NotificationContext>? context}) {
    return CreateNotification(
        recipientListType: (recipientListType != null
            ? recipientListType.value
            : this.recipientListType),
        recipientList:
            (recipientList != null ? recipientList.value : this.recipientList),
        notificationType: (notificationType != null
            ? notificationType.value
            : this.notificationType),
        context: (context != null ? context.value : this.context));
  }
}

@JsonSerializable(explicitToJson: true)
class CreateNotificationResponse {
  const CreateNotificationResponse({
    required this.message,
  });

  factory CreateNotificationResponse.fromJson(Map<String, dynamic> json) =>
      _$CreateNotificationResponseFromJson(json);

  static const toJsonFactory = _$CreateNotificationResponseToJson;
  Map<String, dynamic> toJson() => _$CreateNotificationResponseToJson(this);

  @JsonKey(name: 'message')
  final String message;
  static const fromJsonFactory = _$CreateNotificationResponseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is CreateNotificationResponse &&
            (identical(other.message, message) ||
                const DeepCollectionEquality().equals(other.message, message)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(message) ^ runtimeType.hashCode;
}

extension $CreateNotificationResponseExtension on CreateNotificationResponse {
  CreateNotificationResponse copyWith({String? message}) {
    return CreateNotificationResponse(message: message ?? this.message);
  }

  CreateNotificationResponse copyWithWrapped({Wrapped<String>? message}) {
    return CreateNotificationResponse(
        message: (message != null ? message.value : this.message));
  }
}

@JsonSerializable(explicitToJson: true)
class Credential {
  const Credential({
    required this.id,
    required this.name,
    this.description,
    this.criteriaUrl,
    this.criteriaText,
    this.expiresAmount,
    this.expiresDuration,
    this.iconImage,
    this.thumbnailImage,
    this.backgroundImage,
    this.credentialType,
    this.tags,
    this.public,
    this.htmlTemplate,
    this.cssTemplate,
    required this.created,
    required this.updated,
    this.metadata,
    required this.entityId,
    this.issuingSignal,
    this.issuer,
    required this.items,
  });

  factory Credential.fromJson(Map<String, dynamic> json) =>
      _$CredentialFromJson(json);

  static const toJsonFactory = _$CredentialToJson;
  Map<String, dynamic> toJson() => _$CredentialToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'description')
  final String? description;
  @JsonKey(name: 'criteria_url')
  final String? criteriaUrl;
  @JsonKey(name: 'criteria_text')
  final String? criteriaText;
  @JsonKey(name: 'expires_amount')
  final int? expiresAmount;
  @JsonKey(name: 'expiresDuration')
  final dynamic expiresDuration;
  @JsonKey(name: 'icon_image')
  final String? iconImage;
  @JsonKey(name: 'thumbnail_image')
  final String? thumbnailImage;
  @JsonKey(name: 'background_image')
  final String? backgroundImage;
  @JsonKey(name: 'credentialType')
  final dynamic credentialType;
  @JsonKey(name: 'tags')
  final Map<String, dynamic>? tags;
  @JsonKey(name: 'public')
  final bool? public;
  @JsonKey(name: 'html_template')
  final String? htmlTemplate;
  @JsonKey(name: 'css_template')
  final String? cssTemplate;
  @JsonKey(name: 'created')
  final DateTime created;
  @JsonKey(name: 'updated')
  final DateTime updated;
  @JsonKey(name: 'metadata')
  final Map<String, dynamic>? metadata;
  @JsonKey(name: 'entity_id')
  final String entityId;
  @JsonKey(name: 'issuingSignal')
  final dynamic issuingSignal;
  @JsonKey(name: 'issuer')
  final int? issuer;
  @JsonKey(name: 'items', defaultValue: <int>[])
  final List<int> items;
  static const fromJsonFactory = _$CredentialFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Credential &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.description, description) ||
                const DeepCollectionEquality()
                    .equals(other.description, description)) &&
            (identical(other.criteriaUrl, criteriaUrl) ||
                const DeepCollectionEquality()
                    .equals(other.criteriaUrl, criteriaUrl)) &&
            (identical(other.criteriaText, criteriaText) ||
                const DeepCollectionEquality()
                    .equals(other.criteriaText, criteriaText)) &&
            (identical(other.expiresAmount, expiresAmount) ||
                const DeepCollectionEquality()
                    .equals(other.expiresAmount, expiresAmount)) &&
            (identical(other.expiresDuration, expiresDuration) ||
                const DeepCollectionEquality()
                    .equals(other.expiresDuration, expiresDuration)) &&
            (identical(other.iconImage, iconImage) ||
                const DeepCollectionEquality()
                    .equals(other.iconImage, iconImage)) &&
            (identical(other.thumbnailImage, thumbnailImage) ||
                const DeepCollectionEquality()
                    .equals(other.thumbnailImage, thumbnailImage)) &&
            (identical(other.backgroundImage, backgroundImage) ||
                const DeepCollectionEquality()
                    .equals(other.backgroundImage, backgroundImage)) &&
            (identical(other.credentialType, credentialType) ||
                const DeepCollectionEquality()
                    .equals(other.credentialType, credentialType)) &&
            (identical(other.tags, tags) ||
                const DeepCollectionEquality().equals(other.tags, tags)) &&
            (identical(other.public, public) ||
                const DeepCollectionEquality().equals(other.public, public)) &&
            (identical(other.htmlTemplate, htmlTemplate) ||
                const DeepCollectionEquality()
                    .equals(other.htmlTemplate, htmlTemplate)) &&
            (identical(other.cssTemplate, cssTemplate) ||
                const DeepCollectionEquality()
                    .equals(other.cssTemplate, cssTemplate)) &&
            (identical(other.created, created) ||
                const DeepCollectionEquality()
                    .equals(other.created, created)) &&
            (identical(other.updated, updated) ||
                const DeepCollectionEquality()
                    .equals(other.updated, updated)) &&
            (identical(other.metadata, metadata) ||
                const DeepCollectionEquality()
                    .equals(other.metadata, metadata)) &&
            (identical(other.entityId, entityId) ||
                const DeepCollectionEquality()
                    .equals(other.entityId, entityId)) &&
            (identical(other.issuingSignal, issuingSignal) ||
                const DeepCollectionEquality()
                    .equals(other.issuingSignal, issuingSignal)) &&
            (identical(other.issuer, issuer) ||
                const DeepCollectionEquality().equals(other.issuer, issuer)) &&
            (identical(other.items, items) ||
                const DeepCollectionEquality().equals(other.items, items)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(description) ^
      const DeepCollectionEquality().hash(criteriaUrl) ^
      const DeepCollectionEquality().hash(criteriaText) ^
      const DeepCollectionEquality().hash(expiresAmount) ^
      const DeepCollectionEquality().hash(expiresDuration) ^
      const DeepCollectionEquality().hash(iconImage) ^
      const DeepCollectionEquality().hash(thumbnailImage) ^
      const DeepCollectionEquality().hash(backgroundImage) ^
      const DeepCollectionEquality().hash(credentialType) ^
      const DeepCollectionEquality().hash(tags) ^
      const DeepCollectionEquality().hash(public) ^
      const DeepCollectionEquality().hash(htmlTemplate) ^
      const DeepCollectionEquality().hash(cssTemplate) ^
      const DeepCollectionEquality().hash(created) ^
      const DeepCollectionEquality().hash(updated) ^
      const DeepCollectionEquality().hash(metadata) ^
      const DeepCollectionEquality().hash(entityId) ^
      const DeepCollectionEquality().hash(issuingSignal) ^
      const DeepCollectionEquality().hash(issuer) ^
      const DeepCollectionEquality().hash(items) ^
      runtimeType.hashCode;
}

extension $CredentialExtension on Credential {
  Credential copyWith(
      {int? id,
      String? name,
      String? description,
      String? criteriaUrl,
      String? criteriaText,
      int? expiresAmount,
      dynamic expiresDuration,
      String? iconImage,
      String? thumbnailImage,
      String? backgroundImage,
      dynamic credentialType,
      Map<String, dynamic>? tags,
      bool? public,
      String? htmlTemplate,
      String? cssTemplate,
      DateTime? created,
      DateTime? updated,
      Map<String, dynamic>? metadata,
      String? entityId,
      dynamic issuingSignal,
      int? issuer,
      List<int>? items}) {
    return Credential(
        id: id ?? this.id,
        name: name ?? this.name,
        description: description ?? this.description,
        criteriaUrl: criteriaUrl ?? this.criteriaUrl,
        criteriaText: criteriaText ?? this.criteriaText,
        expiresAmount: expiresAmount ?? this.expiresAmount,
        expiresDuration: expiresDuration ?? this.expiresDuration,
        iconImage: iconImage ?? this.iconImage,
        thumbnailImage: thumbnailImage ?? this.thumbnailImage,
        backgroundImage: backgroundImage ?? this.backgroundImage,
        credentialType: credentialType ?? this.credentialType,
        tags: tags ?? this.tags,
        public: public ?? this.public,
        htmlTemplate: htmlTemplate ?? this.htmlTemplate,
        cssTemplate: cssTemplate ?? this.cssTemplate,
        created: created ?? this.created,
        updated: updated ?? this.updated,
        metadata: metadata ?? this.metadata,
        entityId: entityId ?? this.entityId,
        issuingSignal: issuingSignal ?? this.issuingSignal,
        issuer: issuer ?? this.issuer,
        items: items ?? this.items);
  }

  Credential copyWithWrapped(
      {Wrapped<int>? id,
      Wrapped<String>? name,
      Wrapped<String?>? description,
      Wrapped<String?>? criteriaUrl,
      Wrapped<String?>? criteriaText,
      Wrapped<int?>? expiresAmount,
      Wrapped<dynamic>? expiresDuration,
      Wrapped<String?>? iconImage,
      Wrapped<String?>? thumbnailImage,
      Wrapped<String?>? backgroundImage,
      Wrapped<dynamic>? credentialType,
      Wrapped<Map<String, dynamic>?>? tags,
      Wrapped<bool?>? public,
      Wrapped<String?>? htmlTemplate,
      Wrapped<String?>? cssTemplate,
      Wrapped<DateTime>? created,
      Wrapped<DateTime>? updated,
      Wrapped<Map<String, dynamic>?>? metadata,
      Wrapped<String>? entityId,
      Wrapped<dynamic>? issuingSignal,
      Wrapped<int?>? issuer,
      Wrapped<List<int>>? items}) {
    return Credential(
        id: (id != null ? id.value : this.id),
        name: (name != null ? name.value : this.name),
        description:
            (description != null ? description.value : this.description),
        criteriaUrl:
            (criteriaUrl != null ? criteriaUrl.value : this.criteriaUrl),
        criteriaText:
            (criteriaText != null ? criteriaText.value : this.criteriaText),
        expiresAmount:
            (expiresAmount != null ? expiresAmount.value : this.expiresAmount),
        expiresDuration: (expiresDuration != null
            ? expiresDuration.value
            : this.expiresDuration),
        iconImage: (iconImage != null ? iconImage.value : this.iconImage),
        thumbnailImage: (thumbnailImage != null
            ? thumbnailImage.value
            : this.thumbnailImage),
        backgroundImage: (backgroundImage != null
            ? backgroundImage.value
            : this.backgroundImage),
        credentialType: (credentialType != null
            ? credentialType.value
            : this.credentialType),
        tags: (tags != null ? tags.value : this.tags),
        public: (public != null ? public.value : this.public),
        htmlTemplate:
            (htmlTemplate != null ? htmlTemplate.value : this.htmlTemplate),
        cssTemplate:
            (cssTemplate != null ? cssTemplate.value : this.cssTemplate),
        created: (created != null ? created.value : this.created),
        updated: (updated != null ? updated.value : this.updated),
        metadata: (metadata != null ? metadata.value : this.metadata),
        entityId: (entityId != null ? entityId.value : this.entityId),
        issuingSignal:
            (issuingSignal != null ? issuingSignal.value : this.issuingSignal),
        issuer: (issuer != null ? issuer.value : this.issuer),
        items: (items != null ? items.value : this.items));
  }
}

@JsonSerializable(explicitToJson: true)
class DesiredRole {
  const DesiredRole({
    required this.roles,
  });

  factory DesiredRole.fromJson(Map<String, dynamic> json) =>
      _$DesiredRoleFromJson(json);

  static const toJsonFactory = _$DesiredRoleToJson;
  Map<String, dynamic> toJson() => _$DesiredRoleToJson(this);

  @JsonKey(name: 'roles', defaultValue: <Role>[])
  final List<Role> roles;
  static const fromJsonFactory = _$DesiredRoleFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is DesiredRole &&
            (identical(other.roles, roles) ||
                const DeepCollectionEquality().equals(other.roles, roles)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(roles) ^ runtimeType.hashCode;
}

extension $DesiredRoleExtension on DesiredRole {
  DesiredRole copyWith({List<Role>? roles}) {
    return DesiredRole(roles: roles ?? this.roles);
  }

  DesiredRole copyWithWrapped({Wrapped<List<Role>>? roles}) {
    return DesiredRole(roles: (roles != null ? roles.value : this.roles));
  }
}

@JsonSerializable(explicitToJson: true)
class DesiredSkill {
  const DesiredSkill({
    required this.skills,
  });

  factory DesiredSkill.fromJson(Map<String, dynamic> json) =>
      _$DesiredSkillFromJson(json);

  static const toJsonFactory = _$DesiredSkillToJson;
  Map<String, dynamic> toJson() => _$DesiredSkillToJson(this);

  @JsonKey(name: 'skills', defaultValue: <Skill>[])
  final List<Skill> skills;
  static const fromJsonFactory = _$DesiredSkillFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is DesiredSkill &&
            (identical(other.skills, skills) ||
                const DeepCollectionEquality().equals(other.skills, skills)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(skills) ^ runtimeType.hashCode;
}

extension $DesiredSkillExtension on DesiredSkill {
  DesiredSkill copyWith({List<Skill>? skills}) {
    return DesiredSkill(skills: skills ?? this.skills);
  }

  DesiredSkill copyWithWrapped({Wrapped<List<Skill>>? skills}) {
    return DesiredSkill(skills: (skills != null ? skills.value : this.skills));
  }
}

@JsonSerializable(explicitToJson: true)
class DetailedGradeSubsection {
  const DetailedGradeSubsection({
    required this.displayName,
    required this.id,
    required this.gradedEarned,
    required this.gradedPossible,
    required this.gradedPercent,
  });

  factory DetailedGradeSubsection.fromJson(Map<String, dynamic> json) =>
      _$DetailedGradeSubsectionFromJson(json);

  static const toJsonFactory = _$DetailedGradeSubsectionToJson;
  Map<String, dynamic> toJson() => _$DetailedGradeSubsectionToJson(this);

  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'graded_earned')
  final String gradedEarned;
  @JsonKey(name: 'graded_possible')
  final String gradedPossible;
  @JsonKey(name: 'graded_percent')
  final String gradedPercent;
  static const fromJsonFactory = _$DetailedGradeSubsectionFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is DetailedGradeSubsection &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.gradedEarned, gradedEarned) ||
                const DeepCollectionEquality()
                    .equals(other.gradedEarned, gradedEarned)) &&
            (identical(other.gradedPossible, gradedPossible) ||
                const DeepCollectionEquality()
                    .equals(other.gradedPossible, gradedPossible)) &&
            (identical(other.gradedPercent, gradedPercent) ||
                const DeepCollectionEquality()
                    .equals(other.gradedPercent, gradedPercent)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(gradedEarned) ^
      const DeepCollectionEquality().hash(gradedPossible) ^
      const DeepCollectionEquality().hash(gradedPercent) ^
      runtimeType.hashCode;
}

extension $DetailedGradeSubsectionExtension on DetailedGradeSubsection {
  DetailedGradeSubsection copyWith(
      {String? displayName,
      String? id,
      String? gradedEarned,
      String? gradedPossible,
      String? gradedPercent}) {
    return DetailedGradeSubsection(
        displayName: displayName ?? this.displayName,
        id: id ?? this.id,
        gradedEarned: gradedEarned ?? this.gradedEarned,
        gradedPossible: gradedPossible ?? this.gradedPossible,
        gradedPercent: gradedPercent ?? this.gradedPercent);
  }

  DetailedGradeSubsection copyWithWrapped(
      {Wrapped<String>? displayName,
      Wrapped<String>? id,
      Wrapped<String>? gradedEarned,
      Wrapped<String>? gradedPossible,
      Wrapped<String>? gradedPercent}) {
    return DetailedGradeSubsection(
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        id: (id != null ? id.value : this.id),
        gradedEarned:
            (gradedEarned != null ? gradedEarned.value : this.gradedEarned),
        gradedPossible: (gradedPossible != null
            ? gradedPossible.value
            : this.gradedPossible),
        gradedPercent:
            (gradedPercent != null ? gradedPercent.value : this.gradedPercent));
  }
}

@JsonSerializable(explicitToJson: true)
class DetailedGradeView {
  const DetailedGradeView({
    this.data,
  });

  factory DetailedGradeView.fromJson(Map<String, dynamic> json) =>
      _$DetailedGradeViewFromJson(json);

  static const toJsonFactory = _$DetailedGradeViewToJson;
  Map<String, dynamic> toJson() => _$DetailedGradeViewToJson(this);

  @JsonKey(name: 'data', defaultValue: <DetailedGradeViewData>[])
  final List<DetailedGradeViewData>? data;
  static const fromJsonFactory = _$DetailedGradeViewFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is DetailedGradeView &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $DetailedGradeViewExtension on DetailedGradeView {
  DetailedGradeView copyWith({List<DetailedGradeViewData>? data}) {
    return DetailedGradeView(data: data ?? this.data);
  }

  DetailedGradeView copyWithWrapped(
      {Wrapped<List<DetailedGradeViewData>?>? data}) {
    return DetailedGradeView(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class DetailedGradeViewData {
  const DetailedGradeViewData({
    required this.displayName,
    required this.id,
    this.children,
  });

  factory DetailedGradeViewData.fromJson(Map<String, dynamic> json) =>
      _$DetailedGradeViewDataFromJson(json);

  static const toJsonFactory = _$DetailedGradeViewDataToJson;
  Map<String, dynamic> toJson() => _$DetailedGradeViewDataToJson(this);

  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'children', defaultValue: <DetailedGradeSubsection>[])
  final List<DetailedGradeSubsection>? children;
  static const fromJsonFactory = _$DetailedGradeViewDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is DetailedGradeViewData &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.children, children) ||
                const DeepCollectionEquality()
                    .equals(other.children, children)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(children) ^
      runtimeType.hashCode;
}

extension $DetailedGradeViewDataExtension on DetailedGradeViewData {
  DetailedGradeViewData copyWith(
      {String? displayName,
      String? id,
      List<DetailedGradeSubsection>? children}) {
    return DetailedGradeViewData(
        displayName: displayName ?? this.displayName,
        id: id ?? this.id,
        children: children ?? this.children);
  }

  DetailedGradeViewData copyWithWrapped(
      {Wrapped<String>? displayName,
      Wrapped<String>? id,
      Wrapped<List<DetailedGradeSubsection>?>? children}) {
    return DetailedGradeViewData(
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        id: (id != null ? id.value : this.id),
        children: (children != null ? children.value : this.children));
  }
}

@JsonSerializable(explicitToJson: true)
class EngagementPerCourse {
  const EngagementPerCourse({
    this.data,
    required this.pagination,
  });

  factory EngagementPerCourse.fromJson(Map<String, dynamic> json) =>
      _$EngagementPerCourseFromJson(json);

  static const toJsonFactory = _$EngagementPerCourseToJson;
  Map<String, dynamic> toJson() => _$EngagementPerCourseToJson(this);

  @JsonKey(name: 'data', defaultValue: <EngagementPerCourseData>[])
  final List<EngagementPerCourseData>? data;
  @JsonKey(name: 'pagination')
  final Pagination pagination;
  static const fromJsonFactory = _$EngagementPerCourseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is EngagementPerCourse &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.pagination, pagination) ||
                const DeepCollectionEquality()
                    .equals(other.pagination, pagination)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(pagination) ^
      runtimeType.hashCode;
}

extension $EngagementPerCourseExtension on EngagementPerCourse {
  EngagementPerCourse copyWith(
      {List<EngagementPerCourseData>? data, Pagination? pagination}) {
    return EngagementPerCourse(
        data: data ?? this.data, pagination: pagination ?? this.pagination);
  }

  EngagementPerCourse copyWithWrapped(
      {Wrapped<List<EngagementPerCourseData>?>? data,
      Wrapped<Pagination>? pagination}) {
    return EngagementPerCourse(
        data: (data != null ? data.value : this.data),
        pagination: (pagination != null ? pagination.value : this.pagination));
  }
}

@JsonSerializable(explicitToJson: true)
class EngagementPerCourseData {
  const EngagementPerCourseData({
    required this.courseId,
    required this.courseStart,
    required this.courseEnd,
    required this.averageDays,
    required this.averageTimeSpent,
    required this.name,
  });

  factory EngagementPerCourseData.fromJson(Map<String, dynamic> json) =>
      _$EngagementPerCourseDataFromJson(json);

  static const toJsonFactory = _$EngagementPerCourseDataToJson;
  Map<String, dynamic> toJson() => _$EngagementPerCourseDataToJson(this);

  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'course_start')
  final String courseStart;
  @JsonKey(name: 'course_end')
  final String courseEnd;
  @JsonKey(name: 'average_days')
  final int averageDays;
  @JsonKey(name: 'average_time_spent')
  final double averageTimeSpent;
  @JsonKey(name: 'name')
  final String name;
  static const fromJsonFactory = _$EngagementPerCourseDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is EngagementPerCourseData &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.courseStart, courseStart) ||
                const DeepCollectionEquality()
                    .equals(other.courseStart, courseStart)) &&
            (identical(other.courseEnd, courseEnd) ||
                const DeepCollectionEquality()
                    .equals(other.courseEnd, courseEnd)) &&
            (identical(other.averageDays, averageDays) ||
                const DeepCollectionEquality()
                    .equals(other.averageDays, averageDays)) &&
            (identical(other.averageTimeSpent, averageTimeSpent) ||
                const DeepCollectionEquality()
                    .equals(other.averageTimeSpent, averageTimeSpent)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(courseStart) ^
      const DeepCollectionEquality().hash(courseEnd) ^
      const DeepCollectionEquality().hash(averageDays) ^
      const DeepCollectionEquality().hash(averageTimeSpent) ^
      const DeepCollectionEquality().hash(name) ^
      runtimeType.hashCode;
}

extension $EngagementPerCourseDataExtension on EngagementPerCourseData {
  EngagementPerCourseData copyWith(
      {String? courseId,
      String? courseStart,
      String? courseEnd,
      int? averageDays,
      double? averageTimeSpent,
      String? name}) {
    return EngagementPerCourseData(
        courseId: courseId ?? this.courseId,
        courseStart: courseStart ?? this.courseStart,
        courseEnd: courseEnd ?? this.courseEnd,
        averageDays: averageDays ?? this.averageDays,
        averageTimeSpent: averageTimeSpent ?? this.averageTimeSpent,
        name: name ?? this.name);
  }

  EngagementPerCourseData copyWithWrapped(
      {Wrapped<String>? courseId,
      Wrapped<String>? courseStart,
      Wrapped<String>? courseEnd,
      Wrapped<int>? averageDays,
      Wrapped<double>? averageTimeSpent,
      Wrapped<String>? name}) {
    return EngagementPerCourseData(
        courseId: (courseId != null ? courseId.value : this.courseId),
        courseStart:
            (courseStart != null ? courseStart.value : this.courseStart),
        courseEnd: (courseEnd != null ? courseEnd.value : this.courseEnd),
        averageDays:
            (averageDays != null ? averageDays.value : this.averageDays),
        averageTimeSpent: (averageTimeSpent != null
            ? averageTimeSpent.value
            : this.averageTimeSpent),
        name: (name != null ? name.value : this.name));
  }
}

@JsonSerializable(explicitToJson: true)
class Enrollments {
  const Enrollments({
    this.data,
    required this.pagination,
    this.meta,
  });

  factory Enrollments.fromJson(Map<String, dynamic> json) =>
      _$EnrollmentsFromJson(json);

  static const toJsonFactory = _$EnrollmentsToJson;
  Map<String, dynamic> toJson() => _$EnrollmentsToJson(this);

  @JsonKey(name: 'data', defaultValue: <EnrollmentsData>[])
  final List<EnrollmentsData>? data;
  @JsonKey(name: 'pagination')
  final Pagination pagination;
  @JsonKey(name: 'meta')
  final OvertimeMeta? meta;
  static const fromJsonFactory = _$EnrollmentsFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Enrollments &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.pagination, pagination) ||
                const DeepCollectionEquality()
                    .equals(other.pagination, pagination)) &&
            (identical(other.meta, meta) ||
                const DeepCollectionEquality().equals(other.meta, meta)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(pagination) ^
      const DeepCollectionEquality().hash(meta) ^
      runtimeType.hashCode;
}

extension $EnrollmentsExtension on Enrollments {
  Enrollments copyWith(
      {List<EnrollmentsData>? data,
      Pagination? pagination,
      OvertimeMeta? meta}) {
    return Enrollments(
        data: data ?? this.data,
        pagination: pagination ?? this.pagination,
        meta: meta ?? this.meta);
  }

  Enrollments copyWithWrapped(
      {Wrapped<List<EnrollmentsData>?>? data,
      Wrapped<Pagination>? pagination,
      Wrapped<OvertimeMeta?>? meta}) {
    return Enrollments(
        data: (data != null ? data.value : this.data),
        pagination: (pagination != null ? pagination.value : this.pagination),
        meta: (meta != null ? meta.value : this.meta));
  }
}

@JsonSerializable(explicitToJson: true)
class EnrollmentsData {
  const EnrollmentsData({
    required this.courseId,
    required this.name,
    required this.users,
    required this.percentage,
  });

  factory EnrollmentsData.fromJson(Map<String, dynamic> json) =>
      _$EnrollmentsDataFromJson(json);

  static const toJsonFactory = _$EnrollmentsDataToJson;
  Map<String, dynamic> toJson() => _$EnrollmentsDataToJson(this);

  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'users')
  final int users;
  @JsonKey(name: 'percentage')
  final double percentage;
  static const fromJsonFactory = _$EnrollmentsDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is EnrollmentsData &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.users, users) ||
                const DeepCollectionEquality().equals(other.users, users)) &&
            (identical(other.percentage, percentage) ||
                const DeepCollectionEquality()
                    .equals(other.percentage, percentage)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(users) ^
      const DeepCollectionEquality().hash(percentage) ^
      runtimeType.hashCode;
}

extension $EnrollmentsDataExtension on EnrollmentsData {
  EnrollmentsData copyWith(
      {String? courseId, String? name, int? users, double? percentage}) {
    return EnrollmentsData(
        courseId: courseId ?? this.courseId,
        name: name ?? this.name,
        users: users ?? this.users,
        percentage: percentage ?? this.percentage);
  }

  EnrollmentsData copyWithWrapped(
      {Wrapped<String>? courseId,
      Wrapped<String>? name,
      Wrapped<int>? users,
      Wrapped<double>? percentage}) {
    return EnrollmentsData(
        courseId: (courseId != null ? courseId.value : this.courseId),
        name: (name != null ? name.value : this.name),
        users: (users != null ? users.value : this.users),
        percentage: (percentage != null ? percentage.value : this.percentage));
  }
}

@JsonSerializable(explicitToJson: true)
class EnrollmentsPerUser {
  const EnrollmentsPerUser({
    this.data,
    required this.pagination,
  });

  factory EnrollmentsPerUser.fromJson(Map<String, dynamic> json) =>
      _$EnrollmentsPerUserFromJson(json);

  static const toJsonFactory = _$EnrollmentsPerUserToJson;
  Map<String, dynamic> toJson() => _$EnrollmentsPerUserToJson(this);

  @JsonKey(name: 'data', defaultValue: <EnrollmentsPerUserData>[])
  final List<EnrollmentsPerUserData>? data;
  @JsonKey(name: 'pagination')
  final Pagination pagination;
  static const fromJsonFactory = _$EnrollmentsPerUserFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is EnrollmentsPerUser &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.pagination, pagination) ||
                const DeepCollectionEquality()
                    .equals(other.pagination, pagination)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(pagination) ^
      runtimeType.hashCode;
}

extension $EnrollmentsPerUserExtension on EnrollmentsPerUser {
  EnrollmentsPerUser copyWith(
      {List<EnrollmentsPerUserData>? data, Pagination? pagination}) {
    return EnrollmentsPerUser(
        data: data ?? this.data, pagination: pagination ?? this.pagination);
  }

  EnrollmentsPerUser copyWithWrapped(
      {Wrapped<List<EnrollmentsPerUserData>?>? data,
      Wrapped<Pagination>? pagination}) {
    return EnrollmentsPerUser(
        data: (data != null ? data.value : this.data),
        pagination: (pagination != null ? pagination.value : this.pagination));
  }
}

@JsonSerializable(explicitToJson: true)
class EnrollmentsPerUserData {
  const EnrollmentsPerUserData({
    required this.username,
    required this.fullName,
    required this.email,
    required this.timestamp,
  });

  factory EnrollmentsPerUserData.fromJson(Map<String, dynamic> json) =>
      _$EnrollmentsPerUserDataFromJson(json);

  static const toJsonFactory = _$EnrollmentsPerUserDataToJson;
  Map<String, dynamic> toJson() => _$EnrollmentsPerUserDataToJson(this);

  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'full_name')
  final String fullName;
  @JsonKey(name: 'email')
  final String email;
  @JsonKey(name: 'timestamp')
  final String timestamp;
  static const fromJsonFactory = _$EnrollmentsPerUserDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is EnrollmentsPerUserData &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.fullName, fullName) ||
                const DeepCollectionEquality()
                    .equals(other.fullName, fullName)) &&
            (identical(other.email, email) ||
                const DeepCollectionEquality().equals(other.email, email)) &&
            (identical(other.timestamp, timestamp) ||
                const DeepCollectionEquality()
                    .equals(other.timestamp, timestamp)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(fullName) ^
      const DeepCollectionEquality().hash(email) ^
      const DeepCollectionEquality().hash(timestamp) ^
      runtimeType.hashCode;
}

extension $EnrollmentsPerUserDataExtension on EnrollmentsPerUserData {
  EnrollmentsPerUserData copyWith(
      {String? username, String? fullName, String? email, String? timestamp}) {
    return EnrollmentsPerUserData(
        username: username ?? this.username,
        fullName: fullName ?? this.fullName,
        email: email ?? this.email,
        timestamp: timestamp ?? this.timestamp);
  }

  EnrollmentsPerUserData copyWithWrapped(
      {Wrapped<String>? username,
      Wrapped<String>? fullName,
      Wrapped<String>? email,
      Wrapped<String>? timestamp}) {
    return EnrollmentsPerUserData(
        username: (username != null ? username.value : this.username),
        fullName: (fullName != null ? fullName.value : this.fullName),
        email: (email != null ? email.value : this.email),
        timestamp: (timestamp != null ? timestamp.value : this.timestamp));
  }
}

@JsonSerializable(explicitToJson: true)
class FloatOverTime {
  const FloatOverTime({
    required this.date,
    required this.total,
  });

  factory FloatOverTime.fromJson(Map<String, dynamic> json) =>
      _$FloatOverTimeFromJson(json);

  static const toJsonFactory = _$FloatOverTimeToJson;
  Map<String, dynamic> toJson() => _$FloatOverTimeToJson(this);

  @JsonKey(name: 'date', toJson: _dateToJson)
  final DateTime date;
  @JsonKey(name: 'total')
  final double total;
  static const fromJsonFactory = _$FloatOverTimeFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is FloatOverTime &&
            (identical(other.date, date) ||
                const DeepCollectionEquality().equals(other.date, date)) &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(date) ^
      const DeepCollectionEquality().hash(total) ^
      runtimeType.hashCode;
}

extension $FloatOverTimeExtension on FloatOverTime {
  FloatOverTime copyWith({DateTime? date, double? total}) {
    return FloatOverTime(date: date ?? this.date, total: total ?? this.total);
  }

  FloatOverTime copyWithWrapped(
      {Wrapped<DateTime>? date, Wrapped<double>? total}) {
    return FloatOverTime(
        date: (date != null ? date.value : this.date),
        total: (total != null ? total.value : this.total));
  }
}

@JsonSerializable(explicitToJson: true)
class GradingPerUser {
  const GradingPerUser({
    this.data,
    this.total,
  });

  factory GradingPerUser.fromJson(Map<String, dynamic> json) =>
      _$GradingPerUserFromJson(json);

  static const toJsonFactory = _$GradingPerUserToJson;
  Map<String, dynamic> toJson() => _$GradingPerUserToJson(this);

  @JsonKey(name: 'data', defaultValue: <GradingPerUserData>[])
  final List<GradingPerUserData>? data;
  @JsonKey(name: 'total')
  final int? total;
  static const fromJsonFactory = _$GradingPerUserFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is GradingPerUser &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(total) ^
      runtimeType.hashCode;
}

extension $GradingPerUserExtension on GradingPerUser {
  GradingPerUser copyWith({List<GradingPerUserData>? data, int? total}) {
    return GradingPerUser(data: data ?? this.data, total: total ?? this.total);
  }

  GradingPerUser copyWithWrapped(
      {Wrapped<List<GradingPerUserData>?>? data, Wrapped<int?>? total}) {
    return GradingPerUser(
        data: (data != null ? data.value : this.data),
        total: (total != null ? total.value : this.total));
  }
}

@JsonSerializable(explicitToJson: true)
class GradingPerUserData {
  const GradingPerUserData({
    required this.username,
    required this.fullName,
    required this.startDate,
    required this.submissions,
    required this.lastActive,
    required this.percent,
  });

  factory GradingPerUserData.fromJson(Map<String, dynamic> json) =>
      _$GradingPerUserDataFromJson(json);

  static const toJsonFactory = _$GradingPerUserDataToJson;
  Map<String, dynamic> toJson() => _$GradingPerUserDataToJson(this);

  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'full_name')
  final String fullName;
  @JsonKey(name: 'start_date')
  final String startDate;
  @JsonKey(name: 'submissions')
  final int submissions;
  @JsonKey(name: 'last_active')
  final String lastActive;
  @JsonKey(name: 'percent')
  final double percent;
  static const fromJsonFactory = _$GradingPerUserDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is GradingPerUserData &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.fullName, fullName) ||
                const DeepCollectionEquality()
                    .equals(other.fullName, fullName)) &&
            (identical(other.startDate, startDate) ||
                const DeepCollectionEquality()
                    .equals(other.startDate, startDate)) &&
            (identical(other.submissions, submissions) ||
                const DeepCollectionEquality()
                    .equals(other.submissions, submissions)) &&
            (identical(other.lastActive, lastActive) ||
                const DeepCollectionEquality()
                    .equals(other.lastActive, lastActive)) &&
            (identical(other.percent, percent) ||
                const DeepCollectionEquality().equals(other.percent, percent)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(fullName) ^
      const DeepCollectionEquality().hash(startDate) ^
      const DeepCollectionEquality().hash(submissions) ^
      const DeepCollectionEquality().hash(lastActive) ^
      const DeepCollectionEquality().hash(percent) ^
      runtimeType.hashCode;
}

extension $GradingPerUserDataExtension on GradingPerUserData {
  GradingPerUserData copyWith(
      {String? username,
      String? fullName,
      String? startDate,
      int? submissions,
      String? lastActive,
      double? percent}) {
    return GradingPerUserData(
        username: username ?? this.username,
        fullName: fullName ?? this.fullName,
        startDate: startDate ?? this.startDate,
        submissions: submissions ?? this.submissions,
        lastActive: lastActive ?? this.lastActive,
        percent: percent ?? this.percent);
  }

  GradingPerUserData copyWithWrapped(
      {Wrapped<String>? username,
      Wrapped<String>? fullName,
      Wrapped<String>? startDate,
      Wrapped<int>? submissions,
      Wrapped<String>? lastActive,
      Wrapped<double>? percent}) {
    return GradingPerUserData(
        username: (username != null ? username.value : this.username),
        fullName: (fullName != null ? fullName.value : this.fullName),
        startDate: (startDate != null ? startDate.value : this.startDate),
        submissions:
            (submissions != null ? submissions.value : this.submissions),
        lastActive: (lastActive != null ? lastActive.value : this.lastActive),
        percent: (percent != null ? percent.value : this.percent));
  }
}

@JsonSerializable(explicitToJson: true)
class GuidedPromptsResponse {
  const GuidedPromptsResponse({
    required this.aiPrompts,
  });

  factory GuidedPromptsResponse.fromJson(Map<String, dynamic> json) =>
      _$GuidedPromptsResponseFromJson(json);

  static const toJsonFactory = _$GuidedPromptsResponseToJson;
  Map<String, dynamic> toJson() => _$GuidedPromptsResponseToJson(this);

  @JsonKey(name: 'ai_prompts', defaultValue: <String>[])
  final List<String> aiPrompts;
  static const fromJsonFactory = _$GuidedPromptsResponseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is GuidedPromptsResponse &&
            (identical(other.aiPrompts, aiPrompts) ||
                const DeepCollectionEquality()
                    .equals(other.aiPrompts, aiPrompts)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(aiPrompts) ^ runtimeType.hashCode;
}

extension $GuidedPromptsResponseExtension on GuidedPromptsResponse {
  GuidedPromptsResponse copyWith({List<String>? aiPrompts}) {
    return GuidedPromptsResponse(aiPrompts: aiPrompts ?? this.aiPrompts);
  }

  GuidedPromptsResponse copyWithWrapped({Wrapped<List<String>>? aiPrompts}) {
    return GuidedPromptsResponse(
        aiPrompts: (aiPrompts != null ? aiPrompts.value : this.aiPrompts));
  }
}

@JsonSerializable(explicitToJson: true)
class IBLAIPlatformMeta {
  const IBLAIPlatformMeta({
    this.metadata,
  });

  factory IBLAIPlatformMeta.fromJson(Map<String, dynamic> json) =>
      _$IBLAIPlatformMetaFromJson(json);

  static const toJsonFactory = _$IBLAIPlatformMetaToJson;
  Map<String, dynamic> toJson() => _$IBLAIPlatformMetaToJson(this);

  @JsonKey(name: 'metadata')
  final Map<String, dynamic>? metadata;
  static const fromJsonFactory = _$IBLAIPlatformMetaFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is IBLAIPlatformMeta &&
            (identical(other.metadata, metadata) ||
                const DeepCollectionEquality()
                    .equals(other.metadata, metadata)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(metadata) ^ runtimeType.hashCode;
}

extension $IBLAIPlatformMetaExtension on IBLAIPlatformMeta {
  IBLAIPlatformMeta copyWith({Map<String, dynamic>? metadata}) {
    return IBLAIPlatformMeta(metadata: metadata ?? this.metadata);
  }

  IBLAIPlatformMeta copyWithWrapped(
      {Wrapped<Map<String, dynamic>?>? metadata}) {
    return IBLAIPlatformMeta(
        metadata: (metadata != null ? metadata.value : this.metadata));
  }
}

@JsonSerializable(explicitToJson: true)
class LLMCredential {
  const LLMCredential({
    required this.name,
    this.value,
    required this.platform,
  });

  factory LLMCredential.fromJson(Map<String, dynamic> json) =>
      _$LLMCredentialFromJson(json);

  static const toJsonFactory = _$LLMCredentialToJson;
  Map<String, dynamic> toJson() => _$LLMCredentialToJson(this);

  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'value')
  final Map<String, dynamic>? value;
  @JsonKey(name: 'platform')
  final String platform;
  static const fromJsonFactory = _$LLMCredentialFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is LLMCredential &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.value, value) ||
                const DeepCollectionEquality().equals(other.value, value)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(value) ^
      const DeepCollectionEquality().hash(platform) ^
      runtimeType.hashCode;
}

extension $LLMCredentialExtension on LLMCredential {
  LLMCredential copyWith(
      {String? name, Map<String, dynamic>? value, String? platform}) {
    return LLMCredential(
        name: name ?? this.name,
        value: value ?? this.value,
        platform: platform ?? this.platform);
  }

  LLMCredential copyWithWrapped(
      {Wrapped<String>? name,
      Wrapped<Map<String, dynamic>?>? value,
      Wrapped<String>? platform}) {
    return LLMCredential(
        name: (name != null ? name.value : this.name),
        value: (value != null ? value.value : this.value),
        platform: (platform != null ? platform.value : this.platform));
  }
}

@JsonSerializable(explicitToJson: true)
class LearnerInformationAPI {
  const LearnerInformationAPI({
    required this.data,
  });

  factory LearnerInformationAPI.fromJson(Map<String, dynamic> json) =>
      _$LearnerInformationAPIFromJson(json);

  static const toJsonFactory = _$LearnerInformationAPIToJson;
  Map<String, dynamic> toJson() => _$LearnerInformationAPIToJson(this);

  @JsonKey(name: 'data')
  final LearnerInformationAPIData data;
  static const fromJsonFactory = _$LearnerInformationAPIFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is LearnerInformationAPI &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $LearnerInformationAPIExtension on LearnerInformationAPI {
  LearnerInformationAPI copyWith({LearnerInformationAPIData? data}) {
    return LearnerInformationAPI(data: data ?? this.data);
  }

  LearnerInformationAPI copyWithWrapped(
      {Wrapped<LearnerInformationAPIData>? data}) {
    return LearnerInformationAPI(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class LearnerInformationAPIData {
  const LearnerInformationAPIData({
    required this.username,
    required this.name,
    required this.email,
    required this.dateJoined,
    required this.lastActivity,
    this.totalAssessments,
    this.totalTimeSpent,
    this.totalVideos,
    this.courseCompletions,
    this.timeSpentOvertime,
    this.continent,
    this.continentCode,
    this.country,
    this.countryCode,
    this.region,
    this.regionCode,
    this.location,
    this.city,
    this.browser,
    this.operatingSystem,
    this.resolution,
  });

  factory LearnerInformationAPIData.fromJson(Map<String, dynamic> json) =>
      _$LearnerInformationAPIDataFromJson(json);

  static const toJsonFactory = _$LearnerInformationAPIDataToJson;
  Map<String, dynamic> toJson() => _$LearnerInformationAPIDataToJson(this);

  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'email')
  final String email;
  @JsonKey(name: 'date_joined')
  final String dateJoined;
  @JsonKey(name: 'last_activity')
  final String lastActivity;
  @JsonKey(name: 'total_assessments')
  final int? totalAssessments;
  @JsonKey(name: 'total_time_spent')
  final int? totalTimeSpent;
  @JsonKey(name: 'total_videos')
  final int? totalVideos;
  @JsonKey(name: 'course_completions')
  final int? courseCompletions;
  @JsonKey(name: 'time_spent_overtime')
  final Map<String, dynamic>? timeSpentOvertime;
  @JsonKey(name: 'continent')
  final String? continent;
  @JsonKey(name: 'continent_code')
  final String? continentCode;
  @JsonKey(name: 'country')
  final String? country;
  @JsonKey(name: 'country_code')
  final String? countryCode;
  @JsonKey(name: 'region')
  final String? region;
  @JsonKey(name: 'region_code')
  final String? regionCode;
  @JsonKey(name: 'location')
  final String? location;
  @JsonKey(name: 'city')
  final String? city;
  @JsonKey(name: 'browser')
  final String? browser;
  @JsonKey(name: 'operating_system')
  final String? operatingSystem;
  @JsonKey(name: 'resolution')
  final String? resolution;
  static const fromJsonFactory = _$LearnerInformationAPIDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is LearnerInformationAPIData &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.email, email) ||
                const DeepCollectionEquality().equals(other.email, email)) &&
            (identical(other.dateJoined, dateJoined) ||
                const DeepCollectionEquality()
                    .equals(other.dateJoined, dateJoined)) &&
            (identical(other.lastActivity, lastActivity) ||
                const DeepCollectionEquality()
                    .equals(other.lastActivity, lastActivity)) &&
            (identical(other.totalAssessments, totalAssessments) ||
                const DeepCollectionEquality()
                    .equals(other.totalAssessments, totalAssessments)) &&
            (identical(other.totalTimeSpent, totalTimeSpent) ||
                const DeepCollectionEquality()
                    .equals(other.totalTimeSpent, totalTimeSpent)) &&
            (identical(other.totalVideos, totalVideos) ||
                const DeepCollectionEquality()
                    .equals(other.totalVideos, totalVideos)) &&
            (identical(other.courseCompletions, courseCompletions) ||
                const DeepCollectionEquality()
                    .equals(other.courseCompletions, courseCompletions)) &&
            (identical(other.timeSpentOvertime, timeSpentOvertime) ||
                const DeepCollectionEquality()
                    .equals(other.timeSpentOvertime, timeSpentOvertime)) &&
            (identical(other.continent, continent) ||
                const DeepCollectionEquality()
                    .equals(other.continent, continent)) &&
            (identical(other.continentCode, continentCode) ||
                const DeepCollectionEquality()
                    .equals(other.continentCode, continentCode)) &&
            (identical(other.country, country) ||
                const DeepCollectionEquality()
                    .equals(other.country, country)) &&
            (identical(other.countryCode, countryCode) ||
                const DeepCollectionEquality()
                    .equals(other.countryCode, countryCode)) &&
            (identical(other.region, region) ||
                const DeepCollectionEquality().equals(other.region, region)) &&
            (identical(other.regionCode, regionCode) ||
                const DeepCollectionEquality()
                    .equals(other.regionCode, regionCode)) &&
            (identical(other.location, location) ||
                const DeepCollectionEquality()
                    .equals(other.location, location)) &&
            (identical(other.city, city) ||
                const DeepCollectionEquality().equals(other.city, city)) &&
            (identical(other.browser, browser) ||
                const DeepCollectionEquality()
                    .equals(other.browser, browser)) &&
            (identical(other.operatingSystem, operatingSystem) ||
                const DeepCollectionEquality()
                    .equals(other.operatingSystem, operatingSystem)) &&
            (identical(other.resolution, resolution) ||
                const DeepCollectionEquality()
                    .equals(other.resolution, resolution)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(email) ^
      const DeepCollectionEquality().hash(dateJoined) ^
      const DeepCollectionEquality().hash(lastActivity) ^
      const DeepCollectionEquality().hash(totalAssessments) ^
      const DeepCollectionEquality().hash(totalTimeSpent) ^
      const DeepCollectionEquality().hash(totalVideos) ^
      const DeepCollectionEquality().hash(courseCompletions) ^
      const DeepCollectionEquality().hash(timeSpentOvertime) ^
      const DeepCollectionEquality().hash(continent) ^
      const DeepCollectionEquality().hash(continentCode) ^
      const DeepCollectionEquality().hash(country) ^
      const DeepCollectionEquality().hash(countryCode) ^
      const DeepCollectionEquality().hash(region) ^
      const DeepCollectionEquality().hash(regionCode) ^
      const DeepCollectionEquality().hash(location) ^
      const DeepCollectionEquality().hash(city) ^
      const DeepCollectionEquality().hash(browser) ^
      const DeepCollectionEquality().hash(operatingSystem) ^
      const DeepCollectionEquality().hash(resolution) ^
      runtimeType.hashCode;
}

extension $LearnerInformationAPIDataExtension on LearnerInformationAPIData {
  LearnerInformationAPIData copyWith(
      {String? username,
      String? name,
      String? email,
      String? dateJoined,
      String? lastActivity,
      int? totalAssessments,
      int? totalTimeSpent,
      int? totalVideos,
      int? courseCompletions,
      Map<String, dynamic>? timeSpentOvertime,
      String? continent,
      String? continentCode,
      String? country,
      String? countryCode,
      String? region,
      String? regionCode,
      String? location,
      String? city,
      String? browser,
      String? operatingSystem,
      String? resolution}) {
    return LearnerInformationAPIData(
        username: username ?? this.username,
        name: name ?? this.name,
        email: email ?? this.email,
        dateJoined: dateJoined ?? this.dateJoined,
        lastActivity: lastActivity ?? this.lastActivity,
        totalAssessments: totalAssessments ?? this.totalAssessments,
        totalTimeSpent: totalTimeSpent ?? this.totalTimeSpent,
        totalVideos: totalVideos ?? this.totalVideos,
        courseCompletions: courseCompletions ?? this.courseCompletions,
        timeSpentOvertime: timeSpentOvertime ?? this.timeSpentOvertime,
        continent: continent ?? this.continent,
        continentCode: continentCode ?? this.continentCode,
        country: country ?? this.country,
        countryCode: countryCode ?? this.countryCode,
        region: region ?? this.region,
        regionCode: regionCode ?? this.regionCode,
        location: location ?? this.location,
        city: city ?? this.city,
        browser: browser ?? this.browser,
        operatingSystem: operatingSystem ?? this.operatingSystem,
        resolution: resolution ?? this.resolution);
  }

  LearnerInformationAPIData copyWithWrapped(
      {Wrapped<String>? username,
      Wrapped<String>? name,
      Wrapped<String>? email,
      Wrapped<String>? dateJoined,
      Wrapped<String>? lastActivity,
      Wrapped<int?>? totalAssessments,
      Wrapped<int?>? totalTimeSpent,
      Wrapped<int?>? totalVideos,
      Wrapped<int?>? courseCompletions,
      Wrapped<Map<String, dynamic>?>? timeSpentOvertime,
      Wrapped<String?>? continent,
      Wrapped<String?>? continentCode,
      Wrapped<String?>? country,
      Wrapped<String?>? countryCode,
      Wrapped<String?>? region,
      Wrapped<String?>? regionCode,
      Wrapped<String?>? location,
      Wrapped<String?>? city,
      Wrapped<String?>? browser,
      Wrapped<String?>? operatingSystem,
      Wrapped<String?>? resolution}) {
    return LearnerInformationAPIData(
        username: (username != null ? username.value : this.username),
        name: (name != null ? name.value : this.name),
        email: (email != null ? email.value : this.email),
        dateJoined: (dateJoined != null ? dateJoined.value : this.dateJoined),
        lastActivity:
            (lastActivity != null ? lastActivity.value : this.lastActivity),
        totalAssessments: (totalAssessments != null
            ? totalAssessments.value
            : this.totalAssessments),
        totalTimeSpent: (totalTimeSpent != null
            ? totalTimeSpent.value
            : this.totalTimeSpent),
        totalVideos:
            (totalVideos != null ? totalVideos.value : this.totalVideos),
        courseCompletions: (courseCompletions != null
            ? courseCompletions.value
            : this.courseCompletions),
        timeSpentOvertime: (timeSpentOvertime != null
            ? timeSpentOvertime.value
            : this.timeSpentOvertime),
        continent: (continent != null ? continent.value : this.continent),
        continentCode:
            (continentCode != null ? continentCode.value : this.continentCode),
        country: (country != null ? country.value : this.country),
        countryCode:
            (countryCode != null ? countryCode.value : this.countryCode),
        region: (region != null ? region.value : this.region),
        regionCode: (regionCode != null ? regionCode.value : this.regionCode),
        location: (location != null ? location.value : this.location),
        city: (city != null ? city.value : this.city),
        browser: (browser != null ? browser.value : this.browser),
        operatingSystem: (operatingSystem != null
            ? operatingSystem.value
            : this.operatingSystem),
        resolution: (resolution != null ? resolution.value : this.resolution));
  }
}

@JsonSerializable(explicitToJson: true)
class Mentor {
  const Mentor({
    required this.name,
    required this.flow,
    required this.slug,
    this.platform,
    this.allowAnonymous,
    this.metadata,
  });

  factory Mentor.fromJson(Map<String, dynamic> json) => _$MentorFromJson(json);

  static const toJsonFactory = _$MentorToJson;
  Map<String, dynamic> toJson() => _$MentorToJson(this);

  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'flow')
  final Map<String, dynamic> flow;
  @JsonKey(name: 'slug')
  final String slug;
  @JsonKey(name: 'platform')
  final String? platform;
  @JsonKey(name: 'allow_anonymous')
  final bool? allowAnonymous;
  @JsonKey(name: 'metadata')
  final Map<String, dynamic>? metadata;
  static const fromJsonFactory = _$MentorFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Mentor &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.flow, flow) ||
                const DeepCollectionEquality().equals(other.flow, flow)) &&
            (identical(other.slug, slug) ||
                const DeepCollectionEquality().equals(other.slug, slug)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)) &&
            (identical(other.allowAnonymous, allowAnonymous) ||
                const DeepCollectionEquality()
                    .equals(other.allowAnonymous, allowAnonymous)) &&
            (identical(other.metadata, metadata) ||
                const DeepCollectionEquality()
                    .equals(other.metadata, metadata)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(flow) ^
      const DeepCollectionEquality().hash(slug) ^
      const DeepCollectionEquality().hash(platform) ^
      const DeepCollectionEquality().hash(allowAnonymous) ^
      const DeepCollectionEquality().hash(metadata) ^
      runtimeType.hashCode;
}

extension $MentorExtension on Mentor {
  Mentor copyWith(
      {String? name,
      Map<String, dynamic>? flow,
      String? slug,
      String? platform,
      bool? allowAnonymous,
      Map<String, dynamic>? metadata}) {
    return Mentor(
        name: name ?? this.name,
        flow: flow ?? this.flow,
        slug: slug ?? this.slug,
        platform: platform ?? this.platform,
        allowAnonymous: allowAnonymous ?? this.allowAnonymous,
        metadata: metadata ?? this.metadata);
  }

  Mentor copyWithWrapped(
      {Wrapped<String>? name,
      Wrapped<Map<String, dynamic>>? flow,
      Wrapped<String>? slug,
      Wrapped<String?>? platform,
      Wrapped<bool?>? allowAnonymous,
      Wrapped<Map<String, dynamic>?>? metadata}) {
    return Mentor(
        name: (name != null ? name.value : this.name),
        flow: (flow != null ? flow.value : this.flow),
        slug: (slug != null ? slug.value : this.slug),
        platform: (platform != null ? platform.value : this.platform),
        allowAnonymous: (allowAnonymous != null
            ? allowAnonymous.value
            : this.allowAnonymous),
        metadata: (metadata != null ? metadata.value : this.metadata));
  }
}

@JsonSerializable(explicitToJson: true)
class MentorFromTemplate {
  const MentorFromTemplate({
    required this.detail,
  });

  factory MentorFromTemplate.fromJson(Map<String, dynamic> json) =>
      _$MentorFromTemplateFromJson(json);

  static const toJsonFactory = _$MentorFromTemplateToJson;
  Map<String, dynamic> toJson() => _$MentorFromTemplateToJson(this);

  @JsonKey(name: 'detail')
  final String detail;
  static const fromJsonFactory = _$MentorFromTemplateFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is MentorFromTemplate &&
            (identical(other.detail, detail) ||
                const DeepCollectionEquality().equals(other.detail, detail)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(detail) ^ runtimeType.hashCode;
}

extension $MentorFromTemplateExtension on MentorFromTemplate {
  MentorFromTemplate copyWith({String? detail}) {
    return MentorFromTemplate(detail: detail ?? this.detail);
  }

  MentorFromTemplate copyWithWrapped({Wrapped<String>? detail}) {
    return MentorFromTemplate(
        detail: (detail != null ? detail.value : this.detail));
  }
}

@JsonSerializable(explicitToJson: true)
class MentorFromTemplateRequest {
  const MentorFromTemplateRequest({
    required this.templateName,
  });

  factory MentorFromTemplateRequest.fromJson(Map<String, dynamic> json) =>
      _$MentorFromTemplateRequestFromJson(json);

  static const toJsonFactory = _$MentorFromTemplateRequestToJson;
  Map<String, dynamic> toJson() => _$MentorFromTemplateRequestToJson(this);

  @JsonKey(name: 'template_name')
  final String templateName;
  static const fromJsonFactory = _$MentorFromTemplateRequestFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is MentorFromTemplateRequest &&
            (identical(other.templateName, templateName) ||
                const DeepCollectionEquality()
                    .equals(other.templateName, templateName)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(templateName) ^ runtimeType.hashCode;
}

extension $MentorFromTemplateRequestExtension on MentorFromTemplateRequest {
  MentorFromTemplateRequest copyWith({String? templateName}) {
    return MentorFromTemplateRequest(
        templateName: templateName ?? this.templateName);
  }

  MentorFromTemplateRequest copyWithWrapped({Wrapped<String>? templateName}) {
    return MentorFromTemplateRequest(
        templateName:
            (templateName != null ? templateName.value : this.templateName));
  }
}

@JsonSerializable(explicitToJson: true)
class MentorFromTemplateWithSettingRequest {
  const MentorFromTemplateWithSettingRequest({
    required this.templateName,
    required this.displayName,
    required this.profileImage,
    required this.initialMessage,
    required this.suggestedMessage,
    required this.theme,
    required this.userMessageColor,
    required this.mentorBubbleColor,
    required this.alignMentorBubble,
    this.systemPrompt,
    this.llmName,
  });

  factory MentorFromTemplateWithSettingRequest.fromJson(
          Map<String, dynamic> json) =>
      _$MentorFromTemplateWithSettingRequestFromJson(json);

  static const toJsonFactory = _$MentorFromTemplateWithSettingRequestToJson;
  Map<String, dynamic> toJson() =>
      _$MentorFromTemplateWithSettingRequestToJson(this);

  @JsonKey(name: 'template_name')
  final String templateName;
  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'profile_image')
  final String profileImage;
  @JsonKey(name: 'initial_message')
  final String initialMessage;
  @JsonKey(name: 'suggested_message')
  final String suggestedMessage;
  @JsonKey(name: 'theme')
  final String theme;
  @JsonKey(name: 'user_message_color')
  final String userMessageColor;
  @JsonKey(name: 'mentor_bubble_color')
  final String mentorBubbleColor;
  @JsonKey(name: 'align_mentor_bubble')
  final String alignMentorBubble;
  @JsonKey(name: 'system_prompt')
  final String? systemPrompt;
  @JsonKey(name: 'llm_name')
  final String? llmName;
  static const fromJsonFactory = _$MentorFromTemplateWithSettingRequestFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is MentorFromTemplateWithSettingRequest &&
            (identical(other.templateName, templateName) ||
                const DeepCollectionEquality()
                    .equals(other.templateName, templateName)) &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.profileImage, profileImage) ||
                const DeepCollectionEquality()
                    .equals(other.profileImage, profileImage)) &&
            (identical(other.initialMessage, initialMessage) ||
                const DeepCollectionEquality()
                    .equals(other.initialMessage, initialMessage)) &&
            (identical(other.suggestedMessage, suggestedMessage) ||
                const DeepCollectionEquality()
                    .equals(other.suggestedMessage, suggestedMessage)) &&
            (identical(other.theme, theme) ||
                const DeepCollectionEquality().equals(other.theme, theme)) &&
            (identical(other.userMessageColor, userMessageColor) ||
                const DeepCollectionEquality()
                    .equals(other.userMessageColor, userMessageColor)) &&
            (identical(other.mentorBubbleColor, mentorBubbleColor) ||
                const DeepCollectionEquality()
                    .equals(other.mentorBubbleColor, mentorBubbleColor)) &&
            (identical(other.alignMentorBubble, alignMentorBubble) ||
                const DeepCollectionEquality()
                    .equals(other.alignMentorBubble, alignMentorBubble)) &&
            (identical(other.systemPrompt, systemPrompt) ||
                const DeepCollectionEquality()
                    .equals(other.systemPrompt, systemPrompt)) &&
            (identical(other.llmName, llmName) ||
                const DeepCollectionEquality().equals(other.llmName, llmName)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(templateName) ^
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(profileImage) ^
      const DeepCollectionEquality().hash(initialMessage) ^
      const DeepCollectionEquality().hash(suggestedMessage) ^
      const DeepCollectionEquality().hash(theme) ^
      const DeepCollectionEquality().hash(userMessageColor) ^
      const DeepCollectionEquality().hash(mentorBubbleColor) ^
      const DeepCollectionEquality().hash(alignMentorBubble) ^
      const DeepCollectionEquality().hash(systemPrompt) ^
      const DeepCollectionEquality().hash(llmName) ^
      runtimeType.hashCode;
}

extension $MentorFromTemplateWithSettingRequestExtension
    on MentorFromTemplateWithSettingRequest {
  MentorFromTemplateWithSettingRequest copyWith(
      {String? templateName,
      String? displayName,
      String? profileImage,
      String? initialMessage,
      String? suggestedMessage,
      String? theme,
      String? userMessageColor,
      String? mentorBubbleColor,
      String? alignMentorBubble,
      String? systemPrompt,
      String? llmName}) {
    return MentorFromTemplateWithSettingRequest(
        templateName: templateName ?? this.templateName,
        displayName: displayName ?? this.displayName,
        profileImage: profileImage ?? this.profileImage,
        initialMessage: initialMessage ?? this.initialMessage,
        suggestedMessage: suggestedMessage ?? this.suggestedMessage,
        theme: theme ?? this.theme,
        userMessageColor: userMessageColor ?? this.userMessageColor,
        mentorBubbleColor: mentorBubbleColor ?? this.mentorBubbleColor,
        alignMentorBubble: alignMentorBubble ?? this.alignMentorBubble,
        systemPrompt: systemPrompt ?? this.systemPrompt,
        llmName: llmName ?? this.llmName);
  }

  MentorFromTemplateWithSettingRequest copyWithWrapped(
      {Wrapped<String>? templateName,
      Wrapped<String>? displayName,
      Wrapped<String>? profileImage,
      Wrapped<String>? initialMessage,
      Wrapped<String>? suggestedMessage,
      Wrapped<String>? theme,
      Wrapped<String>? userMessageColor,
      Wrapped<String>? mentorBubbleColor,
      Wrapped<String>? alignMentorBubble,
      Wrapped<String?>? systemPrompt,
      Wrapped<String?>? llmName}) {
    return MentorFromTemplateWithSettingRequest(
        templateName:
            (templateName != null ? templateName.value : this.templateName),
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        profileImage:
            (profileImage != null ? profileImage.value : this.profileImage),
        initialMessage: (initialMessage != null
            ? initialMessage.value
            : this.initialMessage),
        suggestedMessage: (suggestedMessage != null
            ? suggestedMessage.value
            : this.suggestedMessage),
        theme: (theme != null ? theme.value : this.theme),
        userMessageColor: (userMessageColor != null
            ? userMessageColor.value
            : this.userMessageColor),
        mentorBubbleColor: (mentorBubbleColor != null
            ? mentorBubbleColor.value
            : this.mentorBubbleColor),
        alignMentorBubble: (alignMentorBubble != null
            ? alignMentorBubble.value
            : this.alignMentorBubble),
        systemPrompt:
            (systemPrompt != null ? systemPrompt.value : this.systemPrompt),
        llmName: (llmName != null ? llmName.value : this.llmName));
  }
}

@JsonSerializable(explicitToJson: true)
class MentorLLMFlowResponse {
  const MentorLLMFlowResponse({
    required this.id,
    required this.name,
    this.metadata,
  });

  factory MentorLLMFlowResponse.fromJson(Map<String, dynamic> json) =>
      _$MentorLLMFlowResponseFromJson(json);

  static const toJsonFactory = _$MentorLLMFlowResponseToJson;
  Map<String, dynamic> toJson() => _$MentorLLMFlowResponseToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'metadata')
  final Map<String, dynamic>? metadata;
  static const fromJsonFactory = _$MentorLLMFlowResponseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is MentorLLMFlowResponse &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.metadata, metadata) ||
                const DeepCollectionEquality()
                    .equals(other.metadata, metadata)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(metadata) ^
      runtimeType.hashCode;
}

extension $MentorLLMFlowResponseExtension on MentorLLMFlowResponse {
  MentorLLMFlowResponse copyWith(
      {int? id, String? name, Map<String, dynamic>? metadata}) {
    return MentorLLMFlowResponse(
        id: id ?? this.id,
        name: name ?? this.name,
        metadata: metadata ?? this.metadata);
  }

  MentorLLMFlowResponse copyWithWrapped(
      {Wrapped<int>? id,
      Wrapped<String>? name,
      Wrapped<Map<String, dynamic>?>? metadata}) {
    return MentorLLMFlowResponse(
        id: (id != null ? id.value : this.id),
        name: (name != null ? name.value : this.name),
        metadata: (metadata != null ? metadata.value : this.metadata));
  }
}

@JsonSerializable(explicitToJson: true)
class MentorSettings {
  const MentorSettings({
    required this.id,
    this.displayName,
    this.profileImage,
    this.initialMessage,
    this.suggestedMessage,
    this.theme,
    this.userMessageColor,
    this.mentorBubbleColor,
    this.alignMentorBubble,
    required this.mentor,
    required this.metadata,
  });

  factory MentorSettings.fromJson(Map<String, dynamic> json) =>
      _$MentorSettingsFromJson(json);

  static const toJsonFactory = _$MentorSettingsToJson;
  Map<String, dynamic> toJson() => _$MentorSettingsToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'display_name')
  final String? displayName;
  @JsonKey(name: 'profile_image')
  final String? profileImage;
  @JsonKey(name: 'initial_message')
  final String? initialMessage;
  @JsonKey(name: 'suggested_message')
  final String? suggestedMessage;
  @JsonKey(
    name: 'theme',
    toJson: themeEnumNullableToJson,
    fromJson: themeEnumNullableFromJson,
  )
  final enums.ThemeEnum? theme;
  @JsonKey(name: 'user_message_color')
  final String? userMessageColor;
  @JsonKey(name: 'mentor_bubble_color')
  final String? mentorBubbleColor;
  @JsonKey(
    name: 'align_mentor_bubble',
    toJson: alignMentorBubbleEnumNullableToJson,
    fromJson: alignMentorBubbleEnumNullableFromJson,
  )
  final enums.AlignMentorBubbleEnum? alignMentorBubble;
  @JsonKey(name: 'mentor')
  final String mentor;
  @JsonKey(name: 'metadata')
  final String metadata;
  static const fromJsonFactory = _$MentorSettingsFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is MentorSettings &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.profileImage, profileImage) ||
                const DeepCollectionEquality()
                    .equals(other.profileImage, profileImage)) &&
            (identical(other.initialMessage, initialMessage) ||
                const DeepCollectionEquality()
                    .equals(other.initialMessage, initialMessage)) &&
            (identical(other.suggestedMessage, suggestedMessage) ||
                const DeepCollectionEquality()
                    .equals(other.suggestedMessage, suggestedMessage)) &&
            (identical(other.theme, theme) ||
                const DeepCollectionEquality().equals(other.theme, theme)) &&
            (identical(other.userMessageColor, userMessageColor) ||
                const DeepCollectionEquality()
                    .equals(other.userMessageColor, userMessageColor)) &&
            (identical(other.mentorBubbleColor, mentorBubbleColor) ||
                const DeepCollectionEquality()
                    .equals(other.mentorBubbleColor, mentorBubbleColor)) &&
            (identical(other.alignMentorBubble, alignMentorBubble) ||
                const DeepCollectionEquality()
                    .equals(other.alignMentorBubble, alignMentorBubble)) &&
            (identical(other.mentor, mentor) ||
                const DeepCollectionEquality().equals(other.mentor, mentor)) &&
            (identical(other.metadata, metadata) ||
                const DeepCollectionEquality()
                    .equals(other.metadata, metadata)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(profileImage) ^
      const DeepCollectionEquality().hash(initialMessage) ^
      const DeepCollectionEquality().hash(suggestedMessage) ^
      const DeepCollectionEquality().hash(theme) ^
      const DeepCollectionEquality().hash(userMessageColor) ^
      const DeepCollectionEquality().hash(mentorBubbleColor) ^
      const DeepCollectionEquality().hash(alignMentorBubble) ^
      const DeepCollectionEquality().hash(mentor) ^
      const DeepCollectionEquality().hash(metadata) ^
      runtimeType.hashCode;
}

extension $MentorSettingsExtension on MentorSettings {
  MentorSettings copyWith(
      {int? id,
      String? displayName,
      String? profileImage,
      String? initialMessage,
      String? suggestedMessage,
      enums.ThemeEnum? theme,
      String? userMessageColor,
      String? mentorBubbleColor,
      enums.AlignMentorBubbleEnum? alignMentorBubble,
      String? mentor,
      String? metadata}) {
    return MentorSettings(
        id: id ?? this.id,
        displayName: displayName ?? this.displayName,
        profileImage: profileImage ?? this.profileImage,
        initialMessage: initialMessage ?? this.initialMessage,
        suggestedMessage: suggestedMessage ?? this.suggestedMessage,
        theme: theme ?? this.theme,
        userMessageColor: userMessageColor ?? this.userMessageColor,
        mentorBubbleColor: mentorBubbleColor ?? this.mentorBubbleColor,
        alignMentorBubble: alignMentorBubble ?? this.alignMentorBubble,
        mentor: mentor ?? this.mentor,
        metadata: metadata ?? this.metadata);
  }

  MentorSettings copyWithWrapped(
      {Wrapped<int>? id,
      Wrapped<String?>? displayName,
      Wrapped<String?>? profileImage,
      Wrapped<String?>? initialMessage,
      Wrapped<String?>? suggestedMessage,
      Wrapped<enums.ThemeEnum?>? theme,
      Wrapped<String?>? userMessageColor,
      Wrapped<String?>? mentorBubbleColor,
      Wrapped<enums.AlignMentorBubbleEnum?>? alignMentorBubble,
      Wrapped<String>? mentor,
      Wrapped<String>? metadata}) {
    return MentorSettings(
        id: (id != null ? id.value : this.id),
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        profileImage:
            (profileImage != null ? profileImage.value : this.profileImage),
        initialMessage: (initialMessage != null
            ? initialMessage.value
            : this.initialMessage),
        suggestedMessage: (suggestedMessage != null
            ? suggestedMessage.value
            : this.suggestedMessage),
        theme: (theme != null ? theme.value : this.theme),
        userMessageColor: (userMessageColor != null
            ? userMessageColor.value
            : this.userMessageColor),
        mentorBubbleColor: (mentorBubbleColor != null
            ? mentorBubbleColor.value
            : this.mentorBubbleColor),
        alignMentorBubble: (alignMentorBubble != null
            ? alignMentorBubble.value
            : this.alignMentorBubble),
        mentor: (mentor != null ? mentor.value : this.mentor),
        metadata: (metadata != null ? metadata.value : this.metadata));
  }
}

@JsonSerializable(explicitToJson: true)
class MentorSettingsRequest {
  const MentorSettingsRequest({
    this.displayName,
    this.profileImage,
    this.initialMessage,
    this.suggestedMessage,
    this.theme,
    this.userMessageColor,
    this.mentorBubbleColor,
    this.alignMentorBubble,
    this.systemPrompt,
    this.llmName,
    this.featured,
  });

  factory MentorSettingsRequest.fromJson(Map<String, dynamic> json) =>
      _$MentorSettingsRequestFromJson(json);

  static const toJsonFactory = _$MentorSettingsRequestToJson;
  Map<String, dynamic> toJson() => _$MentorSettingsRequestToJson(this);

  @JsonKey(name: 'display_name')
  final String? displayName;
  @JsonKey(name: 'profile_image')
  final String? profileImage;
  @JsonKey(name: 'initial_message')
  final String? initialMessage;
  @JsonKey(name: 'suggested_message')
  final String? suggestedMessage;
  @JsonKey(name: 'theme')
  final String? theme;
  @JsonKey(name: 'user_message_color')
  final String? userMessageColor;
  @JsonKey(name: 'mentor_bubble_color')
  final String? mentorBubbleColor;
  @JsonKey(name: 'align_mentor_bubble')
  final String? alignMentorBubble;
  @JsonKey(name: 'system_prompt')
  final String? systemPrompt;
  @JsonKey(name: 'llm_name')
  final String? llmName;
  @JsonKey(name: 'featured')
  final bool? featured;
  static const fromJsonFactory = _$MentorSettingsRequestFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is MentorSettingsRequest &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.profileImage, profileImage) ||
                const DeepCollectionEquality()
                    .equals(other.profileImage, profileImage)) &&
            (identical(other.initialMessage, initialMessage) ||
                const DeepCollectionEquality()
                    .equals(other.initialMessage, initialMessage)) &&
            (identical(other.suggestedMessage, suggestedMessage) ||
                const DeepCollectionEquality()
                    .equals(other.suggestedMessage, suggestedMessage)) &&
            (identical(other.theme, theme) ||
                const DeepCollectionEquality().equals(other.theme, theme)) &&
            (identical(other.userMessageColor, userMessageColor) ||
                const DeepCollectionEquality()
                    .equals(other.userMessageColor, userMessageColor)) &&
            (identical(other.mentorBubbleColor, mentorBubbleColor) ||
                const DeepCollectionEquality()
                    .equals(other.mentorBubbleColor, mentorBubbleColor)) &&
            (identical(other.alignMentorBubble, alignMentorBubble) ||
                const DeepCollectionEquality()
                    .equals(other.alignMentorBubble, alignMentorBubble)) &&
            (identical(other.systemPrompt, systemPrompt) ||
                const DeepCollectionEquality()
                    .equals(other.systemPrompt, systemPrompt)) &&
            (identical(other.llmName, llmName) ||
                const DeepCollectionEquality()
                    .equals(other.llmName, llmName)) &&
            (identical(other.featured, featured) ||
                const DeepCollectionEquality()
                    .equals(other.featured, featured)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(profileImage) ^
      const DeepCollectionEquality().hash(initialMessage) ^
      const DeepCollectionEquality().hash(suggestedMessage) ^
      const DeepCollectionEquality().hash(theme) ^
      const DeepCollectionEquality().hash(userMessageColor) ^
      const DeepCollectionEquality().hash(mentorBubbleColor) ^
      const DeepCollectionEquality().hash(alignMentorBubble) ^
      const DeepCollectionEquality().hash(systemPrompt) ^
      const DeepCollectionEquality().hash(llmName) ^
      const DeepCollectionEquality().hash(featured) ^
      runtimeType.hashCode;
}

extension $MentorSettingsRequestExtension on MentorSettingsRequest {
  MentorSettingsRequest copyWith(
      {String? displayName,
      String? profileImage,
      String? initialMessage,
      String? suggestedMessage,
      String? theme,
      String? userMessageColor,
      String? mentorBubbleColor,
      String? alignMentorBubble,
      String? systemPrompt,
      String? llmName,
      bool? featured}) {
    return MentorSettingsRequest(
        displayName: displayName ?? this.displayName,
        profileImage: profileImage ?? this.profileImage,
        initialMessage: initialMessage ?? this.initialMessage,
        suggestedMessage: suggestedMessage ?? this.suggestedMessage,
        theme: theme ?? this.theme,
        userMessageColor: userMessageColor ?? this.userMessageColor,
        mentorBubbleColor: mentorBubbleColor ?? this.mentorBubbleColor,
        alignMentorBubble: alignMentorBubble ?? this.alignMentorBubble,
        systemPrompt: systemPrompt ?? this.systemPrompt,
        llmName: llmName ?? this.llmName,
        featured: featured ?? this.featured);
  }

  MentorSettingsRequest copyWithWrapped(
      {Wrapped<String?>? displayName,
      Wrapped<String?>? profileImage,
      Wrapped<String?>? initialMessage,
      Wrapped<String?>? suggestedMessage,
      Wrapped<String?>? theme,
      Wrapped<String?>? userMessageColor,
      Wrapped<String?>? mentorBubbleColor,
      Wrapped<String?>? alignMentorBubble,
      Wrapped<String?>? systemPrompt,
      Wrapped<String?>? llmName,
      Wrapped<bool?>? featured}) {
    return MentorSettingsRequest(
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        profileImage:
            (profileImage != null ? profileImage.value : this.profileImage),
        initialMessage: (initialMessage != null
            ? initialMessage.value
            : this.initialMessage),
        suggestedMessage: (suggestedMessage != null
            ? suggestedMessage.value
            : this.suggestedMessage),
        theme: (theme != null ? theme.value : this.theme),
        userMessageColor: (userMessageColor != null
            ? userMessageColor.value
            : this.userMessageColor),
        mentorBubbleColor: (mentorBubbleColor != null
            ? mentorBubbleColor.value
            : this.mentorBubbleColor),
        alignMentorBubble: (alignMentorBubble != null
            ? alignMentorBubble.value
            : this.alignMentorBubble),
        systemPrompt:
            (systemPrompt != null ? systemPrompt.value : this.systemPrompt),
        llmName: (llmName != null ? llmName.value : this.llmName),
        featured: (featured != null ? featured.value : this.featured));
  }
}

@JsonSerializable(explicitToJson: true)
class MessageView {
  const MessageView({
    required this.count,
    required this.previous,
    required this.next,
    required this.results,
  });

  factory MessageView.fromJson(Map<String, dynamic> json) =>
      _$MessageViewFromJson(json);

  static const toJsonFactory = _$MessageViewToJson;
  Map<String, dynamic> toJson() => _$MessageViewToJson(this);

  @JsonKey(name: 'count')
  final int count;
  @JsonKey(name: 'previous')
  final String previous;
  @JsonKey(name: 'next')
  final String next;
  @JsonKey(name: 'results', defaultValue: <String>[])
  final List<String> results;
  static const fromJsonFactory = _$MessageViewFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is MessageView &&
            (identical(other.count, count) ||
                const DeepCollectionEquality().equals(other.count, count)) &&
            (identical(other.previous, previous) ||
                const DeepCollectionEquality()
                    .equals(other.previous, previous)) &&
            (identical(other.next, next) ||
                const DeepCollectionEquality().equals(other.next, next)) &&
            (identical(other.results, results) ||
                const DeepCollectionEquality().equals(other.results, results)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(count) ^
      const DeepCollectionEquality().hash(previous) ^
      const DeepCollectionEquality().hash(next) ^
      const DeepCollectionEquality().hash(results) ^
      runtimeType.hashCode;
}

extension $MessageViewExtension on MessageView {
  MessageView copyWith(
      {int? count, String? previous, String? next, List<String>? results}) {
    return MessageView(
        count: count ?? this.count,
        previous: previous ?? this.previous,
        next: next ?? this.next,
        results: results ?? this.results);
  }

  MessageView copyWithWrapped(
      {Wrapped<int>? count,
      Wrapped<String>? previous,
      Wrapped<String>? next,
      Wrapped<List<String>>? results}) {
    return MessageView(
        count: (count != null ? count.value : this.count),
        previous: (previous != null ? previous.value : this.previous),
        next: (next != null ? next.value : this.next),
        results: (results != null ? results.value : this.results));
  }
}

@JsonSerializable(explicitToJson: true)
class NetRevenueOverTime {
  const NetRevenueOverTime({
    this.data,
    this.total,
  });

  factory NetRevenueOverTime.fromJson(Map<String, dynamic> json) =>
      _$NetRevenueOverTimeFromJson(json);

  static const toJsonFactory = _$NetRevenueOverTimeToJson;
  Map<String, dynamic> toJson() => _$NetRevenueOverTimeToJson(this);

  @JsonKey(name: 'data', defaultValue: <FloatOverTime>[])
  final List<FloatOverTime>? data;
  @JsonKey(name: 'total')
  final double? total;
  static const fromJsonFactory = _$NetRevenueOverTimeFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is NetRevenueOverTime &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(total) ^
      runtimeType.hashCode;
}

extension $NetRevenueOverTimeExtension on NetRevenueOverTime {
  NetRevenueOverTime copyWith({List<FloatOverTime>? data, double? total}) {
    return NetRevenueOverTime(
        data: data ?? this.data, total: total ?? this.total);
  }

  NetRevenueOverTime copyWithWrapped(
      {Wrapped<List<FloatOverTime>?>? data, Wrapped<double?>? total}) {
    return NetRevenueOverTime(
        data: (data != null ? data.value : this.data),
        total: (total != null ? total.value : this.total));
  }
}

@JsonSerializable(explicitToJson: true)
class NotificationContext {
  const NotificationContext({
    this.courseName,
    this.credentialId,
    this.message,
  });

  factory NotificationContext.fromJson(Map<String, dynamic> json) =>
      _$NotificationContextFromJson(json);

  static const toJsonFactory = _$NotificationContextToJson;
  Map<String, dynamic> toJson() => _$NotificationContextToJson(this);

  @JsonKey(name: 'course_name')
  final String? courseName;
  @JsonKey(name: 'credential_id')
  final String? credentialId;
  @JsonKey(name: 'message')
  final String? message;
  static const fromJsonFactory = _$NotificationContextFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is NotificationContext &&
            (identical(other.courseName, courseName) ||
                const DeepCollectionEquality()
                    .equals(other.courseName, courseName)) &&
            (identical(other.credentialId, credentialId) ||
                const DeepCollectionEquality()
                    .equals(other.credentialId, credentialId)) &&
            (identical(other.message, message) ||
                const DeepCollectionEquality().equals(other.message, message)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseName) ^
      const DeepCollectionEquality().hash(credentialId) ^
      const DeepCollectionEquality().hash(message) ^
      runtimeType.hashCode;
}

extension $NotificationContextExtension on NotificationContext {
  NotificationContext copyWith(
      {String? courseName, String? credentialId, String? message}) {
    return NotificationContext(
        courseName: courseName ?? this.courseName,
        credentialId: credentialId ?? this.credentialId,
        message: message ?? this.message);
  }

  NotificationContext copyWithWrapped(
      {Wrapped<String?>? courseName,
      Wrapped<String?>? credentialId,
      Wrapped<String?>? message}) {
    return NotificationContext(
        courseName: (courseName != null ? courseName.value : this.courseName),
        credentialId:
            (credentialId != null ? credentialId.value : this.credentialId),
        message: (message != null ? message.value : this.message));
  }
}

@JsonSerializable(explicitToJson: true)
class Order {
  const Order({
    required this.customerId,
    required this.status,
    required this.orderDate,
    required this.coupons,
    required this.value,
  });

  factory Order.fromJson(Map<String, dynamic> json) => _$OrderFromJson(json);

  static const toJsonFactory = _$OrderToJson;
  Map<String, dynamic> toJson() => _$OrderToJson(this);

  @JsonKey(name: 'customer_id')
  final int customerId;
  @JsonKey(name: 'status')
  final String status;
  @JsonKey(name: 'order_date')
  final DateTime orderDate;
  @JsonKey(name: 'coupons')
  final String coupons;
  @JsonKey(name: 'value')
  final String value;
  static const fromJsonFactory = _$OrderFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Order &&
            (identical(other.customerId, customerId) ||
                const DeepCollectionEquality()
                    .equals(other.customerId, customerId)) &&
            (identical(other.status, status) ||
                const DeepCollectionEquality().equals(other.status, status)) &&
            (identical(other.orderDate, orderDate) ||
                const DeepCollectionEquality()
                    .equals(other.orderDate, orderDate)) &&
            (identical(other.coupons, coupons) ||
                const DeepCollectionEquality()
                    .equals(other.coupons, coupons)) &&
            (identical(other.value, value) ||
                const DeepCollectionEquality().equals(other.value, value)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(customerId) ^
      const DeepCollectionEquality().hash(status) ^
      const DeepCollectionEquality().hash(orderDate) ^
      const DeepCollectionEquality().hash(coupons) ^
      const DeepCollectionEquality().hash(value) ^
      runtimeType.hashCode;
}

extension $OrderExtension on Order {
  Order copyWith(
      {int? customerId,
      String? status,
      DateTime? orderDate,
      String? coupons,
      String? value}) {
    return Order(
        customerId: customerId ?? this.customerId,
        status: status ?? this.status,
        orderDate: orderDate ?? this.orderDate,
        coupons: coupons ?? this.coupons,
        value: value ?? this.value);
  }

  Order copyWithWrapped(
      {Wrapped<int>? customerId,
      Wrapped<String>? status,
      Wrapped<DateTime>? orderDate,
      Wrapped<String>? coupons,
      Wrapped<String>? value}) {
    return Order(
        customerId: (customerId != null ? customerId.value : this.customerId),
        status: (status != null ? status.value : this.status),
        orderDate: (orderDate != null ? orderDate.value : this.orderDate),
        coupons: (coupons != null ? coupons.value : this.coupons),
        value: (value != null ? value.value : this.value));
  }
}

@JsonSerializable(explicitToJson: true)
class OverTime {
  const OverTime({
    required this.data,
  });

  factory OverTime.fromJson(Map<String, dynamic> json) =>
      _$OverTimeFromJson(json);

  static const toJsonFactory = _$OverTimeToJson;
  Map<String, dynamic> toJson() => _$OverTimeToJson(this);

  @JsonKey(name: 'data')
  final Map<String, dynamic> data;
  static const fromJsonFactory = _$OverTimeFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is OverTime &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $OverTimeExtension on OverTime {
  OverTime copyWith({Map<String, dynamic>? data}) {
    return OverTime(data: data ?? this.data);
  }

  OverTime copyWithWrapped({Wrapped<Map<String, dynamic>>? data}) {
    return OverTime(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class Overtime {
  const Overtime({
    this.data,
    this.total,
  });

  factory Overtime.fromJson(Map<String, dynamic> json) =>
      _$OvertimeFromJson(json);

  static const toJsonFactory = _$OvertimeToJson;
  Map<String, dynamic> toJson() => _$OvertimeToJson(this);

  @JsonKey(name: 'data')
  final Map<String, dynamic>? data;
  @JsonKey(name: 'total')
  final int? total;
  static const fromJsonFactory = _$OvertimeFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Overtime &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(total) ^
      runtimeType.hashCode;
}

extension $OvertimeExtension on Overtime {
  Overtime copyWith({Map<String, dynamic>? data, int? total}) {
    return Overtime(data: data ?? this.data, total: total ?? this.total);
  }

  Overtime copyWithWrapped(
      {Wrapped<Map<String, dynamic>?>? data, Wrapped<int?>? total}) {
    return Overtime(
        data: (data != null ? data.value : this.data),
        total: (total != null ? total.value : this.total));
  }
}

@JsonSerializable(explicitToJson: true)
class OvertimeMeta {
  const OvertimeMeta({
    required this.total,
    this.changeRange,
    this.changeLastSevenDays,
    this.changeLastThirtyDays,
    this.changeLastSevenDaysPercent,
    this.changeLastThirtyDaysPercent,
    this.changeRangePercent,
  });

  factory OvertimeMeta.fromJson(Map<String, dynamic> json) =>
      _$OvertimeMetaFromJson(json);

  static const toJsonFactory = _$OvertimeMetaToJson;
  Map<String, dynamic> toJson() => _$OvertimeMetaToJson(this);

  @JsonKey(name: 'total')
  final int total;
  @JsonKey(name: 'change_range')
  final int? changeRange;
  @JsonKey(name: 'change_last_seven_days')
  final int? changeLastSevenDays;
  @JsonKey(name: 'change_last_thirty_days')
  final int? changeLastThirtyDays;
  @JsonKey(name: 'change_last_seven_days_percent')
  final double? changeLastSevenDaysPercent;
  @JsonKey(name: 'change_last_thirty_days_percent')
  final double? changeLastThirtyDaysPercent;
  @JsonKey(name: 'change_range_percent')
  final double? changeRangePercent;
  static const fromJsonFactory = _$OvertimeMetaFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is OvertimeMeta &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)) &&
            (identical(other.changeRange, changeRange) ||
                const DeepCollectionEquality()
                    .equals(other.changeRange, changeRange)) &&
            (identical(other.changeLastSevenDays, changeLastSevenDays) ||
                const DeepCollectionEquality()
                    .equals(other.changeLastSevenDays, changeLastSevenDays)) &&
            (identical(other.changeLastThirtyDays, changeLastThirtyDays) ||
                const DeepCollectionEquality().equals(
                    other.changeLastThirtyDays, changeLastThirtyDays)) &&
            (identical(other.changeLastSevenDaysPercent,
                    changeLastSevenDaysPercent) ||
                const DeepCollectionEquality().equals(
                    other.changeLastSevenDaysPercent,
                    changeLastSevenDaysPercent)) &&
            (identical(other.changeLastThirtyDaysPercent,
                    changeLastThirtyDaysPercent) ||
                const DeepCollectionEquality().equals(
                    other.changeLastThirtyDaysPercent,
                    changeLastThirtyDaysPercent)) &&
            (identical(other.changeRangePercent, changeRangePercent) ||
                const DeepCollectionEquality()
                    .equals(other.changeRangePercent, changeRangePercent)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(total) ^
      const DeepCollectionEquality().hash(changeRange) ^
      const DeepCollectionEquality().hash(changeLastSevenDays) ^
      const DeepCollectionEquality().hash(changeLastThirtyDays) ^
      const DeepCollectionEquality().hash(changeLastSevenDaysPercent) ^
      const DeepCollectionEquality().hash(changeLastThirtyDaysPercent) ^
      const DeepCollectionEquality().hash(changeRangePercent) ^
      runtimeType.hashCode;
}

extension $OvertimeMetaExtension on OvertimeMeta {
  OvertimeMeta copyWith(
      {int? total,
      int? changeRange,
      int? changeLastSevenDays,
      int? changeLastThirtyDays,
      double? changeLastSevenDaysPercent,
      double? changeLastThirtyDaysPercent,
      double? changeRangePercent}) {
    return OvertimeMeta(
        total: total ?? this.total,
        changeRange: changeRange ?? this.changeRange,
        changeLastSevenDays: changeLastSevenDays ?? this.changeLastSevenDays,
        changeLastThirtyDays: changeLastThirtyDays ?? this.changeLastThirtyDays,
        changeLastSevenDaysPercent:
            changeLastSevenDaysPercent ?? this.changeLastSevenDaysPercent,
        changeLastThirtyDaysPercent:
            changeLastThirtyDaysPercent ?? this.changeLastThirtyDaysPercent,
        changeRangePercent: changeRangePercent ?? this.changeRangePercent);
  }

  OvertimeMeta copyWithWrapped(
      {Wrapped<int>? total,
      Wrapped<int?>? changeRange,
      Wrapped<int?>? changeLastSevenDays,
      Wrapped<int?>? changeLastThirtyDays,
      Wrapped<double?>? changeLastSevenDaysPercent,
      Wrapped<double?>? changeLastThirtyDaysPercent,
      Wrapped<double?>? changeRangePercent}) {
    return OvertimeMeta(
        total: (total != null ? total.value : this.total),
        changeRange:
            (changeRange != null ? changeRange.value : this.changeRange),
        changeLastSevenDays: (changeLastSevenDays != null
            ? changeLastSevenDays.value
            : this.changeLastSevenDays),
        changeLastThirtyDays: (changeLastThirtyDays != null
            ? changeLastThirtyDays.value
            : this.changeLastThirtyDays),
        changeLastSevenDaysPercent: (changeLastSevenDaysPercent != null
            ? changeLastSevenDaysPercent.value
            : this.changeLastSevenDaysPercent),
        changeLastThirtyDaysPercent: (changeLastThirtyDaysPercent != null
            ? changeLastThirtyDaysPercent.value
            : this.changeLastThirtyDaysPercent),
        changeRangePercent: (changeRangePercent != null
            ? changeRangePercent.value
            : this.changeRangePercent));
  }
}

@JsonSerializable(explicitToJson: true)
class OvertimeWithChangeInfo {
  const OvertimeWithChangeInfo({
    this.data,
    this.total,
    required this.meta,
  });

  factory OvertimeWithChangeInfo.fromJson(Map<String, dynamic> json) =>
      _$OvertimeWithChangeInfoFromJson(json);

  static const toJsonFactory = _$OvertimeWithChangeInfoToJson;
  Map<String, dynamic> toJson() => _$OvertimeWithChangeInfoToJson(this);

  @JsonKey(name: 'data')
  final Map<String, dynamic>? data;
  @JsonKey(name: 'total')
  final int? total;
  @JsonKey(name: 'meta')
  final OvertimeMeta meta;
  static const fromJsonFactory = _$OvertimeWithChangeInfoFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is OvertimeWithChangeInfo &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)) &&
            (identical(other.meta, meta) ||
                const DeepCollectionEquality().equals(other.meta, meta)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(total) ^
      const DeepCollectionEquality().hash(meta) ^
      runtimeType.hashCode;
}

extension $OvertimeWithChangeInfoExtension on OvertimeWithChangeInfo {
  OvertimeWithChangeInfo copyWith(
      {Map<String, dynamic>? data, int? total, OvertimeMeta? meta}) {
    return OvertimeWithChangeInfo(
        data: data ?? this.data,
        total: total ?? this.total,
        meta: meta ?? this.meta);
  }

  OvertimeWithChangeInfo copyWithWrapped(
      {Wrapped<Map<String, dynamic>?>? data,
      Wrapped<int?>? total,
      Wrapped<OvertimeMeta>? meta}) {
    return OvertimeWithChangeInfo(
        data: (data != null ? data.value : this.data),
        total: (total != null ? total.value : this.total),
        meta: (meta != null ? meta.value : this.meta));
  }
}

@JsonSerializable(explicitToJson: true)
class PageContent {
  const PageContent({
    required this.pageContent,
  });

  factory PageContent.fromJson(Map<String, dynamic> json) =>
      _$PageContentFromJson(json);

  static const toJsonFactory = _$PageContentToJson;
  Map<String, dynamic> toJson() => _$PageContentToJson(this);

  @JsonKey(name: 'page_content')
  final String pageContent;
  static const fromJsonFactory = _$PageContentFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PageContent &&
            (identical(other.pageContent, pageContent) ||
                const DeepCollectionEquality()
                    .equals(other.pageContent, pageContent)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(pageContent) ^ runtimeType.hashCode;
}

extension $PageContentExtension on PageContent {
  PageContent copyWith({String? pageContent}) {
    return PageContent(pageContent: pageContent ?? this.pageContent);
  }

  PageContent copyWithWrapped({Wrapped<String>? pageContent}) {
    return PageContent(
        pageContent:
            (pageContent != null ? pageContent.value : this.pageContent));
  }
}

@JsonSerializable(explicitToJson: true)
class PaginatedAssertionsList {
  const PaginatedAssertionsList({
    this.count,
    this.next,
    this.previous,
    this.results,
  });

  factory PaginatedAssertionsList.fromJson(Map<String, dynamic> json) =>
      _$PaginatedAssertionsListFromJson(json);

  static const toJsonFactory = _$PaginatedAssertionsListToJson;
  Map<String, dynamic> toJson() => _$PaginatedAssertionsListToJson(this);

  @JsonKey(name: 'count')
  final int? count;
  @JsonKey(name: 'next')
  final String? next;
  @JsonKey(name: 'previous')
  final String? previous;
  @JsonKey(name: 'results', defaultValue: <Assertions>[])
  final List<Assertions>? results;
  static const fromJsonFactory = _$PaginatedAssertionsListFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PaginatedAssertionsList &&
            (identical(other.count, count) ||
                const DeepCollectionEquality().equals(other.count, count)) &&
            (identical(other.next, next) ||
                const DeepCollectionEquality().equals(other.next, next)) &&
            (identical(other.previous, previous) ||
                const DeepCollectionEquality()
                    .equals(other.previous, previous)) &&
            (identical(other.results, results) ||
                const DeepCollectionEquality().equals(other.results, results)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(count) ^
      const DeepCollectionEquality().hash(next) ^
      const DeepCollectionEquality().hash(previous) ^
      const DeepCollectionEquality().hash(results) ^
      runtimeType.hashCode;
}

extension $PaginatedAssertionsListExtension on PaginatedAssertionsList {
  PaginatedAssertionsList copyWith(
      {int? count, String? next, String? previous, List<Assertions>? results}) {
    return PaginatedAssertionsList(
        count: count ?? this.count,
        next: next ?? this.next,
        previous: previous ?? this.previous,
        results: results ?? this.results);
  }

  PaginatedAssertionsList copyWithWrapped(
      {Wrapped<int?>? count,
      Wrapped<String?>? next,
      Wrapped<String?>? previous,
      Wrapped<List<Assertions>?>? results}) {
    return PaginatedAssertionsList(
        count: (count != null ? count.value : this.count),
        next: (next != null ? next.value : this.next),
        previous: (previous != null ? previous.value : this.previous),
        results: (results != null ? results.value : this.results));
  }
}

@JsonSerializable(explicitToJson: true)
class PaginatedCredentialList {
  const PaginatedCredentialList({
    this.count,
    this.next,
    this.previous,
    this.results,
  });

  factory PaginatedCredentialList.fromJson(Map<String, dynamic> json) =>
      _$PaginatedCredentialListFromJson(json);

  static const toJsonFactory = _$PaginatedCredentialListToJson;
  Map<String, dynamic> toJson() => _$PaginatedCredentialListToJson(this);

  @JsonKey(name: 'count')
  final int? count;
  @JsonKey(name: 'next')
  final String? next;
  @JsonKey(name: 'previous')
  final String? previous;
  @JsonKey(name: 'results', defaultValue: <Credential>[])
  final List<Credential>? results;
  static const fromJsonFactory = _$PaginatedCredentialListFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PaginatedCredentialList &&
            (identical(other.count, count) ||
                const DeepCollectionEquality().equals(other.count, count)) &&
            (identical(other.next, next) ||
                const DeepCollectionEquality().equals(other.next, next)) &&
            (identical(other.previous, previous) ||
                const DeepCollectionEquality()
                    .equals(other.previous, previous)) &&
            (identical(other.results, results) ||
                const DeepCollectionEquality().equals(other.results, results)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(count) ^
      const DeepCollectionEquality().hash(next) ^
      const DeepCollectionEquality().hash(previous) ^
      const DeepCollectionEquality().hash(results) ^
      runtimeType.hashCode;
}

extension $PaginatedCredentialListExtension on PaginatedCredentialList {
  PaginatedCredentialList copyWith(
      {int? count, String? next, String? previous, List<Credential>? results}) {
    return PaginatedCredentialList(
        count: count ?? this.count,
        next: next ?? this.next,
        previous: previous ?? this.previous,
        results: results ?? this.results);
  }

  PaginatedCredentialList copyWithWrapped(
      {Wrapped<int?>? count,
      Wrapped<String?>? next,
      Wrapped<String?>? previous,
      Wrapped<List<Credential>?>? results}) {
    return PaginatedCredentialList(
        count: (count != null ? count.value : this.count),
        next: (next != null ? next.value : this.next),
        previous: (previous != null ? previous.value : this.previous),
        results: (results != null ? results.value : this.results));
  }
}

@JsonSerializable(explicitToJson: true)
class PaginatedMentorList {
  const PaginatedMentorList({
    this.count,
    this.next,
    this.previous,
    this.results,
  });

  factory PaginatedMentorList.fromJson(Map<String, dynamic> json) =>
      _$PaginatedMentorListFromJson(json);

  static const toJsonFactory = _$PaginatedMentorListToJson;
  Map<String, dynamic> toJson() => _$PaginatedMentorListToJson(this);

  @JsonKey(name: 'count')
  final int? count;
  @JsonKey(name: 'next')
  final String? next;
  @JsonKey(name: 'previous')
  final String? previous;
  @JsonKey(name: 'results', defaultValue: <Mentor>[])
  final List<Mentor>? results;
  static const fromJsonFactory = _$PaginatedMentorListFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PaginatedMentorList &&
            (identical(other.count, count) ||
                const DeepCollectionEquality().equals(other.count, count)) &&
            (identical(other.next, next) ||
                const DeepCollectionEquality().equals(other.next, next)) &&
            (identical(other.previous, previous) ||
                const DeepCollectionEquality()
                    .equals(other.previous, previous)) &&
            (identical(other.results, results) ||
                const DeepCollectionEquality().equals(other.results, results)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(count) ^
      const DeepCollectionEquality().hash(next) ^
      const DeepCollectionEquality().hash(previous) ^
      const DeepCollectionEquality().hash(results) ^
      runtimeType.hashCode;
}

extension $PaginatedMentorListExtension on PaginatedMentorList {
  PaginatedMentorList copyWith(
      {int? count, String? next, String? previous, List<Mentor>? results}) {
    return PaginatedMentorList(
        count: count ?? this.count,
        next: next ?? this.next,
        previous: previous ?? this.previous,
        results: results ?? this.results);
  }

  PaginatedMentorList copyWithWrapped(
      {Wrapped<int?>? count,
      Wrapped<String?>? next,
      Wrapped<String?>? previous,
      Wrapped<List<Mentor>?>? results}) {
    return PaginatedMentorList(
        count: (count != null ? count.value : this.count),
        next: (next != null ? next.value : this.next),
        previous: (previous != null ? previous.value : this.previous),
        results: (results != null ? results.value : this.results));
  }
}

@JsonSerializable(explicitToJson: true)
class Pagination {
  const Pagination({
    required this.totalItems,
    required this.currentPage,
    required this.perPage,
    required this.totalPages,
  });

  factory Pagination.fromJson(Map<String, dynamic> json) =>
      _$PaginationFromJson(json);

  static const toJsonFactory = _$PaginationToJson;
  Map<String, dynamic> toJson() => _$PaginationToJson(this);

  @JsonKey(name: 'totalItems')
  final int totalItems;
  @JsonKey(name: 'currentPage')
  final int currentPage;
  @JsonKey(name: 'perPage')
  final int perPage;
  @JsonKey(name: 'totalPages')
  final int totalPages;
  static const fromJsonFactory = _$PaginationFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Pagination &&
            (identical(other.totalItems, totalItems) ||
                const DeepCollectionEquality()
                    .equals(other.totalItems, totalItems)) &&
            (identical(other.currentPage, currentPage) ||
                const DeepCollectionEquality()
                    .equals(other.currentPage, currentPage)) &&
            (identical(other.perPage, perPage) ||
                const DeepCollectionEquality()
                    .equals(other.perPage, perPage)) &&
            (identical(other.totalPages, totalPages) ||
                const DeepCollectionEquality()
                    .equals(other.totalPages, totalPages)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(totalItems) ^
      const DeepCollectionEquality().hash(currentPage) ^
      const DeepCollectionEquality().hash(perPage) ^
      const DeepCollectionEquality().hash(totalPages) ^
      runtimeType.hashCode;
}

extension $PaginationExtension on Pagination {
  Pagination copyWith(
      {int? totalItems, int? currentPage, int? perPage, int? totalPages}) {
    return Pagination(
        totalItems: totalItems ?? this.totalItems,
        currentPage: currentPage ?? this.currentPage,
        perPage: perPage ?? this.perPage,
        totalPages: totalPages ?? this.totalPages);
  }

  Pagination copyWithWrapped(
      {Wrapped<int>? totalItems,
      Wrapped<int>? currentPage,
      Wrapped<int>? perPage,
      Wrapped<int>? totalPages}) {
    return Pagination(
        totalItems: (totalItems != null ? totalItems.value : this.totalItems),
        currentPage:
            (currentPage != null ? currentPage.value : this.currentPage),
        perPage: (perPage != null ? perPage.value : this.perPage),
        totalPages: (totalPages != null ? totalPages.value : this.totalPages));
  }
}

@JsonSerializable(explicitToJson: true)
class PatchedCohortUpdate {
  const PatchedCohortUpdate({
    this.id,
    this.owner,
    this.students,
    this.platform,
    this.date,
    this.name,
  });

  factory PatchedCohortUpdate.fromJson(Map<String, dynamic> json) =>
      _$PatchedCohortUpdateFromJson(json);

  static const toJsonFactory = _$PatchedCohortUpdateToJson;
  Map<String, dynamic> toJson() => _$PatchedCohortUpdateToJson(this);

  @JsonKey(name: 'id')
  final int? id;
  @JsonKey(name: 'owner')
  final String? owner;
  @JsonKey(name: 'students', defaultValue: <String>[])
  final List<String>? students;
  @JsonKey(name: 'platform')
  final String? platform;
  @JsonKey(name: 'date')
  final DateTime? date;
  @JsonKey(name: 'name')
  final String? name;
  static const fromJsonFactory = _$PatchedCohortUpdateFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PatchedCohortUpdate &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.owner, owner) ||
                const DeepCollectionEquality().equals(other.owner, owner)) &&
            (identical(other.students, students) ||
                const DeepCollectionEquality()
                    .equals(other.students, students)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)) &&
            (identical(other.date, date) ||
                const DeepCollectionEquality().equals(other.date, date)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(owner) ^
      const DeepCollectionEquality().hash(students) ^
      const DeepCollectionEquality().hash(platform) ^
      const DeepCollectionEquality().hash(date) ^
      const DeepCollectionEquality().hash(name) ^
      runtimeType.hashCode;
}

extension $PatchedCohortUpdateExtension on PatchedCohortUpdate {
  PatchedCohortUpdate copyWith(
      {int? id,
      String? owner,
      List<String>? students,
      String? platform,
      DateTime? date,
      String? name}) {
    return PatchedCohortUpdate(
        id: id ?? this.id,
        owner: owner ?? this.owner,
        students: students ?? this.students,
        platform: platform ?? this.platform,
        date: date ?? this.date,
        name: name ?? this.name);
  }

  PatchedCohortUpdate copyWithWrapped(
      {Wrapped<int?>? id,
      Wrapped<String?>? owner,
      Wrapped<List<String>?>? students,
      Wrapped<String?>? platform,
      Wrapped<DateTime?>? date,
      Wrapped<String?>? name}) {
    return PatchedCohortUpdate(
        id: (id != null ? id.value : this.id),
        owner: (owner != null ? owner.value : this.owner),
        students: (students != null ? students.value : this.students),
        platform: (platform != null ? platform.value : this.platform),
        date: (date != null ? date.value : this.date),
        name: (name != null ? name.value : this.name));
  }
}

@JsonSerializable(explicitToJson: true)
class PatchedLLMCredential {
  const PatchedLLMCredential({
    this.name,
    this.value,
    this.platform,
  });

  factory PatchedLLMCredential.fromJson(Map<String, dynamic> json) =>
      _$PatchedLLMCredentialFromJson(json);

  static const toJsonFactory = _$PatchedLLMCredentialToJson;
  Map<String, dynamic> toJson() => _$PatchedLLMCredentialToJson(this);

  @JsonKey(name: 'name')
  final String? name;
  @JsonKey(name: 'value')
  final Map<String, dynamic>? value;
  @JsonKey(name: 'platform')
  final String? platform;
  static const fromJsonFactory = _$PatchedLLMCredentialFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PatchedLLMCredential &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.value, value) ||
                const DeepCollectionEquality().equals(other.value, value)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(value) ^
      const DeepCollectionEquality().hash(platform) ^
      runtimeType.hashCode;
}

extension $PatchedLLMCredentialExtension on PatchedLLMCredential {
  PatchedLLMCredential copyWith(
      {String? name, Map<String, dynamic>? value, String? platform}) {
    return PatchedLLMCredential(
        name: name ?? this.name,
        value: value ?? this.value,
        platform: platform ?? this.platform);
  }

  PatchedLLMCredential copyWithWrapped(
      {Wrapped<String?>? name,
      Wrapped<Map<String, dynamic>?>? value,
      Wrapped<String?>? platform}) {
    return PatchedLLMCredential(
        name: (name != null ? name.value : this.name),
        value: (value != null ? value.value : this.value),
        platform: (platform != null ? platform.value : this.platform));
  }
}

@JsonSerializable(explicitToJson: true)
class PatchedMentor {
  const PatchedMentor({
    this.name,
    this.flow,
    this.slug,
    this.platform,
    this.allowAnonymous,
    this.metadata,
  });

  factory PatchedMentor.fromJson(Map<String, dynamic> json) =>
      _$PatchedMentorFromJson(json);

  static const toJsonFactory = _$PatchedMentorToJson;
  Map<String, dynamic> toJson() => _$PatchedMentorToJson(this);

  @JsonKey(name: 'name')
  final String? name;
  @JsonKey(name: 'flow')
  final Map<String, dynamic>? flow;
  @JsonKey(name: 'slug')
  final String? slug;
  @JsonKey(name: 'platform')
  final String? platform;
  @JsonKey(name: 'allow_anonymous')
  final bool? allowAnonymous;
  @JsonKey(name: 'metadata')
  final Map<String, dynamic>? metadata;
  static const fromJsonFactory = _$PatchedMentorFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PatchedMentor &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.flow, flow) ||
                const DeepCollectionEquality().equals(other.flow, flow)) &&
            (identical(other.slug, slug) ||
                const DeepCollectionEquality().equals(other.slug, slug)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)) &&
            (identical(other.allowAnonymous, allowAnonymous) ||
                const DeepCollectionEquality()
                    .equals(other.allowAnonymous, allowAnonymous)) &&
            (identical(other.metadata, metadata) ||
                const DeepCollectionEquality()
                    .equals(other.metadata, metadata)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(flow) ^
      const DeepCollectionEquality().hash(slug) ^
      const DeepCollectionEquality().hash(platform) ^
      const DeepCollectionEquality().hash(allowAnonymous) ^
      const DeepCollectionEquality().hash(metadata) ^
      runtimeType.hashCode;
}

extension $PatchedMentorExtension on PatchedMentor {
  PatchedMentor copyWith(
      {String? name,
      Map<String, dynamic>? flow,
      String? slug,
      String? platform,
      bool? allowAnonymous,
      Map<String, dynamic>? metadata}) {
    return PatchedMentor(
        name: name ?? this.name,
        flow: flow ?? this.flow,
        slug: slug ?? this.slug,
        platform: platform ?? this.platform,
        allowAnonymous: allowAnonymous ?? this.allowAnonymous,
        metadata: metadata ?? this.metadata);
  }

  PatchedMentor copyWithWrapped(
      {Wrapped<String?>? name,
      Wrapped<Map<String, dynamic>?>? flow,
      Wrapped<String?>? slug,
      Wrapped<String?>? platform,
      Wrapped<bool?>? allowAnonymous,
      Wrapped<Map<String, dynamic>?>? metadata}) {
    return PatchedMentor(
        name: (name != null ? name.value : this.name),
        flow: (flow != null ? flow.value : this.flow),
        slug: (slug != null ? slug.value : this.slug),
        platform: (platform != null ? platform.value : this.platform),
        allowAnonymous: (allowAnonymous != null
            ? allowAnonymous.value
            : this.allowAnonymous),
        metadata: (metadata != null ? metadata.value : this.metadata));
  }
}

@JsonSerializable(explicitToJson: true)
class PatchedPrompt {
  const PatchedPrompt({
    this.id,
    this.mentor,
    this.isSystem,
    this.prompt,
    this.description,
    this.category,
    this.createdAt,
    this.updatedAt,
    this.metadata,
    this.platform,
  });

  factory PatchedPrompt.fromJson(Map<String, dynamic> json) =>
      _$PatchedPromptFromJson(json);

  static const toJsonFactory = _$PatchedPromptToJson;
  Map<String, dynamic> toJson() => _$PatchedPromptToJson(this);

  @JsonKey(name: 'id')
  final int? id;
  @JsonKey(name: 'mentor')
  final String? mentor;
  @JsonKey(name: 'is_system', defaultValue: true)
  final bool? isSystem;
  @JsonKey(name: 'prompt')
  final String? prompt;
  @JsonKey(name: 'description')
  final String? description;
  @JsonKey(
    name: 'category',
    toJson: categoryEnumNullableToJson,
    fromJson: categoryEnumNullableFromJson,
  )
  final enums.CategoryEnum? category;
  @JsonKey(name: 'created_at')
  final DateTime? createdAt;
  @JsonKey(name: 'updated_at')
  final DateTime? updatedAt;
  @JsonKey(name: 'metadata')
  final Map<String, dynamic>? metadata;
  @JsonKey(name: 'platform')
  final int? platform;
  static const fromJsonFactory = _$PatchedPromptFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PatchedPrompt &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.mentor, mentor) ||
                const DeepCollectionEquality().equals(other.mentor, mentor)) &&
            (identical(other.isSystem, isSystem) ||
                const DeepCollectionEquality()
                    .equals(other.isSystem, isSystem)) &&
            (identical(other.prompt, prompt) ||
                const DeepCollectionEquality().equals(other.prompt, prompt)) &&
            (identical(other.description, description) ||
                const DeepCollectionEquality()
                    .equals(other.description, description)) &&
            (identical(other.category, category) ||
                const DeepCollectionEquality()
                    .equals(other.category, category)) &&
            (identical(other.createdAt, createdAt) ||
                const DeepCollectionEquality()
                    .equals(other.createdAt, createdAt)) &&
            (identical(other.updatedAt, updatedAt) ||
                const DeepCollectionEquality()
                    .equals(other.updatedAt, updatedAt)) &&
            (identical(other.metadata, metadata) ||
                const DeepCollectionEquality()
                    .equals(other.metadata, metadata)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(mentor) ^
      const DeepCollectionEquality().hash(isSystem) ^
      const DeepCollectionEquality().hash(prompt) ^
      const DeepCollectionEquality().hash(description) ^
      const DeepCollectionEquality().hash(category) ^
      const DeepCollectionEquality().hash(createdAt) ^
      const DeepCollectionEquality().hash(updatedAt) ^
      const DeepCollectionEquality().hash(metadata) ^
      const DeepCollectionEquality().hash(platform) ^
      runtimeType.hashCode;
}

extension $PatchedPromptExtension on PatchedPrompt {
  PatchedPrompt copyWith(
      {int? id,
      String? mentor,
      bool? isSystem,
      String? prompt,
      String? description,
      enums.CategoryEnum? category,
      DateTime? createdAt,
      DateTime? updatedAt,
      Map<String, dynamic>? metadata,
      int? platform}) {
    return PatchedPrompt(
        id: id ?? this.id,
        mentor: mentor ?? this.mentor,
        isSystem: isSystem ?? this.isSystem,
        prompt: prompt ?? this.prompt,
        description: description ?? this.description,
        category: category ?? this.category,
        createdAt: createdAt ?? this.createdAt,
        updatedAt: updatedAt ?? this.updatedAt,
        metadata: metadata ?? this.metadata,
        platform: platform ?? this.platform);
  }

  PatchedPrompt copyWithWrapped(
      {Wrapped<int?>? id,
      Wrapped<String?>? mentor,
      Wrapped<bool?>? isSystem,
      Wrapped<String?>? prompt,
      Wrapped<String?>? description,
      Wrapped<enums.CategoryEnum?>? category,
      Wrapped<DateTime?>? createdAt,
      Wrapped<DateTime?>? updatedAt,
      Wrapped<Map<String, dynamic>?>? metadata,
      Wrapped<int?>? platform}) {
    return PatchedPrompt(
        id: (id != null ? id.value : this.id),
        mentor: (mentor != null ? mentor.value : this.mentor),
        isSystem: (isSystem != null ? isSystem.value : this.isSystem),
        prompt: (prompt != null ? prompt.value : this.prompt),
        description:
            (description != null ? description.value : this.description),
        category: (category != null ? category.value : this.category),
        createdAt: (createdAt != null ? createdAt.value : this.createdAt),
        updatedAt: (updatedAt != null ? updatedAt.value : this.updatedAt),
        metadata: (metadata != null ? metadata.value : this.metadata),
        platform: (platform != null ? platform.value : this.platform));
  }
}

@JsonSerializable(explicitToJson: true)
class PatchedSkillThreshold {
  const PatchedSkillThreshold({
    this.name,
    this.threshold,
    this.platform,
  });

  factory PatchedSkillThreshold.fromJson(Map<String, dynamic> json) =>
      _$PatchedSkillThresholdFromJson(json);

  static const toJsonFactory = _$PatchedSkillThresholdToJson;
  Map<String, dynamic> toJson() => _$PatchedSkillThresholdToJson(this);

  @JsonKey(name: 'name')
  final String? name;
  @JsonKey(name: 'threshold')
  final int? threshold;
  @JsonKey(name: 'platform')
  final String? platform;
  static const fromJsonFactory = _$PatchedSkillThresholdFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PatchedSkillThreshold &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.threshold, threshold) ||
                const DeepCollectionEquality()
                    .equals(other.threshold, threshold)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(threshold) ^
      const DeepCollectionEquality().hash(platform) ^
      runtimeType.hashCode;
}

extension $PatchedSkillThresholdExtension on PatchedSkillThreshold {
  PatchedSkillThreshold copyWith(
      {String? name, int? threshold, String? platform}) {
    return PatchedSkillThreshold(
        name: name ?? this.name,
        threshold: threshold ?? this.threshold,
        platform: platform ?? this.platform);
  }

  PatchedSkillThreshold copyWithWrapped(
      {Wrapped<String?>? name,
      Wrapped<int?>? threshold,
      Wrapped<String?>? platform}) {
    return PatchedSkillThreshold(
        name: (name != null ? name.value : this.name),
        threshold: (threshold != null ? threshold.value : this.threshold),
        platform: (platform != null ? platform.value : this.platform));
  }
}

@JsonSerializable(explicitToJson: true)
class PerLearnerCourseLastAccessData {
  const PerLearnerCourseLastAccessData({
    this.courseId,
    this.courseName,
    this.blockId,
    this.blockDisplayName,
    this.courseGrade,
    this.courseProgress,
    this.lastAccessed,
  });

  factory PerLearnerCourseLastAccessData.fromJson(Map<String, dynamic> json) =>
      _$PerLearnerCourseLastAccessDataFromJson(json);

  static const toJsonFactory = _$PerLearnerCourseLastAccessDataToJson;
  Map<String, dynamic> toJson() => _$PerLearnerCourseLastAccessDataToJson(this);

  @JsonKey(name: 'course_id')
  final String? courseId;
  @JsonKey(name: 'course_name')
  final String? courseName;
  @JsonKey(name: 'block_id')
  final String? blockId;
  @JsonKey(name: 'block_display_name')
  final String? blockDisplayName;
  @JsonKey(name: 'course_grade')
  final double? courseGrade;
  @JsonKey(name: 'course_progress')
  final double? courseProgress;
  @JsonKey(name: 'last_accessed')
  final String? lastAccessed;
  static const fromJsonFactory = _$PerLearnerCourseLastAccessDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerLearnerCourseLastAccessData &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.courseName, courseName) ||
                const DeepCollectionEquality()
                    .equals(other.courseName, courseName)) &&
            (identical(other.blockId, blockId) ||
                const DeepCollectionEquality()
                    .equals(other.blockId, blockId)) &&
            (identical(other.blockDisplayName, blockDisplayName) ||
                const DeepCollectionEquality()
                    .equals(other.blockDisplayName, blockDisplayName)) &&
            (identical(other.courseGrade, courseGrade) ||
                const DeepCollectionEquality()
                    .equals(other.courseGrade, courseGrade)) &&
            (identical(other.courseProgress, courseProgress) ||
                const DeepCollectionEquality()
                    .equals(other.courseProgress, courseProgress)) &&
            (identical(other.lastAccessed, lastAccessed) ||
                const DeepCollectionEquality()
                    .equals(other.lastAccessed, lastAccessed)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(courseName) ^
      const DeepCollectionEquality().hash(blockId) ^
      const DeepCollectionEquality().hash(blockDisplayName) ^
      const DeepCollectionEquality().hash(courseGrade) ^
      const DeepCollectionEquality().hash(courseProgress) ^
      const DeepCollectionEquality().hash(lastAccessed) ^
      runtimeType.hashCode;
}

extension $PerLearnerCourseLastAccessDataExtension
    on PerLearnerCourseLastAccessData {
  PerLearnerCourseLastAccessData copyWith(
      {String? courseId,
      String? courseName,
      String? blockId,
      String? blockDisplayName,
      double? courseGrade,
      double? courseProgress,
      String? lastAccessed}) {
    return PerLearnerCourseLastAccessData(
        courseId: courseId ?? this.courseId,
        courseName: courseName ?? this.courseName,
        blockId: blockId ?? this.blockId,
        blockDisplayName: blockDisplayName ?? this.blockDisplayName,
        courseGrade: courseGrade ?? this.courseGrade,
        courseProgress: courseProgress ?? this.courseProgress,
        lastAccessed: lastAccessed ?? this.lastAccessed);
  }

  PerLearnerCourseLastAccessData copyWithWrapped(
      {Wrapped<String?>? courseId,
      Wrapped<String?>? courseName,
      Wrapped<String?>? blockId,
      Wrapped<String?>? blockDisplayName,
      Wrapped<double?>? courseGrade,
      Wrapped<double?>? courseProgress,
      Wrapped<String?>? lastAccessed}) {
    return PerLearnerCourseLastAccessData(
        courseId: (courseId != null ? courseId.value : this.courseId),
        courseName: (courseName != null ? courseName.value : this.courseName),
        blockId: (blockId != null ? blockId.value : this.blockId),
        blockDisplayName: (blockDisplayName != null
            ? blockDisplayName.value
            : this.blockDisplayName),
        courseGrade:
            (courseGrade != null ? courseGrade.value : this.courseGrade),
        courseProgress: (courseProgress != null
            ? courseProgress.value
            : this.courseProgress),
        lastAccessed:
            (lastAccessed != null ? lastAccessed.value : this.lastAccessed));
  }
}

@JsonSerializable(explicitToJson: true)
class PerLearnerCourseVideosWatched {
  const PerLearnerCourseVideosWatched({
    required this.data,
    required this.total,
  });

  factory PerLearnerCourseVideosWatched.fromJson(Map<String, dynamic> json) =>
      _$PerLearnerCourseVideosWatchedFromJson(json);

  static const toJsonFactory = _$PerLearnerCourseVideosWatchedToJson;
  Map<String, dynamic> toJson() => _$PerLearnerCourseVideosWatchedToJson(this);

  @JsonKey(name: 'data', defaultValue: <PerLearnerCourseVideosWatchedData>[])
  final List<PerLearnerCourseVideosWatchedData> data;
  @JsonKey(name: 'total')
  final int total;
  static const fromJsonFactory = _$PerLearnerCourseVideosWatchedFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerLearnerCourseVideosWatched &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(total) ^
      runtimeType.hashCode;
}

extension $PerLearnerCourseVideosWatchedExtension
    on PerLearnerCourseVideosWatched {
  PerLearnerCourseVideosWatched copyWith(
      {List<PerLearnerCourseVideosWatchedData>? data, int? total}) {
    return PerLearnerCourseVideosWatched(
        data: data ?? this.data, total: total ?? this.total);
  }

  PerLearnerCourseVideosWatched copyWithWrapped(
      {Wrapped<List<PerLearnerCourseVideosWatchedData>>? data,
      Wrapped<int>? total}) {
    return PerLearnerCourseVideosWatched(
        data: (data != null ? data.value : this.data),
        total: (total != null ? total.value : this.total));
  }
}

@JsonSerializable(explicitToJson: true)
class PerLearnerCourseVideosWatchedData {
  const PerLearnerCourseVideosWatchedData({
    required this.id,
    required this.name,
    required this.watched,
  });

  factory PerLearnerCourseVideosWatchedData.fromJson(
          Map<String, dynamic> json) =>
      _$PerLearnerCourseVideosWatchedDataFromJson(json);

  static const toJsonFactory = _$PerLearnerCourseVideosWatchedDataToJson;
  Map<String, dynamic> toJson() =>
      _$PerLearnerCourseVideosWatchedDataToJson(this);

  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'watched')
  final bool watched;
  static const fromJsonFactory = _$PerLearnerCourseVideosWatchedDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerLearnerCourseVideosWatchedData &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.watched, watched) ||
                const DeepCollectionEquality().equals(other.watched, watched)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(watched) ^
      runtimeType.hashCode;
}

extension $PerLearnerCourseVideosWatchedDataExtension
    on PerLearnerCourseVideosWatchedData {
  PerLearnerCourseVideosWatchedData copyWith(
      {String? id, String? name, bool? watched}) {
    return PerLearnerCourseVideosWatchedData(
        id: id ?? this.id,
        name: name ?? this.name,
        watched: watched ?? this.watched);
  }

  PerLearnerCourseVideosWatchedData copyWithWrapped(
      {Wrapped<String>? id, Wrapped<String>? name, Wrapped<bool>? watched}) {
    return PerLearnerCourseVideosWatchedData(
        id: (id != null ? id.value : this.id),
        name: (name != null ? name.value : this.name),
        watched: (watched != null ? watched.value : this.watched));
  }
}

@JsonSerializable(explicitToJson: true)
class PerLearnerLastAccess {
  const PerLearnerLastAccess({
    this.data,
  });

  factory PerLearnerLastAccess.fromJson(Map<String, dynamic> json) =>
      _$PerLearnerLastAccessFromJson(json);

  static const toJsonFactory = _$PerLearnerLastAccessToJson;
  Map<String, dynamic> toJson() => _$PerLearnerLastAccessToJson(this);

  @JsonKey(name: 'data')
  final PerLearnerLastAccessData? data;
  static const fromJsonFactory = _$PerLearnerLastAccessFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerLearnerLastAccess &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $PerLearnerLastAccessExtension on PerLearnerLastAccess {
  PerLearnerLastAccess copyWith({PerLearnerLastAccessData? data}) {
    return PerLearnerLastAccess(data: data ?? this.data);
  }

  PerLearnerLastAccess copyWithWrapped(
      {Wrapped<PerLearnerLastAccessData?>? data}) {
    return PerLearnerLastAccess(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class PerLearnerLastAccessData {
  const PerLearnerLastAccessData({
    this.courseLastAccessed,
    this.lastAccessed,
  });

  factory PerLearnerLastAccessData.fromJson(Map<String, dynamic> json) =>
      _$PerLearnerLastAccessDataFromJson(json);

  static const toJsonFactory = _$PerLearnerLastAccessDataToJson;
  Map<String, dynamic> toJson() => _$PerLearnerLastAccessDataToJson(this);

  @JsonKey(name: 'course_last_accessed')
  final PerLearnerCourseLastAccessData? courseLastAccessed;
  @JsonKey(name: 'last_accessed')
  final String? lastAccessed;
  static const fromJsonFactory = _$PerLearnerLastAccessDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerLearnerLastAccessData &&
            (identical(other.courseLastAccessed, courseLastAccessed) ||
                const DeepCollectionEquality()
                    .equals(other.courseLastAccessed, courseLastAccessed)) &&
            (identical(other.lastAccessed, lastAccessed) ||
                const DeepCollectionEquality()
                    .equals(other.lastAccessed, lastAccessed)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseLastAccessed) ^
      const DeepCollectionEquality().hash(lastAccessed) ^
      runtimeType.hashCode;
}

extension $PerLearnerLastAccessDataExtension on PerLearnerLastAccessData {
  PerLearnerLastAccessData copyWith(
      {PerLearnerCourseLastAccessData? courseLastAccessed,
      String? lastAccessed}) {
    return PerLearnerLastAccessData(
        courseLastAccessed: courseLastAccessed ?? this.courseLastAccessed,
        lastAccessed: lastAccessed ?? this.lastAccessed);
  }

  PerLearnerLastAccessData copyWithWrapped(
      {Wrapped<PerLearnerCourseLastAccessData?>? courseLastAccessed,
      Wrapped<String?>? lastAccessed}) {
    return PerLearnerLastAccessData(
        courseLastAccessed: (courseLastAccessed != null
            ? courseLastAccessed.value
            : this.courseLastAccessed),
        lastAccessed:
            (lastAccessed != null ? lastAccessed.value : this.lastAccessed));
  }
}

@JsonSerializable(explicitToJson: true)
class PerLearnerTimeSpentInCourseTree {
  const PerLearnerTimeSpentInCourseTree({
    this.data,
    this.total,
  });

  factory PerLearnerTimeSpentInCourseTree.fromJson(Map<String, dynamic> json) =>
      _$PerLearnerTimeSpentInCourseTreeFromJson(json);

  static const toJsonFactory = _$PerLearnerTimeSpentInCourseTreeToJson;
  Map<String, dynamic> toJson() =>
      _$PerLearnerTimeSpentInCourseTreeToJson(this);

  @JsonKey(name: 'data', defaultValue: <TimeChildData>[])
  final List<TimeChildData>? data;
  @JsonKey(name: 'total')
  final int? total;
  static const fromJsonFactory = _$PerLearnerTimeSpentInCourseTreeFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerLearnerTimeSpentInCourseTree &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(total) ^
      runtimeType.hashCode;
}

extension $PerLearnerTimeSpentInCourseTreeExtension
    on PerLearnerTimeSpentInCourseTree {
  PerLearnerTimeSpentInCourseTree copyWith(
      {List<TimeChildData>? data, int? total}) {
    return PerLearnerTimeSpentInCourseTree(
        data: data ?? this.data, total: total ?? this.total);
  }

  PerLearnerTimeSpentInCourseTree copyWithWrapped(
      {Wrapped<List<TimeChildData>?>? data, Wrapped<int?>? total}) {
    return PerLearnerTimeSpentInCourseTree(
        data: (data != null ? data.value : this.data),
        total: (total != null ? total.value : this.total));
  }
}

@JsonSerializable(explicitToJson: true)
class PerformanceGradesPerCourse {
  const PerformanceGradesPerCourse({
    this.data,
    required this.pagination,
  });

  factory PerformanceGradesPerCourse.fromJson(Map<String, dynamic> json) =>
      _$PerformanceGradesPerCourseFromJson(json);

  static const toJsonFactory = _$PerformanceGradesPerCourseToJson;
  Map<String, dynamic> toJson() => _$PerformanceGradesPerCourseToJson(this);

  @JsonKey(name: 'data', defaultValue: <PerformanceGradesPerCourseData>[])
  final List<PerformanceGradesPerCourseData>? data;
  @JsonKey(name: 'pagination')
  final Pagination pagination;
  static const fromJsonFactory = _$PerformanceGradesPerCourseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerformanceGradesPerCourse &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.pagination, pagination) ||
                const DeepCollectionEquality()
                    .equals(other.pagination, pagination)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(pagination) ^
      runtimeType.hashCode;
}

extension $PerformanceGradesPerCourseExtension on PerformanceGradesPerCourse {
  PerformanceGradesPerCourse copyWith(
      {List<PerformanceGradesPerCourseData>? data, Pagination? pagination}) {
    return PerformanceGradesPerCourse(
        data: data ?? this.data, pagination: pagination ?? this.pagination);
  }

  PerformanceGradesPerCourse copyWithWrapped(
      {Wrapped<List<PerformanceGradesPerCourseData>?>? data,
      Wrapped<Pagination>? pagination}) {
    return PerformanceGradesPerCourse(
        data: (data != null ? data.value : this.data),
        pagination: (pagination != null ? pagination.value : this.pagination));
  }
}

@JsonSerializable(explicitToJson: true)
class PerformanceGradesPerCourseData {
  const PerformanceGradesPerCourseData({
    required this.name,
    required this.courseId,
    required this.numEnrollments,
    required this.numPassed,
    required this.avgGrade,
  });

  factory PerformanceGradesPerCourseData.fromJson(Map<String, dynamic> json) =>
      _$PerformanceGradesPerCourseDataFromJson(json);

  static const toJsonFactory = _$PerformanceGradesPerCourseDataToJson;
  Map<String, dynamic> toJson() => _$PerformanceGradesPerCourseDataToJson(this);

  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'num_enrollments')
  final int numEnrollments;
  @JsonKey(name: 'num_passed')
  final int numPassed;
  @JsonKey(name: 'avg_grade')
  final double avgGrade;
  static const fromJsonFactory = _$PerformanceGradesPerCourseDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerformanceGradesPerCourseData &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.numEnrollments, numEnrollments) ||
                const DeepCollectionEquality()
                    .equals(other.numEnrollments, numEnrollments)) &&
            (identical(other.numPassed, numPassed) ||
                const DeepCollectionEquality()
                    .equals(other.numPassed, numPassed)) &&
            (identical(other.avgGrade, avgGrade) ||
                const DeepCollectionEquality()
                    .equals(other.avgGrade, avgGrade)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(numEnrollments) ^
      const DeepCollectionEquality().hash(numPassed) ^
      const DeepCollectionEquality().hash(avgGrade) ^
      runtimeType.hashCode;
}

extension $PerformanceGradesPerCourseDataExtension
    on PerformanceGradesPerCourseData {
  PerformanceGradesPerCourseData copyWith(
      {String? name,
      String? courseId,
      int? numEnrollments,
      int? numPassed,
      double? avgGrade}) {
    return PerformanceGradesPerCourseData(
        name: name ?? this.name,
        courseId: courseId ?? this.courseId,
        numEnrollments: numEnrollments ?? this.numEnrollments,
        numPassed: numPassed ?? this.numPassed,
        avgGrade: avgGrade ?? this.avgGrade);
  }

  PerformanceGradesPerCourseData copyWithWrapped(
      {Wrapped<String>? name,
      Wrapped<String>? courseId,
      Wrapped<int>? numEnrollments,
      Wrapped<int>? numPassed,
      Wrapped<double>? avgGrade}) {
    return PerformanceGradesPerCourseData(
        name: (name != null ? name.value : this.name),
        courseId: (courseId != null ? courseId.value : this.courseId),
        numEnrollments: (numEnrollments != null
            ? numEnrollments.value
            : this.numEnrollments),
        numPassed: (numPassed != null ? numPassed.value : this.numPassed),
        avgGrade: (avgGrade != null ? avgGrade.value : this.avgGrade));
  }
}

@JsonSerializable(explicitToJson: true)
class PerlearnerCourseProgress {
  const PerlearnerCourseProgress({
    required this.data,
  });

  factory PerlearnerCourseProgress.fromJson(Map<String, dynamic> json) =>
      _$PerlearnerCourseProgressFromJson(json);

  static const toJsonFactory = _$PerlearnerCourseProgressToJson;
  Map<String, dynamic> toJson() => _$PerlearnerCourseProgressToJson(this);

  @JsonKey(name: 'data')
  final PerlearnerCourseProgressData data;
  static const fromJsonFactory = _$PerlearnerCourseProgressFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerlearnerCourseProgress &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $PerlearnerCourseProgressExtension on PerlearnerCourseProgress {
  PerlearnerCourseProgress copyWith({PerlearnerCourseProgressData? data}) {
    return PerlearnerCourseProgress(data: data ?? this.data);
  }

  PerlearnerCourseProgress copyWithWrapped(
      {Wrapped<PerlearnerCourseProgressData>? data}) {
    return PerlearnerCourseProgress(
        data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class PerlearnerCourseProgressData {
  const PerlearnerCourseProgressData({
    required this.progress,
  });

  factory PerlearnerCourseProgressData.fromJson(Map<String, dynamic> json) =>
      _$PerlearnerCourseProgressDataFromJson(json);

  static const toJsonFactory = _$PerlearnerCourseProgressDataToJson;
  Map<String, dynamic> toJson() => _$PerlearnerCourseProgressDataToJson(this);

  @JsonKey(name: 'progress')
  final double progress;
  static const fromJsonFactory = _$PerlearnerCourseProgressDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerlearnerCourseProgressData &&
            (identical(other.progress, progress) ||
                const DeepCollectionEquality()
                    .equals(other.progress, progress)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(progress) ^ runtimeType.hashCode;
}

extension $PerlearnerCourseProgressDataExtension
    on PerlearnerCourseProgressData {
  PerlearnerCourseProgressData copyWith({double? progress}) {
    return PerlearnerCourseProgressData(progress: progress ?? this.progress);
  }

  PerlearnerCourseProgressData copyWithWrapped({Wrapped<double>? progress}) {
    return PerlearnerCourseProgressData(
        progress: (progress != null ? progress.value : this.progress));
  }
}

@JsonSerializable(explicitToJson: true)
class PerlearnerEngagementVideosData {
  const PerlearnerEngagementVideosData({
    required this.courseId,
    required this.name,
    required this.totalVideos,
    required this.watched,
    required this.totalTimeWatch,
    required this.averageClassWatch,
    required this.classTimeAverage,
  });

  factory PerlearnerEngagementVideosData.fromJson(Map<String, dynamic> json) =>
      _$PerlearnerEngagementVideosDataFromJson(json);

  static const toJsonFactory = _$PerlearnerEngagementVideosDataToJson;
  Map<String, dynamic> toJson() => _$PerlearnerEngagementVideosDataToJson(this);

  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'total_videos')
  final int totalVideos;
  @JsonKey(name: 'watched')
  final int watched;
  @JsonKey(name: 'total_time_watch')
  final int totalTimeWatch;
  @JsonKey(name: 'average_class_watch')
  final double averageClassWatch;
  @JsonKey(name: 'class_time_average')
  final double classTimeAverage;
  static const fromJsonFactory = _$PerlearnerEngagementVideosDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerlearnerEngagementVideosData &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.totalVideos, totalVideos) ||
                const DeepCollectionEquality()
                    .equals(other.totalVideos, totalVideos)) &&
            (identical(other.watched, watched) ||
                const DeepCollectionEquality()
                    .equals(other.watched, watched)) &&
            (identical(other.totalTimeWatch, totalTimeWatch) ||
                const DeepCollectionEquality()
                    .equals(other.totalTimeWatch, totalTimeWatch)) &&
            (identical(other.averageClassWatch, averageClassWatch) ||
                const DeepCollectionEquality()
                    .equals(other.averageClassWatch, averageClassWatch)) &&
            (identical(other.classTimeAverage, classTimeAverage) ||
                const DeepCollectionEquality()
                    .equals(other.classTimeAverage, classTimeAverage)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(totalVideos) ^
      const DeepCollectionEquality().hash(watched) ^
      const DeepCollectionEquality().hash(totalTimeWatch) ^
      const DeepCollectionEquality().hash(averageClassWatch) ^
      const DeepCollectionEquality().hash(classTimeAverage) ^
      runtimeType.hashCode;
}

extension $PerlearnerEngagementVideosDataExtension
    on PerlearnerEngagementVideosData {
  PerlearnerEngagementVideosData copyWith(
      {String? courseId,
      String? name,
      int? totalVideos,
      int? watched,
      int? totalTimeWatch,
      double? averageClassWatch,
      double? classTimeAverage}) {
    return PerlearnerEngagementVideosData(
        courseId: courseId ?? this.courseId,
        name: name ?? this.name,
        totalVideos: totalVideos ?? this.totalVideos,
        watched: watched ?? this.watched,
        totalTimeWatch: totalTimeWatch ?? this.totalTimeWatch,
        averageClassWatch: averageClassWatch ?? this.averageClassWatch,
        classTimeAverage: classTimeAverage ?? this.classTimeAverage);
  }

  PerlearnerEngagementVideosData copyWithWrapped(
      {Wrapped<String>? courseId,
      Wrapped<String>? name,
      Wrapped<int>? totalVideos,
      Wrapped<int>? watched,
      Wrapped<int>? totalTimeWatch,
      Wrapped<double>? averageClassWatch,
      Wrapped<double>? classTimeAverage}) {
    return PerlearnerEngagementVideosData(
        courseId: (courseId != null ? courseId.value : this.courseId),
        name: (name != null ? name.value : this.name),
        totalVideos:
            (totalVideos != null ? totalVideos.value : this.totalVideos),
        watched: (watched != null ? watched.value : this.watched),
        totalTimeWatch: (totalTimeWatch != null
            ? totalTimeWatch.value
            : this.totalTimeWatch),
        averageClassWatch: (averageClassWatch != null
            ? averageClassWatch.value
            : this.averageClassWatch),
        classTimeAverage: (classTimeAverage != null
            ? classTimeAverage.value
            : this.classTimeAverage));
  }
}

@JsonSerializable(explicitToJson: true)
class PerlearnerEngagementVideosWatchedPerCourse {
  const PerlearnerEngagementVideosWatchedPerCourse({
    required this.data,
  });

  factory PerlearnerEngagementVideosWatchedPerCourse.fromJson(
          Map<String, dynamic> json) =>
      _$PerlearnerEngagementVideosWatchedPerCourseFromJson(json);

  static const toJsonFactory =
      _$PerlearnerEngagementVideosWatchedPerCourseToJson;
  Map<String, dynamic> toJson() =>
      _$PerlearnerEngagementVideosWatchedPerCourseToJson(this);

  @JsonKey(name: 'data', defaultValue: <PerlearnerEngagementVideosData>[])
  final List<PerlearnerEngagementVideosData> data;
  static const fromJsonFactory =
      _$PerlearnerEngagementVideosWatchedPerCourseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerlearnerEngagementVideosWatchedPerCourse &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $PerlearnerEngagementVideosWatchedPerCourseExtension
    on PerlearnerEngagementVideosWatchedPerCourse {
  PerlearnerEngagementVideosWatchedPerCourse copyWith(
      {List<PerlearnerEngagementVideosData>? data}) {
    return PerlearnerEngagementVideosWatchedPerCourse(data: data ?? this.data);
  }

  PerlearnerEngagementVideosWatchedPerCourse copyWithWrapped(
      {Wrapped<List<PerlearnerEngagementVideosData>>? data}) {
    return PerlearnerEngagementVideosWatchedPerCourse(
        data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class PerlearnerGradeSummary {
  const PerlearnerGradeSummary({
    this.data,
  });

  factory PerlearnerGradeSummary.fromJson(Map<String, dynamic> json) =>
      _$PerlearnerGradeSummaryFromJson(json);

  static const toJsonFactory = _$PerlearnerGradeSummaryToJson;
  Map<String, dynamic> toJson() => _$PerlearnerGradeSummaryToJson(this);

  @JsonKey(name: 'data', defaultValue: <PerlearnerGradeSummaryData>[])
  final List<PerlearnerGradeSummaryData>? data;
  static const fromJsonFactory = _$PerlearnerGradeSummaryFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerlearnerGradeSummary &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $PerlearnerGradeSummaryExtension on PerlearnerGradeSummary {
  PerlearnerGradeSummary copyWith({List<PerlearnerGradeSummaryData>? data}) {
    return PerlearnerGradeSummary(data: data ?? this.data);
  }

  PerlearnerGradeSummary copyWithWrapped(
      {Wrapped<List<PerlearnerGradeSummaryData>?>? data}) {
    return PerlearnerGradeSummary(
        data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class PerlearnerGradeSummaryData {
  const PerlearnerGradeSummaryData({
    required this.assignmentType,
    required this.weight,
    required this.weightedGrade,
    required this.averageSectionGrade,
  });

  factory PerlearnerGradeSummaryData.fromJson(Map<String, dynamic> json) =>
      _$PerlearnerGradeSummaryDataFromJson(json);

  static const toJsonFactory = _$PerlearnerGradeSummaryDataToJson;
  Map<String, dynamic> toJson() => _$PerlearnerGradeSummaryDataToJson(this);

  @JsonKey(name: 'assignment_type')
  final String assignmentType;
  @JsonKey(name: 'weight')
  final double weight;
  @JsonKey(name: 'weighted_grade')
  final double weightedGrade;
  @JsonKey(name: 'average_section_grade')
  final double averageSectionGrade;
  static const fromJsonFactory = _$PerlearnerGradeSummaryDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerlearnerGradeSummaryData &&
            (identical(other.assignmentType, assignmentType) ||
                const DeepCollectionEquality()
                    .equals(other.assignmentType, assignmentType)) &&
            (identical(other.weight, weight) ||
                const DeepCollectionEquality().equals(other.weight, weight)) &&
            (identical(other.weightedGrade, weightedGrade) ||
                const DeepCollectionEquality()
                    .equals(other.weightedGrade, weightedGrade)) &&
            (identical(other.averageSectionGrade, averageSectionGrade) ||
                const DeepCollectionEquality()
                    .equals(other.averageSectionGrade, averageSectionGrade)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(assignmentType) ^
      const DeepCollectionEquality().hash(weight) ^
      const DeepCollectionEquality().hash(weightedGrade) ^
      const DeepCollectionEquality().hash(averageSectionGrade) ^
      runtimeType.hashCode;
}

extension $PerlearnerGradeSummaryDataExtension on PerlearnerGradeSummaryData {
  PerlearnerGradeSummaryData copyWith(
      {String? assignmentType,
      double? weight,
      double? weightedGrade,
      double? averageSectionGrade}) {
    return PerlearnerGradeSummaryData(
        assignmentType: assignmentType ?? this.assignmentType,
        weight: weight ?? this.weight,
        weightedGrade: weightedGrade ?? this.weightedGrade,
        averageSectionGrade: averageSectionGrade ?? this.averageSectionGrade);
  }

  PerlearnerGradeSummaryData copyWithWrapped(
      {Wrapped<String>? assignmentType,
      Wrapped<double>? weight,
      Wrapped<double>? weightedGrade,
      Wrapped<double>? averageSectionGrade}) {
    return PerlearnerGradeSummaryData(
        assignmentType: (assignmentType != null
            ? assignmentType.value
            : this.assignmentType),
        weight: (weight != null ? weight.value : this.weight),
        weightedGrade:
            (weightedGrade != null ? weightedGrade.value : this.weightedGrade),
        averageSectionGrade: (averageSectionGrade != null
            ? averageSectionGrade.value
            : this.averageSectionGrade));
  }
}

@JsonSerializable(explicitToJson: true)
class PerlearnerGradeWithCutOff {
  const PerlearnerGradeWithCutOff({
    this.data,
  });

  factory PerlearnerGradeWithCutOff.fromJson(Map<String, dynamic> json) =>
      _$PerlearnerGradeWithCutOffFromJson(json);

  static const toJsonFactory = _$PerlearnerGradeWithCutOffToJson;
  Map<String, dynamic> toJson() => _$PerlearnerGradeWithCutOffToJson(this);

  @JsonKey(name: 'data')
  final PerlearnerGradeWithCutOffData? data;
  static const fromJsonFactory = _$PerlearnerGradeWithCutOffFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerlearnerGradeWithCutOff &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $PerlearnerGradeWithCutOffExtension on PerlearnerGradeWithCutOff {
  PerlearnerGradeWithCutOff copyWith({PerlearnerGradeWithCutOffData? data}) {
    return PerlearnerGradeWithCutOff(data: data ?? this.data);
  }

  PerlearnerGradeWithCutOff copyWithWrapped(
      {Wrapped<PerlearnerGradeWithCutOffData?>? data}) {
    return PerlearnerGradeWithCutOff(
        data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class PerlearnerGradeWithCutOffData {
  const PerlearnerGradeWithCutOffData({
    required this.gradeCutoffs,
    required this.grade,
  });

  factory PerlearnerGradeWithCutOffData.fromJson(Map<String, dynamic> json) =>
      _$PerlearnerGradeWithCutOffDataFromJson(json);

  static const toJsonFactory = _$PerlearnerGradeWithCutOffDataToJson;
  Map<String, dynamic> toJson() => _$PerlearnerGradeWithCutOffDataToJson(this);

  @JsonKey(name: 'grade_cutoffs')
  final Map<String, dynamic> gradeCutoffs;
  @JsonKey(name: 'grade')
  final double grade;
  static const fromJsonFactory = _$PerlearnerGradeWithCutOffDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerlearnerGradeWithCutOffData &&
            (identical(other.gradeCutoffs, gradeCutoffs) ||
                const DeepCollectionEquality()
                    .equals(other.gradeCutoffs, gradeCutoffs)) &&
            (identical(other.grade, grade) ||
                const DeepCollectionEquality().equals(other.grade, grade)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(gradeCutoffs) ^
      const DeepCollectionEquality().hash(grade) ^
      runtimeType.hashCode;
}

extension $PerlearnerGradeWithCutOffDataExtension
    on PerlearnerGradeWithCutOffData {
  PerlearnerGradeWithCutOffData copyWith(
      {Map<String, dynamic>? gradeCutoffs, double? grade}) {
    return PerlearnerGradeWithCutOffData(
        gradeCutoffs: gradeCutoffs ?? this.gradeCutoffs,
        grade: grade ?? this.grade);
  }

  PerlearnerGradeWithCutOffData copyWithWrapped(
      {Wrapped<Map<String, dynamic>>? gradeCutoffs, Wrapped<double>? grade}) {
    return PerlearnerGradeWithCutOffData(
        gradeCutoffs:
            (gradeCutoffs != null ? gradeCutoffs.value : this.gradeCutoffs),
        grade: (grade != null ? grade.value : this.grade));
  }
}

@JsonSerializable(explicitToJson: true)
class PerlearnerGradingPerCourseAPI {
  const PerlearnerGradingPerCourseAPI({
    required this.data,
  });

  factory PerlearnerGradingPerCourseAPI.fromJson(Map<String, dynamic> json) =>
      _$PerlearnerGradingPerCourseAPIFromJson(json);

  static const toJsonFactory = _$PerlearnerGradingPerCourseAPIToJson;
  Map<String, dynamic> toJson() => _$PerlearnerGradingPerCourseAPIToJson(this);

  @JsonKey(name: 'data', defaultValue: <PerlearnerGradingPerCourseAPIData>[])
  final List<PerlearnerGradingPerCourseAPIData> data;
  static const fromJsonFactory = _$PerlearnerGradingPerCourseAPIFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerlearnerGradingPerCourseAPI &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $PerlearnerGradingPerCourseAPIExtension
    on PerlearnerGradingPerCourseAPI {
  PerlearnerGradingPerCourseAPI copyWith(
      {List<PerlearnerGradingPerCourseAPIData>? data}) {
    return PerlearnerGradingPerCourseAPI(data: data ?? this.data);
  }

  PerlearnerGradingPerCourseAPI copyWithWrapped(
      {Wrapped<List<PerlearnerGradingPerCourseAPIData>>? data}) {
    return PerlearnerGradingPerCourseAPI(
        data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class PerlearnerGradingPerCourseAPIData {
  const PerlearnerGradingPerCourseAPIData({
    required this.courseId,
    required this.name,
    required this.gradedActivities,
    required this.submissions,
    required this.problemsAttempted,
    required this.assignmentsCorrect,
    required this.classAverage,
    required this.grade,
  });

  factory PerlearnerGradingPerCourseAPIData.fromJson(
          Map<String, dynamic> json) =>
      _$PerlearnerGradingPerCourseAPIDataFromJson(json);

  static const toJsonFactory = _$PerlearnerGradingPerCourseAPIDataToJson;
  Map<String, dynamic> toJson() =>
      _$PerlearnerGradingPerCourseAPIDataToJson(this);

  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'graded_activities')
  final String gradedActivities;
  @JsonKey(name: 'submissions')
  final int submissions;
  @JsonKey(name: 'problems_attempted')
  final int problemsAttempted;
  @JsonKey(name: 'assignments_correct')
  final int assignmentsCorrect;
  @JsonKey(name: 'class_average')
  final double classAverage;
  @JsonKey(name: 'grade')
  final double grade;
  static const fromJsonFactory = _$PerlearnerGradingPerCourseAPIDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerlearnerGradingPerCourseAPIData &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.gradedActivities, gradedActivities) ||
                const DeepCollectionEquality()
                    .equals(other.gradedActivities, gradedActivities)) &&
            (identical(other.submissions, submissions) ||
                const DeepCollectionEquality()
                    .equals(other.submissions, submissions)) &&
            (identical(other.problemsAttempted, problemsAttempted) ||
                const DeepCollectionEquality()
                    .equals(other.problemsAttempted, problemsAttempted)) &&
            (identical(other.assignmentsCorrect, assignmentsCorrect) ||
                const DeepCollectionEquality()
                    .equals(other.assignmentsCorrect, assignmentsCorrect)) &&
            (identical(other.classAverage, classAverage) ||
                const DeepCollectionEquality()
                    .equals(other.classAverage, classAverage)) &&
            (identical(other.grade, grade) ||
                const DeepCollectionEquality().equals(other.grade, grade)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(gradedActivities) ^
      const DeepCollectionEquality().hash(submissions) ^
      const DeepCollectionEquality().hash(problemsAttempted) ^
      const DeepCollectionEquality().hash(assignmentsCorrect) ^
      const DeepCollectionEquality().hash(classAverage) ^
      const DeepCollectionEquality().hash(grade) ^
      runtimeType.hashCode;
}

extension $PerlearnerGradingPerCourseAPIDataExtension
    on PerlearnerGradingPerCourseAPIData {
  PerlearnerGradingPerCourseAPIData copyWith(
      {String? courseId,
      String? name,
      String? gradedActivities,
      int? submissions,
      int? problemsAttempted,
      int? assignmentsCorrect,
      double? classAverage,
      double? grade}) {
    return PerlearnerGradingPerCourseAPIData(
        courseId: courseId ?? this.courseId,
        name: name ?? this.name,
        gradedActivities: gradedActivities ?? this.gradedActivities,
        submissions: submissions ?? this.submissions,
        problemsAttempted: problemsAttempted ?? this.problemsAttempted,
        assignmentsCorrect: assignmentsCorrect ?? this.assignmentsCorrect,
        classAverage: classAverage ?? this.classAverage,
        grade: grade ?? this.grade);
  }

  PerlearnerGradingPerCourseAPIData copyWithWrapped(
      {Wrapped<String>? courseId,
      Wrapped<String>? name,
      Wrapped<String>? gradedActivities,
      Wrapped<int>? submissions,
      Wrapped<int>? problemsAttempted,
      Wrapped<int>? assignmentsCorrect,
      Wrapped<double>? classAverage,
      Wrapped<double>? grade}) {
    return PerlearnerGradingPerCourseAPIData(
        courseId: (courseId != null ? courseId.value : this.courseId),
        name: (name != null ? name.value : this.name),
        gradedActivities: (gradedActivities != null
            ? gradedActivities.value
            : this.gradedActivities),
        submissions:
            (submissions != null ? submissions.value : this.submissions),
        problemsAttempted: (problemsAttempted != null
            ? problemsAttempted.value
            : this.problemsAttempted),
        assignmentsCorrect: (assignmentsCorrect != null
            ? assignmentsCorrect.value
            : this.assignmentsCorrect),
        classAverage:
            (classAverage != null ? classAverage.value : this.classAverage),
        grade: (grade != null ? grade.value : this.grade));
  }
}

@JsonSerializable(explicitToJson: true)
class PerlearnerUserList {
  const PerlearnerUserList({
    this.data,
    required this.pagination,
  });

  factory PerlearnerUserList.fromJson(Map<String, dynamic> json) =>
      _$PerlearnerUserListFromJson(json);

  static const toJsonFactory = _$PerlearnerUserListToJson;
  Map<String, dynamic> toJson() => _$PerlearnerUserListToJson(this);

  @JsonKey(name: 'data', defaultValue: <PerlearnerUserListData>[])
  final List<PerlearnerUserListData>? data;
  @JsonKey(name: 'pagination')
  final Pagination pagination;
  static const fromJsonFactory = _$PerlearnerUserListFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerlearnerUserList &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.pagination, pagination) ||
                const DeepCollectionEquality()
                    .equals(other.pagination, pagination)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(pagination) ^
      runtimeType.hashCode;
}

extension $PerlearnerUserListExtension on PerlearnerUserList {
  PerlearnerUserList copyWith(
      {List<PerlearnerUserListData>? data, Pagination? pagination}) {
    return PerlearnerUserList(
        data: data ?? this.data, pagination: pagination ?? this.pagination);
  }

  PerlearnerUserList copyWithWrapped(
      {Wrapped<List<PerlearnerUserListData>?>? data,
      Wrapped<Pagination>? pagination}) {
    return PerlearnerUserList(
        data: (data != null ? data.value : this.data),
        pagination: (pagination != null ? pagination.value : this.pagination));
  }
}

@JsonSerializable(explicitToJson: true)
class PerlearnerUserListData {
  const PerlearnerUserListData({
    required this.username,
    required this.fullName,
    required this.enrollments,
    required this.completions,
    required this.lastActive,
    required this.timeSpent,
    required this.engagementIndex,
    required this.performanceIndex,
  });

  factory PerlearnerUserListData.fromJson(Map<String, dynamic> json) =>
      _$PerlearnerUserListDataFromJson(json);

  static const toJsonFactory = _$PerlearnerUserListDataToJson;
  Map<String, dynamic> toJson() => _$PerlearnerUserListDataToJson(this);

  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'full_name')
  final String fullName;
  @JsonKey(name: 'enrollments')
  final int enrollments;
  @JsonKey(name: 'completions')
  final int completions;
  @JsonKey(name: 'last_active')
  final String lastActive;
  @JsonKey(name: 'time_spent')
  final String timeSpent;
  @JsonKey(name: 'engagement_index')
  final double engagementIndex;
  @JsonKey(name: 'performance_index')
  final double performanceIndex;
  static const fromJsonFactory = _$PerlearnerUserListDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PerlearnerUserListData &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.fullName, fullName) ||
                const DeepCollectionEquality()
                    .equals(other.fullName, fullName)) &&
            (identical(other.enrollments, enrollments) ||
                const DeepCollectionEquality()
                    .equals(other.enrollments, enrollments)) &&
            (identical(other.completions, completions) ||
                const DeepCollectionEquality()
                    .equals(other.completions, completions)) &&
            (identical(other.lastActive, lastActive) ||
                const DeepCollectionEquality()
                    .equals(other.lastActive, lastActive)) &&
            (identical(other.timeSpent, timeSpent) ||
                const DeepCollectionEquality()
                    .equals(other.timeSpent, timeSpent)) &&
            (identical(other.engagementIndex, engagementIndex) ||
                const DeepCollectionEquality()
                    .equals(other.engagementIndex, engagementIndex)) &&
            (identical(other.performanceIndex, performanceIndex) ||
                const DeepCollectionEquality()
                    .equals(other.performanceIndex, performanceIndex)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(fullName) ^
      const DeepCollectionEquality().hash(enrollments) ^
      const DeepCollectionEquality().hash(completions) ^
      const DeepCollectionEquality().hash(lastActive) ^
      const DeepCollectionEquality().hash(timeSpent) ^
      const DeepCollectionEquality().hash(engagementIndex) ^
      const DeepCollectionEquality().hash(performanceIndex) ^
      runtimeType.hashCode;
}

extension $PerlearnerUserListDataExtension on PerlearnerUserListData {
  PerlearnerUserListData copyWith(
      {String? username,
      String? fullName,
      int? enrollments,
      int? completions,
      String? lastActive,
      String? timeSpent,
      double? engagementIndex,
      double? performanceIndex}) {
    return PerlearnerUserListData(
        username: username ?? this.username,
        fullName: fullName ?? this.fullName,
        enrollments: enrollments ?? this.enrollments,
        completions: completions ?? this.completions,
        lastActive: lastActive ?? this.lastActive,
        timeSpent: timeSpent ?? this.timeSpent,
        engagementIndex: engagementIndex ?? this.engagementIndex,
        performanceIndex: performanceIndex ?? this.performanceIndex);
  }

  PerlearnerUserListData copyWithWrapped(
      {Wrapped<String>? username,
      Wrapped<String>? fullName,
      Wrapped<int>? enrollments,
      Wrapped<int>? completions,
      Wrapped<String>? lastActive,
      Wrapped<String>? timeSpent,
      Wrapped<double>? engagementIndex,
      Wrapped<double>? performanceIndex}) {
    return PerlearnerUserListData(
        username: (username != null ? username.value : this.username),
        fullName: (fullName != null ? fullName.value : this.fullName),
        enrollments:
            (enrollments != null ? enrollments.value : this.enrollments),
        completions:
            (completions != null ? completions.value : this.completions),
        lastActive: (lastActive != null ? lastActive.value : this.lastActive),
        timeSpent: (timeSpent != null ? timeSpent.value : this.timeSpent),
        engagementIndex: (engagementIndex != null
            ? engagementIndex.value
            : this.engagementIndex),
        performanceIndex: (performanceIndex != null
            ? performanceIndex.value
            : this.performanceIndex));
  }
}

@JsonSerializable(explicitToJson: true)
class PinnedMessageCreate {
  const PinnedMessageCreate({
    required this.id,
    required this.username,
    required this.sessionId,
  });

  factory PinnedMessageCreate.fromJson(Map<String, dynamic> json) =>
      _$PinnedMessageCreateFromJson(json);

  static const toJsonFactory = _$PinnedMessageCreateToJson;
  Map<String, dynamic> toJson() => _$PinnedMessageCreateToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'session_id')
  final String? sessionId;
  static const fromJsonFactory = _$PinnedMessageCreateFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PinnedMessageCreate &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.sessionId, sessionId) ||
                const DeepCollectionEquality()
                    .equals(other.sessionId, sessionId)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(sessionId) ^
      runtimeType.hashCode;
}

extension $PinnedMessageCreateExtension on PinnedMessageCreate {
  PinnedMessageCreate copyWith({int? id, String? username, String? sessionId}) {
    return PinnedMessageCreate(
        id: id ?? this.id,
        username: username ?? this.username,
        sessionId: sessionId ?? this.sessionId);
  }

  PinnedMessageCreate copyWithWrapped(
      {Wrapped<int>? id,
      Wrapped<String>? username,
      Wrapped<String?>? sessionId}) {
    return PinnedMessageCreate(
        id: (id != null ? id.value : this.id),
        username: (username != null ? username.value : this.username),
        sessionId: (sessionId != null ? sessionId.value : this.sessionId));
  }
}

@JsonSerializable(explicitToJson: true)
class PointsPercentile {
  const PointsPercentile({
    required this.username,
    required this.points,
    required this.percentile,
  });

  factory PointsPercentile.fromJson(Map<String, dynamic> json) =>
      _$PointsPercentileFromJson(json);

  static const toJsonFactory = _$PointsPercentileToJson;
  Map<String, dynamic> toJson() => _$PointsPercentileToJson(this);

  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'points')
  final double points;
  @JsonKey(name: 'percentile')
  final double percentile;
  static const fromJsonFactory = _$PointsPercentileFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PointsPercentile &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.points, points) ||
                const DeepCollectionEquality().equals(other.points, points)) &&
            (identical(other.percentile, percentile) ||
                const DeepCollectionEquality()
                    .equals(other.percentile, percentile)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(points) ^
      const DeepCollectionEquality().hash(percentile) ^
      runtimeType.hashCode;
}

extension $PointsPercentileExtension on PointsPercentile {
  PointsPercentile copyWith(
      {String? username, double? points, double? percentile}) {
    return PointsPercentile(
        username: username ?? this.username,
        points: points ?? this.points,
        percentile: percentile ?? this.percentile);
  }

  PointsPercentile copyWithWrapped(
      {Wrapped<String>? username,
      Wrapped<double>? points,
      Wrapped<double>? percentile}) {
    return PointsPercentile(
        username: (username != null ? username.value : this.username),
        points: (points != null ? points.value : this.points),
        percentile: (percentile != null ? percentile.value : this.percentile));
  }
}

@JsonSerializable(explicitToJson: true)
class PredictiveAnalyticsRequest {
  const PredictiveAnalyticsRequest({
    required this.prompt,
  });

  factory PredictiveAnalyticsRequest.fromJson(Map<String, dynamic> json) =>
      _$PredictiveAnalyticsRequestFromJson(json);

  static const toJsonFactory = _$PredictiveAnalyticsRequestToJson;
  Map<String, dynamic> toJson() => _$PredictiveAnalyticsRequestToJson(this);

  @JsonKey(name: 'prompt')
  final ReuestDataVariableList prompt;
  static const fromJsonFactory = _$PredictiveAnalyticsRequestFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PredictiveAnalyticsRequest &&
            (identical(other.prompt, prompt) ||
                const DeepCollectionEquality().equals(other.prompt, prompt)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(prompt) ^ runtimeType.hashCode;
}

extension $PredictiveAnalyticsRequestExtension on PredictiveAnalyticsRequest {
  PredictiveAnalyticsRequest copyWith({ReuestDataVariableList? prompt}) {
    return PredictiveAnalyticsRequest(prompt: prompt ?? this.prompt);
  }

  PredictiveAnalyticsRequest copyWithWrapped(
      {Wrapped<ReuestDataVariableList>? prompt}) {
    return PredictiveAnalyticsRequest(
        prompt: (prompt != null ? prompt.value : this.prompt));
  }
}

@JsonSerializable(explicitToJson: true)
class PredictiveAnalyticsResponse {
  const PredictiveAnalyticsResponse({
    required this.predictions,
  });

  factory PredictiveAnalyticsResponse.fromJson(Map<String, dynamic> json) =>
      _$PredictiveAnalyticsResponseFromJson(json);

  static const toJsonFactory = _$PredictiveAnalyticsResponseToJson;
  Map<String, dynamic> toJson() => _$PredictiveAnalyticsResponseToJson(this);

  @JsonKey(name: 'predictions', defaultValue: <ResponseDataVariable>[])
  final List<ResponseDataVariable> predictions;
  static const fromJsonFactory = _$PredictiveAnalyticsResponseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is PredictiveAnalyticsResponse &&
            (identical(other.predictions, predictions) ||
                const DeepCollectionEquality()
                    .equals(other.predictions, predictions)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(predictions) ^ runtimeType.hashCode;
}

extension $PredictiveAnalyticsResponseExtension on PredictiveAnalyticsResponse {
  PredictiveAnalyticsResponse copyWith(
      {List<ResponseDataVariable>? predictions}) {
    return PredictiveAnalyticsResponse(
        predictions: predictions ?? this.predictions);
  }

  PredictiveAnalyticsResponse copyWithWrapped(
      {Wrapped<List<ResponseDataVariable>>? predictions}) {
    return PredictiveAnalyticsResponse(
        predictions:
            (predictions != null ? predictions.value : this.predictions));
  }
}

@JsonSerializable(explicitToJson: true)
class Product {
  const Product({
    required this.name,
    required this.type,
    required this.slug,
    required this.createdOn,
    required this.price,
  });

  factory Product.fromJson(Map<String, dynamic> json) =>
      _$ProductFromJson(json);

  static const toJsonFactory = _$ProductToJson;
  Map<String, dynamic> toJson() => _$ProductToJson(this);

  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'type')
  final String type;
  @JsonKey(name: 'slug')
  final String slug;
  @JsonKey(name: 'created_on')
  final DateTime createdOn;
  @JsonKey(name: 'price')
  final String price;
  static const fromJsonFactory = _$ProductFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Product &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.type, type) ||
                const DeepCollectionEquality().equals(other.type, type)) &&
            (identical(other.slug, slug) ||
                const DeepCollectionEquality().equals(other.slug, slug)) &&
            (identical(other.createdOn, createdOn) ||
                const DeepCollectionEquality()
                    .equals(other.createdOn, createdOn)) &&
            (identical(other.price, price) ||
                const DeepCollectionEquality().equals(other.price, price)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(type) ^
      const DeepCollectionEquality().hash(slug) ^
      const DeepCollectionEquality().hash(createdOn) ^
      const DeepCollectionEquality().hash(price) ^
      runtimeType.hashCode;
}

extension $ProductExtension on Product {
  Product copyWith(
      {String? name,
      String? type,
      String? slug,
      DateTime? createdOn,
      String? price}) {
    return Product(
        name: name ?? this.name,
        type: type ?? this.type,
        slug: slug ?? this.slug,
        createdOn: createdOn ?? this.createdOn,
        price: price ?? this.price);
  }

  Product copyWithWrapped(
      {Wrapped<String>? name,
      Wrapped<String>? type,
      Wrapped<String>? slug,
      Wrapped<DateTime>? createdOn,
      Wrapped<String>? price}) {
    return Product(
        name: (name != null ? name.value : this.name),
        type: (type != null ? type.value : this.type),
        slug: (slug != null ? slug.value : this.slug),
        createdOn: (createdOn != null ? createdOn.value : this.createdOn),
        price: (price != null ? price.value : this.price));
  }
}

@JsonSerializable(explicitToJson: true)
class ProductTable {
  const ProductTable({
    required this.name,
    required this.type,
    required this.totalSales,
    required this.coupons,
    required this.netSales,
    required this.orders,
  });

  factory ProductTable.fromJson(Map<String, dynamic> json) =>
      _$ProductTableFromJson(json);

  static const toJsonFactory = _$ProductTableToJson;
  Map<String, dynamic> toJson() => _$ProductTableToJson(this);

  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'type')
  final String type;
  @JsonKey(name: 'total_sales')
  final double totalSales;
  @JsonKey(name: 'coupons')
  final double coupons;
  @JsonKey(name: 'net_sales')
  final double netSales;
  @JsonKey(name: 'orders')
  final int orders;
  static const fromJsonFactory = _$ProductTableFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ProductTable &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.type, type) ||
                const DeepCollectionEquality().equals(other.type, type)) &&
            (identical(other.totalSales, totalSales) ||
                const DeepCollectionEquality()
                    .equals(other.totalSales, totalSales)) &&
            (identical(other.coupons, coupons) ||
                const DeepCollectionEquality()
                    .equals(other.coupons, coupons)) &&
            (identical(other.netSales, netSales) ||
                const DeepCollectionEquality()
                    .equals(other.netSales, netSales)) &&
            (identical(other.orders, orders) ||
                const DeepCollectionEquality().equals(other.orders, orders)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(type) ^
      const DeepCollectionEquality().hash(totalSales) ^
      const DeepCollectionEquality().hash(coupons) ^
      const DeepCollectionEquality().hash(netSales) ^
      const DeepCollectionEquality().hash(orders) ^
      runtimeType.hashCode;
}

extension $ProductTableExtension on ProductTable {
  ProductTable copyWith(
      {String? name,
      String? type,
      double? totalSales,
      double? coupons,
      double? netSales,
      int? orders}) {
    return ProductTable(
        name: name ?? this.name,
        type: type ?? this.type,
        totalSales: totalSales ?? this.totalSales,
        coupons: coupons ?? this.coupons,
        netSales: netSales ?? this.netSales,
        orders: orders ?? this.orders);
  }

  ProductTable copyWithWrapped(
      {Wrapped<String>? name,
      Wrapped<String>? type,
      Wrapped<double>? totalSales,
      Wrapped<double>? coupons,
      Wrapped<double>? netSales,
      Wrapped<int>? orders}) {
    return ProductTable(
        name: (name != null ? name.value : this.name),
        type: (type != null ? type.value : this.type),
        totalSales: (totalSales != null ? totalSales.value : this.totalSales),
        coupons: (coupons != null ? coupons.value : this.coupons),
        netSales: (netSales != null ? netSales.value : this.netSales),
        orders: (orders != null ? orders.value : this.orders));
  }
}

@JsonSerializable(explicitToJson: true)
class Prompt {
  const Prompt({
    required this.id,
    this.mentor,
    this.isSystem,
    required this.prompt,
    this.description,
    this.category,
    required this.createdAt,
    required this.updatedAt,
    this.metadata,
    required this.platform,
  });

  factory Prompt.fromJson(Map<String, dynamic> json) => _$PromptFromJson(json);

  static const toJsonFactory = _$PromptToJson;
  Map<String, dynamic> toJson() => _$PromptToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'mentor')
  final String? mentor;
  @JsonKey(name: 'is_system', defaultValue: true)
  final bool? isSystem;
  @JsonKey(name: 'prompt')
  final String prompt;
  @JsonKey(name: 'description')
  final String? description;
  @JsonKey(
    name: 'category',
    toJson: categoryEnumNullableToJson,
    fromJson: categoryEnumNullableFromJson,
  )
  final enums.CategoryEnum? category;
  @JsonKey(name: 'created_at')
  final DateTime createdAt;
  @JsonKey(name: 'updated_at')
  final DateTime updatedAt;
  @JsonKey(name: 'metadata')
  final Map<String, dynamic>? metadata;
  @JsonKey(name: 'platform')
  final int platform;
  static const fromJsonFactory = _$PromptFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Prompt &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.mentor, mentor) ||
                const DeepCollectionEquality().equals(other.mentor, mentor)) &&
            (identical(other.isSystem, isSystem) ||
                const DeepCollectionEquality()
                    .equals(other.isSystem, isSystem)) &&
            (identical(other.prompt, prompt) ||
                const DeepCollectionEquality().equals(other.prompt, prompt)) &&
            (identical(other.description, description) ||
                const DeepCollectionEquality()
                    .equals(other.description, description)) &&
            (identical(other.category, category) ||
                const DeepCollectionEquality()
                    .equals(other.category, category)) &&
            (identical(other.createdAt, createdAt) ||
                const DeepCollectionEquality()
                    .equals(other.createdAt, createdAt)) &&
            (identical(other.updatedAt, updatedAt) ||
                const DeepCollectionEquality()
                    .equals(other.updatedAt, updatedAt)) &&
            (identical(other.metadata, metadata) ||
                const DeepCollectionEquality()
                    .equals(other.metadata, metadata)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(mentor) ^
      const DeepCollectionEquality().hash(isSystem) ^
      const DeepCollectionEquality().hash(prompt) ^
      const DeepCollectionEquality().hash(description) ^
      const DeepCollectionEquality().hash(category) ^
      const DeepCollectionEquality().hash(createdAt) ^
      const DeepCollectionEquality().hash(updatedAt) ^
      const DeepCollectionEquality().hash(metadata) ^
      const DeepCollectionEquality().hash(platform) ^
      runtimeType.hashCode;
}

extension $PromptExtension on Prompt {
  Prompt copyWith(
      {int? id,
      String? mentor,
      bool? isSystem,
      String? prompt,
      String? description,
      enums.CategoryEnum? category,
      DateTime? createdAt,
      DateTime? updatedAt,
      Map<String, dynamic>? metadata,
      int? platform}) {
    return Prompt(
        id: id ?? this.id,
        mentor: mentor ?? this.mentor,
        isSystem: isSystem ?? this.isSystem,
        prompt: prompt ?? this.prompt,
        description: description ?? this.description,
        category: category ?? this.category,
        createdAt: createdAt ?? this.createdAt,
        updatedAt: updatedAt ?? this.updatedAt,
        metadata: metadata ?? this.metadata,
        platform: platform ?? this.platform);
  }

  Prompt copyWithWrapped(
      {Wrapped<int>? id,
      Wrapped<String?>? mentor,
      Wrapped<bool?>? isSystem,
      Wrapped<String>? prompt,
      Wrapped<String?>? description,
      Wrapped<enums.CategoryEnum?>? category,
      Wrapped<DateTime>? createdAt,
      Wrapped<DateTime>? updatedAt,
      Wrapped<Map<String, dynamic>?>? metadata,
      Wrapped<int>? platform}) {
    return Prompt(
        id: (id != null ? id.value : this.id),
        mentor: (mentor != null ? mentor.value : this.mentor),
        isSystem: (isSystem != null ? isSystem.value : this.isSystem),
        prompt: (prompt != null ? prompt.value : this.prompt),
        description:
            (description != null ? description.value : this.description),
        category: (category != null ? category.value : this.category),
        createdAt: (createdAt != null ? createdAt.value : this.createdAt),
        updatedAt: (updatedAt != null ? updatedAt.value : this.updatedAt),
        metadata: (metadata != null ? metadata.value : this.metadata),
        platform: (platform != null ? platform.value : this.platform));
  }
}

@JsonSerializable(explicitToJson: true)
class RecommendationSearchAPI {
  const RecommendationSearchAPI({
    required this.searchApiUrl,
  });

  factory RecommendationSearchAPI.fromJson(Map<String, dynamic> json) =>
      _$RecommendationSearchAPIFromJson(json);

  static const toJsonFactory = _$RecommendationSearchAPIToJson;
  Map<String, dynamic> toJson() => _$RecommendationSearchAPIToJson(this);

  @JsonKey(name: 'search_api_url')
  final String searchApiUrl;
  static const fromJsonFactory = _$RecommendationSearchAPIFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is RecommendationSearchAPI &&
            (identical(other.searchApiUrl, searchApiUrl) ||
                const DeepCollectionEquality()
                    .equals(other.searchApiUrl, searchApiUrl)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(searchApiUrl) ^ runtimeType.hashCode;
}

extension $RecommendationSearchAPIExtension on RecommendationSearchAPI {
  RecommendationSearchAPI copyWith({String? searchApiUrl}) {
    return RecommendationSearchAPI(
        searchApiUrl: searchApiUrl ?? this.searchApiUrl);
  }

  RecommendationSearchAPI copyWithWrapped({Wrapped<String>? searchApiUrl}) {
    return RecommendationSearchAPI(
        searchApiUrl:
            (searchApiUrl != null ? searchApiUrl.value : this.searchApiUrl));
  }
}

@JsonSerializable(explicitToJson: true)
class RelatedText {
  const RelatedText({
    required this.question,
  });

  factory RelatedText.fromJson(Map<String, dynamic> json) =>
      _$RelatedTextFromJson(json);

  static const toJsonFactory = _$RelatedTextToJson;
  Map<String, dynamic> toJson() => _$RelatedTextToJson(this);

  @JsonKey(name: 'question')
  final String question;
  static const fromJsonFactory = _$RelatedTextFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is RelatedText &&
            (identical(other.question, question) ||
                const DeepCollectionEquality()
                    .equals(other.question, question)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(question) ^ runtimeType.hashCode;
}

extension $RelatedTextExtension on RelatedText {
  RelatedText copyWith({String? question}) {
    return RelatedText(question: question ?? this.question);
  }

  RelatedText copyWithWrapped({Wrapped<String>? question}) {
    return RelatedText(
        question: (question != null ? question.value : this.question));
  }
}

@JsonSerializable(explicitToJson: true)
class ReportCreate {
  const ReportCreate({
    required this.data,
  });

  factory ReportCreate.fromJson(Map<String, dynamic> json) =>
      _$ReportCreateFromJson(json);

  static const toJsonFactory = _$ReportCreateToJson;
  Map<String, dynamic> toJson() => _$ReportCreateToJson(this);

  @JsonKey(name: 'data')
  final ReportStatus data;
  static const fromJsonFactory = _$ReportCreateFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ReportCreate &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $ReportCreateExtension on ReportCreate {
  ReportCreate copyWith({ReportStatus? data}) {
    return ReportCreate(data: data ?? this.data);
  }

  ReportCreate copyWithWrapped({Wrapped<ReportStatus>? data}) {
    return ReportCreate(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class ReportData {
  const ReportData({
    this.displayName,
    this.description,
    this.reportName,
    this.icon,
    this.extraQueryParams,
    this.status,
  });

  factory ReportData.fromJson(Map<String, dynamic> json) =>
      _$ReportDataFromJson(json);

  static const toJsonFactory = _$ReportDataToJson;
  Map<String, dynamic> toJson() => _$ReportDataToJson(this);

  @JsonKey(name: 'display_name')
  final String? displayName;
  @JsonKey(name: 'description')
  final String? description;
  @JsonKey(name: 'report_name')
  final String? reportName;
  @JsonKey(name: 'icon')
  final String? icon;
  @JsonKey(name: 'extra_query_params', defaultValue: <Object>[])
  final List<Object>? extraQueryParams;
  @JsonKey(name: 'status')
  final ReportStatus? status;
  static const fromJsonFactory = _$ReportDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ReportData &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.description, description) ||
                const DeepCollectionEquality()
                    .equals(other.description, description)) &&
            (identical(other.reportName, reportName) ||
                const DeepCollectionEquality()
                    .equals(other.reportName, reportName)) &&
            (identical(other.icon, icon) ||
                const DeepCollectionEquality().equals(other.icon, icon)) &&
            (identical(other.extraQueryParams, extraQueryParams) ||
                const DeepCollectionEquality()
                    .equals(other.extraQueryParams, extraQueryParams)) &&
            (identical(other.status, status) ||
                const DeepCollectionEquality().equals(other.status, status)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(description) ^
      const DeepCollectionEquality().hash(reportName) ^
      const DeepCollectionEquality().hash(icon) ^
      const DeepCollectionEquality().hash(extraQueryParams) ^
      const DeepCollectionEquality().hash(status) ^
      runtimeType.hashCode;
}

extension $ReportDataExtension on ReportData {
  ReportData copyWith(
      {String? displayName,
      String? description,
      String? reportName,
      String? icon,
      List<Object>? extraQueryParams,
      ReportStatus? status}) {
    return ReportData(
        displayName: displayName ?? this.displayName,
        description: description ?? this.description,
        reportName: reportName ?? this.reportName,
        icon: icon ?? this.icon,
        extraQueryParams: extraQueryParams ?? this.extraQueryParams,
        status: status ?? this.status);
  }

  ReportData copyWithWrapped(
      {Wrapped<String?>? displayName,
      Wrapped<String?>? description,
      Wrapped<String?>? reportName,
      Wrapped<String?>? icon,
      Wrapped<List<Object>?>? extraQueryParams,
      Wrapped<ReportStatus?>? status}) {
    return ReportData(
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        description:
            (description != null ? description.value : this.description),
        reportName: (reportName != null ? reportName.value : this.reportName),
        icon: (icon != null ? icon.value : this.icon),
        extraQueryParams: (extraQueryParams != null
            ? extraQueryParams.value
            : this.extraQueryParams),
        status: (status != null ? status.value : this.status));
  }
}

@JsonSerializable(explicitToJson: true)
class ReportDetail {
  const ReportDetail({
    required this.data,
  });

  factory ReportDetail.fromJson(Map<String, dynamic> json) =>
      _$ReportDetailFromJson(json);

  static const toJsonFactory = _$ReportDetailToJson;
  Map<String, dynamic> toJson() => _$ReportDetailToJson(this);

  @JsonKey(name: 'data')
  final ReportData data;
  static const fromJsonFactory = _$ReportDetailFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ReportDetail &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $ReportDetailExtension on ReportDetail {
  ReportDetail copyWith({ReportData? data}) {
    return ReportDetail(data: data ?? this.data);
  }

  ReportDetail copyWithWrapped({Wrapped<ReportData>? data}) {
    return ReportDetail(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class ReportList {
  const ReportList({
    required this.data,
  });

  factory ReportList.fromJson(Map<String, dynamic> json) =>
      _$ReportListFromJson(json);

  static const toJsonFactory = _$ReportListToJson;
  Map<String, dynamic> toJson() => _$ReportListToJson(this);

  @JsonKey(name: 'data', defaultValue: <ReportData>[])
  final List<ReportData> data;
  static const fromJsonFactory = _$ReportListFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ReportList &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $ReportListExtension on ReportList {
  ReportList copyWith({List<ReportData>? data}) {
    return ReportList(data: data ?? this.data);
  }

  ReportList copyWithWrapped({Wrapped<List<ReportData>>? data}) {
    return ReportList(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class ReportRequest {
  const ReportRequest({
    required this.reportName,
    required this.owner,
  });

  factory ReportRequest.fromJson(Map<String, dynamic> json) =>
      _$ReportRequestFromJson(json);

  static const toJsonFactory = _$ReportRequestToJson;
  Map<String, dynamic> toJson() => _$ReportRequestToJson(this);

  @JsonKey(name: 'report_name')
  final String reportName;
  @JsonKey(name: 'owner')
  final String owner;
  static const fromJsonFactory = _$ReportRequestFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ReportRequest &&
            (identical(other.reportName, reportName) ||
                const DeepCollectionEquality()
                    .equals(other.reportName, reportName)) &&
            (identical(other.owner, owner) ||
                const DeepCollectionEquality().equals(other.owner, owner)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(reportName) ^
      const DeepCollectionEquality().hash(owner) ^
      runtimeType.hashCode;
}

extension $ReportRequestExtension on ReportRequest {
  ReportRequest copyWith({String? reportName, String? owner}) {
    return ReportRequest(
        reportName: reportName ?? this.reportName, owner: owner ?? this.owner);
  }

  ReportRequest copyWithWrapped(
      {Wrapped<String>? reportName, Wrapped<String>? owner}) {
    return ReportRequest(
        reportName: (reportName != null ? reportName.value : this.reportName),
        owner: (owner != null ? owner.value : this.owner));
  }
}

@JsonSerializable(explicitToJson: true)
class ReportStatus {
  const ReportStatus({
    this.reportId,
    this.reportName,
    this.state,
    this.startedOn,
    this.owner,
    this.expires,
    this.url,
  });

  factory ReportStatus.fromJson(Map<String, dynamic> json) =>
      _$ReportStatusFromJson(json);

  static const toJsonFactory = _$ReportStatusToJson;
  Map<String, dynamic> toJson() => _$ReportStatusToJson(this);

  @JsonKey(name: 'report_id')
  final String? reportId;
  @JsonKey(name: 'report_name')
  final String? reportName;
  @JsonKey(
    name: 'state',
    toJson: stateEnumNullableToJson,
    fromJson: stateEnumNullableFromJson,
  )
  final enums.StateEnum? state;
  @JsonKey(name: 'started_on')
  final String? startedOn;
  @JsonKey(name: 'owner')
  final String? owner;
  @JsonKey(name: 'expires')
  final String? expires;
  @JsonKey(name: 'url')
  final String? url;
  static const fromJsonFactory = _$ReportStatusFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ReportStatus &&
            (identical(other.reportId, reportId) ||
                const DeepCollectionEquality()
                    .equals(other.reportId, reportId)) &&
            (identical(other.reportName, reportName) ||
                const DeepCollectionEquality()
                    .equals(other.reportName, reportName)) &&
            (identical(other.state, state) ||
                const DeepCollectionEquality().equals(other.state, state)) &&
            (identical(other.startedOn, startedOn) ||
                const DeepCollectionEquality()
                    .equals(other.startedOn, startedOn)) &&
            (identical(other.owner, owner) ||
                const DeepCollectionEquality().equals(other.owner, owner)) &&
            (identical(other.expires, expires) ||
                const DeepCollectionEquality()
                    .equals(other.expires, expires)) &&
            (identical(other.url, url) ||
                const DeepCollectionEquality().equals(other.url, url)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(reportId) ^
      const DeepCollectionEquality().hash(reportName) ^
      const DeepCollectionEquality().hash(state) ^
      const DeepCollectionEquality().hash(startedOn) ^
      const DeepCollectionEquality().hash(owner) ^
      const DeepCollectionEquality().hash(expires) ^
      const DeepCollectionEquality().hash(url) ^
      runtimeType.hashCode;
}

extension $ReportStatusExtension on ReportStatus {
  ReportStatus copyWith(
      {String? reportId,
      String? reportName,
      enums.StateEnum? state,
      String? startedOn,
      String? owner,
      String? expires,
      String? url}) {
    return ReportStatus(
        reportId: reportId ?? this.reportId,
        reportName: reportName ?? this.reportName,
        state: state ?? this.state,
        startedOn: startedOn ?? this.startedOn,
        owner: owner ?? this.owner,
        expires: expires ?? this.expires,
        url: url ?? this.url);
  }

  ReportStatus copyWithWrapped(
      {Wrapped<String?>? reportId,
      Wrapped<String?>? reportName,
      Wrapped<enums.StateEnum?>? state,
      Wrapped<String?>? startedOn,
      Wrapped<String?>? owner,
      Wrapped<String?>? expires,
      Wrapped<String?>? url}) {
    return ReportStatus(
        reportId: (reportId != null ? reportId.value : this.reportId),
        reportName: (reportName != null ? reportName.value : this.reportName),
        state: (state != null ? state.value : this.state),
        startedOn: (startedOn != null ? startedOn.value : this.startedOn),
        owner: (owner != null ? owner.value : this.owner),
        expires: (expires != null ? expires.value : this.expires),
        url: (url != null ? url.value : this.url));
  }
}

@JsonSerializable(explicitToJson: true)
class ReportedRole {
  const ReportedRole({
    required this.roles,
  });

  factory ReportedRole.fromJson(Map<String, dynamic> json) =>
      _$ReportedRoleFromJson(json);

  static const toJsonFactory = _$ReportedRoleToJson;
  Map<String, dynamic> toJson() => _$ReportedRoleToJson(this);

  @JsonKey(name: 'roles', defaultValue: <Role>[])
  final List<Role> roles;
  static const fromJsonFactory = _$ReportedRoleFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ReportedRole &&
            (identical(other.roles, roles) ||
                const DeepCollectionEquality().equals(other.roles, roles)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(roles) ^ runtimeType.hashCode;
}

extension $ReportedRoleExtension on ReportedRole {
  ReportedRole copyWith({List<Role>? roles}) {
    return ReportedRole(roles: roles ?? this.roles);
  }

  ReportedRole copyWithWrapped({Wrapped<List<Role>>? roles}) {
    return ReportedRole(roles: (roles != null ? roles.value : this.roles));
  }
}

@JsonSerializable(explicitToJson: true)
class ReportedSkill {
  const ReportedSkill({
    required this.skills,
  });

  factory ReportedSkill.fromJson(Map<String, dynamic> json) =>
      _$ReportedSkillFromJson(json);

  static const toJsonFactory = _$ReportedSkillToJson;
  Map<String, dynamic> toJson() => _$ReportedSkillToJson(this);

  @JsonKey(name: 'skills', defaultValue: <Skill>[])
  final List<Skill> skills;
  static const fromJsonFactory = _$ReportedSkillFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ReportedSkill &&
            (identical(other.skills, skills) ||
                const DeepCollectionEquality().equals(other.skills, skills)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(skills) ^ runtimeType.hashCode;
}

extension $ReportedSkillExtension on ReportedSkill {
  ReportedSkill copyWith({List<Skill>? skills}) {
    return ReportedSkill(skills: skills ?? this.skills);
  }

  ReportedSkill copyWithWrapped({Wrapped<List<Skill>>? skills}) {
    return ReportedSkill(skills: (skills != null ? skills.value : this.skills));
  }
}

@JsonSerializable(explicitToJson: true)
class RequestDataVariable {
  const RequestDataVariable({
    required this.variableName,
    required this.dataSet,
    required this.numberOfDataPoints,
  });

  factory RequestDataVariable.fromJson(Map<String, dynamic> json) =>
      _$RequestDataVariableFromJson(json);

  static const toJsonFactory = _$RequestDataVariableToJson;
  Map<String, dynamic> toJson() => _$RequestDataVariableToJson(this);

  @JsonKey(name: 'variable_name')
  final String variableName;
  @JsonKey(name: 'data_set')
  final Map<String, dynamic> dataSet;
  @JsonKey(name: 'number_of_data_points')
  final int numberOfDataPoints;
  static const fromJsonFactory = _$RequestDataVariableFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is RequestDataVariable &&
            (identical(other.variableName, variableName) ||
                const DeepCollectionEquality()
                    .equals(other.variableName, variableName)) &&
            (identical(other.dataSet, dataSet) ||
                const DeepCollectionEquality()
                    .equals(other.dataSet, dataSet)) &&
            (identical(other.numberOfDataPoints, numberOfDataPoints) ||
                const DeepCollectionEquality()
                    .equals(other.numberOfDataPoints, numberOfDataPoints)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(variableName) ^
      const DeepCollectionEquality().hash(dataSet) ^
      const DeepCollectionEquality().hash(numberOfDataPoints) ^
      runtimeType.hashCode;
}

extension $RequestDataVariableExtension on RequestDataVariable {
  RequestDataVariable copyWith(
      {String? variableName,
      Map<String, dynamic>? dataSet,
      int? numberOfDataPoints}) {
    return RequestDataVariable(
        variableName: variableName ?? this.variableName,
        dataSet: dataSet ?? this.dataSet,
        numberOfDataPoints: numberOfDataPoints ?? this.numberOfDataPoints);
  }

  RequestDataVariable copyWithWrapped(
      {Wrapped<String>? variableName,
      Wrapped<Map<String, dynamic>>? dataSet,
      Wrapped<int>? numberOfDataPoints}) {
    return RequestDataVariable(
        variableName:
            (variableName != null ? variableName.value : this.variableName),
        dataSet: (dataSet != null ? dataSet.value : this.dataSet),
        numberOfDataPoints: (numberOfDataPoints != null
            ? numberOfDataPoints.value
            : this.numberOfDataPoints));
  }
}

@JsonSerializable(explicitToJson: true)
class ResourcePoint {
  const ResourcePoint({
    this.name,
    required this.points,
  });

  factory ResourcePoint.fromJson(Map<String, dynamic> json) =>
      _$ResourcePointFromJson(json);

  static const toJsonFactory = _$ResourcePointToJson;
  Map<String, dynamic> toJson() => _$ResourcePointToJson(this);

  @JsonKey(name: 'name')
  final String? name;
  @JsonKey(name: 'points')
  final int points;
  static const fromJsonFactory = _$ResourcePointFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ResourcePoint &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.points, points) ||
                const DeepCollectionEquality().equals(other.points, points)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(points) ^
      runtimeType.hashCode;
}

extension $ResourcePointExtension on ResourcePoint {
  ResourcePoint copyWith({String? name, int? points}) {
    return ResourcePoint(
        name: name ?? this.name, points: points ?? this.points);
  }

  ResourcePoint copyWithWrapped(
      {Wrapped<String?>? name, Wrapped<int>? points}) {
    return ResourcePoint(
        name: (name != null ? name.value : this.name),
        points: (points != null ? points.value : this.points));
  }
}

@JsonSerializable(explicitToJson: true)
class ResponseDataVariable {
  const ResponseDataVariable({
    required this.variableName,
    required this.predictedData,
    required this.narrative,
  });

  factory ResponseDataVariable.fromJson(Map<String, dynamic> json) =>
      _$ResponseDataVariableFromJson(json);

  static const toJsonFactory = _$ResponseDataVariableToJson;
  Map<String, dynamic> toJson() => _$ResponseDataVariableToJson(this);

  @JsonKey(name: 'variable_name')
  final String variableName;
  @JsonKey(name: 'predicted_data')
  final Map<String, dynamic> predictedData;
  @JsonKey(name: 'narrative')
  final String narrative;
  static const fromJsonFactory = _$ResponseDataVariableFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ResponseDataVariable &&
            (identical(other.variableName, variableName) ||
                const DeepCollectionEquality()
                    .equals(other.variableName, variableName)) &&
            (identical(other.predictedData, predictedData) ||
                const DeepCollectionEquality()
                    .equals(other.predictedData, predictedData)) &&
            (identical(other.narrative, narrative) ||
                const DeepCollectionEquality()
                    .equals(other.narrative, narrative)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(variableName) ^
      const DeepCollectionEquality().hash(predictedData) ^
      const DeepCollectionEquality().hash(narrative) ^
      runtimeType.hashCode;
}

extension $ResponseDataVariableExtension on ResponseDataVariable {
  ResponseDataVariable copyWith(
      {String? variableName,
      Map<String, dynamic>? predictedData,
      String? narrative}) {
    return ResponseDataVariable(
        variableName: variableName ?? this.variableName,
        predictedData: predictedData ?? this.predictedData,
        narrative: narrative ?? this.narrative);
  }

  ResponseDataVariable copyWithWrapped(
      {Wrapped<String>? variableName,
      Wrapped<Map<String, dynamic>>? predictedData,
      Wrapped<String>? narrative}) {
    return ResponseDataVariable(
        variableName:
            (variableName != null ? variableName.value : this.variableName),
        predictedData:
            (predictedData != null ? predictedData.value : this.predictedData),
        narrative: (narrative != null ? narrative.value : this.narrative));
  }
}

@JsonSerializable(explicitToJson: true)
class RetreiverTrainViewRequest {
  const RetreiverTrainViewRequest({
    required this.pathway,
    required this.url,
  });

  factory RetreiverTrainViewRequest.fromJson(Map<String, dynamic> json) =>
      _$RetreiverTrainViewRequestFromJson(json);

  static const toJsonFactory = _$RetreiverTrainViewRequestToJson;
  Map<String, dynamic> toJson() => _$RetreiverTrainViewRequestToJson(this);

  @JsonKey(name: 'pathway')
  final String pathway;
  @JsonKey(name: 'url')
  final String url;
  static const fromJsonFactory = _$RetreiverTrainViewRequestFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is RetreiverTrainViewRequest &&
            (identical(other.pathway, pathway) ||
                const DeepCollectionEquality()
                    .equals(other.pathway, pathway)) &&
            (identical(other.url, url) ||
                const DeepCollectionEquality().equals(other.url, url)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(pathway) ^
      const DeepCollectionEquality().hash(url) ^
      runtimeType.hashCode;
}

extension $RetreiverTrainViewRequestExtension on RetreiverTrainViewRequest {
  RetreiverTrainViewRequest copyWith({String? pathway, String? url}) {
    return RetreiverTrainViewRequest(
        pathway: pathway ?? this.pathway, url: url ?? this.url);
  }

  RetreiverTrainViewRequest copyWithWrapped(
      {Wrapped<String>? pathway, Wrapped<String>? url}) {
    return RetreiverTrainViewRequest(
        pathway: (pathway != null ? pathway.value : this.pathway),
        url: (url != null ? url.value : this.url));
  }
}

@JsonSerializable(explicitToJson: true)
class RetreiverTrainViewResponse {
  const RetreiverTrainViewResponse({
    required this.detail,
  });

  factory RetreiverTrainViewResponse.fromJson(Map<String, dynamic> json) =>
      _$RetreiverTrainViewResponseFromJson(json);

  static const toJsonFactory = _$RetreiverTrainViewResponseToJson;
  Map<String, dynamic> toJson() => _$RetreiverTrainViewResponseToJson(this);

  @JsonKey(name: 'detail')
  final String detail;
  static const fromJsonFactory = _$RetreiverTrainViewResponseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is RetreiverTrainViewResponse &&
            (identical(other.detail, detail) ||
                const DeepCollectionEquality().equals(other.detail, detail)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(detail) ^ runtimeType.hashCode;
}

extension $RetreiverTrainViewResponseExtension on RetreiverTrainViewResponse {
  RetreiverTrainViewResponse copyWith({String? detail}) {
    return RetreiverTrainViewResponse(detail: detail ?? this.detail);
  }

  RetreiverTrainViewResponse copyWithWrapped({Wrapped<String>? detail}) {
    return RetreiverTrainViewResponse(
        detail: (detail != null ? detail.value : this.detail));
  }
}

@JsonSerializable(explicitToJson: true)
class RetrieveTask {
  const RetrieveTask({
    required this.task,
  });

  factory RetrieveTask.fromJson(Map<String, dynamic> json) =>
      _$RetrieveTaskFromJson(json);

  static const toJsonFactory = _$RetrieveTaskToJson;
  Map<String, dynamic> toJson() => _$RetrieveTaskToJson(this);

  @JsonKey(name: 'task')
  final String task;
  static const fromJsonFactory = _$RetrieveTaskFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is RetrieveTask &&
            (identical(other.task, task) ||
                const DeepCollectionEquality().equals(other.task, task)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(task) ^ runtimeType.hashCode;
}

extension $RetrieveTaskExtension on RetrieveTask {
  RetrieveTask copyWith({String? task}) {
    return RetrieveTask(task: task ?? this.task);
  }

  RetrieveTask copyWithWrapped({Wrapped<String>? task}) {
    return RetrieveTask(task: (task != null ? task.value : this.task));
  }
}

@JsonSerializable(explicitToJson: true)
class RetrieverDocumentEmbedding {
  const RetrieverDocumentEmbedding({
    required this.id,
    this.documentName,
    this.documentType,
    required this.pathway,
    required this.url,
    this.tokens,
    required this.platformKey,
    this.isTrained,
  });

  factory RetrieverDocumentEmbedding.fromJson(Map<String, dynamic> json) =>
      _$RetrieverDocumentEmbeddingFromJson(json);

  static const toJsonFactory = _$RetrieverDocumentEmbeddingToJson;
  Map<String, dynamic> toJson() => _$RetrieverDocumentEmbeddingToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'document_name')
  final String? documentName;
  @JsonKey(name: 'document_type')
  final String? documentType;
  @JsonKey(name: 'pathway')
  final String pathway;
  @JsonKey(name: 'url')
  final String url;
  @JsonKey(name: 'tokens')
  final int? tokens;
  @JsonKey(name: 'platform_key')
  final String platformKey;
  @JsonKey(name: 'is_trained')
  final bool? isTrained;
  static const fromJsonFactory = _$RetrieverDocumentEmbeddingFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is RetrieverDocumentEmbedding &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.documentName, documentName) ||
                const DeepCollectionEquality()
                    .equals(other.documentName, documentName)) &&
            (identical(other.documentType, documentType) ||
                const DeepCollectionEquality()
                    .equals(other.documentType, documentType)) &&
            (identical(other.pathway, pathway) ||
                const DeepCollectionEquality()
                    .equals(other.pathway, pathway)) &&
            (identical(other.url, url) ||
                const DeepCollectionEquality().equals(other.url, url)) &&
            (identical(other.tokens, tokens) ||
                const DeepCollectionEquality().equals(other.tokens, tokens)) &&
            (identical(other.platformKey, platformKey) ||
                const DeepCollectionEquality()
                    .equals(other.platformKey, platformKey)) &&
            (identical(other.isTrained, isTrained) ||
                const DeepCollectionEquality()
                    .equals(other.isTrained, isTrained)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(documentName) ^
      const DeepCollectionEquality().hash(documentType) ^
      const DeepCollectionEquality().hash(pathway) ^
      const DeepCollectionEquality().hash(url) ^
      const DeepCollectionEquality().hash(tokens) ^
      const DeepCollectionEquality().hash(platformKey) ^
      const DeepCollectionEquality().hash(isTrained) ^
      runtimeType.hashCode;
}

extension $RetrieverDocumentEmbeddingExtension on RetrieverDocumentEmbedding {
  RetrieverDocumentEmbedding copyWith(
      {int? id,
      String? documentName,
      String? documentType,
      String? pathway,
      String? url,
      int? tokens,
      String? platformKey,
      bool? isTrained}) {
    return RetrieverDocumentEmbedding(
        id: id ?? this.id,
        documentName: documentName ?? this.documentName,
        documentType: documentType ?? this.documentType,
        pathway: pathway ?? this.pathway,
        url: url ?? this.url,
        tokens: tokens ?? this.tokens,
        platformKey: platformKey ?? this.platformKey,
        isTrained: isTrained ?? this.isTrained);
  }

  RetrieverDocumentEmbedding copyWithWrapped(
      {Wrapped<int>? id,
      Wrapped<String?>? documentName,
      Wrapped<String?>? documentType,
      Wrapped<String>? pathway,
      Wrapped<String>? url,
      Wrapped<int?>? tokens,
      Wrapped<String>? platformKey,
      Wrapped<bool?>? isTrained}) {
    return RetrieverDocumentEmbedding(
        id: (id != null ? id.value : this.id),
        documentName:
            (documentName != null ? documentName.value : this.documentName),
        documentType:
            (documentType != null ? documentType.value : this.documentType),
        pathway: (pathway != null ? pathway.value : this.pathway),
        url: (url != null ? url.value : this.url),
        tokens: (tokens != null ? tokens.value : this.tokens),
        platformKey:
            (platformKey != null ? platformKey.value : this.platformKey),
        isTrained: (isTrained != null ? isTrained.value : this.isTrained));
  }
}

@JsonSerializable(explicitToJson: true)
class RetrieverDocumentEmbeddingRequest {
  const RetrieverDocumentEmbeddingRequest({
    this.documentName,
    this.documentType,
    required this.pathway,
    this.url,
    this.train,
  });

  factory RetrieverDocumentEmbeddingRequest.fromJson(
          Map<String, dynamic> json) =>
      _$RetrieverDocumentEmbeddingRequestFromJson(json);

  static const toJsonFactory = _$RetrieverDocumentEmbeddingRequestToJson;
  Map<String, dynamic> toJson() =>
      _$RetrieverDocumentEmbeddingRequestToJson(this);

  @JsonKey(name: 'document_name')
  final String? documentName;
  @JsonKey(name: 'document_type')
  final String? documentType;
  @JsonKey(name: 'pathway')
  final String pathway;
  @JsonKey(name: 'url')
  final String? url;
  @JsonKey(name: 'train')
  final bool? train;
  static const fromJsonFactory = _$RetrieverDocumentEmbeddingRequestFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is RetrieverDocumentEmbeddingRequest &&
            (identical(other.documentName, documentName) ||
                const DeepCollectionEquality()
                    .equals(other.documentName, documentName)) &&
            (identical(other.documentType, documentType) ||
                const DeepCollectionEquality()
                    .equals(other.documentType, documentType)) &&
            (identical(other.pathway, pathway) ||
                const DeepCollectionEquality()
                    .equals(other.pathway, pathway)) &&
            (identical(other.url, url) ||
                const DeepCollectionEquality().equals(other.url, url)) &&
            (identical(other.train, train) ||
                const DeepCollectionEquality().equals(other.train, train)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(documentName) ^
      const DeepCollectionEquality().hash(documentType) ^
      const DeepCollectionEquality().hash(pathway) ^
      const DeepCollectionEquality().hash(url) ^
      const DeepCollectionEquality().hash(train) ^
      runtimeType.hashCode;
}

extension $RetrieverDocumentEmbeddingRequestExtension
    on RetrieverDocumentEmbeddingRequest {
  RetrieverDocumentEmbeddingRequest copyWith(
      {String? documentName,
      String? documentType,
      String? pathway,
      String? url,
      bool? train}) {
    return RetrieverDocumentEmbeddingRequest(
        documentName: documentName ?? this.documentName,
        documentType: documentType ?? this.documentType,
        pathway: pathway ?? this.pathway,
        url: url ?? this.url,
        train: train ?? this.train);
  }

  RetrieverDocumentEmbeddingRequest copyWithWrapped(
      {Wrapped<String?>? documentName,
      Wrapped<String?>? documentType,
      Wrapped<String>? pathway,
      Wrapped<String?>? url,
      Wrapped<bool?>? train}) {
    return RetrieverDocumentEmbeddingRequest(
        documentName:
            (documentName != null ? documentName.value : this.documentName),
        documentType:
            (documentType != null ? documentType.value : this.documentType),
        pathway: (pathway != null ? pathway.value : this.pathway),
        url: (url != null ? url.value : this.url),
        train: (train != null ? train.value : this.train));
  }
}

@JsonSerializable(explicitToJson: true)
class RetrieverRequestSearch {
  const RetrieverRequestSearch({
    required this.query,
    required this.pathway,
  });

  factory RetrieverRequestSearch.fromJson(Map<String, dynamic> json) =>
      _$RetrieverRequestSearchFromJson(json);

  static const toJsonFactory = _$RetrieverRequestSearchToJson;
  Map<String, dynamic> toJson() => _$RetrieverRequestSearchToJson(this);

  @JsonKey(name: 'query')
  final String query;
  @JsonKey(name: 'pathway')
  final String pathway;
  static const fromJsonFactory = _$RetrieverRequestSearchFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is RetrieverRequestSearch &&
            (identical(other.query, query) ||
                const DeepCollectionEquality().equals(other.query, query)) &&
            (identical(other.pathway, pathway) ||
                const DeepCollectionEquality().equals(other.pathway, pathway)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(query) ^
      const DeepCollectionEquality().hash(pathway) ^
      runtimeType.hashCode;
}

extension $RetrieverRequestSearchExtension on RetrieverRequestSearch {
  RetrieverRequestSearch copyWith({String? query, String? pathway}) {
    return RetrieverRequestSearch(
        query: query ?? this.query, pathway: pathway ?? this.pathway);
  }

  RetrieverRequestSearch copyWithWrapped(
      {Wrapped<String>? query, Wrapped<String>? pathway}) {
    return RetrieverRequestSearch(
        query: (query != null ? query.value : this.query),
        pathway: (pathway != null ? pathway.value : this.pathway));
  }
}

@JsonSerializable(explicitToJson: true)
class RetrieverRequestSearchDocument {
  const RetrieverRequestSearchDocument({
    required this.sources,
  });

  factory RetrieverRequestSearchDocument.fromJson(Map<String, dynamic> json) =>
      _$RetrieverRequestSearchDocumentFromJson(json);

  static const toJsonFactory = _$RetrieverRequestSearchDocumentToJson;
  Map<String, dynamic> toJson() => _$RetrieverRequestSearchDocumentToJson(this);

  @JsonKey(name: 'sources', defaultValue: <String>[])
  final List<String> sources;
  static const fromJsonFactory = _$RetrieverRequestSearchDocumentFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is RetrieverRequestSearchDocument &&
            (identical(other.sources, sources) ||
                const DeepCollectionEquality().equals(other.sources, sources)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(sources) ^ runtimeType.hashCode;
}

extension $RetrieverRequestSearchDocumentExtension
    on RetrieverRequestSearchDocument {
  RetrieverRequestSearchDocument copyWith({List<String>? sources}) {
    return RetrieverRequestSearchDocument(sources: sources ?? this.sources);
  }

  RetrieverRequestSearchDocument copyWithWrapped(
      {Wrapped<List<String>>? sources}) {
    return RetrieverRequestSearchDocument(
        sources: (sources != null ? sources.value : this.sources));
  }
}

@JsonSerializable(explicitToJson: true)
class RetrieverResponseSearch {
  const RetrieverResponseSearch({
    required this.results,
  });

  factory RetrieverResponseSearch.fromJson(Map<String, dynamic> json) =>
      _$RetrieverResponseSearchFromJson(json);

  static const toJsonFactory = _$RetrieverResponseSearchToJson;
  Map<String, dynamic> toJson() => _$RetrieverResponseSearchToJson(this);

  @JsonKey(name: 'results', defaultValue: <PageContent>[])
  final List<PageContent> results;
  static const fromJsonFactory = _$RetrieverResponseSearchFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is RetrieverResponseSearch &&
            (identical(other.results, results) ||
                const DeepCollectionEquality().equals(other.results, results)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(results) ^ runtimeType.hashCode;
}

extension $RetrieverResponseSearchExtension on RetrieverResponseSearch {
  RetrieverResponseSearch copyWith({List<PageContent>? results}) {
    return RetrieverResponseSearch(results: results ?? this.results);
  }

  RetrieverResponseSearch copyWithWrapped(
      {Wrapped<List<PageContent>>? results}) {
    return RetrieverResponseSearch(
        results: (results != null ? results.value : this.results));
  }
}

@JsonSerializable(explicitToJson: true)
class ReuestDataVariableList {
  const ReuestDataVariableList({
    required this.dataVariables,
  });

  factory ReuestDataVariableList.fromJson(Map<String, dynamic> json) =>
      _$ReuestDataVariableListFromJson(json);

  static const toJsonFactory = _$ReuestDataVariableListToJson;
  Map<String, dynamic> toJson() => _$ReuestDataVariableListToJson(this);

  @JsonKey(name: 'data_variables', defaultValue: <RequestDataVariable>[])
  final List<RequestDataVariable> dataVariables;
  static const fromJsonFactory = _$ReuestDataVariableListFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ReuestDataVariableList &&
            (identical(other.dataVariables, dataVariables) ||
                const DeepCollectionEquality()
                    .equals(other.dataVariables, dataVariables)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(dataVariables) ^ runtimeType.hashCode;
}

extension $ReuestDataVariableListExtension on ReuestDataVariableList {
  ReuestDataVariableList copyWith({List<RequestDataVariable>? dataVariables}) {
    return ReuestDataVariableList(
        dataVariables: dataVariables ?? this.dataVariables);
  }

  ReuestDataVariableList copyWithWrapped(
      {Wrapped<List<RequestDataVariable>>? dataVariables}) {
    return ReuestDataVariableList(
        dataVariables:
            (dataVariables != null ? dataVariables.value : this.dataVariables));
  }
}

@JsonSerializable(explicitToJson: true)
class RevenueByProduct {
  const RevenueByProduct({
    this.productTable,
    this.summary,
  });

  factory RevenueByProduct.fromJson(Map<String, dynamic> json) =>
      _$RevenueByProductFromJson(json);

  static const toJsonFactory = _$RevenueByProductToJson;
  Map<String, dynamic> toJson() => _$RevenueByProductToJson(this);

  @JsonKey(name: 'product_table', defaultValue: <ProductTable>[])
  final List<ProductTable>? productTable;
  @JsonKey(name: 'summary')
  final Summary? summary;
  static const fromJsonFactory = _$RevenueByProductFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is RevenueByProduct &&
            (identical(other.productTable, productTable) ||
                const DeepCollectionEquality()
                    .equals(other.productTable, productTable)) &&
            (identical(other.summary, summary) ||
                const DeepCollectionEquality().equals(other.summary, summary)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(productTable) ^
      const DeepCollectionEquality().hash(summary) ^
      runtimeType.hashCode;
}

extension $RevenueByProductExtension on RevenueByProduct {
  RevenueByProduct copyWith(
      {List<ProductTable>? productTable, Summary? summary}) {
    return RevenueByProduct(
        productTable: productTable ?? this.productTable,
        summary: summary ?? this.summary);
  }

  RevenueByProduct copyWithWrapped(
      {Wrapped<List<ProductTable>?>? productTable,
      Wrapped<Summary?>? summary}) {
    return RevenueByProduct(
        productTable:
            (productTable != null ? productTable.value : this.productTable),
        summary: (summary != null ? summary.value : this.summary));
  }
}

@JsonSerializable(explicitToJson: true)
class Role {
  const Role({
    required this.id,
    this.name,
  });

  factory Role.fromJson(Map<String, dynamic> json) => _$RoleFromJson(json);

  static const toJsonFactory = _$RoleToJson;
  Map<String, dynamic> toJson() => _$RoleToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'name')
  final String? name;
  static const fromJsonFactory = _$RoleFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Role &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(name) ^
      runtimeType.hashCode;
}

extension $RoleExtension on Role {
  Role copyWith({int? id, String? name}) {
    return Role(id: id ?? this.id, name: name ?? this.name);
  }

  Role copyWithWrapped({Wrapped<int>? id, Wrapped<String?>? name}) {
    return Role(
        id: (id != null ? id.value : this.id),
        name: (name != null ? name.value : this.name));
  }
}

@JsonSerializable(explicitToJson: true)
class SessionDetail {
  const SessionDetail({
    required this.count,
    required this.previous,
    required this.next,
    required this.results,
  });

  factory SessionDetail.fromJson(Map<String, dynamic> json) =>
      _$SessionDetailFromJson(json);

  static const toJsonFactory = _$SessionDetailToJson;
  Map<String, dynamic> toJson() => _$SessionDetailToJson(this);

  @JsonKey(name: 'count')
  final int count;
  @JsonKey(name: 'previous')
  final String previous;
  @JsonKey(name: 'next')
  final String next;
  @JsonKey(name: 'results', defaultValue: <String>[])
  final List<String> results;
  static const fromJsonFactory = _$SessionDetailFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is SessionDetail &&
            (identical(other.count, count) ||
                const DeepCollectionEquality().equals(other.count, count)) &&
            (identical(other.previous, previous) ||
                const DeepCollectionEquality()
                    .equals(other.previous, previous)) &&
            (identical(other.next, next) ||
                const DeepCollectionEquality().equals(other.next, next)) &&
            (identical(other.results, results) ||
                const DeepCollectionEquality().equals(other.results, results)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(count) ^
      const DeepCollectionEquality().hash(previous) ^
      const DeepCollectionEquality().hash(next) ^
      const DeepCollectionEquality().hash(results) ^
      runtimeType.hashCode;
}

extension $SessionDetailExtension on SessionDetail {
  SessionDetail copyWith(
      {int? count, String? previous, String? next, List<String>? results}) {
    return SessionDetail(
        count: count ?? this.count,
        previous: previous ?? this.previous,
        next: next ?? this.next,
        results: results ?? this.results);
  }

  SessionDetail copyWithWrapped(
      {Wrapped<int>? count,
      Wrapped<String>? previous,
      Wrapped<String>? next,
      Wrapped<List<String>>? results}) {
    return SessionDetail(
        count: (count != null ? count.value : this.count),
        previous: (previous != null ? previous.value : this.previous),
        next: (next != null ? next.value : this.next),
        results: (results != null ? results.value : this.results));
  }
}

@JsonSerializable(explicitToJson: true)
class Skill {
  const Skill({
    required this.id,
    this.name,
  });

  factory Skill.fromJson(Map<String, dynamic> json) => _$SkillFromJson(json);

  static const toJsonFactory = _$SkillToJson;
  Map<String, dynamic> toJson() => _$SkillToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'name')
  final String? name;
  static const fromJsonFactory = _$SkillFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Skill &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(name) ^
      runtimeType.hashCode;
}

extension $SkillExtension on Skill {
  Skill copyWith({int? id, String? name}) {
    return Skill(id: id ?? this.id, name: name ?? this.name);
  }

  Skill copyWithWrapped({Wrapped<int>? id, Wrapped<String?>? name}) {
    return Skill(
        id: (id != null ? id.value : this.id),
        name: (name != null ? name.value : this.name));
  }
}

@JsonSerializable(explicitToJson: true)
class SkillDetail {
  const SkillDetail({
    this.name,
    required this.courses,
    required this.relatedSkills,
  });

  factory SkillDetail.fromJson(Map<String, dynamic> json) =>
      _$SkillDetailFromJson(json);

  static const toJsonFactory = _$SkillDetailToJson;
  Map<String, dynamic> toJson() => _$SkillDetailToJson(this);

  @JsonKey(name: 'name')
  final String? name;
  @JsonKey(name: 'courses', defaultValue: <CourseSkill>[])
  final List<CourseSkill> courses;
  @JsonKey(name: 'related_skills')
  final int relatedSkills;
  static const fromJsonFactory = _$SkillDetailFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is SkillDetail &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.courses, courses) ||
                const DeepCollectionEquality()
                    .equals(other.courses, courses)) &&
            (identical(other.relatedSkills, relatedSkills) ||
                const DeepCollectionEquality()
                    .equals(other.relatedSkills, relatedSkills)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(courses) ^
      const DeepCollectionEquality().hash(relatedSkills) ^
      runtimeType.hashCode;
}

extension $SkillDetailExtension on SkillDetail {
  SkillDetail copyWith(
      {String? name, List<CourseSkill>? courses, int? relatedSkills}) {
    return SkillDetail(
        name: name ?? this.name,
        courses: courses ?? this.courses,
        relatedSkills: relatedSkills ?? this.relatedSkills);
  }

  SkillDetail copyWithWrapped(
      {Wrapped<String?>? name,
      Wrapped<List<CourseSkill>>? courses,
      Wrapped<int>? relatedSkills}) {
    return SkillDetail(
        name: (name != null ? name.value : this.name),
        courses: (courses != null ? courses.value : this.courses),
        relatedSkills:
            (relatedSkills != null ? relatedSkills.value : this.relatedSkills));
  }
}

@JsonSerializable(explicitToJson: true)
class SkillInfo {
  const SkillInfo({
    required this.id,
    this.name,
    required this.courseCount,
    required this.userCount,
    required this.totalPoints,
    required this.averagePoints,
  });

  factory SkillInfo.fromJson(Map<String, dynamic> json) =>
      _$SkillInfoFromJson(json);

  static const toJsonFactory = _$SkillInfoToJson;
  Map<String, dynamic> toJson() => _$SkillInfoToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'name')
  final String? name;
  @JsonKey(name: 'course_count')
  final int courseCount;
  @JsonKey(name: 'user_count')
  final int userCount;
  @JsonKey(name: 'total_points')
  final int totalPoints;
  @JsonKey(name: 'average_points')
  final double averagePoints;
  static const fromJsonFactory = _$SkillInfoFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is SkillInfo &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.courseCount, courseCount) ||
                const DeepCollectionEquality()
                    .equals(other.courseCount, courseCount)) &&
            (identical(other.userCount, userCount) ||
                const DeepCollectionEquality()
                    .equals(other.userCount, userCount)) &&
            (identical(other.totalPoints, totalPoints) ||
                const DeepCollectionEquality()
                    .equals(other.totalPoints, totalPoints)) &&
            (identical(other.averagePoints, averagePoints) ||
                const DeepCollectionEquality()
                    .equals(other.averagePoints, averagePoints)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(courseCount) ^
      const DeepCollectionEquality().hash(userCount) ^
      const DeepCollectionEquality().hash(totalPoints) ^
      const DeepCollectionEquality().hash(averagePoints) ^
      runtimeType.hashCode;
}

extension $SkillInfoExtension on SkillInfo {
  SkillInfo copyWith(
      {int? id,
      String? name,
      int? courseCount,
      int? userCount,
      int? totalPoints,
      double? averagePoints}) {
    return SkillInfo(
        id: id ?? this.id,
        name: name ?? this.name,
        courseCount: courseCount ?? this.courseCount,
        userCount: userCount ?? this.userCount,
        totalPoints: totalPoints ?? this.totalPoints,
        averagePoints: averagePoints ?? this.averagePoints);
  }

  SkillInfo copyWithWrapped(
      {Wrapped<int>? id,
      Wrapped<String?>? name,
      Wrapped<int>? courseCount,
      Wrapped<int>? userCount,
      Wrapped<int>? totalPoints,
      Wrapped<double>? averagePoints}) {
    return SkillInfo(
        id: (id != null ? id.value : this.id),
        name: (name != null ? name.value : this.name),
        courseCount:
            (courseCount != null ? courseCount.value : this.courseCount),
        userCount: (userCount != null ? userCount.value : this.userCount),
        totalPoints:
            (totalPoints != null ? totalPoints.value : this.totalPoints),
        averagePoints:
            (averagePoints != null ? averagePoints.value : this.averagePoints));
  }
}

@JsonSerializable(explicitToJson: true)
class SkillThreshold {
  const SkillThreshold({
    required this.name,
    required this.threshold,
    required this.platform,
  });

  factory SkillThreshold.fromJson(Map<String, dynamic> json) =>
      _$SkillThresholdFromJson(json);

  static const toJsonFactory = _$SkillThresholdToJson;
  Map<String, dynamic> toJson() => _$SkillThresholdToJson(this);

  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'threshold')
  final int threshold;
  @JsonKey(name: 'platform')
  final String platform;
  static const fromJsonFactory = _$SkillThresholdFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is SkillThreshold &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.threshold, threshold) ||
                const DeepCollectionEquality()
                    .equals(other.threshold, threshold)) &&
            (identical(other.platform, platform) ||
                const DeepCollectionEquality()
                    .equals(other.platform, platform)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(threshold) ^
      const DeepCollectionEquality().hash(platform) ^
      runtimeType.hashCode;
}

extension $SkillThresholdExtension on SkillThreshold {
  SkillThreshold copyWith({String? name, int? threshold, String? platform}) {
    return SkillThreshold(
        name: name ?? this.name,
        threshold: threshold ?? this.threshold,
        platform: platform ?? this.platform);
  }

  SkillThreshold copyWithWrapped(
      {Wrapped<String>? name,
      Wrapped<int>? threshold,
      Wrapped<String>? platform}) {
    return SkillThreshold(
        name: (name != null ? name.value : this.name),
        threshold: (threshold != null ? threshold.value : this.threshold),
        platform: (platform != null ? platform.value : this.platform));
  }
}

@JsonSerializable(explicitToJson: true)
class StatusPerCourseAPI {
  const StatusPerCourseAPI({
    this.data,
    this.total,
  });

  factory StatusPerCourseAPI.fromJson(Map<String, dynamic> json) =>
      _$StatusPerCourseAPIFromJson(json);

  static const toJsonFactory = _$StatusPerCourseAPIToJson;
  Map<String, dynamic> toJson() => _$StatusPerCourseAPIToJson(this);

  @JsonKey(name: 'data', defaultValue: <StatusPerCourseData>[])
  final List<StatusPerCourseData>? data;
  @JsonKey(name: 'total')
  final int? total;
  static const fromJsonFactory = _$StatusPerCourseAPIFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is StatusPerCourseAPI &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(total) ^
      runtimeType.hashCode;
}

extension $StatusPerCourseAPIExtension on StatusPerCourseAPI {
  StatusPerCourseAPI copyWith({List<StatusPerCourseData>? data, int? total}) {
    return StatusPerCourseAPI(
        data: data ?? this.data, total: total ?? this.total);
  }

  StatusPerCourseAPI copyWithWrapped(
      {Wrapped<List<StatusPerCourseData>?>? data, Wrapped<int?>? total}) {
    return StatusPerCourseAPI(
        data: (data != null ? data.value : this.data),
        total: (total != null ? total.value : this.total));
  }
}

@JsonSerializable(explicitToJson: true)
class StatusPerCourseData {
  const StatusPerCourseData({
    required this.courseId,
    required this.name,
    required this.watchedVideos,
    required this.timeSpent,
    required this.completion,
  });

  factory StatusPerCourseData.fromJson(Map<String, dynamic> json) =>
      _$StatusPerCourseDataFromJson(json);

  static const toJsonFactory = _$StatusPerCourseDataToJson;
  Map<String, dynamic> toJson() => _$StatusPerCourseDataToJson(this);

  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'watched_videos')
  final int watchedVideos;
  @JsonKey(name: 'time_spent')
  final int timeSpent;
  @JsonKey(name: 'completion')
  final double completion;
  static const fromJsonFactory = _$StatusPerCourseDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is StatusPerCourseData &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.watchedVideos, watchedVideos) ||
                const DeepCollectionEquality()
                    .equals(other.watchedVideos, watchedVideos)) &&
            (identical(other.timeSpent, timeSpent) ||
                const DeepCollectionEquality()
                    .equals(other.timeSpent, timeSpent)) &&
            (identical(other.completion, completion) ||
                const DeepCollectionEquality()
                    .equals(other.completion, completion)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(watchedVideos) ^
      const DeepCollectionEquality().hash(timeSpent) ^
      const DeepCollectionEquality().hash(completion) ^
      runtimeType.hashCode;
}

extension $StatusPerCourseDataExtension on StatusPerCourseData {
  StatusPerCourseData copyWith(
      {String? courseId,
      String? name,
      int? watchedVideos,
      int? timeSpent,
      double? completion}) {
    return StatusPerCourseData(
        courseId: courseId ?? this.courseId,
        name: name ?? this.name,
        watchedVideos: watchedVideos ?? this.watchedVideos,
        timeSpent: timeSpent ?? this.timeSpent,
        completion: completion ?? this.completion);
  }

  StatusPerCourseData copyWithWrapped(
      {Wrapped<String>? courseId,
      Wrapped<String>? name,
      Wrapped<int>? watchedVideos,
      Wrapped<int>? timeSpent,
      Wrapped<double>? completion}) {
    return StatusPerCourseData(
        courseId: (courseId != null ? courseId.value : this.courseId),
        name: (name != null ? name.value : this.name),
        watchedVideos:
            (watchedVideos != null ? watchedVideos.value : this.watchedVideos),
        timeSpent: (timeSpent != null ? timeSpent.value : this.timeSpent),
        completion: (completion != null ? completion.value : this.completion));
  }
}

@JsonSerializable(explicitToJson: true)
class SubTimeChild {
  const SubTimeChild({
    required this.displayName,
    required this.id,
    this.blockId,
    this.totalTime,
  });

  factory SubTimeChild.fromJson(Map<String, dynamic> json) =>
      _$SubTimeChildFromJson(json);

  static const toJsonFactory = _$SubTimeChildToJson;
  Map<String, dynamic> toJson() => _$SubTimeChildToJson(this);

  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'block_id')
  final String? blockId;
  @JsonKey(name: 'total_time')
  final int? totalTime;
  static const fromJsonFactory = _$SubTimeChildFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is SubTimeChild &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.blockId, blockId) ||
                const DeepCollectionEquality()
                    .equals(other.blockId, blockId)) &&
            (identical(other.totalTime, totalTime) ||
                const DeepCollectionEquality()
                    .equals(other.totalTime, totalTime)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(blockId) ^
      const DeepCollectionEquality().hash(totalTime) ^
      runtimeType.hashCode;
}

extension $SubTimeChildExtension on SubTimeChild {
  SubTimeChild copyWith(
      {String? displayName, String? id, String? blockId, int? totalTime}) {
    return SubTimeChild(
        displayName: displayName ?? this.displayName,
        id: id ?? this.id,
        blockId: blockId ?? this.blockId,
        totalTime: totalTime ?? this.totalTime);
  }

  SubTimeChild copyWithWrapped(
      {Wrapped<String>? displayName,
      Wrapped<String>? id,
      Wrapped<String?>? blockId,
      Wrapped<int?>? totalTime}) {
    return SubTimeChild(
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        id: (id != null ? id.value : this.id),
        blockId: (blockId != null ? blockId.value : this.blockId),
        totalTime: (totalTime != null ? totalTime.value : this.totalTime));
  }
}

@JsonSerializable(explicitToJson: true)
class SuggestedPrompts {
  const SuggestedPrompts({
    required this.prompts,
  });

  factory SuggestedPrompts.fromJson(Map<String, dynamic> json) =>
      _$SuggestedPromptsFromJson(json);

  static const toJsonFactory = _$SuggestedPromptsToJson;
  Map<String, dynamic> toJson() => _$SuggestedPromptsToJson(this);

  @JsonKey(name: 'prompts', defaultValue: <String>[])
  final List<String> prompts;
  static const fromJsonFactory = _$SuggestedPromptsFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is SuggestedPrompts &&
            (identical(other.prompts, prompts) ||
                const DeepCollectionEquality().equals(other.prompts, prompts)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(prompts) ^ runtimeType.hashCode;
}

extension $SuggestedPromptsExtension on SuggestedPrompts {
  SuggestedPrompts copyWith({List<String>? prompts}) {
    return SuggestedPrompts(prompts: prompts ?? this.prompts);
  }

  SuggestedPrompts copyWithWrapped({Wrapped<List<String>>? prompts}) {
    return SuggestedPrompts(
        prompts: (prompts != null ? prompts.value : this.prompts));
  }
}

@JsonSerializable(explicitToJson: true)
class Summary {
  const Summary({
    required this.numProducts,
    required this.numOrders,
    required this.netRevenue,
    required this.avgOrderValue,
  });

  factory Summary.fromJson(Map<String, dynamic> json) =>
      _$SummaryFromJson(json);

  static const toJsonFactory = _$SummaryToJson;
  Map<String, dynamic> toJson() => _$SummaryToJson(this);

  @JsonKey(name: 'num_products')
  final int numProducts;
  @JsonKey(name: 'num_orders')
  final int numOrders;
  @JsonKey(name: 'net_revenue')
  final double netRevenue;
  @JsonKey(name: 'avg_order_value')
  final double avgOrderValue;
  static const fromJsonFactory = _$SummaryFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Summary &&
            (identical(other.numProducts, numProducts) ||
                const DeepCollectionEquality()
                    .equals(other.numProducts, numProducts)) &&
            (identical(other.numOrders, numOrders) ||
                const DeepCollectionEquality()
                    .equals(other.numOrders, numOrders)) &&
            (identical(other.netRevenue, netRevenue) ||
                const DeepCollectionEquality()
                    .equals(other.netRevenue, netRevenue)) &&
            (identical(other.avgOrderValue, avgOrderValue) ||
                const DeepCollectionEquality()
                    .equals(other.avgOrderValue, avgOrderValue)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(numProducts) ^
      const DeepCollectionEquality().hash(numOrders) ^
      const DeepCollectionEquality().hash(netRevenue) ^
      const DeepCollectionEquality().hash(avgOrderValue) ^
      runtimeType.hashCode;
}

extension $SummaryExtension on Summary {
  Summary copyWith(
      {int? numProducts,
      int? numOrders,
      double? netRevenue,
      double? avgOrderValue}) {
    return Summary(
        numProducts: numProducts ?? this.numProducts,
        numOrders: numOrders ?? this.numOrders,
        netRevenue: netRevenue ?? this.netRevenue,
        avgOrderValue: avgOrderValue ?? this.avgOrderValue);
  }

  Summary copyWithWrapped(
      {Wrapped<int>? numProducts,
      Wrapped<int>? numOrders,
      Wrapped<double>? netRevenue,
      Wrapped<double>? avgOrderValue}) {
    return Summary(
        numProducts:
            (numProducts != null ? numProducts.value : this.numProducts),
        numOrders: (numOrders != null ? numOrders.value : this.numOrders),
        netRevenue: (netRevenue != null ? netRevenue.value : this.netRevenue),
        avgOrderValue:
            (avgOrderValue != null ? avgOrderValue.value : this.avgOrderValue));
  }
}

@JsonSerializable(explicitToJson: true)
class TaskView {
  const TaskView({
    required this.taskId,
  });

  factory TaskView.fromJson(Map<String, dynamic> json) =>
      _$TaskViewFromJson(json);

  static const toJsonFactory = _$TaskViewToJson;
  Map<String, dynamic> toJson() => _$TaskViewToJson(this);

  @JsonKey(name: 'task_id')
  final String taskId;
  static const fromJsonFactory = _$TaskViewFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is TaskView &&
            (identical(other.taskId, taskId) ||
                const DeepCollectionEquality().equals(other.taskId, taskId)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(taskId) ^ runtimeType.hashCode;
}

extension $TaskViewExtension on TaskView {
  TaskView copyWith({String? taskId}) {
    return TaskView(taskId: taskId ?? this.taskId);
  }

  TaskView copyWithWrapped({Wrapped<String>? taskId}) {
    return TaskView(taskId: (taskId != null ? taskId.value : this.taskId));
  }
}

@JsonSerializable(explicitToJson: true)
class TimeChildData {
  const TimeChildData({
    required this.displayName,
    required this.id,
    this.blockId,
    this.totalTime,
    required this.children,
  });

  factory TimeChildData.fromJson(Map<String, dynamic> json) =>
      _$TimeChildDataFromJson(json);

  static const toJsonFactory = _$TimeChildDataToJson;
  Map<String, dynamic> toJson() => _$TimeChildDataToJson(this);

  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'block_id')
  final String? blockId;
  @JsonKey(name: 'total_time')
  final int? totalTime;
  @JsonKey(name: 'children', defaultValue: <SubTimeChild>[])
  final List<SubTimeChild> children;
  static const fromJsonFactory = _$TimeChildDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is TimeChildData &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.blockId, blockId) ||
                const DeepCollectionEquality()
                    .equals(other.blockId, blockId)) &&
            (identical(other.totalTime, totalTime) ||
                const DeepCollectionEquality()
                    .equals(other.totalTime, totalTime)) &&
            (identical(other.children, children) ||
                const DeepCollectionEquality()
                    .equals(other.children, children)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(blockId) ^
      const DeepCollectionEquality().hash(totalTime) ^
      const DeepCollectionEquality().hash(children) ^
      runtimeType.hashCode;
}

extension $TimeChildDataExtension on TimeChildData {
  TimeChildData copyWith(
      {String? displayName,
      String? id,
      String? blockId,
      int? totalTime,
      List<SubTimeChild>? children}) {
    return TimeChildData(
        displayName: displayName ?? this.displayName,
        id: id ?? this.id,
        blockId: blockId ?? this.blockId,
        totalTime: totalTime ?? this.totalTime,
        children: children ?? this.children);
  }

  TimeChildData copyWithWrapped(
      {Wrapped<String>? displayName,
      Wrapped<String>? id,
      Wrapped<String?>? blockId,
      Wrapped<int?>? totalTime,
      Wrapped<List<SubTimeChild>>? children}) {
    return TimeChildData(
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        id: (id != null ? id.value : this.id),
        blockId: (blockId != null ? blockId.value : this.blockId),
        totalTime: (totalTime != null ? totalTime.value : this.totalTime),
        children: (children != null ? children.value : this.children));
  }
}

@JsonSerializable(explicitToJson: true)
class TimeDetail {
  const TimeDetail({
    this.data,
    this.total,
  });

  factory TimeDetail.fromJson(Map<String, dynamic> json) =>
      _$TimeDetailFromJson(json);

  static const toJsonFactory = _$TimeDetailToJson;
  Map<String, dynamic> toJson() => _$TimeDetailToJson(this);

  @JsonKey(name: 'data', defaultValue: <TimeDetailData>[])
  final List<TimeDetailData>? data;
  @JsonKey(name: 'total')
  final int? total;
  static const fromJsonFactory = _$TimeDetailFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is TimeDetail &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(total) ^
      runtimeType.hashCode;
}

extension $TimeDetailExtension on TimeDetail {
  TimeDetail copyWith({List<TimeDetailData>? data, int? total}) {
    return TimeDetail(data: data ?? this.data, total: total ?? this.total);
  }

  TimeDetail copyWithWrapped(
      {Wrapped<List<TimeDetailData>?>? data, Wrapped<int?>? total}) {
    return TimeDetail(
        data: (data != null ? data.value : this.data),
        total: (total != null ? total.value : this.total));
  }
}

@JsonSerializable(explicitToJson: true)
class TimeDetailChild {
  const TimeDetailChild({
    required this.averageTime,
    required this.displayName,
    required this.id,
    required this.blockId,
    this.totalTime,
    this.totalUsers,
  });

  factory TimeDetailChild.fromJson(Map<String, dynamic> json) =>
      _$TimeDetailChildFromJson(json);

  static const toJsonFactory = _$TimeDetailChildToJson;
  Map<String, dynamic> toJson() => _$TimeDetailChildToJson(this);

  @JsonKey(name: 'average_time')
  final double averageTime;
  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'block_id')
  final String blockId;
  @JsonKey(name: 'total_time')
  final int? totalTime;
  @JsonKey(name: 'total_users')
  final int? totalUsers;
  static const fromJsonFactory = _$TimeDetailChildFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is TimeDetailChild &&
            (identical(other.averageTime, averageTime) ||
                const DeepCollectionEquality()
                    .equals(other.averageTime, averageTime)) &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.blockId, blockId) ||
                const DeepCollectionEquality()
                    .equals(other.blockId, blockId)) &&
            (identical(other.totalTime, totalTime) ||
                const DeepCollectionEquality()
                    .equals(other.totalTime, totalTime)) &&
            (identical(other.totalUsers, totalUsers) ||
                const DeepCollectionEquality()
                    .equals(other.totalUsers, totalUsers)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(averageTime) ^
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(blockId) ^
      const DeepCollectionEquality().hash(totalTime) ^
      const DeepCollectionEquality().hash(totalUsers) ^
      runtimeType.hashCode;
}

extension $TimeDetailChildExtension on TimeDetailChild {
  TimeDetailChild copyWith(
      {double? averageTime,
      String? displayName,
      String? id,
      String? blockId,
      int? totalTime,
      int? totalUsers}) {
    return TimeDetailChild(
        averageTime: averageTime ?? this.averageTime,
        displayName: displayName ?? this.displayName,
        id: id ?? this.id,
        blockId: blockId ?? this.blockId,
        totalTime: totalTime ?? this.totalTime,
        totalUsers: totalUsers ?? this.totalUsers);
  }

  TimeDetailChild copyWithWrapped(
      {Wrapped<double>? averageTime,
      Wrapped<String>? displayName,
      Wrapped<String>? id,
      Wrapped<String>? blockId,
      Wrapped<int?>? totalTime,
      Wrapped<int?>? totalUsers}) {
    return TimeDetailChild(
        averageTime:
            (averageTime != null ? averageTime.value : this.averageTime),
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        id: (id != null ? id.value : this.id),
        blockId: (blockId != null ? blockId.value : this.blockId),
        totalTime: (totalTime != null ? totalTime.value : this.totalTime),
        totalUsers: (totalUsers != null ? totalUsers.value : this.totalUsers));
  }
}

@JsonSerializable(explicitToJson: true)
class TimeDetailData {
  const TimeDetailData({
    required this.averageTime,
    required this.displayName,
    required this.id,
    this.children,
    this.totalTime,
    this.totalUsers,
  });

  factory TimeDetailData.fromJson(Map<String, dynamic> json) =>
      _$TimeDetailDataFromJson(json);

  static const toJsonFactory = _$TimeDetailDataToJson;
  Map<String, dynamic> toJson() => _$TimeDetailDataToJson(this);

  @JsonKey(name: 'average_time')
  final double averageTime;
  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'children', defaultValue: <TimeDetailChild>[])
  final List<TimeDetailChild>? children;
  @JsonKey(name: 'total_time')
  final int? totalTime;
  @JsonKey(name: 'total_users')
  final int? totalUsers;
  static const fromJsonFactory = _$TimeDetailDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is TimeDetailData &&
            (identical(other.averageTime, averageTime) ||
                const DeepCollectionEquality()
                    .equals(other.averageTime, averageTime)) &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.children, children) ||
                const DeepCollectionEquality()
                    .equals(other.children, children)) &&
            (identical(other.totalTime, totalTime) ||
                const DeepCollectionEquality()
                    .equals(other.totalTime, totalTime)) &&
            (identical(other.totalUsers, totalUsers) ||
                const DeepCollectionEquality()
                    .equals(other.totalUsers, totalUsers)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(averageTime) ^
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(children) ^
      const DeepCollectionEquality().hash(totalTime) ^
      const DeepCollectionEquality().hash(totalUsers) ^
      runtimeType.hashCode;
}

extension $TimeDetailDataExtension on TimeDetailData {
  TimeDetailData copyWith(
      {double? averageTime,
      String? displayName,
      String? id,
      List<TimeDetailChild>? children,
      int? totalTime,
      int? totalUsers}) {
    return TimeDetailData(
        averageTime: averageTime ?? this.averageTime,
        displayName: displayName ?? this.displayName,
        id: id ?? this.id,
        children: children ?? this.children,
        totalTime: totalTime ?? this.totalTime,
        totalUsers: totalUsers ?? this.totalUsers);
  }

  TimeDetailData copyWithWrapped(
      {Wrapped<double>? averageTime,
      Wrapped<String>? displayName,
      Wrapped<String>? id,
      Wrapped<List<TimeDetailChild>?>? children,
      Wrapped<int?>? totalTime,
      Wrapped<int?>? totalUsers}) {
    return TimeDetailData(
        averageTime:
            (averageTime != null ? averageTime.value : this.averageTime),
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        id: (id != null ? id.value : this.id),
        children: (children != null ? children.value : this.children),
        totalTime: (totalTime != null ? totalTime.value : this.totalTime),
        totalUsers: (totalUsers != null ? totalUsers.value : this.totalUsers));
  }
}

@JsonSerializable(explicitToJson: true)
class TimeSpentByUsersInCourse {
  const TimeSpentByUsersInCourse({
    this.data,
    required this.pagination,
  });

  factory TimeSpentByUsersInCourse.fromJson(Map<String, dynamic> json) =>
      _$TimeSpentByUsersInCourseFromJson(json);

  static const toJsonFactory = _$TimeSpentByUsersInCourseToJson;
  Map<String, dynamic> toJson() => _$TimeSpentByUsersInCourseToJson(this);

  @JsonKey(name: 'data', defaultValue: <TimeSpentByUsersInCourseData>[])
  final List<TimeSpentByUsersInCourseData>? data;
  @JsonKey(name: 'pagination')
  final Pagination pagination;
  static const fromJsonFactory = _$TimeSpentByUsersInCourseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is TimeSpentByUsersInCourse &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.pagination, pagination) ||
                const DeepCollectionEquality()
                    .equals(other.pagination, pagination)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(pagination) ^
      runtimeType.hashCode;
}

extension $TimeSpentByUsersInCourseExtension on TimeSpentByUsersInCourse {
  TimeSpentByUsersInCourse copyWith(
      {List<TimeSpentByUsersInCourseData>? data, Pagination? pagination}) {
    return TimeSpentByUsersInCourse(
        data: data ?? this.data, pagination: pagination ?? this.pagination);
  }

  TimeSpentByUsersInCourse copyWithWrapped(
      {Wrapped<List<TimeSpentByUsersInCourseData>?>? data,
      Wrapped<Pagination>? pagination}) {
    return TimeSpentByUsersInCourse(
        data: (data != null ? data.value : this.data),
        pagination: (pagination != null ? pagination.value : this.pagination));
  }
}

@JsonSerializable(explicitToJson: true)
class TimeSpentByUsersInCourseData {
  const TimeSpentByUsersInCourseData({
    required this.username,
    required this.fullName,
    required this.email,
    required this.assessments,
    required this.timeSpent,
  });

  factory TimeSpentByUsersInCourseData.fromJson(Map<String, dynamic> json) =>
      _$TimeSpentByUsersInCourseDataFromJson(json);

  static const toJsonFactory = _$TimeSpentByUsersInCourseDataToJson;
  Map<String, dynamic> toJson() => _$TimeSpentByUsersInCourseDataToJson(this);

  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'full_name')
  final String fullName;
  @JsonKey(name: 'email')
  final String email;
  @JsonKey(name: 'assessments')
  final int assessments;
  @JsonKey(name: 'time_spent')
  final String timeSpent;
  static const fromJsonFactory = _$TimeSpentByUsersInCourseDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is TimeSpentByUsersInCourseData &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.fullName, fullName) ||
                const DeepCollectionEquality()
                    .equals(other.fullName, fullName)) &&
            (identical(other.email, email) ||
                const DeepCollectionEquality().equals(other.email, email)) &&
            (identical(other.assessments, assessments) ||
                const DeepCollectionEquality()
                    .equals(other.assessments, assessments)) &&
            (identical(other.timeSpent, timeSpent) ||
                const DeepCollectionEquality()
                    .equals(other.timeSpent, timeSpent)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(fullName) ^
      const DeepCollectionEquality().hash(email) ^
      const DeepCollectionEquality().hash(assessments) ^
      const DeepCollectionEquality().hash(timeSpent) ^
      runtimeType.hashCode;
}

extension $TimeSpentByUsersInCourseDataExtension
    on TimeSpentByUsersInCourseData {
  TimeSpentByUsersInCourseData copyWith(
      {String? username,
      String? fullName,
      String? email,
      int? assessments,
      String? timeSpent}) {
    return TimeSpentByUsersInCourseData(
        username: username ?? this.username,
        fullName: fullName ?? this.fullName,
        email: email ?? this.email,
        assessments: assessments ?? this.assessments,
        timeSpent: timeSpent ?? this.timeSpent);
  }

  TimeSpentByUsersInCourseData copyWithWrapped(
      {Wrapped<String>? username,
      Wrapped<String>? fullName,
      Wrapped<String>? email,
      Wrapped<int>? assessments,
      Wrapped<String>? timeSpent}) {
    return TimeSpentByUsersInCourseData(
        username: (username != null ? username.value : this.username),
        fullName: (fullName != null ? fullName.value : this.fullName),
        email: (email != null ? email.value : this.email),
        assessments:
            (assessments != null ? assessments.value : this.assessments),
        timeSpent: (timeSpent != null ? timeSpent.value : this.timeSpent));
  }
}

@JsonSerializable(explicitToJson: true)
class TimeSpentPerCourse {
  const TimeSpentPerCourse({
    this.data,
    required this.pagination,
  });

  factory TimeSpentPerCourse.fromJson(Map<String, dynamic> json) =>
      _$TimeSpentPerCourseFromJson(json);

  static const toJsonFactory = _$TimeSpentPerCourseToJson;
  Map<String, dynamic> toJson() => _$TimeSpentPerCourseToJson(this);

  @JsonKey(name: 'data', defaultValue: <TimeSpentPerCourseData>[])
  final List<TimeSpentPerCourseData>? data;
  @JsonKey(name: 'pagination')
  final Pagination pagination;
  static const fromJsonFactory = _$TimeSpentPerCourseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is TimeSpentPerCourse &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.pagination, pagination) ||
                const DeepCollectionEquality()
                    .equals(other.pagination, pagination)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(pagination) ^
      runtimeType.hashCode;
}

extension $TimeSpentPerCourseExtension on TimeSpentPerCourse {
  TimeSpentPerCourse copyWith(
      {List<TimeSpentPerCourseData>? data, Pagination? pagination}) {
    return TimeSpentPerCourse(
        data: data ?? this.data, pagination: pagination ?? this.pagination);
  }

  TimeSpentPerCourse copyWithWrapped(
      {Wrapped<List<TimeSpentPerCourseData>?>? data,
      Wrapped<Pagination>? pagination}) {
    return TimeSpentPerCourse(
        data: (data != null ? data.value : this.data),
        pagination: (pagination != null ? pagination.value : this.pagination));
  }
}

@JsonSerializable(explicitToJson: true)
class TimeSpentPerCourseData {
  const TimeSpentPerCourseData({
    required this.name,
    required this.courseId,
    required this.timeSpent,
    required this.courseStart,
    required this.courseEnd,
    required this.averageTime,
  });

  factory TimeSpentPerCourseData.fromJson(Map<String, dynamic> json) =>
      _$TimeSpentPerCourseDataFromJson(json);

  static const toJsonFactory = _$TimeSpentPerCourseDataToJson;
  Map<String, dynamic> toJson() => _$TimeSpentPerCourseDataToJson(this);

  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'time_spent')
  final int timeSpent;
  @JsonKey(name: 'course_start')
  final String courseStart;
  @JsonKey(name: 'course_end')
  final String courseEnd;
  @JsonKey(name: 'average_time')
  final double averageTime;
  static const fromJsonFactory = _$TimeSpentPerCourseDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is TimeSpentPerCourseData &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.timeSpent, timeSpent) ||
                const DeepCollectionEquality()
                    .equals(other.timeSpent, timeSpent)) &&
            (identical(other.courseStart, courseStart) ||
                const DeepCollectionEquality()
                    .equals(other.courseStart, courseStart)) &&
            (identical(other.courseEnd, courseEnd) ||
                const DeepCollectionEquality()
                    .equals(other.courseEnd, courseEnd)) &&
            (identical(other.averageTime, averageTime) ||
                const DeepCollectionEquality()
                    .equals(other.averageTime, averageTime)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(timeSpent) ^
      const DeepCollectionEquality().hash(courseStart) ^
      const DeepCollectionEquality().hash(courseEnd) ^
      const DeepCollectionEquality().hash(averageTime) ^
      runtimeType.hashCode;
}

extension $TimeSpentPerCourseDataExtension on TimeSpentPerCourseData {
  TimeSpentPerCourseData copyWith(
      {String? name,
      String? courseId,
      int? timeSpent,
      String? courseStart,
      String? courseEnd,
      double? averageTime}) {
    return TimeSpentPerCourseData(
        name: name ?? this.name,
        courseId: courseId ?? this.courseId,
        timeSpent: timeSpent ?? this.timeSpent,
        courseStart: courseStart ?? this.courseStart,
        courseEnd: courseEnd ?? this.courseEnd,
        averageTime: averageTime ?? this.averageTime);
  }

  TimeSpentPerCourseData copyWithWrapped(
      {Wrapped<String>? name,
      Wrapped<String>? courseId,
      Wrapped<int>? timeSpent,
      Wrapped<String>? courseStart,
      Wrapped<String>? courseEnd,
      Wrapped<double>? averageTime}) {
    return TimeSpentPerCourseData(
        name: (name != null ? name.value : this.name),
        courseId: (courseId != null ? courseId.value : this.courseId),
        timeSpent: (timeSpent != null ? timeSpent.value : this.timeSpent),
        courseStart:
            (courseStart != null ? courseStart.value : this.courseStart),
        courseEnd: (courseEnd != null ? courseEnd.value : this.courseEnd),
        averageTime:
            (averageTime != null ? averageTime.value : this.averageTime));
  }
}

@JsonSerializable(explicitToJson: true)
class TrainChatSessionDocumentView {
  const TrainChatSessionDocumentView({
    required this.message,
    required this.tokens,
  });

  factory TrainChatSessionDocumentView.fromJson(Map<String, dynamic> json) =>
      _$TrainChatSessionDocumentViewFromJson(json);

  static const toJsonFactory = _$TrainChatSessionDocumentViewToJson;
  Map<String, dynamic> toJson() => _$TrainChatSessionDocumentViewToJson(this);

  @JsonKey(name: 'message')
  final String message;
  @JsonKey(name: 'tokens')
  final int tokens;
  static const fromJsonFactory = _$TrainChatSessionDocumentViewFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is TrainChatSessionDocumentView &&
            (identical(other.message, message) ||
                const DeepCollectionEquality()
                    .equals(other.message, message)) &&
            (identical(other.tokens, tokens) ||
                const DeepCollectionEquality().equals(other.tokens, tokens)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(message) ^
      const DeepCollectionEquality().hash(tokens) ^
      runtimeType.hashCode;
}

extension $TrainChatSessionDocumentViewExtension
    on TrainChatSessionDocumentView {
  TrainChatSessionDocumentView copyWith({String? message, int? tokens}) {
    return TrainChatSessionDocumentView(
        message: message ?? this.message, tokens: tokens ?? this.tokens);
  }

  TrainChatSessionDocumentView copyWithWrapped(
      {Wrapped<String>? message, Wrapped<int>? tokens}) {
    return TrainChatSessionDocumentView(
        message: (message != null ? message.value : this.message),
        tokens: (tokens != null ? tokens.value : this.tokens));
  }
}

@JsonSerializable(explicitToJson: true)
class TrainDocumentViewRequest {
  const TrainDocumentViewRequest({
    required this.pathway,
    this.url,
    required this.type,
    this.file,
  });

  factory TrainDocumentViewRequest.fromJson(Map<String, dynamic> json) =>
      _$TrainDocumentViewRequestFromJson(json);

  static const toJsonFactory = _$TrainDocumentViewRequestToJson;
  Map<String, dynamic> toJson() => _$TrainDocumentViewRequestToJson(this);

  @JsonKey(name: 'pathway')
  final String pathway;
  @JsonKey(name: 'url')
  final String? url;
  @JsonKey(name: 'type')
  final String type;
  @JsonKey(name: 'file')
  final String? file;
  static const fromJsonFactory = _$TrainDocumentViewRequestFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is TrainDocumentViewRequest &&
            (identical(other.pathway, pathway) ||
                const DeepCollectionEquality()
                    .equals(other.pathway, pathway)) &&
            (identical(other.url, url) ||
                const DeepCollectionEquality().equals(other.url, url)) &&
            (identical(other.type, type) ||
                const DeepCollectionEquality().equals(other.type, type)) &&
            (identical(other.file, file) ||
                const DeepCollectionEquality().equals(other.file, file)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(pathway) ^
      const DeepCollectionEquality().hash(url) ^
      const DeepCollectionEquality().hash(type) ^
      const DeepCollectionEquality().hash(file) ^
      runtimeType.hashCode;
}

extension $TrainDocumentViewRequestExtension on TrainDocumentViewRequest {
  TrainDocumentViewRequest copyWith(
      {String? pathway, String? url, String? type, String? file}) {
    return TrainDocumentViewRequest(
        pathway: pathway ?? this.pathway,
        url: url ?? this.url,
        type: type ?? this.type,
        file: file ?? this.file);
  }

  TrainDocumentViewRequest copyWithWrapped(
      {Wrapped<String>? pathway,
      Wrapped<String?>? url,
      Wrapped<String>? type,
      Wrapped<String?>? file}) {
    return TrainDocumentViewRequest(
        pathway: (pathway != null ? pathway.value : this.pathway),
        url: (url != null ? url.value : this.url),
        type: (type != null ? type.value : this.type),
        file: (file != null ? file.value : this.file));
  }
}

@JsonSerializable(explicitToJson: true)
class TrainDocumentViewResponse {
  const TrainDocumentViewResponse({
    required this.taskId,
    required this.message,
    required this.tokens,
  });

  factory TrainDocumentViewResponse.fromJson(Map<String, dynamic> json) =>
      _$TrainDocumentViewResponseFromJson(json);

  static const toJsonFactory = _$TrainDocumentViewResponseToJson;
  Map<String, dynamic> toJson() => _$TrainDocumentViewResponseToJson(this);

  @JsonKey(name: 'task_id')
  final String taskId;
  @JsonKey(name: 'message')
  final String message;
  @JsonKey(name: 'tokens')
  final int tokens;
  static const fromJsonFactory = _$TrainDocumentViewResponseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is TrainDocumentViewResponse &&
            (identical(other.taskId, taskId) ||
                const DeepCollectionEquality().equals(other.taskId, taskId)) &&
            (identical(other.message, message) ||
                const DeepCollectionEquality()
                    .equals(other.message, message)) &&
            (identical(other.tokens, tokens) ||
                const DeepCollectionEquality().equals(other.tokens, tokens)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(taskId) ^
      const DeepCollectionEquality().hash(message) ^
      const DeepCollectionEquality().hash(tokens) ^
      runtimeType.hashCode;
}

extension $TrainDocumentViewResponseExtension on TrainDocumentViewResponse {
  TrainDocumentViewResponse copyWith(
      {String? taskId, String? message, int? tokens}) {
    return TrainDocumentViewResponse(
        taskId: taskId ?? this.taskId,
        message: message ?? this.message,
        tokens: tokens ?? this.tokens);
  }

  TrainDocumentViewResponse copyWithWrapped(
      {Wrapped<String>? taskId,
      Wrapped<String>? message,
      Wrapped<int>? tokens}) {
    return TrainDocumentViewResponse(
        taskId: (taskId != null ? taskId.value : this.taskId),
        message: (message != null ? message.value : this.message),
        tokens: (tokens != null ? tokens.value : this.tokens));
  }
}

@JsonSerializable(explicitToJson: true)
class Usage {
  const Usage({
    required this.username,
    required this.totalTokens,
    required this.numberOfQuestions,
  });

  factory Usage.fromJson(Map<String, dynamic> json) => _$UsageFromJson(json);

  static const toJsonFactory = _$UsageToJson;
  Map<String, dynamic> toJson() => _$UsageToJson(this);

  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'total_tokens')
  final int totalTokens;
  @JsonKey(name: 'number_of_questions')
  final int numberOfQuestions;
  static const fromJsonFactory = _$UsageFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Usage &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.totalTokens, totalTokens) ||
                const DeepCollectionEquality()
                    .equals(other.totalTokens, totalTokens)) &&
            (identical(other.numberOfQuestions, numberOfQuestions) ||
                const DeepCollectionEquality()
                    .equals(other.numberOfQuestions, numberOfQuestions)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(totalTokens) ^
      const DeepCollectionEquality().hash(numberOfQuestions) ^
      runtimeType.hashCode;
}

extension $UsageExtension on Usage {
  Usage copyWith({String? username, int? totalTokens, int? numberOfQuestions}) {
    return Usage(
        username: username ?? this.username,
        totalTokens: totalTokens ?? this.totalTokens,
        numberOfQuestions: numberOfQuestions ?? this.numberOfQuestions);
  }

  Usage copyWithWrapped(
      {Wrapped<String>? username,
      Wrapped<int>? totalTokens,
      Wrapped<int>? numberOfQuestions}) {
    return Usage(
        username: (username != null ? username.value : this.username),
        totalTokens:
            (totalTokens != null ? totalTokens.value : this.totalTokens),
        numberOfQuestions: (numberOfQuestions != null
            ? numberOfQuestions.value
            : this.numberOfQuestions));
  }
}

@JsonSerializable(explicitToJson: true)
class UserChatFeedback {
  const UserChatFeedback({
    required this.id,
    required this.username,
    required this.session,
    required this.userText,
    required this.aiResponse,
    required this.reason,
    required this.additionalFeedback,
    this.rating,
    required this.mentor,
  });

  factory UserChatFeedback.fromJson(Map<String, dynamic> json) =>
      _$UserChatFeedbackFromJson(json);

  static const toJsonFactory = _$UserChatFeedbackToJson;
  Map<String, dynamic> toJson() => _$UserChatFeedbackToJson(this);

  @JsonKey(name: 'id')
  final int id;
  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'session')
  final String session;
  @JsonKey(name: 'user_text')
  final String userText;
  @JsonKey(name: 'ai_response')
  final String aiResponse;
  @JsonKey(name: 'reason')
  final String reason;
  @JsonKey(name: 'additional_feedback')
  final String additionalFeedback;
  @JsonKey(name: 'rating')
  final dynamic rating;
  @JsonKey(name: 'mentor')
  final int mentor;
  static const fromJsonFactory = _$UserChatFeedbackFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is UserChatFeedback &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.session, session) ||
                const DeepCollectionEquality()
                    .equals(other.session, session)) &&
            (identical(other.userText, userText) ||
                const DeepCollectionEquality()
                    .equals(other.userText, userText)) &&
            (identical(other.aiResponse, aiResponse) ||
                const DeepCollectionEquality()
                    .equals(other.aiResponse, aiResponse)) &&
            (identical(other.reason, reason) ||
                const DeepCollectionEquality().equals(other.reason, reason)) &&
            (identical(other.additionalFeedback, additionalFeedback) ||
                const DeepCollectionEquality()
                    .equals(other.additionalFeedback, additionalFeedback)) &&
            (identical(other.rating, rating) ||
                const DeepCollectionEquality().equals(other.rating, rating)) &&
            (identical(other.mentor, mentor) ||
                const DeepCollectionEquality().equals(other.mentor, mentor)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(session) ^
      const DeepCollectionEquality().hash(userText) ^
      const DeepCollectionEquality().hash(aiResponse) ^
      const DeepCollectionEquality().hash(reason) ^
      const DeepCollectionEquality().hash(additionalFeedback) ^
      const DeepCollectionEquality().hash(rating) ^
      const DeepCollectionEquality().hash(mentor) ^
      runtimeType.hashCode;
}

extension $UserChatFeedbackExtension on UserChatFeedback {
  UserChatFeedback copyWith(
      {int? id,
      String? username,
      String? session,
      String? userText,
      String? aiResponse,
      String? reason,
      String? additionalFeedback,
      dynamic rating,
      int? mentor}) {
    return UserChatFeedback(
        id: id ?? this.id,
        username: username ?? this.username,
        session: session ?? this.session,
        userText: userText ?? this.userText,
        aiResponse: aiResponse ?? this.aiResponse,
        reason: reason ?? this.reason,
        additionalFeedback: additionalFeedback ?? this.additionalFeedback,
        rating: rating ?? this.rating,
        mentor: mentor ?? this.mentor);
  }

  UserChatFeedback copyWithWrapped(
      {Wrapped<int>? id,
      Wrapped<String>? username,
      Wrapped<String>? session,
      Wrapped<String>? userText,
      Wrapped<String>? aiResponse,
      Wrapped<String>? reason,
      Wrapped<String>? additionalFeedback,
      Wrapped<dynamic>? rating,
      Wrapped<int>? mentor}) {
    return UserChatFeedback(
        id: (id != null ? id.value : this.id),
        username: (username != null ? username.value : this.username),
        session: (session != null ? session.value : this.session),
        userText: (userText != null ? userText.value : this.userText),
        aiResponse: (aiResponse != null ? aiResponse.value : this.aiResponse),
        reason: (reason != null ? reason.value : this.reason),
        additionalFeedback: (additionalFeedback != null
            ? additionalFeedback.value
            : this.additionalFeedback),
        rating: (rating != null ? rating.value : this.rating),
        mentor: (mentor != null ? mentor.value : this.mentor));
  }
}

@JsonSerializable(explicitToJson: true)
class UserSkill {
  const UserSkill({
    required this.skill,
    required this.courses,
    required this.resources,
    required this.totalPoints,
    this.percentile,
  });

  factory UserSkill.fromJson(Map<String, dynamic> json) =>
      _$UserSkillFromJson(json);

  static const toJsonFactory = _$UserSkillToJson;
  Map<String, dynamic> toJson() => _$UserSkillToJson(this);

  @JsonKey(name: 'skill')
  final Skill skill;
  @JsonKey(name: 'courses', defaultValue: <CoursePoint>[])
  final List<CoursePoint> courses;
  @JsonKey(name: 'resources', defaultValue: <ResourcePoint>[])
  final List<ResourcePoint> resources;
  @JsonKey(name: 'total_points')
  final int totalPoints;
  @JsonKey(name: 'percentile')
  final double? percentile;
  static const fromJsonFactory = _$UserSkillFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is UserSkill &&
            (identical(other.skill, skill) ||
                const DeepCollectionEquality().equals(other.skill, skill)) &&
            (identical(other.courses, courses) ||
                const DeepCollectionEquality()
                    .equals(other.courses, courses)) &&
            (identical(other.resources, resources) ||
                const DeepCollectionEquality()
                    .equals(other.resources, resources)) &&
            (identical(other.totalPoints, totalPoints) ||
                const DeepCollectionEquality()
                    .equals(other.totalPoints, totalPoints)) &&
            (identical(other.percentile, percentile) ||
                const DeepCollectionEquality()
                    .equals(other.percentile, percentile)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(skill) ^
      const DeepCollectionEquality().hash(courses) ^
      const DeepCollectionEquality().hash(resources) ^
      const DeepCollectionEquality().hash(totalPoints) ^
      const DeepCollectionEquality().hash(percentile) ^
      runtimeType.hashCode;
}

extension $UserSkillExtension on UserSkill {
  UserSkill copyWith(
      {Skill? skill,
      List<CoursePoint>? courses,
      List<ResourcePoint>? resources,
      int? totalPoints,
      double? percentile}) {
    return UserSkill(
        skill: skill ?? this.skill,
        courses: courses ?? this.courses,
        resources: resources ?? this.resources,
        totalPoints: totalPoints ?? this.totalPoints,
        percentile: percentile ?? this.percentile);
  }

  UserSkill copyWithWrapped(
      {Wrapped<Skill>? skill,
      Wrapped<List<CoursePoint>>? courses,
      Wrapped<List<ResourcePoint>>? resources,
      Wrapped<int>? totalPoints,
      Wrapped<double?>? percentile}) {
    return UserSkill(
        skill: (skill != null ? skill.value : this.skill),
        courses: (courses != null ? courses.value : this.courses),
        resources: (resources != null ? resources.value : this.resources),
        totalPoints:
            (totalPoints != null ? totalPoints.value : this.totalPoints),
        percentile: (percentile != null ? percentile.value : this.percentile));
  }
}

@JsonSerializable(explicitToJson: true)
class UserSkillPointsPercentile {
  const UserSkillPointsPercentile({
    required this.username,
    required this.totalPoints,
    required this.percentile,
  });

  factory UserSkillPointsPercentile.fromJson(Map<String, dynamic> json) =>
      _$UserSkillPointsPercentileFromJson(json);

  static const toJsonFactory = _$UserSkillPointsPercentileToJson;
  Map<String, dynamic> toJson() => _$UserSkillPointsPercentileToJson(this);

  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'total_points')
  final double totalPoints;
  @JsonKey(name: 'percentile')
  final double percentile;
  static const fromJsonFactory = _$UserSkillPointsPercentileFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is UserSkillPointsPercentile &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.totalPoints, totalPoints) ||
                const DeepCollectionEquality()
                    .equals(other.totalPoints, totalPoints)) &&
            (identical(other.percentile, percentile) ||
                const DeepCollectionEquality()
                    .equals(other.percentile, percentile)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(totalPoints) ^
      const DeepCollectionEquality().hash(percentile) ^
      runtimeType.hashCode;
}

extension $UserSkillPointsPercentileExtension on UserSkillPointsPercentile {
  UserSkillPointsPercentile copyWith(
      {String? username, double? totalPoints, double? percentile}) {
    return UserSkillPointsPercentile(
        username: username ?? this.username,
        totalPoints: totalPoints ?? this.totalPoints,
        percentile: percentile ?? this.percentile);
  }

  UserSkillPointsPercentile copyWithWrapped(
      {Wrapped<String>? username,
      Wrapped<double>? totalPoints,
      Wrapped<double>? percentile}) {
    return UserSkillPointsPercentile(
        username: (username != null ? username.value : this.username),
        totalPoints:
            (totalPoints != null ? totalPoints.value : this.totalPoints),
        percentile: (percentile != null ? percentile.value : this.percentile));
  }
}

@JsonSerializable(explicitToJson: true)
class Value {
  const Value({
    required this.data,
  });

  factory Value.fromJson(Map<String, dynamic> json) => _$ValueFromJson(json);

  static const toJsonFactory = _$ValueToJson;
  Map<String, dynamic> toJson() => _$ValueToJson(this);

  @JsonKey(name: 'data')
  final ValueData data;
  static const fromJsonFactory = _$ValueFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is Value &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $ValueExtension on Value {
  Value copyWith({ValueData? data}) {
    return Value(data: data ?? this.data);
  }

  Value copyWithWrapped({Wrapped<ValueData>? data}) {
    return Value(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class ValueData {
  const ValueData({
    required this.value,
  });

  factory ValueData.fromJson(Map<String, dynamic> json) =>
      _$ValueDataFromJson(json);

  static const toJsonFactory = _$ValueDataToJson;
  Map<String, dynamic> toJson() => _$ValueDataToJson(this);

  @JsonKey(name: 'value')
  final double value;
  static const fromJsonFactory = _$ValueDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is ValueData &&
            (identical(other.value, value) ||
                const DeepCollectionEquality().equals(other.value, value)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(value) ^ runtimeType.hashCode;
}

extension $ValueDataExtension on ValueData {
  ValueData copyWith({double? value}) {
    return ValueData(value: value ?? this.value);
  }

  ValueData copyWithWrapped({Wrapped<double>? value}) {
    return ValueData(value: (value != null ? value.value : this.value));
  }
}

@JsonSerializable(explicitToJson: true)
class VideoBlock {
  const VideoBlock({
    required this.displayName,
    required this.id,
    this.totalUsers,
  });

  factory VideoBlock.fromJson(Map<String, dynamic> json) =>
      _$VideoBlockFromJson(json);

  static const toJsonFactory = _$VideoBlockToJson;
  Map<String, dynamic> toJson() => _$VideoBlockToJson(this);

  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'total_users')
  final int? totalUsers;
  static const fromJsonFactory = _$VideoBlockFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is VideoBlock &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.totalUsers, totalUsers) ||
                const DeepCollectionEquality()
                    .equals(other.totalUsers, totalUsers)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(totalUsers) ^
      runtimeType.hashCode;
}

extension $VideoBlockExtension on VideoBlock {
  VideoBlock copyWith({String? displayName, String? id, int? totalUsers}) {
    return VideoBlock(
        displayName: displayName ?? this.displayName,
        id: id ?? this.id,
        totalUsers: totalUsers ?? this.totalUsers);
  }

  VideoBlock copyWithWrapped(
      {Wrapped<String>? displayName,
      Wrapped<String>? id,
      Wrapped<int?>? totalUsers}) {
    return VideoBlock(
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        id: (id != null ? id.value : this.id),
        totalUsers: (totalUsers != null ? totalUsers.value : this.totalUsers));
  }
}

@JsonSerializable(explicitToJson: true)
class VideoEngagementPerCourse {
  const VideoEngagementPerCourse({
    this.data,
    required this.pagination,
  });

  factory VideoEngagementPerCourse.fromJson(Map<String, dynamic> json) =>
      _$VideoEngagementPerCourseFromJson(json);

  static const toJsonFactory = _$VideoEngagementPerCourseToJson;
  Map<String, dynamic> toJson() => _$VideoEngagementPerCourseToJson(this);

  @JsonKey(name: 'data', defaultValue: <VideoEngagementPerCourseData>[])
  final List<VideoEngagementPerCourseData>? data;
  @JsonKey(name: 'pagination')
  final Pagination pagination;
  static const fromJsonFactory = _$VideoEngagementPerCourseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is VideoEngagementPerCourse &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.pagination, pagination) ||
                const DeepCollectionEquality()
                    .equals(other.pagination, pagination)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(pagination) ^
      runtimeType.hashCode;
}

extension $VideoEngagementPerCourseExtension on VideoEngagementPerCourse {
  VideoEngagementPerCourse copyWith(
      {List<VideoEngagementPerCourseData>? data, Pagination? pagination}) {
    return VideoEngagementPerCourse(
        data: data ?? this.data, pagination: pagination ?? this.pagination);
  }

  VideoEngagementPerCourse copyWithWrapped(
      {Wrapped<List<VideoEngagementPerCourseData>?>? data,
      Wrapped<Pagination>? pagination}) {
    return VideoEngagementPerCourse(
        data: (data != null ? data.value : this.data),
        pagination: (pagination != null ? pagination.value : this.pagination));
  }
}

@JsonSerializable(explicitToJson: true)
class VideoEngagementPerCourseData {
  const VideoEngagementPerCourseData({
    required this.name,
    required this.courseId,
    required this.numVids,
    required this.numWatched,
    required this.timeWatched,
    required this.avgPercentWatched,
    required this.avgTimeWatched,
  });

  factory VideoEngagementPerCourseData.fromJson(Map<String, dynamic> json) =>
      _$VideoEngagementPerCourseDataFromJson(json);

  static const toJsonFactory = _$VideoEngagementPerCourseDataToJson;
  Map<String, dynamic> toJson() => _$VideoEngagementPerCourseDataToJson(this);

  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'num_vids')
  final int numVids;
  @JsonKey(name: 'num_watched')
  final int numWatched;
  @JsonKey(name: 'time_watched')
  final int timeWatched;
  @JsonKey(name: 'avg_percent_watched')
  final double avgPercentWatched;
  @JsonKey(name: 'avg_time_watched')
  final double avgTimeWatched;
  static const fromJsonFactory = _$VideoEngagementPerCourseDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is VideoEngagementPerCourseData &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.numVids, numVids) ||
                const DeepCollectionEquality()
                    .equals(other.numVids, numVids)) &&
            (identical(other.numWatched, numWatched) ||
                const DeepCollectionEquality()
                    .equals(other.numWatched, numWatched)) &&
            (identical(other.timeWatched, timeWatched) ||
                const DeepCollectionEquality()
                    .equals(other.timeWatched, timeWatched)) &&
            (identical(other.avgPercentWatched, avgPercentWatched) ||
                const DeepCollectionEquality()
                    .equals(other.avgPercentWatched, avgPercentWatched)) &&
            (identical(other.avgTimeWatched, avgTimeWatched) ||
                const DeepCollectionEquality()
                    .equals(other.avgTimeWatched, avgTimeWatched)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(numVids) ^
      const DeepCollectionEquality().hash(numWatched) ^
      const DeepCollectionEquality().hash(timeWatched) ^
      const DeepCollectionEquality().hash(avgPercentWatched) ^
      const DeepCollectionEquality().hash(avgTimeWatched) ^
      runtimeType.hashCode;
}

extension $VideoEngagementPerCourseDataExtension
    on VideoEngagementPerCourseData {
  VideoEngagementPerCourseData copyWith(
      {String? name,
      String? courseId,
      int? numVids,
      int? numWatched,
      int? timeWatched,
      double? avgPercentWatched,
      double? avgTimeWatched}) {
    return VideoEngagementPerCourseData(
        name: name ?? this.name,
        courseId: courseId ?? this.courseId,
        numVids: numVids ?? this.numVids,
        numWatched: numWatched ?? this.numWatched,
        timeWatched: timeWatched ?? this.timeWatched,
        avgPercentWatched: avgPercentWatched ?? this.avgPercentWatched,
        avgTimeWatched: avgTimeWatched ?? this.avgTimeWatched);
  }

  VideoEngagementPerCourseData copyWithWrapped(
      {Wrapped<String>? name,
      Wrapped<String>? courseId,
      Wrapped<int>? numVids,
      Wrapped<int>? numWatched,
      Wrapped<int>? timeWatched,
      Wrapped<double>? avgPercentWatched,
      Wrapped<double>? avgTimeWatched}) {
    return VideoEngagementPerCourseData(
        name: (name != null ? name.value : this.name),
        courseId: (courseId != null ? courseId.value : this.courseId),
        numVids: (numVids != null ? numVids.value : this.numVids),
        numWatched: (numWatched != null ? numWatched.value : this.numWatched),
        timeWatched:
            (timeWatched != null ? timeWatched.value : this.timeWatched),
        avgPercentWatched: (avgPercentWatched != null
            ? avgPercentWatched.value
            : this.avgPercentWatched),
        avgTimeWatched: (avgTimeWatched != null
            ? avgTimeWatched.value
            : this.avgTimeWatched));
  }
}

@JsonSerializable(explicitToJson: true)
class VideosCount {
  const VideosCount({
    this.data,
  });

  factory VideosCount.fromJson(Map<String, dynamic> json) =>
      _$VideosCountFromJson(json);

  static const toJsonFactory = _$VideosCountToJson;
  Map<String, dynamic> toJson() => _$VideosCountToJson(this);

  @JsonKey(name: 'data')
  final VideosCountData? data;
  static const fromJsonFactory = _$VideosCountFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is VideosCount &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $VideosCountExtension on VideosCount {
  VideosCount copyWith({VideosCountData? data}) {
    return VideosCount(data: data ?? this.data);
  }

  VideosCount copyWithWrapped({Wrapped<VideosCountData?>? data}) {
    return VideosCount(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class VideosCountData {
  const VideosCountData({
    required this.count,
  });

  factory VideosCountData.fromJson(Map<String, dynamic> json) =>
      _$VideosCountDataFromJson(json);

  static const toJsonFactory = _$VideosCountDataToJson;
  Map<String, dynamic> toJson() => _$VideosCountDataToJson(this);

  @JsonKey(name: 'count')
  final String count;
  static const fromJsonFactory = _$VideosCountDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is VideosCountData &&
            (identical(other.count, count) ||
                const DeepCollectionEquality().equals(other.count, count)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(count) ^ runtimeType.hashCode;
}

extension $VideosCountDataExtension on VideosCountData {
  VideosCountData copyWith({String? count}) {
    return VideosCountData(count: count ?? this.count);
  }

  VideosCountData copyWithWrapped({Wrapped<String>? count}) {
    return VideosCountData(count: (count != null ? count.value : this.count));
  }
}

@JsonSerializable(explicitToJson: true)
class VideosInCourseSummary {
  const VideosInCourseSummary({
    this.data,
  });

  factory VideosInCourseSummary.fromJson(Map<String, dynamic> json) =>
      _$VideosInCourseSummaryFromJson(json);

  static const toJsonFactory = _$VideosInCourseSummaryToJson;
  Map<String, dynamic> toJson() => _$VideosInCourseSummaryToJson(this);

  @JsonKey(name: 'data', defaultValue: <VideosInCourseSummaryData>[])
  final List<VideosInCourseSummaryData>? data;
  static const fromJsonFactory = _$VideosInCourseSummaryFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is VideosInCourseSummary &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $VideosInCourseSummaryExtension on VideosInCourseSummary {
  VideosInCourseSummary copyWith({List<VideosInCourseSummaryData>? data}) {
    return VideosInCourseSummary(data: data ?? this.data);
  }

  VideosInCourseSummary copyWithWrapped(
      {Wrapped<List<VideosInCourseSummaryData>?>? data}) {
    return VideosInCourseSummary(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class VideosInCourseSummaryData {
  const VideosInCourseSummaryData({
    required this.displayName,
    required this.id,
    this.subsections,
  });

  factory VideosInCourseSummaryData.fromJson(Map<String, dynamic> json) =>
      _$VideosInCourseSummaryDataFromJson(json);

  static const toJsonFactory = _$VideosInCourseSummaryDataToJson;
  Map<String, dynamic> toJson() => _$VideosInCourseSummaryDataToJson(this);

  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'subsections', defaultValue: <VideosWatchedSubSection>[])
  final List<VideosWatchedSubSection>? subsections;
  static const fromJsonFactory = _$VideosInCourseSummaryDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is VideosInCourseSummaryData &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.subsections, subsections) ||
                const DeepCollectionEquality()
                    .equals(other.subsections, subsections)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(subsections) ^
      runtimeType.hashCode;
}

extension $VideosInCourseSummaryDataExtension on VideosInCourseSummaryData {
  VideosInCourseSummaryData copyWith(
      {String? displayName,
      String? id,
      List<VideosWatchedSubSection>? subsections}) {
    return VideosInCourseSummaryData(
        displayName: displayName ?? this.displayName,
        id: id ?? this.id,
        subsections: subsections ?? this.subsections);
  }

  VideosInCourseSummaryData copyWithWrapped(
      {Wrapped<String>? displayName,
      Wrapped<String>? id,
      Wrapped<List<VideosWatchedSubSection>?>? subsections}) {
    return VideosInCourseSummaryData(
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        id: (id != null ? id.value : this.id),
        subsections:
            (subsections != null ? subsections.value : this.subsections));
  }
}

@JsonSerializable(explicitToJson: true)
class VideosSpecificCourse {
  const VideosSpecificCourse({
    this.data,
  });

  factory VideosSpecificCourse.fromJson(Map<String, dynamic> json) =>
      _$VideosSpecificCourseFromJson(json);

  static const toJsonFactory = _$VideosSpecificCourseToJson;
  Map<String, dynamic> toJson() => _$VideosSpecificCourseToJson(this);

  @JsonKey(name: 'data', defaultValue: <VideosSpecificCourseData>[])
  final List<VideosSpecificCourseData>? data;
  static const fromJsonFactory = _$VideosSpecificCourseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is VideosSpecificCourse &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^ runtimeType.hashCode;
}

extension $VideosSpecificCourseExtension on VideosSpecificCourse {
  VideosSpecificCourse copyWith({List<VideosSpecificCourseData>? data}) {
    return VideosSpecificCourse(data: data ?? this.data);
  }

  VideosSpecificCourse copyWithWrapped(
      {Wrapped<List<VideosSpecificCourseData>?>? data}) {
    return VideosSpecificCourse(data: (data != null ? data.value : this.data));
  }
}

@JsonSerializable(explicitToJson: true)
class VideosSpecificCourseData {
  const VideosSpecificCourseData({
    required this.displayName,
    required this.id,
    required this.duration,
    required this.totalTime,
    required this.totalUsers,
    required this.averageTime,
  });

  factory VideosSpecificCourseData.fromJson(Map<String, dynamic> json) =>
      _$VideosSpecificCourseDataFromJson(json);

  static const toJsonFactory = _$VideosSpecificCourseDataToJson;
  Map<String, dynamic> toJson() => _$VideosSpecificCourseDataToJson(this);

  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'duration')
  final int duration;
  @JsonKey(name: 'total_time')
  final int totalTime;
  @JsonKey(name: 'total_users')
  final int totalUsers;
  @JsonKey(name: 'average_time')
  final double averageTime;
  static const fromJsonFactory = _$VideosSpecificCourseDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is VideosSpecificCourseData &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.duration, duration) ||
                const DeepCollectionEquality()
                    .equals(other.duration, duration)) &&
            (identical(other.totalTime, totalTime) ||
                const DeepCollectionEquality()
                    .equals(other.totalTime, totalTime)) &&
            (identical(other.totalUsers, totalUsers) ||
                const DeepCollectionEquality()
                    .equals(other.totalUsers, totalUsers)) &&
            (identical(other.averageTime, averageTime) ||
                const DeepCollectionEquality()
                    .equals(other.averageTime, averageTime)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(duration) ^
      const DeepCollectionEquality().hash(totalTime) ^
      const DeepCollectionEquality().hash(totalUsers) ^
      const DeepCollectionEquality().hash(averageTime) ^
      runtimeType.hashCode;
}

extension $VideosSpecificCourseDataExtension on VideosSpecificCourseData {
  VideosSpecificCourseData copyWith(
      {String? displayName,
      String? id,
      int? duration,
      int? totalTime,
      int? totalUsers,
      double? averageTime}) {
    return VideosSpecificCourseData(
        displayName: displayName ?? this.displayName,
        id: id ?? this.id,
        duration: duration ?? this.duration,
        totalTime: totalTime ?? this.totalTime,
        totalUsers: totalUsers ?? this.totalUsers,
        averageTime: averageTime ?? this.averageTime);
  }

  VideosSpecificCourseData copyWithWrapped(
      {Wrapped<String>? displayName,
      Wrapped<String>? id,
      Wrapped<int>? duration,
      Wrapped<int>? totalTime,
      Wrapped<int>? totalUsers,
      Wrapped<double>? averageTime}) {
    return VideosSpecificCourseData(
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        id: (id != null ? id.value : this.id),
        duration: (duration != null ? duration.value : this.duration),
        totalTime: (totalTime != null ? totalTime.value : this.totalTime),
        totalUsers: (totalUsers != null ? totalUsers.value : this.totalUsers),
        averageTime:
            (averageTime != null ? averageTime.value : this.averageTime));
  }
}

@JsonSerializable(explicitToJson: true)
class VideosWatchedSubSection {
  const VideosWatchedSubSection({
    required this.displayName,
    required this.id,
    required this.totalWatch,
    this.videos,
  });

  factory VideosWatchedSubSection.fromJson(Map<String, dynamic> json) =>
      _$VideosWatchedSubSectionFromJson(json);

  static const toJsonFactory = _$VideosWatchedSubSectionToJson;
  Map<String, dynamic> toJson() => _$VideosWatchedSubSectionToJson(this);

  @JsonKey(name: 'display_name')
  final String displayName;
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'total_watch')
  final String totalWatch;
  @JsonKey(name: 'videos', defaultValue: <VideoBlock>[])
  final List<VideoBlock>? videos;
  static const fromJsonFactory = _$VideosWatchedSubSectionFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is VideosWatchedSubSection &&
            (identical(other.displayName, displayName) ||
                const DeepCollectionEquality()
                    .equals(other.displayName, displayName)) &&
            (identical(other.id, id) ||
                const DeepCollectionEquality().equals(other.id, id)) &&
            (identical(other.totalWatch, totalWatch) ||
                const DeepCollectionEquality()
                    .equals(other.totalWatch, totalWatch)) &&
            (identical(other.videos, videos) ||
                const DeepCollectionEquality().equals(other.videos, videos)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(displayName) ^
      const DeepCollectionEquality().hash(id) ^
      const DeepCollectionEquality().hash(totalWatch) ^
      const DeepCollectionEquality().hash(videos) ^
      runtimeType.hashCode;
}

extension $VideosWatchedSubSectionExtension on VideosWatchedSubSection {
  VideosWatchedSubSection copyWith(
      {String? displayName,
      String? id,
      String? totalWatch,
      List<VideoBlock>? videos}) {
    return VideosWatchedSubSection(
        displayName: displayName ?? this.displayName,
        id: id ?? this.id,
        totalWatch: totalWatch ?? this.totalWatch,
        videos: videos ?? this.videos);
  }

  VideosWatchedSubSection copyWithWrapped(
      {Wrapped<String>? displayName,
      Wrapped<String>? id,
      Wrapped<String>? totalWatch,
      Wrapped<List<VideoBlock>?>? videos}) {
    return VideosWatchedSubSection(
        displayName:
            (displayName != null ? displayName.value : this.displayName),
        id: (id != null ? id.value : this.id),
        totalWatch: (totalWatch != null ? totalWatch.value : this.totalWatch),
        videos: (videos != null ? videos.value : this.videos));
  }
}

@JsonSerializable(explicitToJson: true)
class WatchedVideosPerCourse {
  const WatchedVideosPerCourse({
    this.data,
    this.total,
  });

  factory WatchedVideosPerCourse.fromJson(Map<String, dynamic> json) =>
      _$WatchedVideosPerCourseFromJson(json);

  static const toJsonFactory = _$WatchedVideosPerCourseToJson;
  Map<String, dynamic> toJson() => _$WatchedVideosPerCourseToJson(this);

  @JsonKey(name: 'data', defaultValue: <WatchedVideosPerCourseData>[])
  final List<WatchedVideosPerCourseData>? data;
  @JsonKey(name: 'total')
  final int? total;
  static const fromJsonFactory = _$WatchedVideosPerCourseFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is WatchedVideosPerCourse &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(total) ^
      runtimeType.hashCode;
}

extension $WatchedVideosPerCourseExtension on WatchedVideosPerCourse {
  WatchedVideosPerCourse copyWith(
      {List<WatchedVideosPerCourseData>? data, int? total}) {
    return WatchedVideosPerCourse(
        data: data ?? this.data, total: total ?? this.total);
  }

  WatchedVideosPerCourse copyWithWrapped(
      {Wrapped<List<WatchedVideosPerCourseData>?>? data,
      Wrapped<int?>? total}) {
    return WatchedVideosPerCourse(
        data: (data != null ? data.value : this.data),
        total: (total != null ? total.value : this.total));
  }
}

@JsonSerializable(explicitToJson: true)
class WatchedVideosPerCourseData {
  const WatchedVideosPerCourseData({
    required this.courseId,
    required this.name,
    required this.count,
    required this.percentage,
  });

  factory WatchedVideosPerCourseData.fromJson(Map<String, dynamic> json) =>
      _$WatchedVideosPerCourseDataFromJson(json);

  static const toJsonFactory = _$WatchedVideosPerCourseDataToJson;
  Map<String, dynamic> toJson() => _$WatchedVideosPerCourseDataToJson(this);

  @JsonKey(name: 'course_id')
  final String courseId;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'count')
  final int count;
  @JsonKey(name: 'percentage')
  final double percentage;
  static const fromJsonFactory = _$WatchedVideosPerCourseDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is WatchedVideosPerCourseData &&
            (identical(other.courseId, courseId) ||
                const DeepCollectionEquality()
                    .equals(other.courseId, courseId)) &&
            (identical(other.name, name) ||
                const DeepCollectionEquality().equals(other.name, name)) &&
            (identical(other.count, count) ||
                const DeepCollectionEquality().equals(other.count, count)) &&
            (identical(other.percentage, percentage) ||
                const DeepCollectionEquality()
                    .equals(other.percentage, percentage)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(courseId) ^
      const DeepCollectionEquality().hash(name) ^
      const DeepCollectionEquality().hash(count) ^
      const DeepCollectionEquality().hash(percentage) ^
      runtimeType.hashCode;
}

extension $WatchedVideosPerCourseDataExtension on WatchedVideosPerCourseData {
  WatchedVideosPerCourseData copyWith(
      {String? courseId, String? name, int? count, double? percentage}) {
    return WatchedVideosPerCourseData(
        courseId: courseId ?? this.courseId,
        name: name ?? this.name,
        count: count ?? this.count,
        percentage: percentage ?? this.percentage);
  }

  WatchedVideosPerCourseData copyWithWrapped(
      {Wrapped<String>? courseId,
      Wrapped<String>? name,
      Wrapped<int>? count,
      Wrapped<double>? percentage}) {
    return WatchedVideosPerCourseData(
        courseId: (courseId != null ? courseId.value : this.courseId),
        name: (name != null ? name.value : this.name),
        count: (count != null ? count.value : this.count),
        percentage: (percentage != null ? percentage.value : this.percentage));
  }
}

@JsonSerializable(explicitToJson: true)
class WatchedVideosPerUser {
  const WatchedVideosPerUser({
    this.data,
    this.total,
  });

  factory WatchedVideosPerUser.fromJson(Map<String, dynamic> json) =>
      _$WatchedVideosPerUserFromJson(json);

  static const toJsonFactory = _$WatchedVideosPerUserToJson;
  Map<String, dynamic> toJson() => _$WatchedVideosPerUserToJson(this);

  @JsonKey(name: 'data', defaultValue: <WatchedVideosPerUserData>[])
  final List<WatchedVideosPerUserData>? data;
  @JsonKey(name: 'total')
  final int? total;
  static const fromJsonFactory = _$WatchedVideosPerUserFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is WatchedVideosPerUser &&
            (identical(other.data, data) ||
                const DeepCollectionEquality().equals(other.data, data)) &&
            (identical(other.total, total) ||
                const DeepCollectionEquality().equals(other.total, total)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(data) ^
      const DeepCollectionEquality().hash(total) ^
      runtimeType.hashCode;
}

extension $WatchedVideosPerUserExtension on WatchedVideosPerUser {
  WatchedVideosPerUser copyWith(
      {List<WatchedVideosPerUserData>? data, int? total}) {
    return WatchedVideosPerUser(
        data: data ?? this.data, total: total ?? this.total);
  }

  WatchedVideosPerUser copyWithWrapped(
      {Wrapped<List<WatchedVideosPerUserData>?>? data, Wrapped<int?>? total}) {
    return WatchedVideosPerUser(
        data: (data != null ? data.value : this.data),
        total: (total != null ? total.value : this.total));
  }
}

@JsonSerializable(explicitToJson: true)
class WatchedVideosPerUserData {
  const WatchedVideosPerUserData({
    required this.username,
    required this.fullName,
    required this.count,
    required this.percentage,
  });

  factory WatchedVideosPerUserData.fromJson(Map<String, dynamic> json) =>
      _$WatchedVideosPerUserDataFromJson(json);

  static const toJsonFactory = _$WatchedVideosPerUserDataToJson;
  Map<String, dynamic> toJson() => _$WatchedVideosPerUserDataToJson(this);

  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'full_name')
  final String fullName;
  @JsonKey(name: 'count')
  final int count;
  @JsonKey(name: 'percentage')
  final double percentage;
  static const fromJsonFactory = _$WatchedVideosPerUserDataFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is WatchedVideosPerUserData &&
            (identical(other.username, username) ||
                const DeepCollectionEquality()
                    .equals(other.username, username)) &&
            (identical(other.fullName, fullName) ||
                const DeepCollectionEquality()
                    .equals(other.fullName, fullName)) &&
            (identical(other.count, count) ||
                const DeepCollectionEquality().equals(other.count, count)) &&
            (identical(other.percentage, percentage) ||
                const DeepCollectionEquality()
                    .equals(other.percentage, percentage)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(username) ^
      const DeepCollectionEquality().hash(fullName) ^
      const DeepCollectionEquality().hash(count) ^
      const DeepCollectionEquality().hash(percentage) ^
      runtimeType.hashCode;
}

extension $WatchedVideosPerUserDataExtension on WatchedVideosPerUserData {
  WatchedVideosPerUserData copyWith(
      {String? username, String? fullName, int? count, double? percentage}) {
    return WatchedVideosPerUserData(
        username: username ?? this.username,
        fullName: fullName ?? this.fullName,
        count: count ?? this.count,
        percentage: percentage ?? this.percentage);
  }

  WatchedVideosPerUserData copyWithWrapped(
      {Wrapped<String>? username,
      Wrapped<String>? fullName,
      Wrapped<int>? count,
      Wrapped<double>? percentage}) {
    return WatchedVideosPerUserData(
        username: (username != null ? username.value : this.username),
        fullName: (fullName != null ? fullName.value : this.fullName),
        count: (count != null ? count.value : this.count),
        percentage: (percentage != null ? percentage.value : this.percentage));
  }
}

@JsonSerializable(explicitToJson: true)
class WebSocketStopGenerationView {
  const WebSocketStopGenerationView({
    required this.detail,
  });

  factory WebSocketStopGenerationView.fromJson(Map<String, dynamic> json) =>
      _$WebSocketStopGenerationViewFromJson(json);

  static const toJsonFactory = _$WebSocketStopGenerationViewToJson;
  Map<String, dynamic> toJson() => _$WebSocketStopGenerationViewToJson(this);

  @JsonKey(name: 'detail')
  final String detail;
  static const fromJsonFactory = _$WebSocketStopGenerationViewFromJson;

  @override
  bool operator ==(dynamic other) {
    return identical(this, other) ||
        (other is WebSocketStopGenerationView &&
            (identical(other.detail, detail) ||
                const DeepCollectionEquality().equals(other.detail, detail)));
  }

  @override
  String toString() => jsonEncode(this);

  @override
  int get hashCode =>
      const DeepCollectionEquality().hash(detail) ^ runtimeType.hashCode;
}

extension $WebSocketStopGenerationViewExtension on WebSocketStopGenerationView {
  WebSocketStopGenerationView copyWith({String? detail}) {
    return WebSocketStopGenerationView(detail: detail ?? this.detail);
  }

  WebSocketStopGenerationView copyWithWrapped({Wrapped<String>? detail}) {
    return WebSocketStopGenerationView(
        detail: (detail != null ? detail.value : this.detail));
  }
}

String? acceptanceEnumNullableToJson(enums.AcceptanceEnum? acceptanceEnum) {
  return acceptanceEnum?.value;
}

String? acceptanceEnumToJson(enums.AcceptanceEnum acceptanceEnum) {
  return acceptanceEnum.value;
}

enums.AcceptanceEnum acceptanceEnumFromJson(
  Object? acceptanceEnum, [
  enums.AcceptanceEnum? defaultValue,
]) {
  return enums.AcceptanceEnum.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          acceptanceEnum?.toString().toLowerCase()) ??
      defaultValue ??
      enums.AcceptanceEnum.swaggerGeneratedUnknown;
}

enums.AcceptanceEnum? acceptanceEnumNullableFromJson(
  Object? acceptanceEnum, [
  enums.AcceptanceEnum? defaultValue,
]) {
  if (acceptanceEnum == null) {
    return null;
  }
  return enums.AcceptanceEnum.values
          .firstWhereOrNull((e) => e.value == acceptanceEnum) ??
      defaultValue;
}

String acceptanceEnumExplodedListToJson(
    List<enums.AcceptanceEnum>? acceptanceEnum) {
  return acceptanceEnum?.map((e) => e.value!).join(',') ?? '';
}

List<String> acceptanceEnumListToJson(
    List<enums.AcceptanceEnum>? acceptanceEnum) {
  if (acceptanceEnum == null) {
    return [];
  }

  return acceptanceEnum.map((e) => e.value!).toList();
}

List<enums.AcceptanceEnum> acceptanceEnumListFromJson(
  List? acceptanceEnum, [
  List<enums.AcceptanceEnum>? defaultValue,
]) {
  if (acceptanceEnum == null) {
    return defaultValue ?? [];
  }

  return acceptanceEnum
      .map((e) => acceptanceEnumFromJson(e.toString()))
      .toList();
}

List<enums.AcceptanceEnum>? acceptanceEnumNullableListFromJson(
  List? acceptanceEnum, [
  List<enums.AcceptanceEnum>? defaultValue,
]) {
  if (acceptanceEnum == null) {
    return defaultValue;
  }

  return acceptanceEnum
      .map((e) => acceptanceEnumFromJson(e.toString()))
      .toList();
}

String? alignMentorBubbleEnumNullableToJson(
    enums.AlignMentorBubbleEnum? alignMentorBubbleEnum) {
  return alignMentorBubbleEnum?.value;
}

String? alignMentorBubbleEnumToJson(
    enums.AlignMentorBubbleEnum alignMentorBubbleEnum) {
  return alignMentorBubbleEnum.value;
}

enums.AlignMentorBubbleEnum alignMentorBubbleEnumFromJson(
  Object? alignMentorBubbleEnum, [
  enums.AlignMentorBubbleEnum? defaultValue,
]) {
  return enums.AlignMentorBubbleEnum.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          alignMentorBubbleEnum?.toString().toLowerCase()) ??
      defaultValue ??
      enums.AlignMentorBubbleEnum.swaggerGeneratedUnknown;
}

enums.AlignMentorBubbleEnum? alignMentorBubbleEnumNullableFromJson(
  Object? alignMentorBubbleEnum, [
  enums.AlignMentorBubbleEnum? defaultValue,
]) {
  if (alignMentorBubbleEnum == null) {
    return null;
  }
  return enums.AlignMentorBubbleEnum.values
          .firstWhereOrNull((e) => e.value == alignMentorBubbleEnum) ??
      defaultValue;
}

String alignMentorBubbleEnumExplodedListToJson(
    List<enums.AlignMentorBubbleEnum>? alignMentorBubbleEnum) {
  return alignMentorBubbleEnum?.map((e) => e.value!).join(',') ?? '';
}

List<String> alignMentorBubbleEnumListToJson(
    List<enums.AlignMentorBubbleEnum>? alignMentorBubbleEnum) {
  if (alignMentorBubbleEnum == null) {
    return [];
  }

  return alignMentorBubbleEnum.map((e) => e.value!).toList();
}

List<enums.AlignMentorBubbleEnum> alignMentorBubbleEnumListFromJson(
  List? alignMentorBubbleEnum, [
  List<enums.AlignMentorBubbleEnum>? defaultValue,
]) {
  if (alignMentorBubbleEnum == null) {
    return defaultValue ?? [];
  }

  return alignMentorBubbleEnum
      .map((e) => alignMentorBubbleEnumFromJson(e.toString()))
      .toList();
}

List<enums.AlignMentorBubbleEnum>? alignMentorBubbleEnumNullableListFromJson(
  List? alignMentorBubbleEnum, [
  List<enums.AlignMentorBubbleEnum>? defaultValue,
]) {
  if (alignMentorBubbleEnum == null) {
    return defaultValue;
  }

  return alignMentorBubbleEnum
      .map((e) => alignMentorBubbleEnumFromJson(e.toString()))
      .toList();
}

String? blankEnumNullableToJson(enums.BlankEnum? blankEnum) {
  return blankEnum?.value;
}

String? blankEnumToJson(enums.BlankEnum blankEnum) {
  return blankEnum.value;
}

enums.BlankEnum blankEnumFromJson(
  Object? blankEnum, [
  enums.BlankEnum? defaultValue,
]) {
  return enums.BlankEnum.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          blankEnum?.toString().toLowerCase()) ??
      defaultValue ??
      enums.BlankEnum.swaggerGeneratedUnknown;
}

enums.BlankEnum? blankEnumNullableFromJson(
  Object? blankEnum, [
  enums.BlankEnum? defaultValue,
]) {
  if (blankEnum == null) {
    return null;
  }
  return enums.BlankEnum.values.firstWhereOrNull((e) => e.value == blankEnum) ??
      defaultValue;
}

String blankEnumExplodedListToJson(List<enums.BlankEnum>? blankEnum) {
  return blankEnum?.map((e) => e.value!).join(',') ?? '';
}

List<String> blankEnumListToJson(List<enums.BlankEnum>? blankEnum) {
  if (blankEnum == null) {
    return [];
  }

  return blankEnum.map((e) => e.value!).toList();
}

List<enums.BlankEnum> blankEnumListFromJson(
  List? blankEnum, [
  List<enums.BlankEnum>? defaultValue,
]) {
  if (blankEnum == null) {
    return defaultValue ?? [];
  }

  return blankEnum.map((e) => blankEnumFromJson(e.toString())).toList();
}

List<enums.BlankEnum>? blankEnumNullableListFromJson(
  List? blankEnum, [
  List<enums.BlankEnum>? defaultValue,
]) {
  if (blankEnum == null) {
    return defaultValue;
  }

  return blankEnum.map((e) => blankEnumFromJson(e.toString())).toList();
}

String? categoryEnumNullableToJson(enums.CategoryEnum? categoryEnum) {
  return categoryEnum?.value;
}

String? categoryEnumToJson(enums.CategoryEnum categoryEnum) {
  return categoryEnum.value;
}

enums.CategoryEnum categoryEnumFromJson(
  Object? categoryEnum, [
  enums.CategoryEnum? defaultValue,
]) {
  return enums.CategoryEnum.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          categoryEnum?.toString().toLowerCase()) ??
      defaultValue ??
      enums.CategoryEnum.swaggerGeneratedUnknown;
}

enums.CategoryEnum? categoryEnumNullableFromJson(
  Object? categoryEnum, [
  enums.CategoryEnum? defaultValue,
]) {
  if (categoryEnum == null) {
    return null;
  }
  return enums.CategoryEnum.values
          .firstWhereOrNull((e) => e.value == categoryEnum) ??
      defaultValue;
}

String categoryEnumExplodedListToJson(List<enums.CategoryEnum>? categoryEnum) {
  return categoryEnum?.map((e) => e.value!).join(',') ?? '';
}

List<String> categoryEnumListToJson(List<enums.CategoryEnum>? categoryEnum) {
  if (categoryEnum == null) {
    return [];
  }

  return categoryEnum.map((e) => e.value!).toList();
}

List<enums.CategoryEnum> categoryEnumListFromJson(
  List? categoryEnum, [
  List<enums.CategoryEnum>? defaultValue,
]) {
  if (categoryEnum == null) {
    return defaultValue ?? [];
  }

  return categoryEnum.map((e) => categoryEnumFromJson(e.toString())).toList();
}

List<enums.CategoryEnum>? categoryEnumNullableListFromJson(
  List? categoryEnum, [
  List<enums.CategoryEnum>? defaultValue,
]) {
  if (categoryEnum == null) {
    return defaultValue;
  }

  return categoryEnum.map((e) => categoryEnumFromJson(e.toString())).toList();
}

String? credentialTypeEnumNullableToJson(
    enums.CredentialTypeEnum? credentialTypeEnum) {
  return credentialTypeEnum?.value;
}

String? credentialTypeEnumToJson(enums.CredentialTypeEnum credentialTypeEnum) {
  return credentialTypeEnum.value;
}

enums.CredentialTypeEnum credentialTypeEnumFromJson(
  Object? credentialTypeEnum, [
  enums.CredentialTypeEnum? defaultValue,
]) {
  return enums.CredentialTypeEnum.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          credentialTypeEnum?.toString().toLowerCase()) ??
      defaultValue ??
      enums.CredentialTypeEnum.swaggerGeneratedUnknown;
}

enums.CredentialTypeEnum? credentialTypeEnumNullableFromJson(
  Object? credentialTypeEnum, [
  enums.CredentialTypeEnum? defaultValue,
]) {
  if (credentialTypeEnum == null) {
    return null;
  }
  return enums.CredentialTypeEnum.values
          .firstWhereOrNull((e) => e.value == credentialTypeEnum) ??
      defaultValue;
}

String credentialTypeEnumExplodedListToJson(
    List<enums.CredentialTypeEnum>? credentialTypeEnum) {
  return credentialTypeEnum?.map((e) => e.value!).join(',') ?? '';
}

List<String> credentialTypeEnumListToJson(
    List<enums.CredentialTypeEnum>? credentialTypeEnum) {
  if (credentialTypeEnum == null) {
    return [];
  }

  return credentialTypeEnum.map((e) => e.value!).toList();
}

List<enums.CredentialTypeEnum> credentialTypeEnumListFromJson(
  List? credentialTypeEnum, [
  List<enums.CredentialTypeEnum>? defaultValue,
]) {
  if (credentialTypeEnum == null) {
    return defaultValue ?? [];
  }

  return credentialTypeEnum
      .map((e) => credentialTypeEnumFromJson(e.toString()))
      .toList();
}

List<enums.CredentialTypeEnum>? credentialTypeEnumNullableListFromJson(
  List? credentialTypeEnum, [
  List<enums.CredentialTypeEnum>? defaultValue,
]) {
  if (credentialTypeEnum == null) {
    return defaultValue;
  }

  return credentialTypeEnum
      .map((e) => credentialTypeEnumFromJson(e.toString()))
      .toList();
}

String? expiresDurationEnumNullableToJson(
    enums.ExpiresDurationEnum? expiresDurationEnum) {
  return expiresDurationEnum?.value;
}

String? expiresDurationEnumToJson(
    enums.ExpiresDurationEnum expiresDurationEnum) {
  return expiresDurationEnum.value;
}

enums.ExpiresDurationEnum expiresDurationEnumFromJson(
  Object? expiresDurationEnum, [
  enums.ExpiresDurationEnum? defaultValue,
]) {
  return enums.ExpiresDurationEnum.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          expiresDurationEnum?.toString().toLowerCase()) ??
      defaultValue ??
      enums.ExpiresDurationEnum.swaggerGeneratedUnknown;
}

enums.ExpiresDurationEnum? expiresDurationEnumNullableFromJson(
  Object? expiresDurationEnum, [
  enums.ExpiresDurationEnum? defaultValue,
]) {
  if (expiresDurationEnum == null) {
    return null;
  }
  return enums.ExpiresDurationEnum.values
          .firstWhereOrNull((e) => e.value == expiresDurationEnum) ??
      defaultValue;
}

String expiresDurationEnumExplodedListToJson(
    List<enums.ExpiresDurationEnum>? expiresDurationEnum) {
  return expiresDurationEnum?.map((e) => e.value!).join(',') ?? '';
}

List<String> expiresDurationEnumListToJson(
    List<enums.ExpiresDurationEnum>? expiresDurationEnum) {
  if (expiresDurationEnum == null) {
    return [];
  }

  return expiresDurationEnum.map((e) => e.value!).toList();
}

List<enums.ExpiresDurationEnum> expiresDurationEnumListFromJson(
  List? expiresDurationEnum, [
  List<enums.ExpiresDurationEnum>? defaultValue,
]) {
  if (expiresDurationEnum == null) {
    return defaultValue ?? [];
  }

  return expiresDurationEnum
      .map((e) => expiresDurationEnumFromJson(e.toString()))
      .toList();
}

List<enums.ExpiresDurationEnum>? expiresDurationEnumNullableListFromJson(
  List? expiresDurationEnum, [
  List<enums.ExpiresDurationEnum>? defaultValue,
]) {
  if (expiresDurationEnum == null) {
    return defaultValue;
  }

  return expiresDurationEnum
      .map((e) => expiresDurationEnumFromJson(e.toString()))
      .toList();
}

String? issuingSignalEnumNullableToJson(
    enums.IssuingSignalEnum? issuingSignalEnum) {
  return issuingSignalEnum?.value;
}

String? issuingSignalEnumToJson(enums.IssuingSignalEnum issuingSignalEnum) {
  return issuingSignalEnum.value;
}

enums.IssuingSignalEnum issuingSignalEnumFromJson(
  Object? issuingSignalEnum, [
  enums.IssuingSignalEnum? defaultValue,
]) {
  return enums.IssuingSignalEnum.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          issuingSignalEnum?.toString().toLowerCase()) ??
      defaultValue ??
      enums.IssuingSignalEnum.swaggerGeneratedUnknown;
}

enums.IssuingSignalEnum? issuingSignalEnumNullableFromJson(
  Object? issuingSignalEnum, [
  enums.IssuingSignalEnum? defaultValue,
]) {
  if (issuingSignalEnum == null) {
    return null;
  }
  return enums.IssuingSignalEnum.values
          .firstWhereOrNull((e) => e.value == issuingSignalEnum) ??
      defaultValue;
}

String issuingSignalEnumExplodedListToJson(
    List<enums.IssuingSignalEnum>? issuingSignalEnum) {
  return issuingSignalEnum?.map((e) => e.value!).join(',') ?? '';
}

List<String> issuingSignalEnumListToJson(
    List<enums.IssuingSignalEnum>? issuingSignalEnum) {
  if (issuingSignalEnum == null) {
    return [];
  }

  return issuingSignalEnum.map((e) => e.value!).toList();
}

List<enums.IssuingSignalEnum> issuingSignalEnumListFromJson(
  List? issuingSignalEnum, [
  List<enums.IssuingSignalEnum>? defaultValue,
]) {
  if (issuingSignalEnum == null) {
    return defaultValue ?? [];
  }

  return issuingSignalEnum
      .map((e) => issuingSignalEnumFromJson(e.toString()))
      .toList();
}

List<enums.IssuingSignalEnum>? issuingSignalEnumNullableListFromJson(
  List? issuingSignalEnum, [
  List<enums.IssuingSignalEnum>? defaultValue,
]) {
  if (issuingSignalEnum == null) {
    return defaultValue;
  }

  return issuingSignalEnum
      .map((e) => issuingSignalEnumFromJson(e.toString()))
      .toList();
}

String? nullEnumNullableToJson(enums.NullEnum? nullEnum) {
  return nullEnum?.value;
}

String? nullEnumToJson(enums.NullEnum nullEnum) {
  return nullEnum.value;
}

enums.NullEnum nullEnumFromJson(
  Object? nullEnum, [
  enums.NullEnum? defaultValue,
]) {
  return enums.NullEnum.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          nullEnum?.toString().toLowerCase()) ??
      defaultValue ??
      enums.NullEnum.swaggerGeneratedUnknown;
}

enums.NullEnum? nullEnumNullableFromJson(
  Object? nullEnum, [
  enums.NullEnum? defaultValue,
]) {
  if (nullEnum == null) {
    return null;
  }
  return enums.NullEnum.values.firstWhereOrNull((e) => e.value == nullEnum) ??
      defaultValue;
}

String nullEnumExplodedListToJson(List<enums.NullEnum>? nullEnum) {
  return nullEnum?.map((e) => e.value!).join(',') ?? '';
}

List<String> nullEnumListToJson(List<enums.NullEnum>? nullEnum) {
  if (nullEnum == null) {
    return [];
  }

  return nullEnum.map((e) => e.value!).toList();
}

List<enums.NullEnum> nullEnumListFromJson(
  List? nullEnum, [
  List<enums.NullEnum>? defaultValue,
]) {
  if (nullEnum == null) {
    return defaultValue ?? [];
  }

  return nullEnum.map((e) => nullEnumFromJson(e.toString())).toList();
}

List<enums.NullEnum>? nullEnumNullableListFromJson(
  List? nullEnum, [
  List<enums.NullEnum>? defaultValue,
]) {
  if (nullEnum == null) {
    return defaultValue;
  }

  return nullEnum.map((e) => nullEnumFromJson(e.toString())).toList();
}

int? ratingEnumNullableToJson(enums.RatingEnum? ratingEnum) {
  return ratingEnum?.value;
}

int? ratingEnumToJson(enums.RatingEnum ratingEnum) {
  return ratingEnum.value;
}

enums.RatingEnum ratingEnumFromJson(
  Object? ratingEnum, [
  enums.RatingEnum? defaultValue,
]) {
  return enums.RatingEnum.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          ratingEnum?.toString().toLowerCase()) ??
      defaultValue ??
      enums.RatingEnum.swaggerGeneratedUnknown;
}

enums.RatingEnum? ratingEnumNullableFromJson(
  Object? ratingEnum, [
  enums.RatingEnum? defaultValue,
]) {
  if (ratingEnum == null) {
    return null;
  }
  return enums.RatingEnum.values
          .firstWhereOrNull((e) => e.value == ratingEnum) ??
      defaultValue;
}

String ratingEnumExplodedListToJson(List<enums.RatingEnum>? ratingEnum) {
  return ratingEnum?.map((e) => e.value!).join(',') ?? '';
}

List<int> ratingEnumListToJson(List<enums.RatingEnum>? ratingEnum) {
  if (ratingEnum == null) {
    return [];
  }

  return ratingEnum.map((e) => e.value!).toList();
}

List<enums.RatingEnum> ratingEnumListFromJson(
  List? ratingEnum, [
  List<enums.RatingEnum>? defaultValue,
]) {
  if (ratingEnum == null) {
    return defaultValue ?? [];
  }

  return ratingEnum.map((e) => ratingEnumFromJson(e.toString())).toList();
}

List<enums.RatingEnum>? ratingEnumNullableListFromJson(
  List? ratingEnum, [
  List<enums.RatingEnum>? defaultValue,
]) {
  if (ratingEnum == null) {
    return defaultValue;
  }

  return ratingEnum.map((e) => ratingEnumFromJson(e.toString())).toList();
}

String? stateEnumNullableToJson(enums.StateEnum? stateEnum) {
  return stateEnum?.value;
}

String? stateEnumToJson(enums.StateEnum stateEnum) {
  return stateEnum.value;
}

enums.StateEnum stateEnumFromJson(
  Object? stateEnum, [
  enums.StateEnum? defaultValue,
]) {
  return enums.StateEnum.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          stateEnum?.toString().toLowerCase()) ??
      defaultValue ??
      enums.StateEnum.swaggerGeneratedUnknown;
}

enums.StateEnum? stateEnumNullableFromJson(
  Object? stateEnum, [
  enums.StateEnum? defaultValue,
]) {
  if (stateEnum == null) {
    return null;
  }
  return enums.StateEnum.values.firstWhereOrNull((e) => e.value == stateEnum) ??
      defaultValue;
}

String stateEnumExplodedListToJson(List<enums.StateEnum>? stateEnum) {
  return stateEnum?.map((e) => e.value!).join(',') ?? '';
}

List<String> stateEnumListToJson(List<enums.StateEnum>? stateEnum) {
  if (stateEnum == null) {
    return [];
  }

  return stateEnum.map((e) => e.value!).toList();
}

List<enums.StateEnum> stateEnumListFromJson(
  List? stateEnum, [
  List<enums.StateEnum>? defaultValue,
]) {
  if (stateEnum == null) {
    return defaultValue ?? [];
  }

  return stateEnum.map((e) => stateEnumFromJson(e.toString())).toList();
}

List<enums.StateEnum>? stateEnumNullableListFromJson(
  List? stateEnum, [
  List<enums.StateEnum>? defaultValue,
]) {
  if (stateEnum == null) {
    return defaultValue;
  }

  return stateEnum.map((e) => stateEnumFromJson(e.toString())).toList();
}

String? themeEnumNullableToJson(enums.ThemeEnum? themeEnum) {
  return themeEnum?.value;
}

String? themeEnumToJson(enums.ThemeEnum themeEnum) {
  return themeEnum.value;
}

enums.ThemeEnum themeEnumFromJson(
  Object? themeEnum, [
  enums.ThemeEnum? defaultValue,
]) {
  return enums.ThemeEnum.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          themeEnum?.toString().toLowerCase()) ??
      defaultValue ??
      enums.ThemeEnum.swaggerGeneratedUnknown;
}

enums.ThemeEnum? themeEnumNullableFromJson(
  Object? themeEnum, [
  enums.ThemeEnum? defaultValue,
]) {
  if (themeEnum == null) {
    return null;
  }
  return enums.ThemeEnum.values.firstWhereOrNull((e) => e.value == themeEnum) ??
      defaultValue;
}

String themeEnumExplodedListToJson(List<enums.ThemeEnum>? themeEnum) {
  return themeEnum?.map((e) => e.value!).join(',') ?? '';
}

List<String> themeEnumListToJson(List<enums.ThemeEnum>? themeEnum) {
  if (themeEnum == null) {
    return [];
  }

  return themeEnum.map((e) => e.value!).toList();
}

List<enums.ThemeEnum> themeEnumListFromJson(
  List? themeEnum, [
  List<enums.ThemeEnum>? defaultValue,
]) {
  if (themeEnum == null) {
    return defaultValue ?? [];
  }

  return themeEnum.map((e) => themeEnumFromJson(e.toString())).toList();
}

List<enums.ThemeEnum>? themeEnumNullableListFromJson(
  List? themeEnum, [
  List<enums.ThemeEnum>? defaultValue,
]) {
  if (themeEnum == null) {
    return defaultValue;
  }

  return themeEnum.map((e) => themeEnumFromJson(e.toString())).toList();
}

String? apiAudienceOrgsOrgActiveUsersOverTimeGetFormatNullableToJson(
    enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat?
        apiAudienceOrgsOrgActiveUsersOverTimeGetFormat) {
  return apiAudienceOrgsOrgActiveUsersOverTimeGetFormat?.value;
}

String? apiAudienceOrgsOrgActiveUsersOverTimeGetFormatToJson(
    enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat
        apiAudienceOrgsOrgActiveUsersOverTimeGetFormat) {
  return apiAudienceOrgsOrgActiveUsersOverTimeGetFormat.value;
}

enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat
    apiAudienceOrgsOrgActiveUsersOverTimeGetFormatFromJson(
  Object? apiAudienceOrgsOrgActiveUsersOverTimeGetFormat, [
  enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat? defaultValue,
]) {
  return enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgActiveUsersOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat?
    apiAudienceOrgsOrgActiveUsersOverTimeGetFormatNullableFromJson(
  Object? apiAudienceOrgsOrgActiveUsersOverTimeGetFormat, [
  enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat? defaultValue,
]) {
  if (apiAudienceOrgsOrgActiveUsersOverTimeGetFormat == null) {
    return null;
  }
  return enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiAudienceOrgsOrgActiveUsersOverTimeGetFormat) ??
      defaultValue;
}

String apiAudienceOrgsOrgActiveUsersOverTimeGetFormatExplodedListToJson(
    List<enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat>?
        apiAudienceOrgsOrgActiveUsersOverTimeGetFormat) {
  return apiAudienceOrgsOrgActiveUsersOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiAudienceOrgsOrgActiveUsersOverTimeGetFormatListToJson(
    List<enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat>?
        apiAudienceOrgsOrgActiveUsersOverTimeGetFormat) {
  if (apiAudienceOrgsOrgActiveUsersOverTimeGetFormat == null) {
    return [];
  }

  return apiAudienceOrgsOrgActiveUsersOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat>
    apiAudienceOrgsOrgActiveUsersOverTimeGetFormatListFromJson(
  List? apiAudienceOrgsOrgActiveUsersOverTimeGetFormat, [
  List<enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgActiveUsersOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgActiveUsersOverTimeGetFormat
      .map((e) =>
          apiAudienceOrgsOrgActiveUsersOverTimeGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat>?
    apiAudienceOrgsOrgActiveUsersOverTimeGetFormatNullableListFromJson(
  List? apiAudienceOrgsOrgActiveUsersOverTimeGetFormat, [
  List<enums.ApiAudienceOrgsOrgActiveUsersOverTimeGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgActiveUsersOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgActiveUsersOverTimeGetFormat
      .map((e) =>
          apiAudienceOrgsOrgActiveUsersOverTimeGetFormatFromJson(e.toString()))
      .toList();
}

String? apiAudienceOrgsOrgActiveUsersPerCourseGetFormatNullableToJson(
    enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat?
        apiAudienceOrgsOrgActiveUsersPerCourseGetFormat) {
  return apiAudienceOrgsOrgActiveUsersPerCourseGetFormat?.value;
}

String? apiAudienceOrgsOrgActiveUsersPerCourseGetFormatToJson(
    enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat
        apiAudienceOrgsOrgActiveUsersPerCourseGetFormat) {
  return apiAudienceOrgsOrgActiveUsersPerCourseGetFormat.value;
}

enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat
    apiAudienceOrgsOrgActiveUsersPerCourseGetFormatFromJson(
  Object? apiAudienceOrgsOrgActiveUsersPerCourseGetFormat, [
  enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat? defaultValue,
]) {
  return enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgActiveUsersPerCourseGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat?
    apiAudienceOrgsOrgActiveUsersPerCourseGetFormatNullableFromJson(
  Object? apiAudienceOrgsOrgActiveUsersPerCourseGetFormat, [
  enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat? defaultValue,
]) {
  if (apiAudienceOrgsOrgActiveUsersPerCourseGetFormat == null) {
    return null;
  }
  return enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiAudienceOrgsOrgActiveUsersPerCourseGetFormat) ??
      defaultValue;
}

String apiAudienceOrgsOrgActiveUsersPerCourseGetFormatExplodedListToJson(
    List<enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat>?
        apiAudienceOrgsOrgActiveUsersPerCourseGetFormat) {
  return apiAudienceOrgsOrgActiveUsersPerCourseGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiAudienceOrgsOrgActiveUsersPerCourseGetFormatListToJson(
    List<enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat>?
        apiAudienceOrgsOrgActiveUsersPerCourseGetFormat) {
  if (apiAudienceOrgsOrgActiveUsersPerCourseGetFormat == null) {
    return [];
  }

  return apiAudienceOrgsOrgActiveUsersPerCourseGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat>
    apiAudienceOrgsOrgActiveUsersPerCourseGetFormatListFromJson(
  List? apiAudienceOrgsOrgActiveUsersPerCourseGetFormat, [
  List<enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgActiveUsersPerCourseGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgActiveUsersPerCourseGetFormat
      .map((e) =>
          apiAudienceOrgsOrgActiveUsersPerCourseGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat>?
    apiAudienceOrgsOrgActiveUsersPerCourseGetFormatNullableListFromJson(
  List? apiAudienceOrgsOrgActiveUsersPerCourseGetFormat, [
  List<enums.ApiAudienceOrgsOrgActiveUsersPerCourseGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgActiveUsersPerCourseGetFormat == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgActiveUsersPerCourseGetFormat
      .map((e) =>
          apiAudienceOrgsOrgActiveUsersPerCourseGetFormatFromJson(e.toString()))
      .toList();
}

String? apiAudienceOrgsOrgActiveUsersUsersGetFormatNullableToJson(
    enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat?
        apiAudienceOrgsOrgActiveUsersUsersGetFormat) {
  return apiAudienceOrgsOrgActiveUsersUsersGetFormat?.value;
}

String? apiAudienceOrgsOrgActiveUsersUsersGetFormatToJson(
    enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat
        apiAudienceOrgsOrgActiveUsersUsersGetFormat) {
  return apiAudienceOrgsOrgActiveUsersUsersGetFormat.value;
}

enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat
    apiAudienceOrgsOrgActiveUsersUsersGetFormatFromJson(
  Object? apiAudienceOrgsOrgActiveUsersUsersGetFormat, [
  enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat? defaultValue,
]) {
  return enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgActiveUsersUsersGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat.swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat?
    apiAudienceOrgsOrgActiveUsersUsersGetFormatNullableFromJson(
  Object? apiAudienceOrgsOrgActiveUsersUsersGetFormat, [
  enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat? defaultValue,
]) {
  if (apiAudienceOrgsOrgActiveUsersUsersGetFormat == null) {
    return null;
  }
  return enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat.values
          .firstWhereOrNull(
              (e) => e.value == apiAudienceOrgsOrgActiveUsersUsersGetFormat) ??
      defaultValue;
}

String apiAudienceOrgsOrgActiveUsersUsersGetFormatExplodedListToJson(
    List<enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat>?
        apiAudienceOrgsOrgActiveUsersUsersGetFormat) {
  return apiAudienceOrgsOrgActiveUsersUsersGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiAudienceOrgsOrgActiveUsersUsersGetFormatListToJson(
    List<enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat>?
        apiAudienceOrgsOrgActiveUsersUsersGetFormat) {
  if (apiAudienceOrgsOrgActiveUsersUsersGetFormat == null) {
    return [];
  }

  return apiAudienceOrgsOrgActiveUsersUsersGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat>
    apiAudienceOrgsOrgActiveUsersUsersGetFormatListFromJson(
  List? apiAudienceOrgsOrgActiveUsersUsersGetFormat, [
  List<enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgActiveUsersUsersGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgActiveUsersUsersGetFormat
      .map((e) =>
          apiAudienceOrgsOrgActiveUsersUsersGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat>?
    apiAudienceOrgsOrgActiveUsersUsersGetFormatNullableListFromJson(
  List? apiAudienceOrgsOrgActiveUsersUsersGetFormat, [
  List<enums.ApiAudienceOrgsOrgActiveUsersUsersGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgActiveUsersUsersGetFormat == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgActiveUsersUsersGetFormat
      .map((e) =>
          apiAudienceOrgsOrgActiveUsersUsersGetFormatFromJson(e.toString()))
      .toList();
}

String?
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActiveNullableToJson(
        enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive?
            apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive) {
  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive?.value;
}

String? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActiveToJson(
    enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive
        apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive) {
  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive.value;
}

enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActiveFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive, [
  enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive?
      defaultValue,
]) {
  return enums
          .ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive
          .swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive?
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActiveNullableFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive, [
  enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive?
      defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive == null) {
    return null;
  }
  return enums
          .ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive) ??
      defaultValue;
}

String
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActiveExplodedListToJson(
        List<
                enums
                .ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive>?
            apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive) {
  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActiveListToJson(
        List<
                enums
                .ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive>?
            apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive == null) {
    return [];
  }

  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive>
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActiveListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive>?
      defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActiveFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive>?
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActiveNullableListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive>?
      defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActive
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetActiveFromJson(
              e.toString()))
      .toList();
}

String?
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormatNullableToJson(
        enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat?
            apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat) {
  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat?.value;
}

String? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormatToJson(
    enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat
        apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat) {
  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat.value;
}

enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormatFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat, [
  enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat?
      defaultValue,
]) {
  return enums
          .ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat?
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormatNullableFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat, [
  enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat?
      defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat == null) {
    return null;
  }
  return enums
          .ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat) ??
      defaultValue;
}

String
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormatExplodedListToJson(
        List<
                enums
                .ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat>?
            apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat) {
  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormatListToJson(
        List<
                enums
                .ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat>?
            apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat == null) {
    return [];
  }

  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat>
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormatListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat>?
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormatNullableListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormat
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

String?
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActiveNullableToJson(
        enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive?
            apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive) {
  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive?.value;
}

String? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActiveToJson(
    enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive
        apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive) {
  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive.value;
}

enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActiveFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive, [
  enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive?
      defaultValue,
]) {
  return enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive
          .swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive?
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActiveNullableFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive, [
  enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive?
      defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive == null) {
    return null;
  }
  return enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive) ??
      defaultValue;
}

String
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActiveExplodedListToJson(
        List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive>?
            apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive) {
  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActiveListToJson(
        List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive>?
            apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive == null) {
    return [];
  }

  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive>
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActiveListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive>?
      defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActiveFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive>?
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActiveNullableListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive>?
      defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActive
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetActiveFromJson(
              e.toString()))
      .toList();
}

String?
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormatNullableToJson(
        enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat?
            apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat) {
  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat?.value;
}

String? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormatToJson(
    enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat
        apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat) {
  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat.value;
}

enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormatFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat, [
  enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat?
      defaultValue,
]) {
  return enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat?
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormatNullableFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat, [
  enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat?
      defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat == null) {
    return null;
  }
  return enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat) ??
      defaultValue;
}

String
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormatExplodedListToJson(
        List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat>?
            apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat) {
  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormatListToJson(
        List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat>?
            apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat == null) {
    return [];
  }

  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat>
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormatListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat>?
      defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat>?
    apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormatNullableListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat>?
      defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormat
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiAudienceOrgsOrgEnrollmentsOverTimeGetActiveNullableToJson(
    enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive?
        apiAudienceOrgsOrgEnrollmentsOverTimeGetActive) {
  return apiAudienceOrgsOrgEnrollmentsOverTimeGetActive?.value;
}

String? apiAudienceOrgsOrgEnrollmentsOverTimeGetActiveToJson(
    enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive
        apiAudienceOrgsOrgEnrollmentsOverTimeGetActive) {
  return apiAudienceOrgsOrgEnrollmentsOverTimeGetActive.value;
}

enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive
    apiAudienceOrgsOrgEnrollmentsOverTimeGetActiveFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsOverTimeGetActive, [
  enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive? defaultValue,
]) {
  return enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgEnrollmentsOverTimeGetActive
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive
          .swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive?
    apiAudienceOrgsOrgEnrollmentsOverTimeGetActiveNullableFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsOverTimeGetActive, [
  enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive? defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsOverTimeGetActive == null) {
    return null;
  }
  return enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive.values
          .firstWhereOrNull((e) =>
              e.value == apiAudienceOrgsOrgEnrollmentsOverTimeGetActive) ??
      defaultValue;
}

String apiAudienceOrgsOrgEnrollmentsOverTimeGetActiveExplodedListToJson(
    List<enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive>?
        apiAudienceOrgsOrgEnrollmentsOverTimeGetActive) {
  return apiAudienceOrgsOrgEnrollmentsOverTimeGetActive
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiAudienceOrgsOrgEnrollmentsOverTimeGetActiveListToJson(
    List<enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive>?
        apiAudienceOrgsOrgEnrollmentsOverTimeGetActive) {
  if (apiAudienceOrgsOrgEnrollmentsOverTimeGetActive == null) {
    return [];
  }

  return apiAudienceOrgsOrgEnrollmentsOverTimeGetActive
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive>
    apiAudienceOrgsOrgEnrollmentsOverTimeGetActiveListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsOverTimeGetActive, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive>? defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsOverTimeGetActive == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgEnrollmentsOverTimeGetActive
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsOverTimeGetActiveFromJson(e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive>?
    apiAudienceOrgsOrgEnrollmentsOverTimeGetActiveNullableListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsOverTimeGetActive, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetActive>? defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsOverTimeGetActive == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgEnrollmentsOverTimeGetActive
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsOverTimeGetActiveFromJson(e.toString()))
      .toList();
}

String? apiAudienceOrgsOrgEnrollmentsOverTimeGetFormatNullableToJson(
    enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat?
        apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat) {
  return apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat?.value;
}

String? apiAudienceOrgsOrgEnrollmentsOverTimeGetFormatToJson(
    enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat
        apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat) {
  return apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat.value;
}

enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat
    apiAudienceOrgsOrgEnrollmentsOverTimeGetFormatFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat, [
  enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat? defaultValue,
]) {
  return enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat?
    apiAudienceOrgsOrgEnrollmentsOverTimeGetFormatNullableFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat, [
  enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat? defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat == null) {
    return null;
  }
  return enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat) ??
      defaultValue;
}

String apiAudienceOrgsOrgEnrollmentsOverTimeGetFormatExplodedListToJson(
    List<enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat>?
        apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat) {
  return apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiAudienceOrgsOrgEnrollmentsOverTimeGetFormatListToJson(
    List<enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat>?
        apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat) {
  if (apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat == null) {
    return [];
  }

  return apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat>
    apiAudienceOrgsOrgEnrollmentsOverTimeGetFormatListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsOverTimeGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat>?
    apiAudienceOrgsOrgEnrollmentsOverTimeGetFormatNullableListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsOverTimeGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgEnrollmentsOverTimeGetFormat
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsOverTimeGetFormatFromJson(e.toString()))
      .toList();
}

String? apiAudienceOrgsOrgEnrollmentsPerCourseGetActiveNullableToJson(
    enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive?
        apiAudienceOrgsOrgEnrollmentsPerCourseGetActive) {
  return apiAudienceOrgsOrgEnrollmentsPerCourseGetActive?.value;
}

String? apiAudienceOrgsOrgEnrollmentsPerCourseGetActiveToJson(
    enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive
        apiAudienceOrgsOrgEnrollmentsPerCourseGetActive) {
  return apiAudienceOrgsOrgEnrollmentsPerCourseGetActive.value;
}

enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive
    apiAudienceOrgsOrgEnrollmentsPerCourseGetActiveFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsPerCourseGetActive, [
  enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive? defaultValue,
]) {
  return enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgEnrollmentsPerCourseGetActive
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive
          .swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive?
    apiAudienceOrgsOrgEnrollmentsPerCourseGetActiveNullableFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsPerCourseGetActive, [
  enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive? defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsPerCourseGetActive == null) {
    return null;
  }
  return enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive.values
          .firstWhereOrNull((e) =>
              e.value == apiAudienceOrgsOrgEnrollmentsPerCourseGetActive) ??
      defaultValue;
}

String apiAudienceOrgsOrgEnrollmentsPerCourseGetActiveExplodedListToJson(
    List<enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive>?
        apiAudienceOrgsOrgEnrollmentsPerCourseGetActive) {
  return apiAudienceOrgsOrgEnrollmentsPerCourseGetActive
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiAudienceOrgsOrgEnrollmentsPerCourseGetActiveListToJson(
    List<enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive>?
        apiAudienceOrgsOrgEnrollmentsPerCourseGetActive) {
  if (apiAudienceOrgsOrgEnrollmentsPerCourseGetActive == null) {
    return [];
  }

  return apiAudienceOrgsOrgEnrollmentsPerCourseGetActive
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive>
    apiAudienceOrgsOrgEnrollmentsPerCourseGetActiveListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsPerCourseGetActive, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive>? defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsPerCourseGetActive == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgEnrollmentsPerCourseGetActive
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsPerCourseGetActiveFromJson(e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive>?
    apiAudienceOrgsOrgEnrollmentsPerCourseGetActiveNullableListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsPerCourseGetActive, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetActive>? defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsPerCourseGetActive == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgEnrollmentsPerCourseGetActive
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsPerCourseGetActiveFromJson(e.toString()))
      .toList();
}

String? apiAudienceOrgsOrgEnrollmentsPerCourseGetFormatNullableToJson(
    enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat?
        apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat) {
  return apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat?.value;
}

String? apiAudienceOrgsOrgEnrollmentsPerCourseGetFormatToJson(
    enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat
        apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat) {
  return apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat.value;
}

enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat
    apiAudienceOrgsOrgEnrollmentsPerCourseGetFormatFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat, [
  enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat? defaultValue,
]) {
  return enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat?
    apiAudienceOrgsOrgEnrollmentsPerCourseGetFormatNullableFromJson(
  Object? apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat, [
  enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat? defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat == null) {
    return null;
  }
  return enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat) ??
      defaultValue;
}

String apiAudienceOrgsOrgEnrollmentsPerCourseGetFormatExplodedListToJson(
    List<enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat>?
        apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat) {
  return apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiAudienceOrgsOrgEnrollmentsPerCourseGetFormatListToJson(
    List<enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat>?
        apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat) {
  if (apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat == null) {
    return [];
  }

  return apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat>
    apiAudienceOrgsOrgEnrollmentsPerCourseGetFormatListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsPerCourseGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat>?
    apiAudienceOrgsOrgEnrollmentsPerCourseGetFormatNullableListFromJson(
  List? apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat, [
  List<enums.ApiAudienceOrgsOrgEnrollmentsPerCourseGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgEnrollmentsPerCourseGetFormat
      .map((e) =>
          apiAudienceOrgsOrgEnrollmentsPerCourseGetFormatFromJson(e.toString()))
      .toList();
}

String? apiAudienceOrgsOrgRegisteredUsersGetFormatNullableToJson(
    enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat?
        apiAudienceOrgsOrgRegisteredUsersGetFormat) {
  return apiAudienceOrgsOrgRegisteredUsersGetFormat?.value;
}

String? apiAudienceOrgsOrgRegisteredUsersGetFormatToJson(
    enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat
        apiAudienceOrgsOrgRegisteredUsersGetFormat) {
  return apiAudienceOrgsOrgRegisteredUsersGetFormat.value;
}

enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat
    apiAudienceOrgsOrgRegisteredUsersGetFormatFromJson(
  Object? apiAudienceOrgsOrgRegisteredUsersGetFormat, [
  enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat? defaultValue,
]) {
  return enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgRegisteredUsersGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat.swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat?
    apiAudienceOrgsOrgRegisteredUsersGetFormatNullableFromJson(
  Object? apiAudienceOrgsOrgRegisteredUsersGetFormat, [
  enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat? defaultValue,
]) {
  if (apiAudienceOrgsOrgRegisteredUsersGetFormat == null) {
    return null;
  }
  return enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat.values
          .firstWhereOrNull(
              (e) => e.value == apiAudienceOrgsOrgRegisteredUsersGetFormat) ??
      defaultValue;
}

String apiAudienceOrgsOrgRegisteredUsersGetFormatExplodedListToJson(
    List<enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat>?
        apiAudienceOrgsOrgRegisteredUsersGetFormat) {
  return apiAudienceOrgsOrgRegisteredUsersGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiAudienceOrgsOrgRegisteredUsersGetFormatListToJson(
    List<enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat>?
        apiAudienceOrgsOrgRegisteredUsersGetFormat) {
  if (apiAudienceOrgsOrgRegisteredUsersGetFormat == null) {
    return [];
  }

  return apiAudienceOrgsOrgRegisteredUsersGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat>
    apiAudienceOrgsOrgRegisteredUsersGetFormatListFromJson(
  List? apiAudienceOrgsOrgRegisteredUsersGetFormat, [
  List<enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgRegisteredUsersGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgRegisteredUsersGetFormat
      .map((e) =>
          apiAudienceOrgsOrgRegisteredUsersGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat>?
    apiAudienceOrgsOrgRegisteredUsersGetFormatNullableListFromJson(
  List? apiAudienceOrgsOrgRegisteredUsersGetFormat, [
  List<enums.ApiAudienceOrgsOrgRegisteredUsersGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgRegisteredUsersGetFormat == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgRegisteredUsersGetFormat
      .map((e) =>
          apiAudienceOrgsOrgRegisteredUsersGetFormatFromJson(e.toString()))
      .toList();
}

String? apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormatNullableToJson(
    enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat?
        apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat) {
  return apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat?.value;
}

String? apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormatToJson(
    enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat
        apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat) {
  return apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat.value;
}

enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat
    apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormatFromJson(
  Object? apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat, [
  enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat? defaultValue,
]) {
  return enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat?
    apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormatNullableFromJson(
  Object? apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat, [
  enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat? defaultValue,
]) {
  if (apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat == null) {
    return null;
  }
  return enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat) ??
      defaultValue;
}

String apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormatExplodedListToJson(
    List<enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat>?
        apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat) {
  return apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormatListToJson(
    List<enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat>?
        apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat) {
  if (apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat == null) {
    return [];
  }

  return apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat>
    apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormatListFromJson(
  List? apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat, [
  List<enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat
      .map((e) => apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormatFromJson(
          e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat>?
    apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormatNullableListFromJson(
  List? apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat, [
  List<enums.ApiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormat
      .map((e) => apiAudienceOrgsOrgRegisteredUsersOverTimeGetFormatFromJson(
          e.toString()))
      .toList();
}

String? apiAudienceOrgsOrgRegisteredUsersPerCourseGetActiveNullableToJson(
    enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive?
        apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive) {
  return apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive?.value;
}

String? apiAudienceOrgsOrgRegisteredUsersPerCourseGetActiveToJson(
    enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive
        apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive) {
  return apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive.value;
}

enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive
    apiAudienceOrgsOrgRegisteredUsersPerCourseGetActiveFromJson(
  Object? apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive, [
  enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive? defaultValue,
]) {
  return enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive
          .swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive?
    apiAudienceOrgsOrgRegisteredUsersPerCourseGetActiveNullableFromJson(
  Object? apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive, [
  enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive? defaultValue,
]) {
  if (apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive == null) {
    return null;
  }
  return enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive.values
          .firstWhereOrNull((e) =>
              e.value == apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive) ??
      defaultValue;
}

String apiAudienceOrgsOrgRegisteredUsersPerCourseGetActiveExplodedListToJson(
    List<enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive>?
        apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive) {
  return apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiAudienceOrgsOrgRegisteredUsersPerCourseGetActiveListToJson(
    List<enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive>?
        apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive) {
  if (apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive == null) {
    return [];
  }

  return apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive>
    apiAudienceOrgsOrgRegisteredUsersPerCourseGetActiveListFromJson(
  List? apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive, [
  List<enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive>? defaultValue,
]) {
  if (apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive
      .map((e) => apiAudienceOrgsOrgRegisteredUsersPerCourseGetActiveFromJson(
          e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive>?
    apiAudienceOrgsOrgRegisteredUsersPerCourseGetActiveNullableListFromJson(
  List? apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive, [
  List<enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetActive>? defaultValue,
]) {
  if (apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgRegisteredUsersPerCourseGetActive
      .map((e) => apiAudienceOrgsOrgRegisteredUsersPerCourseGetActiveFromJson(
          e.toString()))
      .toList();
}

String? apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormatNullableToJson(
    enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat?
        apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat) {
  return apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat?.value;
}

String? apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormatToJson(
    enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat
        apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat) {
  return apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat.value;
}

enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat
    apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormatFromJson(
  Object? apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat, [
  enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat? defaultValue,
]) {
  return enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat?
    apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormatNullableFromJson(
  Object? apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat, [
  enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat? defaultValue,
]) {
  if (apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat == null) {
    return null;
  }
  return enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat) ??
      defaultValue;
}

String apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormatExplodedListToJson(
    List<enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat>?
        apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat) {
  return apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormatListToJson(
    List<enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat>?
        apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat) {
  if (apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat == null) {
    return [];
  }

  return apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat>
    apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormatListFromJson(
  List? apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat, [
  List<enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat
      .map((e) => apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormatFromJson(
          e.toString()))
      .toList();
}

List<enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat>?
    apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormatNullableListFromJson(
  List? apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat, [
  List<enums.ApiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat>? defaultValue,
]) {
  if (apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat == null) {
    return defaultValue;
  }

  return apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormat
      .map((e) => apiAudienceOrgsOrgRegisteredUsersPerCourseGetFormatFromJson(
          e.toString()))
      .toList();
}

String? apiCredentialsOrgsOrgAssertionsGetFormatNullableToJson(
    enums.ApiCredentialsOrgsOrgAssertionsGetFormat?
        apiCredentialsOrgsOrgAssertionsGetFormat) {
  return apiCredentialsOrgsOrgAssertionsGetFormat?.value;
}

String? apiCredentialsOrgsOrgAssertionsGetFormatToJson(
    enums.ApiCredentialsOrgsOrgAssertionsGetFormat
        apiCredentialsOrgsOrgAssertionsGetFormat) {
  return apiCredentialsOrgsOrgAssertionsGetFormat.value;
}

enums.ApiCredentialsOrgsOrgAssertionsGetFormat
    apiCredentialsOrgsOrgAssertionsGetFormatFromJson(
  Object? apiCredentialsOrgsOrgAssertionsGetFormat, [
  enums.ApiCredentialsOrgsOrgAssertionsGetFormat? defaultValue,
]) {
  return enums.ApiCredentialsOrgsOrgAssertionsGetFormat.values.firstWhereOrNull(
          (e) =>
              e.value.toString().toLowerCase() ==
              apiCredentialsOrgsOrgAssertionsGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiCredentialsOrgsOrgAssertionsGetFormat.swaggerGeneratedUnknown;
}

enums.ApiCredentialsOrgsOrgAssertionsGetFormat?
    apiCredentialsOrgsOrgAssertionsGetFormatNullableFromJson(
  Object? apiCredentialsOrgsOrgAssertionsGetFormat, [
  enums.ApiCredentialsOrgsOrgAssertionsGetFormat? defaultValue,
]) {
  if (apiCredentialsOrgsOrgAssertionsGetFormat == null) {
    return null;
  }
  return enums.ApiCredentialsOrgsOrgAssertionsGetFormat.values.firstWhereOrNull(
          (e) => e.value == apiCredentialsOrgsOrgAssertionsGetFormat) ??
      defaultValue;
}

String apiCredentialsOrgsOrgAssertionsGetFormatExplodedListToJson(
    List<enums.ApiCredentialsOrgsOrgAssertionsGetFormat>?
        apiCredentialsOrgsOrgAssertionsGetFormat) {
  return apiCredentialsOrgsOrgAssertionsGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiCredentialsOrgsOrgAssertionsGetFormatListToJson(
    List<enums.ApiCredentialsOrgsOrgAssertionsGetFormat>?
        apiCredentialsOrgsOrgAssertionsGetFormat) {
  if (apiCredentialsOrgsOrgAssertionsGetFormat == null) {
    return [];
  }

  return apiCredentialsOrgsOrgAssertionsGetFormat.map((e) => e.value!).toList();
}

List<enums.ApiCredentialsOrgsOrgAssertionsGetFormat>
    apiCredentialsOrgsOrgAssertionsGetFormatListFromJson(
  List? apiCredentialsOrgsOrgAssertionsGetFormat, [
  List<enums.ApiCredentialsOrgsOrgAssertionsGetFormat>? defaultValue,
]) {
  if (apiCredentialsOrgsOrgAssertionsGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiCredentialsOrgsOrgAssertionsGetFormat
      .map(
          (e) => apiCredentialsOrgsOrgAssertionsGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiCredentialsOrgsOrgAssertionsGetFormat>?
    apiCredentialsOrgsOrgAssertionsGetFormatNullableListFromJson(
  List? apiCredentialsOrgsOrgAssertionsGetFormat, [
  List<enums.ApiCredentialsOrgsOrgAssertionsGetFormat>? defaultValue,
]) {
  if (apiCredentialsOrgsOrgAssertionsGetFormat == null) {
    return defaultValue;
  }

  return apiCredentialsOrgsOrgAssertionsGetFormat
      .map(
          (e) => apiCredentialsOrgsOrgAssertionsGetFormatFromJson(e.toString()))
      .toList();
}

String? apiCredentialsOrgsOrgAssertionsOverTimeGetFormatNullableToJson(
    enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat?
        apiCredentialsOrgsOrgAssertionsOverTimeGetFormat) {
  return apiCredentialsOrgsOrgAssertionsOverTimeGetFormat?.value;
}

String? apiCredentialsOrgsOrgAssertionsOverTimeGetFormatToJson(
    enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat
        apiCredentialsOrgsOrgAssertionsOverTimeGetFormat) {
  return apiCredentialsOrgsOrgAssertionsOverTimeGetFormat.value;
}

enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat
    apiCredentialsOrgsOrgAssertionsOverTimeGetFormatFromJson(
  Object? apiCredentialsOrgsOrgAssertionsOverTimeGetFormat, [
  enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat? defaultValue,
]) {
  return enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiCredentialsOrgsOrgAssertionsOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat?
    apiCredentialsOrgsOrgAssertionsOverTimeGetFormatNullableFromJson(
  Object? apiCredentialsOrgsOrgAssertionsOverTimeGetFormat, [
  enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat? defaultValue,
]) {
  if (apiCredentialsOrgsOrgAssertionsOverTimeGetFormat == null) {
    return null;
  }
  return enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiCredentialsOrgsOrgAssertionsOverTimeGetFormat) ??
      defaultValue;
}

String apiCredentialsOrgsOrgAssertionsOverTimeGetFormatExplodedListToJson(
    List<enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat>?
        apiCredentialsOrgsOrgAssertionsOverTimeGetFormat) {
  return apiCredentialsOrgsOrgAssertionsOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiCredentialsOrgsOrgAssertionsOverTimeGetFormatListToJson(
    List<enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat>?
        apiCredentialsOrgsOrgAssertionsOverTimeGetFormat) {
  if (apiCredentialsOrgsOrgAssertionsOverTimeGetFormat == null) {
    return [];
  }

  return apiCredentialsOrgsOrgAssertionsOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat>
    apiCredentialsOrgsOrgAssertionsOverTimeGetFormatListFromJson(
  List? apiCredentialsOrgsOrgAssertionsOverTimeGetFormat, [
  List<enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat>? defaultValue,
]) {
  if (apiCredentialsOrgsOrgAssertionsOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiCredentialsOrgsOrgAssertionsOverTimeGetFormat
      .map((e) => apiCredentialsOrgsOrgAssertionsOverTimeGetFormatFromJson(
          e.toString()))
      .toList();
}

List<enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat>?
    apiCredentialsOrgsOrgAssertionsOverTimeGetFormatNullableListFromJson(
  List? apiCredentialsOrgsOrgAssertionsOverTimeGetFormat, [
  List<enums.ApiCredentialsOrgsOrgAssertionsOverTimeGetFormat>? defaultValue,
]) {
  if (apiCredentialsOrgsOrgAssertionsOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiCredentialsOrgsOrgAssertionsOverTimeGetFormat
      .map((e) => apiCredentialsOrgsOrgAssertionsOverTimeGetFormatFromJson(
          e.toString()))
      .toList();
}

String? apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormatNullableToJson(
    enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat?
        apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat) {
  return apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat?.value;
}

String? apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormatToJson(
    enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat
        apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat) {
  return apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat.value;
}

enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat
    apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormatFromJson(
  Object? apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat, [
  enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat? defaultValue,
]) {
  return enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat?
    apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormatNullableFromJson(
  Object? apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat, [
  enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat? defaultValue,
]) {
  if (apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat == null) {
    return null;
  }
  return enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat) ??
      defaultValue;
}

String apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormatExplodedListToJson(
    List<enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat>?
        apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat) {
  return apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormatListToJson(
    List<enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat>?
        apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat) {
  if (apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat == null) {
    return [];
  }

  return apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat>
    apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormatListFromJson(
  List? apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat, [
  List<enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat
      .map((e) =>
          apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat>?
    apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormatNullableListFromJson(
  List? apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat, [
  List<enums.ApiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormat
      .map((e) =>
          apiCredentialsOrgsOrgCourseAssertionsOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiCredentialsOrgsOrgCredentialsOverTimeGetFormatNullableToJson(
    enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat?
        apiCredentialsOrgsOrgCredentialsOverTimeGetFormat) {
  return apiCredentialsOrgsOrgCredentialsOverTimeGetFormat?.value;
}

String? apiCredentialsOrgsOrgCredentialsOverTimeGetFormatToJson(
    enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat
        apiCredentialsOrgsOrgCredentialsOverTimeGetFormat) {
  return apiCredentialsOrgsOrgCredentialsOverTimeGetFormat.value;
}

enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat
    apiCredentialsOrgsOrgCredentialsOverTimeGetFormatFromJson(
  Object? apiCredentialsOrgsOrgCredentialsOverTimeGetFormat, [
  enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat? defaultValue,
]) {
  return enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiCredentialsOrgsOrgCredentialsOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat?
    apiCredentialsOrgsOrgCredentialsOverTimeGetFormatNullableFromJson(
  Object? apiCredentialsOrgsOrgCredentialsOverTimeGetFormat, [
  enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat? defaultValue,
]) {
  if (apiCredentialsOrgsOrgCredentialsOverTimeGetFormat == null) {
    return null;
  }
  return enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiCredentialsOrgsOrgCredentialsOverTimeGetFormat) ??
      defaultValue;
}

String apiCredentialsOrgsOrgCredentialsOverTimeGetFormatExplodedListToJson(
    List<enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat>?
        apiCredentialsOrgsOrgCredentialsOverTimeGetFormat) {
  return apiCredentialsOrgsOrgCredentialsOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiCredentialsOrgsOrgCredentialsOverTimeGetFormatListToJson(
    List<enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat>?
        apiCredentialsOrgsOrgCredentialsOverTimeGetFormat) {
  if (apiCredentialsOrgsOrgCredentialsOverTimeGetFormat == null) {
    return [];
  }

  return apiCredentialsOrgsOrgCredentialsOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat>
    apiCredentialsOrgsOrgCredentialsOverTimeGetFormatListFromJson(
  List? apiCredentialsOrgsOrgCredentialsOverTimeGetFormat, [
  List<enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat>? defaultValue,
]) {
  if (apiCredentialsOrgsOrgCredentialsOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiCredentialsOrgsOrgCredentialsOverTimeGetFormat
      .map((e) => apiCredentialsOrgsOrgCredentialsOverTimeGetFormatFromJson(
          e.toString()))
      .toList();
}

List<enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat>?
    apiCredentialsOrgsOrgCredentialsOverTimeGetFormatNullableListFromJson(
  List? apiCredentialsOrgsOrgCredentialsOverTimeGetFormat, [
  List<enums.ApiCredentialsOrgsOrgCredentialsOverTimeGetFormat>? defaultValue,
]) {
  if (apiCredentialsOrgsOrgCredentialsOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiCredentialsOrgsOrgCredentialsOverTimeGetFormat
      .map((e) => apiCredentialsOrgsOrgCredentialsOverTimeGetFormatFromJson(
          e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgActivityGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgActivityGetFormat?
        apiEngagementOrgsOrgActivityGetFormat) {
  return apiEngagementOrgsOrgActivityGetFormat?.value;
}

String? apiEngagementOrgsOrgActivityGetFormatToJson(
    enums.ApiEngagementOrgsOrgActivityGetFormat
        apiEngagementOrgsOrgActivityGetFormat) {
  return apiEngagementOrgsOrgActivityGetFormat.value;
}

enums.ApiEngagementOrgsOrgActivityGetFormat
    apiEngagementOrgsOrgActivityGetFormatFromJson(
  Object? apiEngagementOrgsOrgActivityGetFormat, [
  enums.ApiEngagementOrgsOrgActivityGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgActivityGetFormat.values.firstWhereOrNull(
          (e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgActivityGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgActivityGetFormat.swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgActivityGetFormat?
    apiEngagementOrgsOrgActivityGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgActivityGetFormat, [
  enums.ApiEngagementOrgsOrgActivityGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgActivityGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgActivityGetFormat.values.firstWhereOrNull(
          (e) => e.value == apiEngagementOrgsOrgActivityGetFormat) ??
      defaultValue;
}

String apiEngagementOrgsOrgActivityGetFormatExplodedListToJson(
    List<enums.ApiEngagementOrgsOrgActivityGetFormat>?
        apiEngagementOrgsOrgActivityGetFormat) {
  return apiEngagementOrgsOrgActivityGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiEngagementOrgsOrgActivityGetFormatListToJson(
    List<enums.ApiEngagementOrgsOrgActivityGetFormat>?
        apiEngagementOrgsOrgActivityGetFormat) {
  if (apiEngagementOrgsOrgActivityGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgActivityGetFormat.map((e) => e.value!).toList();
}

List<enums.ApiEngagementOrgsOrgActivityGetFormat>
    apiEngagementOrgsOrgActivityGetFormatListFromJson(
  List? apiEngagementOrgsOrgActivityGetFormat, [
  List<enums.ApiEngagementOrgsOrgActivityGetFormat>? defaultValue,
]) {
  if (apiEngagementOrgsOrgActivityGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgActivityGetFormat
      .map((e) => apiEngagementOrgsOrgActivityGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgActivityGetFormat>?
    apiEngagementOrgsOrgActivityGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgActivityGetFormat, [
  List<enums.ApiEngagementOrgsOrgActivityGetFormat>? defaultValue,
]) {
  if (apiEngagementOrgsOrgActivityGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgActivityGetFormat
      .map((e) => apiEngagementOrgsOrgActivityGetFormatFromJson(e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgCourseCompletionPerCourseGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat?
        apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat) {
  return apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat?.value;
}

String? apiEngagementOrgsOrgCourseCompletionPerCourseGetFormatToJson(
    enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat
        apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat) {
  return apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat.value;
}

enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat
    apiEngagementOrgsOrgCourseCompletionPerCourseGetFormatFromJson(
  Object? apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat, [
  enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat?
    apiEngagementOrgsOrgCourseCompletionPerCourseGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat, [
  enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat) ??
      defaultValue;
}

String apiEngagementOrgsOrgCourseCompletionPerCourseGetFormatExplodedListToJson(
    List<enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat>?
        apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat) {
  return apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiEngagementOrgsOrgCourseCompletionPerCourseGetFormatListToJson(
    List<enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat>?
        apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat) {
  if (apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat>
    apiEngagementOrgsOrgCourseCompletionPerCourseGetFormatListFromJson(
  List? apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat, [
  List<enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCourseCompletionPerCourseGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat>?
    apiEngagementOrgsOrgCourseCompletionPerCourseGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat, [
  List<enums.ApiEngagementOrgsOrgCourseCompletionPerCourseGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgCourseCompletionPerCourseGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCourseCompletionPerCourseGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat?
        apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat?.value;
}

String? apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormatToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat
        apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat.value;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat
    apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormatFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat?
    apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat) ??
      defaultValue;
}

String
    apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormatExplodedListToJson(
        List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat>?
            apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormatListToJson(
    List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat>?
        apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat>
    apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormatListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat>?
    apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdTimeAverageGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat?
        apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat?.value;
}

String? apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormatToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat
        apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat.value;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat
    apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormatFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat?
    apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat) ??
      defaultValue;
}

String apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormatExplodedListToJson(
    List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat>?
        apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormatListToJson(
    List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat>?
        apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat>
    apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormatListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat>?
    apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdTimeDetailGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat?
        apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat?.value;
}

String? apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormatToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat
        apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat.value;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat
    apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormatFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat?
    apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat) ??
      defaultValue;
}

String
    apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormatExplodedListToJson(
        List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat>?
            apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormatListToJson(
    List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat>?
        apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat>
    apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormatListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat>?
    apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat?
        apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat?.value;
}

String? apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormatToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat
        apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat.value;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormatFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat?
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat) ??
      defaultValue;
}

String apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormatExplodedListToJson(
    List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat>?
        apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormatListToJson(
    List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat>?
        apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat>
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormatListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat
      .map((e) => apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormatFromJson(
          e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat>?
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormat
      .map((e) => apiEngagementOrgsOrgCoursesCourseIdTimeUsersGetFormatFromJson(
          e.toString()))
      .toList();
}

String?
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormatNullableToJson(
        enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat?
            apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat
      ?.value;
}

String? apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormatToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat
        apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat
      .value;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormatFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat?
      defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat?
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat ==
      null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value ==
              apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat) ??
      defaultValue;
}

String apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormatExplodedListToJson(
    List<
            enums
            .ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat>?
        apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormatListToJson(
        List<
                enums
                .ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat>?
            apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat ==
      null) {
    return [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat>
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormatListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat ==
      null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat>?
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat ==
      null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGetFormatFromJson(
              e.toString()))
      .toList();
}

String?
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormatNullableToJson(
        enums
            .ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat?
            apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat
      ?.value;
}

String? apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormatToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat
        apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat
      .value;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormatFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat?
      defaultValue,
]) {
  return enums
          .ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat?
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat ==
      null) {
    return null;
  }
  return enums
          .ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value ==
              apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat) ??
      defaultValue;
}

String apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormatExplodedListToJson(
    List<
            enums
            .ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat>?
        apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormatListToJson(
        List<
                enums
                .ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat>?
            apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat ==
      null) {
    return [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat>
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormatListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat, [
  List<
          enums
          .ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat ==
      null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat>?
    apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat, [
  List<
          enums
          .ApiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat ==
      null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgCoursesCourseIdVideosGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat?
        apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat?.value;
}

String? apiEngagementOrgsOrgCoursesCourseIdVideosGetFormatToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat
        apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat.value;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat
    apiEngagementOrgsOrgCoursesCourseIdVideosGetFormatFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat?
    apiEngagementOrgsOrgCoursesCourseIdVideosGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat) ??
      defaultValue;
}

String apiEngagementOrgsOrgCoursesCourseIdVideosGetFormatExplodedListToJson(
    List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat>?
        apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiEngagementOrgsOrgCoursesCourseIdVideosGetFormatListToJson(
    List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat>?
        apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat>
    apiEngagementOrgsOrgCoursesCourseIdVideosGetFormatListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat>? defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat
      .map((e) => apiEngagementOrgsOrgCoursesCourseIdVideosGetFormatFromJson(
          e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat>?
    apiEngagementOrgsOrgCoursesCourseIdVideosGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosGetFormat>? defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgCoursesCourseIdVideosGetFormat
      .map((e) => apiEngagementOrgsOrgCoursesCourseIdVideosGetFormatFromJson(
          e.toString()))
      .toList();
}

String?
    apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormatNullableToJson(
        enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat?
            apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat?.value;
}

String? apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormatToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat
        apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat.value;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat
    apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormatFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat?
      defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat?
    apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat) ??
      defaultValue;
}

String
    apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormatExplodedListToJson(
        List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat>?
            apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormatListToJson(
        List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat>?
            apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat>
    apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormatListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat>?
    apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat?
        apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat?.value;
}

String? apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormatToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat
        apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat.value;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat
    apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormatFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat?
    apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat) ??
      defaultValue;
}

String
    apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormatExplodedListToJson(
        List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat>?
            apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormatListToJson(
        List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat>?
            apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat>
    apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormatListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat>?
    apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat?
        apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat?.value;
}

String? apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormatToJson(
    enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat
        apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat.value;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat
    apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormatFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat?
    apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat, [
  enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat) ??
      defaultValue;
}

String
    apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormatExplodedListToJson(
        List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat>?
            apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat) {
  return apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormatListToJson(
    List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat>?
        apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat>
    apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormatListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat>?
    apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat, [
  List<enums.ApiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormat
      .map((e) =>
          apiEngagementOrgsOrgCoursesCourseIdVideosUsersGetFormatFromJson(
              e.toString()))
      .toList();
}

String?
    apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormatNullableToJson(
        enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat?
            apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat) {
  return apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat?.value;
}

String? apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormatToJson(
    enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat
        apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat) {
  return apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat.value;
}

enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat
    apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormatFromJson(
  Object? apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat, [
  enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat?
      defaultValue,
]) {
  return enums
          .ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat?
    apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat, [
  enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat == null) {
    return null;
  }
  return enums
          .ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat) ??
      defaultValue;
}

String
    apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormatExplodedListToJson(
        List<enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat>?
            apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat) {
  return apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormatListToJson(
        List<enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat>?
            apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat) {
  if (apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat>
    apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormatListFromJson(
  List? apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat, [
  List<enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat
      .map((e) =>
          apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat>?
    apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat, [
  List<enums.ApiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormat
      .map((e) =>
          apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat?
        apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat) {
  return apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat?.value;
}

String? apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormatToJson(
    enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat
        apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat) {
  return apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat.value;
}

enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat
    apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormatFromJson(
  Object? apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat, [
  enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat?
    apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat, [
  enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat) ??
      defaultValue;
}

String apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormatExplodedListToJson(
    List<enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat>?
        apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat) {
  return apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormatListToJson(
    List<enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat>?
        apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat) {
  if (apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat>
    apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormatListFromJson(
  List? apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat, [
  List<enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat
      .map((e) => apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormatFromJson(
          e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat>?
    apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat, [
  List<enums.ApiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormat
      .map((e) => apiEngagementOrgsOrgTimeAverageWithOverTimeGetFormatFromJson(
          e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgTimeOverTimeGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat?
        apiEngagementOrgsOrgTimeOverTimeGetFormat) {
  return apiEngagementOrgsOrgTimeOverTimeGetFormat?.value;
}

String? apiEngagementOrgsOrgTimeOverTimeGetFormatToJson(
    enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat
        apiEngagementOrgsOrgTimeOverTimeGetFormat) {
  return apiEngagementOrgsOrgTimeOverTimeGetFormat.value;
}

enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat
    apiEngagementOrgsOrgTimeOverTimeGetFormatFromJson(
  Object? apiEngagementOrgsOrgTimeOverTimeGetFormat, [
  enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgTimeOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat.swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat?
    apiEngagementOrgsOrgTimeOverTimeGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgTimeOverTimeGetFormat, [
  enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgTimeOverTimeGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat.values
          .firstWhereOrNull(
              (e) => e.value == apiEngagementOrgsOrgTimeOverTimeGetFormat) ??
      defaultValue;
}

String apiEngagementOrgsOrgTimeOverTimeGetFormatExplodedListToJson(
    List<enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat>?
        apiEngagementOrgsOrgTimeOverTimeGetFormat) {
  return apiEngagementOrgsOrgTimeOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiEngagementOrgsOrgTimeOverTimeGetFormatListToJson(
    List<enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat>?
        apiEngagementOrgsOrgTimeOverTimeGetFormat) {
  if (apiEngagementOrgsOrgTimeOverTimeGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgTimeOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat>
    apiEngagementOrgsOrgTimeOverTimeGetFormatListFromJson(
  List? apiEngagementOrgsOrgTimeOverTimeGetFormat, [
  List<enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat>? defaultValue,
]) {
  if (apiEngagementOrgsOrgTimeOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgTimeOverTimeGetFormat
      .map((e) =>
          apiEngagementOrgsOrgTimeOverTimeGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat>?
    apiEngagementOrgsOrgTimeOverTimeGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgTimeOverTimeGetFormat, [
  List<enums.ApiEngagementOrgsOrgTimeOverTimeGetFormat>? defaultValue,
]) {
  if (apiEngagementOrgsOrgTimeOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgTimeOverTimeGetFormat
      .map((e) =>
          apiEngagementOrgsOrgTimeOverTimeGetFormatFromJson(e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgTimePerCourseGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgTimePerCourseGetFormat?
        apiEngagementOrgsOrgTimePerCourseGetFormat) {
  return apiEngagementOrgsOrgTimePerCourseGetFormat?.value;
}

String? apiEngagementOrgsOrgTimePerCourseGetFormatToJson(
    enums.ApiEngagementOrgsOrgTimePerCourseGetFormat
        apiEngagementOrgsOrgTimePerCourseGetFormat) {
  return apiEngagementOrgsOrgTimePerCourseGetFormat.value;
}

enums.ApiEngagementOrgsOrgTimePerCourseGetFormat
    apiEngagementOrgsOrgTimePerCourseGetFormatFromJson(
  Object? apiEngagementOrgsOrgTimePerCourseGetFormat, [
  enums.ApiEngagementOrgsOrgTimePerCourseGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgTimePerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgTimePerCourseGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgTimePerCourseGetFormat.swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgTimePerCourseGetFormat?
    apiEngagementOrgsOrgTimePerCourseGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgTimePerCourseGetFormat, [
  enums.ApiEngagementOrgsOrgTimePerCourseGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgTimePerCourseGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgTimePerCourseGetFormat.values
          .firstWhereOrNull(
              (e) => e.value == apiEngagementOrgsOrgTimePerCourseGetFormat) ??
      defaultValue;
}

String apiEngagementOrgsOrgTimePerCourseGetFormatExplodedListToJson(
    List<enums.ApiEngagementOrgsOrgTimePerCourseGetFormat>?
        apiEngagementOrgsOrgTimePerCourseGetFormat) {
  return apiEngagementOrgsOrgTimePerCourseGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiEngagementOrgsOrgTimePerCourseGetFormatListToJson(
    List<enums.ApiEngagementOrgsOrgTimePerCourseGetFormat>?
        apiEngagementOrgsOrgTimePerCourseGetFormat) {
  if (apiEngagementOrgsOrgTimePerCourseGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgTimePerCourseGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgTimePerCourseGetFormat>
    apiEngagementOrgsOrgTimePerCourseGetFormatListFromJson(
  List? apiEngagementOrgsOrgTimePerCourseGetFormat, [
  List<enums.ApiEngagementOrgsOrgTimePerCourseGetFormat>? defaultValue,
]) {
  if (apiEngagementOrgsOrgTimePerCourseGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgTimePerCourseGetFormat
      .map((e) =>
          apiEngagementOrgsOrgTimePerCourseGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgTimePerCourseGetFormat>?
    apiEngagementOrgsOrgTimePerCourseGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgTimePerCourseGetFormat, [
  List<enums.ApiEngagementOrgsOrgTimePerCourseGetFormat>? defaultValue,
]) {
  if (apiEngagementOrgsOrgTimePerCourseGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgTimePerCourseGetFormat
      .map((e) =>
          apiEngagementOrgsOrgTimePerCourseGetFormatFromJson(e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgVideosGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgVideosGetFormat?
        apiEngagementOrgsOrgVideosGetFormat) {
  return apiEngagementOrgsOrgVideosGetFormat?.value;
}

String? apiEngagementOrgsOrgVideosGetFormatToJson(
    enums.ApiEngagementOrgsOrgVideosGetFormat
        apiEngagementOrgsOrgVideosGetFormat) {
  return apiEngagementOrgsOrgVideosGetFormat.value;
}

enums.ApiEngagementOrgsOrgVideosGetFormat
    apiEngagementOrgsOrgVideosGetFormatFromJson(
  Object? apiEngagementOrgsOrgVideosGetFormat, [
  enums.ApiEngagementOrgsOrgVideosGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgVideosGetFormat.values.firstWhereOrNull(
          (e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgVideosGetFormat?.toString().toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgVideosGetFormat.swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgVideosGetFormat?
    apiEngagementOrgsOrgVideosGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgVideosGetFormat, [
  enums.ApiEngagementOrgsOrgVideosGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgVideosGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgVideosGetFormat.values.firstWhereOrNull(
          (e) => e.value == apiEngagementOrgsOrgVideosGetFormat) ??
      defaultValue;
}

String apiEngagementOrgsOrgVideosGetFormatExplodedListToJson(
    List<enums.ApiEngagementOrgsOrgVideosGetFormat>?
        apiEngagementOrgsOrgVideosGetFormat) {
  return apiEngagementOrgsOrgVideosGetFormat?.map((e) => e.value!).join(',') ??
      '';
}

List<String> apiEngagementOrgsOrgVideosGetFormatListToJson(
    List<enums.ApiEngagementOrgsOrgVideosGetFormat>?
        apiEngagementOrgsOrgVideosGetFormat) {
  if (apiEngagementOrgsOrgVideosGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgVideosGetFormat.map((e) => e.value!).toList();
}

List<enums.ApiEngagementOrgsOrgVideosGetFormat>
    apiEngagementOrgsOrgVideosGetFormatListFromJson(
  List? apiEngagementOrgsOrgVideosGetFormat, [
  List<enums.ApiEngagementOrgsOrgVideosGetFormat>? defaultValue,
]) {
  if (apiEngagementOrgsOrgVideosGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgVideosGetFormat
      .map((e) => apiEngagementOrgsOrgVideosGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgVideosGetFormat>?
    apiEngagementOrgsOrgVideosGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgVideosGetFormat, [
  List<enums.ApiEngagementOrgsOrgVideosGetFormat>? defaultValue,
]) {
  if (apiEngagementOrgsOrgVideosGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgVideosGetFormat
      .map((e) => apiEngagementOrgsOrgVideosGetFormatFromJson(e.toString()))
      .toList();
}

String? apiEngagementOrgsOrgVideosOverTimeGetFormatNullableToJson(
    enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat?
        apiEngagementOrgsOrgVideosOverTimeGetFormat) {
  return apiEngagementOrgsOrgVideosOverTimeGetFormat?.value;
}

String? apiEngagementOrgsOrgVideosOverTimeGetFormatToJson(
    enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat
        apiEngagementOrgsOrgVideosOverTimeGetFormat) {
  return apiEngagementOrgsOrgVideosOverTimeGetFormat.value;
}

enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat
    apiEngagementOrgsOrgVideosOverTimeGetFormatFromJson(
  Object? apiEngagementOrgsOrgVideosOverTimeGetFormat, [
  enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat? defaultValue,
]) {
  return enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiEngagementOrgsOrgVideosOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat.swaggerGeneratedUnknown;
}

enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat?
    apiEngagementOrgsOrgVideosOverTimeGetFormatNullableFromJson(
  Object? apiEngagementOrgsOrgVideosOverTimeGetFormat, [
  enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat? defaultValue,
]) {
  if (apiEngagementOrgsOrgVideosOverTimeGetFormat == null) {
    return null;
  }
  return enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat.values
          .firstWhereOrNull(
              (e) => e.value == apiEngagementOrgsOrgVideosOverTimeGetFormat) ??
      defaultValue;
}

String apiEngagementOrgsOrgVideosOverTimeGetFormatExplodedListToJson(
    List<enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat>?
        apiEngagementOrgsOrgVideosOverTimeGetFormat) {
  return apiEngagementOrgsOrgVideosOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiEngagementOrgsOrgVideosOverTimeGetFormatListToJson(
    List<enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat>?
        apiEngagementOrgsOrgVideosOverTimeGetFormat) {
  if (apiEngagementOrgsOrgVideosOverTimeGetFormat == null) {
    return [];
  }

  return apiEngagementOrgsOrgVideosOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat>
    apiEngagementOrgsOrgVideosOverTimeGetFormatListFromJson(
  List? apiEngagementOrgsOrgVideosOverTimeGetFormat, [
  List<enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat>? defaultValue,
]) {
  if (apiEngagementOrgsOrgVideosOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiEngagementOrgsOrgVideosOverTimeGetFormat
      .map((e) =>
          apiEngagementOrgsOrgVideosOverTimeGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat>?
    apiEngagementOrgsOrgVideosOverTimeGetFormatNullableListFromJson(
  List? apiEngagementOrgsOrgVideosOverTimeGetFormat, [
  List<enums.ApiEngagementOrgsOrgVideosOverTimeGetFormat>? defaultValue,
]) {
  if (apiEngagementOrgsOrgVideosOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiEngagementOrgsOrgVideosOverTimeGetFormat
      .map((e) =>
          apiEngagementOrgsOrgVideosOverTimeGetFormatFromJson(e.toString()))
      .toList();
}

String? apiOverviewOrgsOrgActiveUsersGetFormatNullableToJson(
    enums.ApiOverviewOrgsOrgActiveUsersGetFormat?
        apiOverviewOrgsOrgActiveUsersGetFormat) {
  return apiOverviewOrgsOrgActiveUsersGetFormat?.value;
}

String? apiOverviewOrgsOrgActiveUsersGetFormatToJson(
    enums.ApiOverviewOrgsOrgActiveUsersGetFormat
        apiOverviewOrgsOrgActiveUsersGetFormat) {
  return apiOverviewOrgsOrgActiveUsersGetFormat.value;
}

enums.ApiOverviewOrgsOrgActiveUsersGetFormat
    apiOverviewOrgsOrgActiveUsersGetFormatFromJson(
  Object? apiOverviewOrgsOrgActiveUsersGetFormat, [
  enums.ApiOverviewOrgsOrgActiveUsersGetFormat? defaultValue,
]) {
  return enums.ApiOverviewOrgsOrgActiveUsersGetFormat.values.firstWhereOrNull(
          (e) =>
              e.value.toString().toLowerCase() ==
              apiOverviewOrgsOrgActiveUsersGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiOverviewOrgsOrgActiveUsersGetFormat.swaggerGeneratedUnknown;
}

enums.ApiOverviewOrgsOrgActiveUsersGetFormat?
    apiOverviewOrgsOrgActiveUsersGetFormatNullableFromJson(
  Object? apiOverviewOrgsOrgActiveUsersGetFormat, [
  enums.ApiOverviewOrgsOrgActiveUsersGetFormat? defaultValue,
]) {
  if (apiOverviewOrgsOrgActiveUsersGetFormat == null) {
    return null;
  }
  return enums.ApiOverviewOrgsOrgActiveUsersGetFormat.values.firstWhereOrNull(
          (e) => e.value == apiOverviewOrgsOrgActiveUsersGetFormat) ??
      defaultValue;
}

String apiOverviewOrgsOrgActiveUsersGetFormatExplodedListToJson(
    List<enums.ApiOverviewOrgsOrgActiveUsersGetFormat>?
        apiOverviewOrgsOrgActiveUsersGetFormat) {
  return apiOverviewOrgsOrgActiveUsersGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiOverviewOrgsOrgActiveUsersGetFormatListToJson(
    List<enums.ApiOverviewOrgsOrgActiveUsersGetFormat>?
        apiOverviewOrgsOrgActiveUsersGetFormat) {
  if (apiOverviewOrgsOrgActiveUsersGetFormat == null) {
    return [];
  }

  return apiOverviewOrgsOrgActiveUsersGetFormat.map((e) => e.value!).toList();
}

List<enums.ApiOverviewOrgsOrgActiveUsersGetFormat>
    apiOverviewOrgsOrgActiveUsersGetFormatListFromJson(
  List? apiOverviewOrgsOrgActiveUsersGetFormat, [
  List<enums.ApiOverviewOrgsOrgActiveUsersGetFormat>? defaultValue,
]) {
  if (apiOverviewOrgsOrgActiveUsersGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiOverviewOrgsOrgActiveUsersGetFormat
      .map((e) => apiOverviewOrgsOrgActiveUsersGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiOverviewOrgsOrgActiveUsersGetFormat>?
    apiOverviewOrgsOrgActiveUsersGetFormatNullableListFromJson(
  List? apiOverviewOrgsOrgActiveUsersGetFormat, [
  List<enums.ApiOverviewOrgsOrgActiveUsersGetFormat>? defaultValue,
]) {
  if (apiOverviewOrgsOrgActiveUsersGetFormat == null) {
    return defaultValue;
  }

  return apiOverviewOrgsOrgActiveUsersGetFormat
      .map((e) => apiOverviewOrgsOrgActiveUsersGetFormatFromJson(e.toString()))
      .toList();
}

String? apiOverviewOrgsOrgAverageGradeGetFormatNullableToJson(
    enums.ApiOverviewOrgsOrgAverageGradeGetFormat?
        apiOverviewOrgsOrgAverageGradeGetFormat) {
  return apiOverviewOrgsOrgAverageGradeGetFormat?.value;
}

String? apiOverviewOrgsOrgAverageGradeGetFormatToJson(
    enums.ApiOverviewOrgsOrgAverageGradeGetFormat
        apiOverviewOrgsOrgAverageGradeGetFormat) {
  return apiOverviewOrgsOrgAverageGradeGetFormat.value;
}

enums.ApiOverviewOrgsOrgAverageGradeGetFormat
    apiOverviewOrgsOrgAverageGradeGetFormatFromJson(
  Object? apiOverviewOrgsOrgAverageGradeGetFormat, [
  enums.ApiOverviewOrgsOrgAverageGradeGetFormat? defaultValue,
]) {
  return enums.ApiOverviewOrgsOrgAverageGradeGetFormat.values.firstWhereOrNull(
          (e) =>
              e.value.toString().toLowerCase() ==
              apiOverviewOrgsOrgAverageGradeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiOverviewOrgsOrgAverageGradeGetFormat.swaggerGeneratedUnknown;
}

enums.ApiOverviewOrgsOrgAverageGradeGetFormat?
    apiOverviewOrgsOrgAverageGradeGetFormatNullableFromJson(
  Object? apiOverviewOrgsOrgAverageGradeGetFormat, [
  enums.ApiOverviewOrgsOrgAverageGradeGetFormat? defaultValue,
]) {
  if (apiOverviewOrgsOrgAverageGradeGetFormat == null) {
    return null;
  }
  return enums.ApiOverviewOrgsOrgAverageGradeGetFormat.values.firstWhereOrNull(
          (e) => e.value == apiOverviewOrgsOrgAverageGradeGetFormat) ??
      defaultValue;
}

String apiOverviewOrgsOrgAverageGradeGetFormatExplodedListToJson(
    List<enums.ApiOverviewOrgsOrgAverageGradeGetFormat>?
        apiOverviewOrgsOrgAverageGradeGetFormat) {
  return apiOverviewOrgsOrgAverageGradeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiOverviewOrgsOrgAverageGradeGetFormatListToJson(
    List<enums.ApiOverviewOrgsOrgAverageGradeGetFormat>?
        apiOverviewOrgsOrgAverageGradeGetFormat) {
  if (apiOverviewOrgsOrgAverageGradeGetFormat == null) {
    return [];
  }

  return apiOverviewOrgsOrgAverageGradeGetFormat.map((e) => e.value!).toList();
}

List<enums.ApiOverviewOrgsOrgAverageGradeGetFormat>
    apiOverviewOrgsOrgAverageGradeGetFormatListFromJson(
  List? apiOverviewOrgsOrgAverageGradeGetFormat, [
  List<enums.ApiOverviewOrgsOrgAverageGradeGetFormat>? defaultValue,
]) {
  if (apiOverviewOrgsOrgAverageGradeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiOverviewOrgsOrgAverageGradeGetFormat
      .map((e) => apiOverviewOrgsOrgAverageGradeGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiOverviewOrgsOrgAverageGradeGetFormat>?
    apiOverviewOrgsOrgAverageGradeGetFormatNullableListFromJson(
  List? apiOverviewOrgsOrgAverageGradeGetFormat, [
  List<enums.ApiOverviewOrgsOrgAverageGradeGetFormat>? defaultValue,
]) {
  if (apiOverviewOrgsOrgAverageGradeGetFormat == null) {
    return defaultValue;
  }

  return apiOverviewOrgsOrgAverageGradeGetFormat
      .map((e) => apiOverviewOrgsOrgAverageGradeGetFormatFromJson(e.toString()))
      .toList();
}

String? apiOverviewOrgsOrgCoursesCompletionsGetFormatNullableToJson(
    enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat?
        apiOverviewOrgsOrgCoursesCompletionsGetFormat) {
  return apiOverviewOrgsOrgCoursesCompletionsGetFormat?.value;
}

String? apiOverviewOrgsOrgCoursesCompletionsGetFormatToJson(
    enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat
        apiOverviewOrgsOrgCoursesCompletionsGetFormat) {
  return apiOverviewOrgsOrgCoursesCompletionsGetFormat.value;
}

enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat
    apiOverviewOrgsOrgCoursesCompletionsGetFormatFromJson(
  Object? apiOverviewOrgsOrgCoursesCompletionsGetFormat, [
  enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat? defaultValue,
]) {
  return enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiOverviewOrgsOrgCoursesCompletionsGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat?
    apiOverviewOrgsOrgCoursesCompletionsGetFormatNullableFromJson(
  Object? apiOverviewOrgsOrgCoursesCompletionsGetFormat, [
  enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat? defaultValue,
]) {
  if (apiOverviewOrgsOrgCoursesCompletionsGetFormat == null) {
    return null;
  }
  return enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiOverviewOrgsOrgCoursesCompletionsGetFormat) ??
      defaultValue;
}

String apiOverviewOrgsOrgCoursesCompletionsGetFormatExplodedListToJson(
    List<enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat>?
        apiOverviewOrgsOrgCoursesCompletionsGetFormat) {
  return apiOverviewOrgsOrgCoursesCompletionsGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiOverviewOrgsOrgCoursesCompletionsGetFormatListToJson(
    List<enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat>?
        apiOverviewOrgsOrgCoursesCompletionsGetFormat) {
  if (apiOverviewOrgsOrgCoursesCompletionsGetFormat == null) {
    return [];
  }

  return apiOverviewOrgsOrgCoursesCompletionsGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat>
    apiOverviewOrgsOrgCoursesCompletionsGetFormatListFromJson(
  List? apiOverviewOrgsOrgCoursesCompletionsGetFormat, [
  List<enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat>? defaultValue,
]) {
  if (apiOverviewOrgsOrgCoursesCompletionsGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiOverviewOrgsOrgCoursesCompletionsGetFormat
      .map((e) =>
          apiOverviewOrgsOrgCoursesCompletionsGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat>?
    apiOverviewOrgsOrgCoursesCompletionsGetFormatNullableListFromJson(
  List? apiOverviewOrgsOrgCoursesCompletionsGetFormat, [
  List<enums.ApiOverviewOrgsOrgCoursesCompletionsGetFormat>? defaultValue,
]) {
  if (apiOverviewOrgsOrgCoursesCompletionsGetFormat == null) {
    return defaultValue;
  }

  return apiOverviewOrgsOrgCoursesCompletionsGetFormat
      .map((e) =>
          apiOverviewOrgsOrgCoursesCompletionsGetFormatFromJson(e.toString()))
      .toList();
}

String? apiOverviewOrgsOrgLearnersGetFormatNullableToJson(
    enums.ApiOverviewOrgsOrgLearnersGetFormat?
        apiOverviewOrgsOrgLearnersGetFormat) {
  return apiOverviewOrgsOrgLearnersGetFormat?.value;
}

String? apiOverviewOrgsOrgLearnersGetFormatToJson(
    enums.ApiOverviewOrgsOrgLearnersGetFormat
        apiOverviewOrgsOrgLearnersGetFormat) {
  return apiOverviewOrgsOrgLearnersGetFormat.value;
}

enums.ApiOverviewOrgsOrgLearnersGetFormat
    apiOverviewOrgsOrgLearnersGetFormatFromJson(
  Object? apiOverviewOrgsOrgLearnersGetFormat, [
  enums.ApiOverviewOrgsOrgLearnersGetFormat? defaultValue,
]) {
  return enums.ApiOverviewOrgsOrgLearnersGetFormat.values.firstWhereOrNull(
          (e) =>
              e.value.toString().toLowerCase() ==
              apiOverviewOrgsOrgLearnersGetFormat?.toString().toLowerCase()) ??
      defaultValue ??
      enums.ApiOverviewOrgsOrgLearnersGetFormat.swaggerGeneratedUnknown;
}

enums.ApiOverviewOrgsOrgLearnersGetFormat?
    apiOverviewOrgsOrgLearnersGetFormatNullableFromJson(
  Object? apiOverviewOrgsOrgLearnersGetFormat, [
  enums.ApiOverviewOrgsOrgLearnersGetFormat? defaultValue,
]) {
  if (apiOverviewOrgsOrgLearnersGetFormat == null) {
    return null;
  }
  return enums.ApiOverviewOrgsOrgLearnersGetFormat.values.firstWhereOrNull(
          (e) => e.value == apiOverviewOrgsOrgLearnersGetFormat) ??
      defaultValue;
}

String apiOverviewOrgsOrgLearnersGetFormatExplodedListToJson(
    List<enums.ApiOverviewOrgsOrgLearnersGetFormat>?
        apiOverviewOrgsOrgLearnersGetFormat) {
  return apiOverviewOrgsOrgLearnersGetFormat?.map((e) => e.value!).join(',') ??
      '';
}

List<String> apiOverviewOrgsOrgLearnersGetFormatListToJson(
    List<enums.ApiOverviewOrgsOrgLearnersGetFormat>?
        apiOverviewOrgsOrgLearnersGetFormat) {
  if (apiOverviewOrgsOrgLearnersGetFormat == null) {
    return [];
  }

  return apiOverviewOrgsOrgLearnersGetFormat.map((e) => e.value!).toList();
}

List<enums.ApiOverviewOrgsOrgLearnersGetFormat>
    apiOverviewOrgsOrgLearnersGetFormatListFromJson(
  List? apiOverviewOrgsOrgLearnersGetFormat, [
  List<enums.ApiOverviewOrgsOrgLearnersGetFormat>? defaultValue,
]) {
  if (apiOverviewOrgsOrgLearnersGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiOverviewOrgsOrgLearnersGetFormat
      .map((e) => apiOverviewOrgsOrgLearnersGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiOverviewOrgsOrgLearnersGetFormat>?
    apiOverviewOrgsOrgLearnersGetFormatNullableListFromJson(
  List? apiOverviewOrgsOrgLearnersGetFormat, [
  List<enums.ApiOverviewOrgsOrgLearnersGetFormat>? defaultValue,
]) {
  if (apiOverviewOrgsOrgLearnersGetFormat == null) {
    return defaultValue;
  }

  return apiOverviewOrgsOrgLearnersGetFormat
      .map((e) => apiOverviewOrgsOrgLearnersGetFormatFromJson(e.toString()))
      .toList();
}

String? apiOverviewOrgsOrgMostActiveCoursesGetFormatNullableToJson(
    enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat?
        apiOverviewOrgsOrgMostActiveCoursesGetFormat) {
  return apiOverviewOrgsOrgMostActiveCoursesGetFormat?.value;
}

String? apiOverviewOrgsOrgMostActiveCoursesGetFormatToJson(
    enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat
        apiOverviewOrgsOrgMostActiveCoursesGetFormat) {
  return apiOverviewOrgsOrgMostActiveCoursesGetFormat.value;
}

enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat
    apiOverviewOrgsOrgMostActiveCoursesGetFormatFromJson(
  Object? apiOverviewOrgsOrgMostActiveCoursesGetFormat, [
  enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat? defaultValue,
]) {
  return enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiOverviewOrgsOrgMostActiveCoursesGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums
          .ApiOverviewOrgsOrgMostActiveCoursesGetFormat.swaggerGeneratedUnknown;
}

enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat?
    apiOverviewOrgsOrgMostActiveCoursesGetFormatNullableFromJson(
  Object? apiOverviewOrgsOrgMostActiveCoursesGetFormat, [
  enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat? defaultValue,
]) {
  if (apiOverviewOrgsOrgMostActiveCoursesGetFormat == null) {
    return null;
  }
  return enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat.values
          .firstWhereOrNull(
              (e) => e.value == apiOverviewOrgsOrgMostActiveCoursesGetFormat) ??
      defaultValue;
}

String apiOverviewOrgsOrgMostActiveCoursesGetFormatExplodedListToJson(
    List<enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat>?
        apiOverviewOrgsOrgMostActiveCoursesGetFormat) {
  return apiOverviewOrgsOrgMostActiveCoursesGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiOverviewOrgsOrgMostActiveCoursesGetFormatListToJson(
    List<enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat>?
        apiOverviewOrgsOrgMostActiveCoursesGetFormat) {
  if (apiOverviewOrgsOrgMostActiveCoursesGetFormat == null) {
    return [];
  }

  return apiOverviewOrgsOrgMostActiveCoursesGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat>
    apiOverviewOrgsOrgMostActiveCoursesGetFormatListFromJson(
  List? apiOverviewOrgsOrgMostActiveCoursesGetFormat, [
  List<enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat>? defaultValue,
]) {
  if (apiOverviewOrgsOrgMostActiveCoursesGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiOverviewOrgsOrgMostActiveCoursesGetFormat
      .map((e) =>
          apiOverviewOrgsOrgMostActiveCoursesGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat>?
    apiOverviewOrgsOrgMostActiveCoursesGetFormatNullableListFromJson(
  List? apiOverviewOrgsOrgMostActiveCoursesGetFormat, [
  List<enums.ApiOverviewOrgsOrgMostActiveCoursesGetFormat>? defaultValue,
]) {
  if (apiOverviewOrgsOrgMostActiveCoursesGetFormat == null) {
    return defaultValue;
  }

  return apiOverviewOrgsOrgMostActiveCoursesGetFormat
      .map((e) =>
          apiOverviewOrgsOrgMostActiveCoursesGetFormatFromJson(e.toString()))
      .toList();
}

String? apiOverviewOrgsOrgRegisteredUsersGetFormatNullableToJson(
    enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat?
        apiOverviewOrgsOrgRegisteredUsersGetFormat) {
  return apiOverviewOrgsOrgRegisteredUsersGetFormat?.value;
}

String? apiOverviewOrgsOrgRegisteredUsersGetFormatToJson(
    enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat
        apiOverviewOrgsOrgRegisteredUsersGetFormat) {
  return apiOverviewOrgsOrgRegisteredUsersGetFormat.value;
}

enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat
    apiOverviewOrgsOrgRegisteredUsersGetFormatFromJson(
  Object? apiOverviewOrgsOrgRegisteredUsersGetFormat, [
  enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat? defaultValue,
]) {
  return enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiOverviewOrgsOrgRegisteredUsersGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat.swaggerGeneratedUnknown;
}

enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat?
    apiOverviewOrgsOrgRegisteredUsersGetFormatNullableFromJson(
  Object? apiOverviewOrgsOrgRegisteredUsersGetFormat, [
  enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat? defaultValue,
]) {
  if (apiOverviewOrgsOrgRegisteredUsersGetFormat == null) {
    return null;
  }
  return enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat.values
          .firstWhereOrNull(
              (e) => e.value == apiOverviewOrgsOrgRegisteredUsersGetFormat) ??
      defaultValue;
}

String apiOverviewOrgsOrgRegisteredUsersGetFormatExplodedListToJson(
    List<enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat>?
        apiOverviewOrgsOrgRegisteredUsersGetFormat) {
  return apiOverviewOrgsOrgRegisteredUsersGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiOverviewOrgsOrgRegisteredUsersGetFormatListToJson(
    List<enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat>?
        apiOverviewOrgsOrgRegisteredUsersGetFormat) {
  if (apiOverviewOrgsOrgRegisteredUsersGetFormat == null) {
    return [];
  }

  return apiOverviewOrgsOrgRegisteredUsersGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat>
    apiOverviewOrgsOrgRegisteredUsersGetFormatListFromJson(
  List? apiOverviewOrgsOrgRegisteredUsersGetFormat, [
  List<enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat>? defaultValue,
]) {
  if (apiOverviewOrgsOrgRegisteredUsersGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiOverviewOrgsOrgRegisteredUsersGetFormat
      .map((e) =>
          apiOverviewOrgsOrgRegisteredUsersGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat>?
    apiOverviewOrgsOrgRegisteredUsersGetFormatNullableListFromJson(
  List? apiOverviewOrgsOrgRegisteredUsersGetFormat, [
  List<enums.ApiOverviewOrgsOrgRegisteredUsersGetFormat>? defaultValue,
]) {
  if (apiOverviewOrgsOrgRegisteredUsersGetFormat == null) {
    return defaultValue;
  }

  return apiOverviewOrgsOrgRegisteredUsersGetFormat
      .map((e) =>
          apiOverviewOrgsOrgRegisteredUsersGetFormatFromJson(e.toString()))
      .toList();
}

String?
    apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormatNullableToJson(
        enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat?
            apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat?.value;
}

String? apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormatToJson(
    enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat
        apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat.value;
}

enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat
    apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormatFromJson(
  Object? apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat, [
  enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat?
    apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormatNullableFromJson(
  Object? apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat, [
  enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat == null) {
    return null;
  }
  return enums
          .ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat) ??
      defaultValue;
}

String
    apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormatExplodedListToJson(
        List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat>?
            apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormatListToJson(
        List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat>?
            apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat == null) {
    return [];
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat>
    apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormatListFromJson(
  List? apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat, [
  List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat>?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat>?
    apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormatNullableListFromJson(
  List? apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat, [
  List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat>?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat == null) {
    return defaultValue;
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormatNullableToJson(
    enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat?
        apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat
      ?.value;
}

String? apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormatToJson(
    enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat
        apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat
      .value;
}

enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat
    apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormatFromJson(
  Object?
      apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat, [
  enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums
          .ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat?
    apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormatNullableFromJson(
  Object?
      apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat, [
  enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat ==
      null) {
    return null;
  }
  return enums
          .ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat) ??
      defaultValue;
}

String apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormatExplodedListToJson(
    List<
            enums
            .ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat>?
        apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormatListToJson(
        List<
                enums
                .ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat>?
            apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat ==
      null) {
    return [];
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat
      .map((e) => e.value!)
      .toList();
}

List<
        enums
        .ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat>
    apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormatListFromJson(
  List? apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat, [
  List<
          enums
          .ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat>?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat ==
      null) {
    return defaultValue ?? [];
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormatFromJson(
              e.toString()))
      .toList();
}

List<
        enums
        .ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat>?
    apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormatNullableListFromJson(
  List? apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat, [
  List<
          enums
          .ApiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat>?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat ==
      null) {
    return defaultValue;
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGetFormatFromJson(
              e.toString()))
      .toList();
}

String?
    apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormatNullableToJson(
        enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat?
            apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat?.value;
}

String? apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormatToJson(
    enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat
        apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat.value;
}

enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat
    apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormatFromJson(
  Object? apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat, [
  enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat?
      defaultValue,
]) {
  return enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat?
    apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormatNullableFromJson(
  Object? apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat, [
  enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat == null) {
    return null;
  }
  return enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat) ??
      defaultValue;
}

String
    apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormatExplodedListToJson(
        List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat>?
            apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormatListToJson(
        List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat>?
            apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat == null) {
    return [];
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat>
    apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormatListFromJson(
  List? apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat, [
  List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat>?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat>?
    apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormatNullableListFromJson(
  List? apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat, [
  List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat>?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat == null) {
    return defaultValue;
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGetFormatFromJson(
              e.toString()))
      .toList();
}

String?
    apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormatNullableToJson(
        enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat?
            apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat?.value;
}

String? apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormatToJson(
    enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat
        apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat.value;
}

enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat
    apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormatFromJson(
  Object? apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat, [
  enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat?
    apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormatNullableFromJson(
  Object? apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat, [
  enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat == null) {
    return null;
  }
  return enums
          .ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat) ??
      defaultValue;
}

String
    apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormatExplodedListToJson(
        List<
                enums
                .ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat>?
            apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormatListToJson(
        List<
                enums
                .ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat>?
            apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat == null) {
    return [];
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat>
    apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormatListFromJson(
  List? apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat, [
  List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat>?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat>?
    apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormatNullableListFromJson(
  List? apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat, [
  List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat>?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat == null) {
    return defaultValue;
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGetFormatFromJson(
              e.toString()))
      .toList();
}

String?
    apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormatNullableToJson(
        enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat?
            apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat?.value;
}

String? apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormatToJson(
    enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat
        apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat.value;
}

enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat
    apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormatFromJson(
  Object? apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat, [
  enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat?
    apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormatNullableFromJson(
  Object? apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat, [
  enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat == null) {
    return null;
  }
  return enums
          .ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat) ??
      defaultValue;
}

String
    apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormatExplodedListToJson(
        List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat>?
            apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat) {
  return apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormatListToJson(
        List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat>?
            apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat == null) {
    return [];
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat>
    apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormatListFromJson(
  List? apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat, [
  List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat>?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat>?
    apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormatNullableListFromJson(
  List? apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat, [
  List<enums.ApiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat>?
      defaultValue,
]) {
  if (apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat == null) {
    return defaultValue;
  }

  return apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiPerformanceOrgsOrgGradingAverageGetFormatNullableToJson(
    enums.ApiPerformanceOrgsOrgGradingAverageGetFormat?
        apiPerformanceOrgsOrgGradingAverageGetFormat) {
  return apiPerformanceOrgsOrgGradingAverageGetFormat?.value;
}

String? apiPerformanceOrgsOrgGradingAverageGetFormatToJson(
    enums.ApiPerformanceOrgsOrgGradingAverageGetFormat
        apiPerformanceOrgsOrgGradingAverageGetFormat) {
  return apiPerformanceOrgsOrgGradingAverageGetFormat.value;
}

enums.ApiPerformanceOrgsOrgGradingAverageGetFormat
    apiPerformanceOrgsOrgGradingAverageGetFormatFromJson(
  Object? apiPerformanceOrgsOrgGradingAverageGetFormat, [
  enums.ApiPerformanceOrgsOrgGradingAverageGetFormat? defaultValue,
]) {
  return enums.ApiPerformanceOrgsOrgGradingAverageGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerformanceOrgsOrgGradingAverageGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums
          .ApiPerformanceOrgsOrgGradingAverageGetFormat.swaggerGeneratedUnknown;
}

enums.ApiPerformanceOrgsOrgGradingAverageGetFormat?
    apiPerformanceOrgsOrgGradingAverageGetFormatNullableFromJson(
  Object? apiPerformanceOrgsOrgGradingAverageGetFormat, [
  enums.ApiPerformanceOrgsOrgGradingAverageGetFormat? defaultValue,
]) {
  if (apiPerformanceOrgsOrgGradingAverageGetFormat == null) {
    return null;
  }
  return enums.ApiPerformanceOrgsOrgGradingAverageGetFormat.values
          .firstWhereOrNull(
              (e) => e.value == apiPerformanceOrgsOrgGradingAverageGetFormat) ??
      defaultValue;
}

String apiPerformanceOrgsOrgGradingAverageGetFormatExplodedListToJson(
    List<enums.ApiPerformanceOrgsOrgGradingAverageGetFormat>?
        apiPerformanceOrgsOrgGradingAverageGetFormat) {
  return apiPerformanceOrgsOrgGradingAverageGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPerformanceOrgsOrgGradingAverageGetFormatListToJson(
    List<enums.ApiPerformanceOrgsOrgGradingAverageGetFormat>?
        apiPerformanceOrgsOrgGradingAverageGetFormat) {
  if (apiPerformanceOrgsOrgGradingAverageGetFormat == null) {
    return [];
  }

  return apiPerformanceOrgsOrgGradingAverageGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerformanceOrgsOrgGradingAverageGetFormat>
    apiPerformanceOrgsOrgGradingAverageGetFormatListFromJson(
  List? apiPerformanceOrgsOrgGradingAverageGetFormat, [
  List<enums.ApiPerformanceOrgsOrgGradingAverageGetFormat>? defaultValue,
]) {
  if (apiPerformanceOrgsOrgGradingAverageGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerformanceOrgsOrgGradingAverageGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgGradingAverageGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiPerformanceOrgsOrgGradingAverageGetFormat>?
    apiPerformanceOrgsOrgGradingAverageGetFormatNullableListFromJson(
  List? apiPerformanceOrgsOrgGradingAverageGetFormat, [
  List<enums.ApiPerformanceOrgsOrgGradingAverageGetFormat>? defaultValue,
]) {
  if (apiPerformanceOrgsOrgGradingAverageGetFormat == null) {
    return defaultValue;
  }

  return apiPerformanceOrgsOrgGradingAverageGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgGradingAverageGetFormatFromJson(e.toString()))
      .toList();
}

String? apiPerformanceOrgsOrgGradingPerCourseGetFormatNullableToJson(
    enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat?
        apiPerformanceOrgsOrgGradingPerCourseGetFormat) {
  return apiPerformanceOrgsOrgGradingPerCourseGetFormat?.value;
}

String? apiPerformanceOrgsOrgGradingPerCourseGetFormatToJson(
    enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat
        apiPerformanceOrgsOrgGradingPerCourseGetFormat) {
  return apiPerformanceOrgsOrgGradingPerCourseGetFormat.value;
}

enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat
    apiPerformanceOrgsOrgGradingPerCourseGetFormatFromJson(
  Object? apiPerformanceOrgsOrgGradingPerCourseGetFormat, [
  enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat? defaultValue,
]) {
  return enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerformanceOrgsOrgGradingPerCourseGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat?
    apiPerformanceOrgsOrgGradingPerCourseGetFormatNullableFromJson(
  Object? apiPerformanceOrgsOrgGradingPerCourseGetFormat, [
  enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat? defaultValue,
]) {
  if (apiPerformanceOrgsOrgGradingPerCourseGetFormat == null) {
    return null;
  }
  return enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiPerformanceOrgsOrgGradingPerCourseGetFormat) ??
      defaultValue;
}

String apiPerformanceOrgsOrgGradingPerCourseGetFormatExplodedListToJson(
    List<enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat>?
        apiPerformanceOrgsOrgGradingPerCourseGetFormat) {
  return apiPerformanceOrgsOrgGradingPerCourseGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPerformanceOrgsOrgGradingPerCourseGetFormatListToJson(
    List<enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat>?
        apiPerformanceOrgsOrgGradingPerCourseGetFormat) {
  if (apiPerformanceOrgsOrgGradingPerCourseGetFormat == null) {
    return [];
  }

  return apiPerformanceOrgsOrgGradingPerCourseGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat>
    apiPerformanceOrgsOrgGradingPerCourseGetFormatListFromJson(
  List? apiPerformanceOrgsOrgGradingPerCourseGetFormat, [
  List<enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat>? defaultValue,
]) {
  if (apiPerformanceOrgsOrgGradingPerCourseGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerformanceOrgsOrgGradingPerCourseGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgGradingPerCourseGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat>?
    apiPerformanceOrgsOrgGradingPerCourseGetFormatNullableListFromJson(
  List? apiPerformanceOrgsOrgGradingPerCourseGetFormat, [
  List<enums.ApiPerformanceOrgsOrgGradingPerCourseGetFormat>? defaultValue,
]) {
  if (apiPerformanceOrgsOrgGradingPerCourseGetFormat == null) {
    return defaultValue;
  }

  return apiPerformanceOrgsOrgGradingPerCourseGetFormat
      .map((e) =>
          apiPerformanceOrgsOrgGradingPerCourseGetFormatFromJson(e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersGetFormatNullableToJson(
    enums.ApiPerlearnerOrgsOrgUsersGetFormat?
        apiPerlearnerOrgsOrgUsersGetFormat) {
  return apiPerlearnerOrgsOrgUsersGetFormat?.value;
}

String? apiPerlearnerOrgsOrgUsersGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersGetFormat
        apiPerlearnerOrgsOrgUsersGetFormat) {
  return apiPerlearnerOrgsOrgUsersGetFormat.value;
}

enums.ApiPerlearnerOrgsOrgUsersGetFormat
    apiPerlearnerOrgsOrgUsersGetFormatFromJson(
  Object? apiPerlearnerOrgsOrgUsersGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersGetFormat? defaultValue,
]) {
  return enums.ApiPerlearnerOrgsOrgUsersGetFormat.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          apiPerlearnerOrgsOrgUsersGetFormat?.toString().toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersGetFormat.swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersGetFormat?
    apiPerlearnerOrgsOrgUsersGetFormatNullableFromJson(
  Object? apiPerlearnerOrgsOrgUsersGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersGetFormat? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersGetFormat == null) {
    return null;
  }
  return enums.ApiPerlearnerOrgsOrgUsersGetFormat.values.firstWhereOrNull(
          (e) => e.value == apiPerlearnerOrgsOrgUsersGetFormat) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersGetFormatExplodedListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersGetFormat>?
        apiPerlearnerOrgsOrgUsersGetFormat) {
  return apiPerlearnerOrgsOrgUsersGetFormat?.map((e) => e.value!).join(',') ??
      '';
}

List<String> apiPerlearnerOrgsOrgUsersGetFormatListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersGetFormat>?
        apiPerlearnerOrgsOrgUsersGetFormat) {
  if (apiPerlearnerOrgsOrgUsersGetFormat == null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersGetFormat.map((e) => e.value!).toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersGetFormat>
    apiPerlearnerOrgsOrgUsersGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersGetFormat>? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersGetFormat
      .map((e) => apiPerlearnerOrgsOrgUsersGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersGetFormat>?
    apiPerlearnerOrgsOrgUsersGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersGetFormat>? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersGetFormat == null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersGetFormat
      .map((e) => apiPerlearnerOrgsOrgUsersGetFormatFromJson(e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdActivityGetFormatNullableToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat?
        apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdActivityGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat
        apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat.value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat
    apiPerlearnerOrgsOrgUsersUserIdActivityGetFormatFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat? defaultValue,
]) {
  return enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdActivityGetFormatNullableFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat == null) {
    return null;
  }
  return enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersUserIdActivityGetFormatExplodedListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPerlearnerOrgsOrgUsersUserIdActivityGetFormatListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat == null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdActivityGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat>? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat
      .map((e) => apiPerlearnerOrgsOrgUsersUserIdActivityGetFormatFromJson(
          e.toString()))
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdActivityGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdActivityGetFormat>? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat == null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdActivityGetFormat
      .map((e) => apiPerlearnerOrgsOrgUsersUserIdActivityGetFormatFromJson(
          e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormatNullableToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat
      ?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat
      .value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormatFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormatNullableFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat ==
      null) {
    return null;
  }
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormatExplodedListToJson(
    List<
            enums
            .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormatListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat ==
      null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat
      .map((e) => e.value!)
      .toList();
}

List<
        enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat ==
      null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormatFromJson(
              e.toString()))
      .toList();
}

List<
        enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat ==
      null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormatNullableToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat
      ?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat
      .value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormatFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormatNullableFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat ==
      null) {
    return null;
  }
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormatExplodedListToJson(
    List<
            enums
            .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormatListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat ==
      null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat ==
      null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormatFromJson(
              e.toString()))
      .toList();
}

List<
        enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat ==
      null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormatNullableToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat
      ?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat
      .value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormatFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormatNullableFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat ==
      null) {
    return null;
  }
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormatExplodedListToJson(
    List<
            enums
            .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormatListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat ==
      null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat
      .map((e) => e.value!)
      .toList();
}

List<
        enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat ==
      null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormatFromJson(
              e.toString()))
      .toList();
}

List<
        enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat ==
      null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormatNullableToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat
      ?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat
      .value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormatFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormatNullableFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat ==
      null) {
    return null;
  }
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormatExplodedListToJson(
    List<
            enums
            .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormatListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat ==
      null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat ==
      null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormatFromJson(
              e.toString()))
      .toList();
}

List<
        enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat ==
      null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormatNullableToJson(
    enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat
      ?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormatToJson(
    enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat
      .value;
}

enums
    .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormatFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat, [
  enums
      .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat
          .swaggerGeneratedUnknown;
}

enums
    .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormatNullableFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat, [
  enums
      .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat ==
      null) {
    return null;
  }
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormatExplodedListToJson(
    List<
            enums
            .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormatListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat ==
      null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat
      .map((e) => e.value!)
      .toList();
}

List<
        enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormatListFromJson(
  List?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat ==
      null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormatFromJson(
              e.toString()))
      .toList();
}

List<
        enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormatNullableListFromJson(
  List?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat ==
      null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormatNullableToJson(
    enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat
      ?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormatToJson(
    enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat
      .value;
}

enums
    .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormatFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat, [
  enums
      .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums
    .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormatNullableFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat, [
  enums
      .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat ==
      null) {
    return null;
  }
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormatExplodedListToJson(
    List<
            enums
            .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormatListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat ==
      null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<
        enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormatListFromJson(
  List?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat ==
      null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

List<
        enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormatNullableListFromJson(
  List?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat ==
      null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

String?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormatNullableToJson(
        enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat?
            apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat.value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormatFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormatNullableFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat == null) {
    return null;
  }
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat) ??
      defaultValue;
}

String
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormatExplodedListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormatListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat == null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat == null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormatNullableToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat
      ?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat
      .value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormatFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormatNullableFromJson(
  Object?
      apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat ==
      null) {
    return null;
  }
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormatExplodedListToJson(
    List<
            enums
            .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormatListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat ==
      null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<
        enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat ==
      null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

List<
        enums
        .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat, [
  List<
          enums
          .ApiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat ==
      null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormatNullableToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat?
        apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat
        apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat.value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat
    apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormatFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat? defaultValue,
]) {
  return enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormatNullableFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat == null) {
    return null;
  }
  return enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat) ??
      defaultValue;
}

String
    apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormatExplodedListToJson(
        List<enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormatListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat == null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat == null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdInfoGetFormatNullableToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat?
        apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdInfoGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat
        apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat.value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat
    apiPerlearnerOrgsOrgUsersUserIdInfoGetFormatFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat? defaultValue,
]) {
  return enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums
          .ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat.swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdInfoGetFormatNullableFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat == null) {
    return null;
  }
  return enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat.values
          .firstWhereOrNull(
              (e) => e.value == apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersUserIdInfoGetFormatExplodedListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPerlearnerOrgsOrgUsersUserIdInfoGetFormatListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat == null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdInfoGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat>? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdInfoGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdInfoGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetFormat>? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat == null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdInfoGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdInfoGetFormatFromJson(e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdInfoGetMetaNullableToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta?
        apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta) {
  return apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdInfoGetMetaToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta
        apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta) {
  return apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta.value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta
    apiPerlearnerOrgsOrgUsersUserIdInfoGetMetaFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta? defaultValue,
]) {
  return enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta.swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta?
    apiPerlearnerOrgsOrgUsersUserIdInfoGetMetaNullableFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta == null) {
    return null;
  }
  return enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta.values
          .firstWhereOrNull(
              (e) => e.value == apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersUserIdInfoGetMetaExplodedListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta>?
        apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta) {
  return apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPerlearnerOrgsOrgUsersUserIdInfoGetMetaListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta>?
        apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta) {
  if (apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta == null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta>
    apiPerlearnerOrgsOrgUsersUserIdInfoGetMetaListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta>? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta == null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdInfoGetMetaFromJson(e.toString()))
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta>?
    apiPerlearnerOrgsOrgUsersUserIdInfoGetMetaNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdInfoGetMeta>? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta == null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdInfoGetMeta
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdInfoGetMetaFromJson(e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormatNullableToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat?
        apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat
        apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat.value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat
    apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormatFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat? defaultValue,
]) {
  return enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormatNullableFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat == null) {
    return null;
  }
  return enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormatExplodedListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormatListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat == null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat>? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat
      .map((e) => apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormatFromJson(
          e.toString()))
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat>? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat == null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormat
      .map((e) => apiPerlearnerOrgsOrgUsersUserIdLastAccessGetFormatFromJson(
          e.toString()))
      .toList();
}

String?
    apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormatNullableToJson(
        enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat?
            apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat
        apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat.value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat
    apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormatFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat?
      defaultValue,
]) {
  return enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormatNullableFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat == null) {
    return null;
  }
  return enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat) ??
      defaultValue;
}

String
    apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormatExplodedListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormatListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat == null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat == null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGetFormatFromJson(
              e.toString()))
      .toList();
}

String?
    apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormatNullableToJson(
        enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat?
            apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat
        apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat.value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat
    apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormatFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormatNullableFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat == null) {
    return null;
  }
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat) ??
      defaultValue;
}

String
    apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormatExplodedListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormatListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat == null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat == null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGetFormatFromJson(
              e.toString()))
      .toList();
}

String?
    apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormatNullableToJson(
        enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat?
            apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat
      ?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat
        apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat.value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat
    apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormatFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat?
      defaultValue,
]) {
  return enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormatNullableFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat ==
      null) {
    return null;
  }
  return enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormatExplodedListToJson(
    List<
            enums
            .ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormatListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat ==
      null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat ==
      null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat ==
      null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGetFormatFromJson(
              e.toString()))
      .toList();
}

String?
    apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormatNullableToJson(
        enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat?
            apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat
        apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat.value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat
    apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormatFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormatNullableFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat == null) {
    return null;
  }
  return enums
          .ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat) ??
      defaultValue;
}

String
    apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormatExplodedListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormatListToJson(
        List<
                enums
                .ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat == null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormatNullableToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat?
        apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat
        apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat.value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat
    apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormatFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat? defaultValue,
]) {
  return enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormatNullableFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat == null) {
    return null;
  }
  return enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat) ??
      defaultValue;
}

String apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormatExplodedListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormatListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat == null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat == null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormatNullableToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat?
        apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat?.value;
}

String? apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormatToJson(
    enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat
        apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat.value;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat
    apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormatFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat? defaultValue,
]) {
  return enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat?
    apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormatNullableFromJson(
  Object? apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat, [
  enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat? defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat == null) {
    return null;
  }
  return enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat) ??
      defaultValue;
}

String
    apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormatExplodedListToJson(
        List<enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat>?
            apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat) {
  return apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormatListToJson(
    List<enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat>?
        apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat) {
  if (apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat == null) {
    return [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat>
    apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormatListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat>?
    apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormatNullableListFromJson(
  List? apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat, [
  List<enums.ApiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat>?
      defaultValue,
]) {
  if (apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat == null) {
    return defaultValue;
  }

  return apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormat
      .map((e) =>
          apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGetFormatFromJson(
              e.toString()))
      .toList();
}

String?
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormatNullableToJson(
        enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat?
            apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat) {
  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat?.value;
}

String? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormatToJson(
    enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat
        apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat) {
  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat.value;
}

enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormatFromJson(
  Object? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat, [
  enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat?
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormatNullableFromJson(
  Object? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat, [
  enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat?
      defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat == null) {
    return null;
  }
  return enums
          .ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat) ??
      defaultValue;
}

String
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormatExplodedListToJson(
        List<
                enums
                .ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat>?
            apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat) {
  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormatListToJson(
        List<
                enums
                .ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat>?
            apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat) {
  if (apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat == null) {
    return [];
  }

  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat>
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormatListFromJson(
  List? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat, [
  List<enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat>?
      defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat
      .map((e) =>
          apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat>?
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormatNullableListFromJson(
  List? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat, [
  List<enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat>?
      defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat == null) {
    return defaultValue;
  }

  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormat
      .map((e) =>
          apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGetFormatFromJson(
              e.toString()))
      .toList();
}

String?
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormatNullableToJson(
        enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat?
            apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat) {
  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat?.value;
}

String? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormatToJson(
    enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat
        apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat) {
  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat.value;
}

enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormatFromJson(
  Object? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat, [
  enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat?
      defaultValue,
]) {
  return enums
          .ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat?
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormatNullableFromJson(
  Object? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat, [
  enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat?
      defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat == null) {
    return null;
  }
  return enums
          .ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat) ??
      defaultValue;
}

String
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormatExplodedListToJson(
        List<
                enums
                .ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat>?
            apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat) {
  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormatListToJson(
        List<
                enums
                .ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat>?
            apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat) {
  if (apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat == null) {
    return [];
  }

  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat>
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormatListFromJson(
  List? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat, [
  List<enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat>?
      defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat
      .map((e) =>
          apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat>?
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormatNullableListFromJson(
  List? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat, [
  List<enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat>?
      defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat == null) {
    return defaultValue;
  }

  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormat
      .map((e) =>
          apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGetFormatFromJson(
              e.toString()))
      .toList();
}

String?
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormatNullableToJson(
        enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat?
            apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat) {
  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat
      ?.value;
}

String? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormatToJson(
    enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat
        apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat) {
  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat.value;
}

enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormatFromJson(
  Object? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat, [
  enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat?
      defaultValue,
]) {
  return enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat?
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormatNullableFromJson(
  Object? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat, [
  enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat?
      defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat ==
      null) {
    return null;
  }
  return enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat
          .values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat) ??
      defaultValue;
}

String apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormatExplodedListToJson(
    List<
            enums
            .ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat>?
        apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat) {
  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String>
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormatListToJson(
        List<
                enums
                .ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat>?
            apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat) {
  if (apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat ==
      null) {
    return [];
  }

  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat>
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormatListFromJson(
  List? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat, [
  List<enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat>?
      defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat ==
      null) {
    return defaultValue ?? [];
  }

  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat
      .map((e) =>
          apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormatFromJson(
              e.toString()))
      .toList();
}

List<enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat>?
    apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormatNullableListFromJson(
  List? apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat, [
  List<enums.ApiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat>?
      defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat ==
      null) {
    return defaultValue;
  }

  return apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormat
      .map((e) =>
          apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGetFormatFromJson(
              e.toString()))
      .toList();
}

String? apiPlatformOrgsOrgCoursesCountGetFormatNullableToJson(
    enums.ApiPlatformOrgsOrgCoursesCountGetFormat?
        apiPlatformOrgsOrgCoursesCountGetFormat) {
  return apiPlatformOrgsOrgCoursesCountGetFormat?.value;
}

String? apiPlatformOrgsOrgCoursesCountGetFormatToJson(
    enums.ApiPlatformOrgsOrgCoursesCountGetFormat
        apiPlatformOrgsOrgCoursesCountGetFormat) {
  return apiPlatformOrgsOrgCoursesCountGetFormat.value;
}

enums.ApiPlatformOrgsOrgCoursesCountGetFormat
    apiPlatformOrgsOrgCoursesCountGetFormatFromJson(
  Object? apiPlatformOrgsOrgCoursesCountGetFormat, [
  enums.ApiPlatformOrgsOrgCoursesCountGetFormat? defaultValue,
]) {
  return enums.ApiPlatformOrgsOrgCoursesCountGetFormat.values.firstWhereOrNull(
          (e) =>
              e.value.toString().toLowerCase() ==
              apiPlatformOrgsOrgCoursesCountGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPlatformOrgsOrgCoursesCountGetFormat.swaggerGeneratedUnknown;
}

enums.ApiPlatformOrgsOrgCoursesCountGetFormat?
    apiPlatformOrgsOrgCoursesCountGetFormatNullableFromJson(
  Object? apiPlatformOrgsOrgCoursesCountGetFormat, [
  enums.ApiPlatformOrgsOrgCoursesCountGetFormat? defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesCountGetFormat == null) {
    return null;
  }
  return enums.ApiPlatformOrgsOrgCoursesCountGetFormat.values.firstWhereOrNull(
          (e) => e.value == apiPlatformOrgsOrgCoursesCountGetFormat) ??
      defaultValue;
}

String apiPlatformOrgsOrgCoursesCountGetFormatExplodedListToJson(
    List<enums.ApiPlatformOrgsOrgCoursesCountGetFormat>?
        apiPlatformOrgsOrgCoursesCountGetFormat) {
  return apiPlatformOrgsOrgCoursesCountGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPlatformOrgsOrgCoursesCountGetFormatListToJson(
    List<enums.ApiPlatformOrgsOrgCoursesCountGetFormat>?
        apiPlatformOrgsOrgCoursesCountGetFormat) {
  if (apiPlatformOrgsOrgCoursesCountGetFormat == null) {
    return [];
  }

  return apiPlatformOrgsOrgCoursesCountGetFormat.map((e) => e.value!).toList();
}

List<enums.ApiPlatformOrgsOrgCoursesCountGetFormat>
    apiPlatformOrgsOrgCoursesCountGetFormatListFromJson(
  List? apiPlatformOrgsOrgCoursesCountGetFormat, [
  List<enums.ApiPlatformOrgsOrgCoursesCountGetFormat>? defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesCountGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPlatformOrgsOrgCoursesCountGetFormat
      .map((e) => apiPlatformOrgsOrgCoursesCountGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiPlatformOrgsOrgCoursesCountGetFormat>?
    apiPlatformOrgsOrgCoursesCountGetFormatNullableListFromJson(
  List? apiPlatformOrgsOrgCoursesCountGetFormat, [
  List<enums.ApiPlatformOrgsOrgCoursesCountGetFormat>? defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesCountGetFormat == null) {
    return defaultValue;
  }

  return apiPlatformOrgsOrgCoursesCountGetFormat
      .map((e) => apiPlatformOrgsOrgCoursesCountGetFormatFromJson(e.toString()))
      .toList();
}

String? apiPlatformOrgsOrgCoursesVideosGetFormatNullableToJson(
    enums.ApiPlatformOrgsOrgCoursesVideosGetFormat?
        apiPlatformOrgsOrgCoursesVideosGetFormat) {
  return apiPlatformOrgsOrgCoursesVideosGetFormat?.value;
}

String? apiPlatformOrgsOrgCoursesVideosGetFormatToJson(
    enums.ApiPlatformOrgsOrgCoursesVideosGetFormat
        apiPlatformOrgsOrgCoursesVideosGetFormat) {
  return apiPlatformOrgsOrgCoursesVideosGetFormat.value;
}

enums.ApiPlatformOrgsOrgCoursesVideosGetFormat
    apiPlatformOrgsOrgCoursesVideosGetFormatFromJson(
  Object? apiPlatformOrgsOrgCoursesVideosGetFormat, [
  enums.ApiPlatformOrgsOrgCoursesVideosGetFormat? defaultValue,
]) {
  return enums.ApiPlatformOrgsOrgCoursesVideosGetFormat.values.firstWhereOrNull(
          (e) =>
              e.value.toString().toLowerCase() ==
              apiPlatformOrgsOrgCoursesVideosGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPlatformOrgsOrgCoursesVideosGetFormat.swaggerGeneratedUnknown;
}

enums.ApiPlatformOrgsOrgCoursesVideosGetFormat?
    apiPlatformOrgsOrgCoursesVideosGetFormatNullableFromJson(
  Object? apiPlatformOrgsOrgCoursesVideosGetFormat, [
  enums.ApiPlatformOrgsOrgCoursesVideosGetFormat? defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesVideosGetFormat == null) {
    return null;
  }
  return enums.ApiPlatformOrgsOrgCoursesVideosGetFormat.values.firstWhereOrNull(
          (e) => e.value == apiPlatformOrgsOrgCoursesVideosGetFormat) ??
      defaultValue;
}

String apiPlatformOrgsOrgCoursesVideosGetFormatExplodedListToJson(
    List<enums.ApiPlatformOrgsOrgCoursesVideosGetFormat>?
        apiPlatformOrgsOrgCoursesVideosGetFormat) {
  return apiPlatformOrgsOrgCoursesVideosGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPlatformOrgsOrgCoursesVideosGetFormatListToJson(
    List<enums.ApiPlatformOrgsOrgCoursesVideosGetFormat>?
        apiPlatformOrgsOrgCoursesVideosGetFormat) {
  if (apiPlatformOrgsOrgCoursesVideosGetFormat == null) {
    return [];
  }

  return apiPlatformOrgsOrgCoursesVideosGetFormat.map((e) => e.value!).toList();
}

List<enums.ApiPlatformOrgsOrgCoursesVideosGetFormat>
    apiPlatformOrgsOrgCoursesVideosGetFormatListFromJson(
  List? apiPlatformOrgsOrgCoursesVideosGetFormat, [
  List<enums.ApiPlatformOrgsOrgCoursesVideosGetFormat>? defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesVideosGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPlatformOrgsOrgCoursesVideosGetFormat
      .map(
          (e) => apiPlatformOrgsOrgCoursesVideosGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiPlatformOrgsOrgCoursesVideosGetFormat>?
    apiPlatformOrgsOrgCoursesVideosGetFormatNullableListFromJson(
  List? apiPlatformOrgsOrgCoursesVideosGetFormat, [
  List<enums.ApiPlatformOrgsOrgCoursesVideosGetFormat>? defaultValue,
]) {
  if (apiPlatformOrgsOrgCoursesVideosGetFormat == null) {
    return defaultValue;
  }

  return apiPlatformOrgsOrgCoursesVideosGetFormat
      .map(
          (e) => apiPlatformOrgsOrgCoursesVideosGetFormatFromJson(e.toString()))
      .toList();
}

String? apiPlatformOrgsOrgUsersActiveCountGetFormatNullableToJson(
    enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat?
        apiPlatformOrgsOrgUsersActiveCountGetFormat) {
  return apiPlatformOrgsOrgUsersActiveCountGetFormat?.value;
}

String? apiPlatformOrgsOrgUsersActiveCountGetFormatToJson(
    enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat
        apiPlatformOrgsOrgUsersActiveCountGetFormat) {
  return apiPlatformOrgsOrgUsersActiveCountGetFormat.value;
}

enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat
    apiPlatformOrgsOrgUsersActiveCountGetFormatFromJson(
  Object? apiPlatformOrgsOrgUsersActiveCountGetFormat, [
  enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat? defaultValue,
]) {
  return enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPlatformOrgsOrgUsersActiveCountGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat.swaggerGeneratedUnknown;
}

enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat?
    apiPlatformOrgsOrgUsersActiveCountGetFormatNullableFromJson(
  Object? apiPlatformOrgsOrgUsersActiveCountGetFormat, [
  enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat? defaultValue,
]) {
  if (apiPlatformOrgsOrgUsersActiveCountGetFormat == null) {
    return null;
  }
  return enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat.values
          .firstWhereOrNull(
              (e) => e.value == apiPlatformOrgsOrgUsersActiveCountGetFormat) ??
      defaultValue;
}

String apiPlatformOrgsOrgUsersActiveCountGetFormatExplodedListToJson(
    List<enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat>?
        apiPlatformOrgsOrgUsersActiveCountGetFormat) {
  return apiPlatformOrgsOrgUsersActiveCountGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPlatformOrgsOrgUsersActiveCountGetFormatListToJson(
    List<enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat>?
        apiPlatformOrgsOrgUsersActiveCountGetFormat) {
  if (apiPlatformOrgsOrgUsersActiveCountGetFormat == null) {
    return [];
  }

  return apiPlatformOrgsOrgUsersActiveCountGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat>
    apiPlatformOrgsOrgUsersActiveCountGetFormatListFromJson(
  List? apiPlatformOrgsOrgUsersActiveCountGetFormat, [
  List<enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat>? defaultValue,
]) {
  if (apiPlatformOrgsOrgUsersActiveCountGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPlatformOrgsOrgUsersActiveCountGetFormat
      .map((e) =>
          apiPlatformOrgsOrgUsersActiveCountGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat>?
    apiPlatformOrgsOrgUsersActiveCountGetFormatNullableListFromJson(
  List? apiPlatformOrgsOrgUsersActiveCountGetFormat, [
  List<enums.ApiPlatformOrgsOrgUsersActiveCountGetFormat>? defaultValue,
]) {
  if (apiPlatformOrgsOrgUsersActiveCountGetFormat == null) {
    return defaultValue;
  }

  return apiPlatformOrgsOrgUsersActiveCountGetFormat
      .map((e) =>
          apiPlatformOrgsOrgUsersActiveCountGetFormatFromJson(e.toString()))
      .toList();
}

String? apiPlatformOrgsOrgUsersCountGetFormatNullableToJson(
    enums.ApiPlatformOrgsOrgUsersCountGetFormat?
        apiPlatformOrgsOrgUsersCountGetFormat) {
  return apiPlatformOrgsOrgUsersCountGetFormat?.value;
}

String? apiPlatformOrgsOrgUsersCountGetFormatToJson(
    enums.ApiPlatformOrgsOrgUsersCountGetFormat
        apiPlatformOrgsOrgUsersCountGetFormat) {
  return apiPlatformOrgsOrgUsersCountGetFormat.value;
}

enums.ApiPlatformOrgsOrgUsersCountGetFormat
    apiPlatformOrgsOrgUsersCountGetFormatFromJson(
  Object? apiPlatformOrgsOrgUsersCountGetFormat, [
  enums.ApiPlatformOrgsOrgUsersCountGetFormat? defaultValue,
]) {
  return enums.ApiPlatformOrgsOrgUsersCountGetFormat.values.firstWhereOrNull(
          (e) =>
              e.value.toString().toLowerCase() ==
              apiPlatformOrgsOrgUsersCountGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPlatformOrgsOrgUsersCountGetFormat.swaggerGeneratedUnknown;
}

enums.ApiPlatformOrgsOrgUsersCountGetFormat?
    apiPlatformOrgsOrgUsersCountGetFormatNullableFromJson(
  Object? apiPlatformOrgsOrgUsersCountGetFormat, [
  enums.ApiPlatformOrgsOrgUsersCountGetFormat? defaultValue,
]) {
  if (apiPlatformOrgsOrgUsersCountGetFormat == null) {
    return null;
  }
  return enums.ApiPlatformOrgsOrgUsersCountGetFormat.values.firstWhereOrNull(
          (e) => e.value == apiPlatformOrgsOrgUsersCountGetFormat) ??
      defaultValue;
}

String apiPlatformOrgsOrgUsersCountGetFormatExplodedListToJson(
    List<enums.ApiPlatformOrgsOrgUsersCountGetFormat>?
        apiPlatformOrgsOrgUsersCountGetFormat) {
  return apiPlatformOrgsOrgUsersCountGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPlatformOrgsOrgUsersCountGetFormatListToJson(
    List<enums.ApiPlatformOrgsOrgUsersCountGetFormat>?
        apiPlatformOrgsOrgUsersCountGetFormat) {
  if (apiPlatformOrgsOrgUsersCountGetFormat == null) {
    return [];
  }

  return apiPlatformOrgsOrgUsersCountGetFormat.map((e) => e.value!).toList();
}

List<enums.ApiPlatformOrgsOrgUsersCountGetFormat>
    apiPlatformOrgsOrgUsersCountGetFormatListFromJson(
  List? apiPlatformOrgsOrgUsersCountGetFormat, [
  List<enums.ApiPlatformOrgsOrgUsersCountGetFormat>? defaultValue,
]) {
  if (apiPlatformOrgsOrgUsersCountGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPlatformOrgsOrgUsersCountGetFormat
      .map((e) => apiPlatformOrgsOrgUsersCountGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiPlatformOrgsOrgUsersCountGetFormat>?
    apiPlatformOrgsOrgUsersCountGetFormatNullableListFromJson(
  List? apiPlatformOrgsOrgUsersCountGetFormat, [
  List<enums.ApiPlatformOrgsOrgUsersCountGetFormat>? defaultValue,
]) {
  if (apiPlatformOrgsOrgUsersCountGetFormat == null) {
    return defaultValue;
  }

  return apiPlatformOrgsOrgUsersCountGetFormat
      .map((e) => apiPlatformOrgsOrgUsersCountGetFormatFromJson(e.toString()))
      .toList();
}

String? apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormatNullableToJson(
    enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat?
        apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat) {
  return apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat?.value;
}

String? apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormatToJson(
    enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat
        apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat) {
  return apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat.value;
}

enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat
    apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormatFromJson(
  Object? apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat, [
  enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat? defaultValue,
]) {
  return enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat?
    apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormatNullableFromJson(
  Object? apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat, [
  enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat? defaultValue,
]) {
  if (apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat == null) {
    return null;
  }
  return enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat.values
          .firstWhereOrNull((e) =>
              e.value ==
              apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat) ??
      defaultValue;
}

String apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormatExplodedListToJson(
    List<enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat>?
        apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat) {
  return apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormatListToJson(
    List<enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat>?
        apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat) {
  if (apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat == null) {
    return [];
  }

  return apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat>
    apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormatListFromJson(
  List? apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat, [
  List<enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat>?
      defaultValue,
]) {
  if (apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat
      .map((e) => apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormatFromJson(
          e.toString()))
      .toList();
}

List<enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat>?
    apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormatNullableListFromJson(
  List? apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat, [
  List<enums.ApiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat>?
      defaultValue,
]) {
  if (apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat == null) {
    return defaultValue;
  }

  return apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormat
      .map((e) => apiPlatformOrgsOrgUsersCoursesCompletedCountGetFormatFromJson(
          e.toString()))
      .toList();
}

String? apiPlatformUsersUserIdAssessmentsCountGetFormatNullableToJson(
    enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat?
        apiPlatformUsersUserIdAssessmentsCountGetFormat) {
  return apiPlatformUsersUserIdAssessmentsCountGetFormat?.value;
}

String? apiPlatformUsersUserIdAssessmentsCountGetFormatToJson(
    enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat
        apiPlatformUsersUserIdAssessmentsCountGetFormat) {
  return apiPlatformUsersUserIdAssessmentsCountGetFormat.value;
}

enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat
    apiPlatformUsersUserIdAssessmentsCountGetFormatFromJson(
  Object? apiPlatformUsersUserIdAssessmentsCountGetFormat, [
  enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat? defaultValue,
]) {
  return enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPlatformUsersUserIdAssessmentsCountGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat?
    apiPlatformUsersUserIdAssessmentsCountGetFormatNullableFromJson(
  Object? apiPlatformUsersUserIdAssessmentsCountGetFormat, [
  enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat? defaultValue,
]) {
  if (apiPlatformUsersUserIdAssessmentsCountGetFormat == null) {
    return null;
  }
  return enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiPlatformUsersUserIdAssessmentsCountGetFormat) ??
      defaultValue;
}

String apiPlatformUsersUserIdAssessmentsCountGetFormatExplodedListToJson(
    List<enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat>?
        apiPlatformUsersUserIdAssessmentsCountGetFormat) {
  return apiPlatformUsersUserIdAssessmentsCountGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPlatformUsersUserIdAssessmentsCountGetFormatListToJson(
    List<enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat>?
        apiPlatformUsersUserIdAssessmentsCountGetFormat) {
  if (apiPlatformUsersUserIdAssessmentsCountGetFormat == null) {
    return [];
  }

  return apiPlatformUsersUserIdAssessmentsCountGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat>
    apiPlatformUsersUserIdAssessmentsCountGetFormatListFromJson(
  List? apiPlatformUsersUserIdAssessmentsCountGetFormat, [
  List<enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat>? defaultValue,
]) {
  if (apiPlatformUsersUserIdAssessmentsCountGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPlatformUsersUserIdAssessmentsCountGetFormat
      .map((e) =>
          apiPlatformUsersUserIdAssessmentsCountGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat>?
    apiPlatformUsersUserIdAssessmentsCountGetFormatNullableListFromJson(
  List? apiPlatformUsersUserIdAssessmentsCountGetFormat, [
  List<enums.ApiPlatformUsersUserIdAssessmentsCountGetFormat>? defaultValue,
]) {
  if (apiPlatformUsersUserIdAssessmentsCountGetFormat == null) {
    return defaultValue;
  }

  return apiPlatformUsersUserIdAssessmentsCountGetFormat
      .map((e) =>
          apiPlatformUsersUserIdAssessmentsCountGetFormatFromJson(e.toString()))
      .toList();
}

String? apiPlatformUsersUserIdCoursesCompletedGetFormatNullableToJson(
    enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat?
        apiPlatformUsersUserIdCoursesCompletedGetFormat) {
  return apiPlatformUsersUserIdCoursesCompletedGetFormat?.value;
}

String? apiPlatformUsersUserIdCoursesCompletedGetFormatToJson(
    enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat
        apiPlatformUsersUserIdCoursesCompletedGetFormat) {
  return apiPlatformUsersUserIdCoursesCompletedGetFormat.value;
}

enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat
    apiPlatformUsersUserIdCoursesCompletedGetFormatFromJson(
  Object? apiPlatformUsersUserIdCoursesCompletedGetFormat, [
  enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat? defaultValue,
]) {
  return enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPlatformUsersUserIdCoursesCompletedGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat?
    apiPlatformUsersUserIdCoursesCompletedGetFormatNullableFromJson(
  Object? apiPlatformUsersUserIdCoursesCompletedGetFormat, [
  enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat? defaultValue,
]) {
  if (apiPlatformUsersUserIdCoursesCompletedGetFormat == null) {
    return null;
  }
  return enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiPlatformUsersUserIdCoursesCompletedGetFormat) ??
      defaultValue;
}

String apiPlatformUsersUserIdCoursesCompletedGetFormatExplodedListToJson(
    List<enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat>?
        apiPlatformUsersUserIdCoursesCompletedGetFormat) {
  return apiPlatformUsersUserIdCoursesCompletedGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPlatformUsersUserIdCoursesCompletedGetFormatListToJson(
    List<enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat>?
        apiPlatformUsersUserIdCoursesCompletedGetFormat) {
  if (apiPlatformUsersUserIdCoursesCompletedGetFormat == null) {
    return [];
  }

  return apiPlatformUsersUserIdCoursesCompletedGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat>
    apiPlatformUsersUserIdCoursesCompletedGetFormatListFromJson(
  List? apiPlatformUsersUserIdCoursesCompletedGetFormat, [
  List<enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat>? defaultValue,
]) {
  if (apiPlatformUsersUserIdCoursesCompletedGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPlatformUsersUserIdCoursesCompletedGetFormat
      .map((e) =>
          apiPlatformUsersUserIdCoursesCompletedGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat>?
    apiPlatformUsersUserIdCoursesCompletedGetFormatNullableListFromJson(
  List? apiPlatformUsersUserIdCoursesCompletedGetFormat, [
  List<enums.ApiPlatformUsersUserIdCoursesCompletedGetFormat>? defaultValue,
]) {
  if (apiPlatformUsersUserIdCoursesCompletedGetFormat == null) {
    return defaultValue;
  }

  return apiPlatformUsersUserIdCoursesCompletedGetFormat
      .map((e) =>
          apiPlatformUsersUserIdCoursesCompletedGetFormatFromJson(e.toString()))
      .toList();
}

String? apiPlatformUsersUserIdCoursesStartedGetFormatNullableToJson(
    enums.ApiPlatformUsersUserIdCoursesStartedGetFormat?
        apiPlatformUsersUserIdCoursesStartedGetFormat) {
  return apiPlatformUsersUserIdCoursesStartedGetFormat?.value;
}

String? apiPlatformUsersUserIdCoursesStartedGetFormatToJson(
    enums.ApiPlatformUsersUserIdCoursesStartedGetFormat
        apiPlatformUsersUserIdCoursesStartedGetFormat) {
  return apiPlatformUsersUserIdCoursesStartedGetFormat.value;
}

enums.ApiPlatformUsersUserIdCoursesStartedGetFormat
    apiPlatformUsersUserIdCoursesStartedGetFormatFromJson(
  Object? apiPlatformUsersUserIdCoursesStartedGetFormat, [
  enums.ApiPlatformUsersUserIdCoursesStartedGetFormat? defaultValue,
]) {
  return enums.ApiPlatformUsersUserIdCoursesStartedGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPlatformUsersUserIdCoursesStartedGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPlatformUsersUserIdCoursesStartedGetFormat
          .swaggerGeneratedUnknown;
}

enums.ApiPlatformUsersUserIdCoursesStartedGetFormat?
    apiPlatformUsersUserIdCoursesStartedGetFormatNullableFromJson(
  Object? apiPlatformUsersUserIdCoursesStartedGetFormat, [
  enums.ApiPlatformUsersUserIdCoursesStartedGetFormat? defaultValue,
]) {
  if (apiPlatformUsersUserIdCoursesStartedGetFormat == null) {
    return null;
  }
  return enums.ApiPlatformUsersUserIdCoursesStartedGetFormat.values
          .firstWhereOrNull((e) =>
              e.value == apiPlatformUsersUserIdCoursesStartedGetFormat) ??
      defaultValue;
}

String apiPlatformUsersUserIdCoursesStartedGetFormatExplodedListToJson(
    List<enums.ApiPlatformUsersUserIdCoursesStartedGetFormat>?
        apiPlatformUsersUserIdCoursesStartedGetFormat) {
  return apiPlatformUsersUserIdCoursesStartedGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPlatformUsersUserIdCoursesStartedGetFormatListToJson(
    List<enums.ApiPlatformUsersUserIdCoursesStartedGetFormat>?
        apiPlatformUsersUserIdCoursesStartedGetFormat) {
  if (apiPlatformUsersUserIdCoursesStartedGetFormat == null) {
    return [];
  }

  return apiPlatformUsersUserIdCoursesStartedGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPlatformUsersUserIdCoursesStartedGetFormat>
    apiPlatformUsersUserIdCoursesStartedGetFormatListFromJson(
  List? apiPlatformUsersUserIdCoursesStartedGetFormat, [
  List<enums.ApiPlatformUsersUserIdCoursesStartedGetFormat>? defaultValue,
]) {
  if (apiPlatformUsersUserIdCoursesStartedGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPlatformUsersUserIdCoursesStartedGetFormat
      .map((e) =>
          apiPlatformUsersUserIdCoursesStartedGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiPlatformUsersUserIdCoursesStartedGetFormat>?
    apiPlatformUsersUserIdCoursesStartedGetFormatNullableListFromJson(
  List? apiPlatformUsersUserIdCoursesStartedGetFormat, [
  List<enums.ApiPlatformUsersUserIdCoursesStartedGetFormat>? defaultValue,
]) {
  if (apiPlatformUsersUserIdCoursesStartedGetFormat == null) {
    return defaultValue;
  }

  return apiPlatformUsersUserIdCoursesStartedGetFormat
      .map((e) =>
          apiPlatformUsersUserIdCoursesStartedGetFormatFromJson(e.toString()))
      .toList();
}

String? apiPlatformUsersUserIdCoursesStatusGetFormatNullableToJson(
    enums.ApiPlatformUsersUserIdCoursesStatusGetFormat?
        apiPlatformUsersUserIdCoursesStatusGetFormat) {
  return apiPlatformUsersUserIdCoursesStatusGetFormat?.value;
}

String? apiPlatformUsersUserIdCoursesStatusGetFormatToJson(
    enums.ApiPlatformUsersUserIdCoursesStatusGetFormat
        apiPlatformUsersUserIdCoursesStatusGetFormat) {
  return apiPlatformUsersUserIdCoursesStatusGetFormat.value;
}

enums.ApiPlatformUsersUserIdCoursesStatusGetFormat
    apiPlatformUsersUserIdCoursesStatusGetFormatFromJson(
  Object? apiPlatformUsersUserIdCoursesStatusGetFormat, [
  enums.ApiPlatformUsersUserIdCoursesStatusGetFormat? defaultValue,
]) {
  return enums.ApiPlatformUsersUserIdCoursesStatusGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPlatformUsersUserIdCoursesStatusGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums
          .ApiPlatformUsersUserIdCoursesStatusGetFormat.swaggerGeneratedUnknown;
}

enums.ApiPlatformUsersUserIdCoursesStatusGetFormat?
    apiPlatformUsersUserIdCoursesStatusGetFormatNullableFromJson(
  Object? apiPlatformUsersUserIdCoursesStatusGetFormat, [
  enums.ApiPlatformUsersUserIdCoursesStatusGetFormat? defaultValue,
]) {
  if (apiPlatformUsersUserIdCoursesStatusGetFormat == null) {
    return null;
  }
  return enums.ApiPlatformUsersUserIdCoursesStatusGetFormat.values
          .firstWhereOrNull(
              (e) => e.value == apiPlatformUsersUserIdCoursesStatusGetFormat) ??
      defaultValue;
}

String apiPlatformUsersUserIdCoursesStatusGetFormatExplodedListToJson(
    List<enums.ApiPlatformUsersUserIdCoursesStatusGetFormat>?
        apiPlatformUsersUserIdCoursesStatusGetFormat) {
  return apiPlatformUsersUserIdCoursesStatusGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPlatformUsersUserIdCoursesStatusGetFormatListToJson(
    List<enums.ApiPlatformUsersUserIdCoursesStatusGetFormat>?
        apiPlatformUsersUserIdCoursesStatusGetFormat) {
  if (apiPlatformUsersUserIdCoursesStatusGetFormat == null) {
    return [];
  }

  return apiPlatformUsersUserIdCoursesStatusGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPlatformUsersUserIdCoursesStatusGetFormat>
    apiPlatformUsersUserIdCoursesStatusGetFormatListFromJson(
  List? apiPlatformUsersUserIdCoursesStatusGetFormat, [
  List<enums.ApiPlatformUsersUserIdCoursesStatusGetFormat>? defaultValue,
]) {
  if (apiPlatformUsersUserIdCoursesStatusGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPlatformUsersUserIdCoursesStatusGetFormat
      .map((e) =>
          apiPlatformUsersUserIdCoursesStatusGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiPlatformUsersUserIdCoursesStatusGetFormat>?
    apiPlatformUsersUserIdCoursesStatusGetFormatNullableListFromJson(
  List? apiPlatformUsersUserIdCoursesStatusGetFormat, [
  List<enums.ApiPlatformUsersUserIdCoursesStatusGetFormat>? defaultValue,
]) {
  if (apiPlatformUsersUserIdCoursesStatusGetFormat == null) {
    return defaultValue;
  }

  return apiPlatformUsersUserIdCoursesStatusGetFormat
      .map((e) =>
          apiPlatformUsersUserIdCoursesStatusGetFormatFromJson(e.toString()))
      .toList();
}

String? apiPlatformUsersUserIdCoursesTimeGetFormatNullableToJson(
    enums.ApiPlatformUsersUserIdCoursesTimeGetFormat?
        apiPlatformUsersUserIdCoursesTimeGetFormat) {
  return apiPlatformUsersUserIdCoursesTimeGetFormat?.value;
}

String? apiPlatformUsersUserIdCoursesTimeGetFormatToJson(
    enums.ApiPlatformUsersUserIdCoursesTimeGetFormat
        apiPlatformUsersUserIdCoursesTimeGetFormat) {
  return apiPlatformUsersUserIdCoursesTimeGetFormat.value;
}

enums.ApiPlatformUsersUserIdCoursesTimeGetFormat
    apiPlatformUsersUserIdCoursesTimeGetFormatFromJson(
  Object? apiPlatformUsersUserIdCoursesTimeGetFormat, [
  enums.ApiPlatformUsersUserIdCoursesTimeGetFormat? defaultValue,
]) {
  return enums.ApiPlatformUsersUserIdCoursesTimeGetFormat.values
          .firstWhereOrNull((e) =>
              e.value.toString().toLowerCase() ==
              apiPlatformUsersUserIdCoursesTimeGetFormat
                  ?.toString()
                  .toLowerCase()) ??
      defaultValue ??
      enums.ApiPlatformUsersUserIdCoursesTimeGetFormat.swaggerGeneratedUnknown;
}

enums.ApiPlatformUsersUserIdCoursesTimeGetFormat?
    apiPlatformUsersUserIdCoursesTimeGetFormatNullableFromJson(
  Object? apiPlatformUsersUserIdCoursesTimeGetFormat, [
  enums.ApiPlatformUsersUserIdCoursesTimeGetFormat? defaultValue,
]) {
  if (apiPlatformUsersUserIdCoursesTimeGetFormat == null) {
    return null;
  }
  return enums.ApiPlatformUsersUserIdCoursesTimeGetFormat.values
          .firstWhereOrNull(
              (e) => e.value == apiPlatformUsersUserIdCoursesTimeGetFormat) ??
      defaultValue;
}

String apiPlatformUsersUserIdCoursesTimeGetFormatExplodedListToJson(
    List<enums.ApiPlatformUsersUserIdCoursesTimeGetFormat>?
        apiPlatformUsersUserIdCoursesTimeGetFormat) {
  return apiPlatformUsersUserIdCoursesTimeGetFormat
          ?.map((e) => e.value!)
          .join(',') ??
      '';
}

List<String> apiPlatformUsersUserIdCoursesTimeGetFormatListToJson(
    List<enums.ApiPlatformUsersUserIdCoursesTimeGetFormat>?
        apiPlatformUsersUserIdCoursesTimeGetFormat) {
  if (apiPlatformUsersUserIdCoursesTimeGetFormat == null) {
    return [];
  }

  return apiPlatformUsersUserIdCoursesTimeGetFormat
      .map((e) => e.value!)
      .toList();
}

List<enums.ApiPlatformUsersUserIdCoursesTimeGetFormat>
    apiPlatformUsersUserIdCoursesTimeGetFormatListFromJson(
  List? apiPlatformUsersUserIdCoursesTimeGetFormat, [
  List<enums.ApiPlatformUsersUserIdCoursesTimeGetFormat>? defaultValue,
]) {
  if (apiPlatformUsersUserIdCoursesTimeGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiPlatformUsersUserIdCoursesTimeGetFormat
      .map((e) =>
          apiPlatformUsersUserIdCoursesTimeGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiPlatformUsersUserIdCoursesTimeGetFormat>?
    apiPlatformUsersUserIdCoursesTimeGetFormatNullableListFromJson(
  List? apiPlatformUsersUserIdCoursesTimeGetFormat, [
  List<enums.ApiPlatformUsersUserIdCoursesTimeGetFormat>? defaultValue,
]) {
  if (apiPlatformUsersUserIdCoursesTimeGetFormat == null) {
    return defaultValue;
  }

  return apiPlatformUsersUserIdCoursesTimeGetFormat
      .map((e) =>
          apiPlatformUsersUserIdCoursesTimeGetFormatFromJson(e.toString()))
      .toList();
}

String? apiSchemaGetFormatNullableToJson(
    enums.ApiSchemaGetFormat? apiSchemaGetFormat) {
  return apiSchemaGetFormat?.value;
}

String? apiSchemaGetFormatToJson(enums.ApiSchemaGetFormat apiSchemaGetFormat) {
  return apiSchemaGetFormat.value;
}

enums.ApiSchemaGetFormat apiSchemaGetFormatFromJson(
  Object? apiSchemaGetFormat, [
  enums.ApiSchemaGetFormat? defaultValue,
]) {
  return enums.ApiSchemaGetFormat.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          apiSchemaGetFormat?.toString().toLowerCase()) ??
      defaultValue ??
      enums.ApiSchemaGetFormat.swaggerGeneratedUnknown;
}

enums.ApiSchemaGetFormat? apiSchemaGetFormatNullableFromJson(
  Object? apiSchemaGetFormat, [
  enums.ApiSchemaGetFormat? defaultValue,
]) {
  if (apiSchemaGetFormat == null) {
    return null;
  }
  return enums.ApiSchemaGetFormat.values
          .firstWhereOrNull((e) => e.value == apiSchemaGetFormat) ??
      defaultValue;
}

String apiSchemaGetFormatExplodedListToJson(
    List<enums.ApiSchemaGetFormat>? apiSchemaGetFormat) {
  return apiSchemaGetFormat?.map((e) => e.value!).join(',') ?? '';
}

List<String> apiSchemaGetFormatListToJson(
    List<enums.ApiSchemaGetFormat>? apiSchemaGetFormat) {
  if (apiSchemaGetFormat == null) {
    return [];
  }

  return apiSchemaGetFormat.map((e) => e.value!).toList();
}

List<enums.ApiSchemaGetFormat> apiSchemaGetFormatListFromJson(
  List? apiSchemaGetFormat, [
  List<enums.ApiSchemaGetFormat>? defaultValue,
]) {
  if (apiSchemaGetFormat == null) {
    return defaultValue ?? [];
  }

  return apiSchemaGetFormat
      .map((e) => apiSchemaGetFormatFromJson(e.toString()))
      .toList();
}

List<enums.ApiSchemaGetFormat>? apiSchemaGetFormatNullableListFromJson(
  List? apiSchemaGetFormat, [
  List<enums.ApiSchemaGetFormat>? defaultValue,
]) {
  if (apiSchemaGetFormat == null) {
    return defaultValue;
  }

  return apiSchemaGetFormat
      .map((e) => apiSchemaGetFormatFromJson(e.toString()))
      .toList();
}

String? apiSchemaGetLangNullableToJson(
    enums.ApiSchemaGetLang? apiSchemaGetLang) {
  return apiSchemaGetLang?.value;
}

String? apiSchemaGetLangToJson(enums.ApiSchemaGetLang apiSchemaGetLang) {
  return apiSchemaGetLang.value;
}

enums.ApiSchemaGetLang apiSchemaGetLangFromJson(
  Object? apiSchemaGetLang, [
  enums.ApiSchemaGetLang? defaultValue,
]) {
  return enums.ApiSchemaGetLang.values.firstWhereOrNull((e) =>
          e.value.toString().toLowerCase() ==
          apiSchemaGetLang?.toString().toLowerCase()) ??
      defaultValue ??
      enums.ApiSchemaGetLang.swaggerGeneratedUnknown;
}

enums.ApiSchemaGetLang? apiSchemaGetLangNullableFromJson(
  Object? apiSchemaGetLang, [
  enums.ApiSchemaGetLang? defaultValue,
]) {
  if (apiSchemaGetLang == null) {
    return null;
  }
  return enums.ApiSchemaGetLang.values
          .firstWhereOrNull((e) => e.value == apiSchemaGetLang) ??
      defaultValue;
}

String apiSchemaGetLangExplodedListToJson(
    List<enums.ApiSchemaGetLang>? apiSchemaGetLang) {
  return apiSchemaGetLang?.map((e) => e.value!).join(',') ?? '';
}

List<String> apiSchemaGetLangListToJson(
    List<enums.ApiSchemaGetLang>? apiSchemaGetLang) {
  if (apiSchemaGetLang == null) {
    return [];
  }

  return apiSchemaGetLang.map((e) => e.value!).toList();
}

List<enums.ApiSchemaGetLang> apiSchemaGetLangListFromJson(
  List? apiSchemaGetLang, [
  List<enums.ApiSchemaGetLang>? defaultValue,
]) {
  if (apiSchemaGetLang == null) {
    return defaultValue ?? [];
  }

  return apiSchemaGetLang
      .map((e) => apiSchemaGetLangFromJson(e.toString()))
      .toList();
}

List<enums.ApiSchemaGetLang>? apiSchemaGetLangNullableListFromJson(
  List? apiSchemaGetLang, [
  List<enums.ApiSchemaGetLang>? defaultValue,
]) {
  if (apiSchemaGetLang == null) {
    return defaultValue;
  }

  return apiSchemaGetLang
      .map((e) => apiSchemaGetLangFromJson(e.toString()))
      .toList();
}

typedef $JsonFactory<T> = T Function(Map<String, dynamic> json);

class $CustomJsonDecoder {
  $CustomJsonDecoder(this.factories);

  final Map<Type, $JsonFactory> factories;

  dynamic decode<T>(dynamic entity) {
    if (entity is Iterable) {
      return _decodeList<T>(entity);
    }

    if (entity is T) {
      return entity;
    }

    if (isTypeOf<T, Map>()) {
      return entity;
    }

    if (isTypeOf<T, Iterable>()) {
      return entity;
    }

    if (entity is Map<String, dynamic>) {
      return _decodeMap<T>(entity);
    }

    return entity;
  }

  T _decodeMap<T>(Map<String, dynamic> values) {
    final jsonFactory = factories[T];
    if (jsonFactory == null || jsonFactory is! $JsonFactory<T>) {
      return throw "Could not find factory for type $T. Is '$T: $T.fromJsonFactory' included in the CustomJsonDecoder instance creation in bootstrapper.dart?";
    }

    return jsonFactory(values);
  }

  List<T> _decodeList<T>(Iterable values) =>
      values.where((v) => v != null).map<T>((v) => decode<T>(v) as T).toList();
}

class $JsonSerializableConverter extends chopper.JsonConverter {
  @override
  FutureOr<chopper.Response<ResultType>> convertResponse<ResultType, Item>(
      chopper.Response response) async {
    if (response.bodyString.isEmpty) {
      // In rare cases, when let's say 204 (no content) is returned -
      // we cannot decode the missing json with the result type specified
      return chopper.Response(response.base, null, error: response.error);
    }

    if (ResultType == String) {
      return response.copyWith();
    }

    if (ResultType == DateTime) {
      return response.copyWith(
          body: DateTime.parse((response.body as String).replaceAll('"', ''))
              as ResultType);
    }

    final jsonRes = await super.convertResponse(response);
    return jsonRes.copyWith<ResultType>(
        body: $jsonDecoder.decode<Item>(jsonRes.body) as ResultType);
  }
}

final $jsonDecoder = $CustomJsonDecoder(generatedMapping);

// ignore: unused_element
String? _dateToJson(DateTime? date) {
  if (date == null) {
    return null;
  }

  final year = date.year.toString();
  final month = date.month < 10 ? '0${date.month}' : date.month.toString();
  final day = date.day < 10 ? '0${date.day}' : date.day.toString();

  return '$year-$month-$day';
}

class Wrapped<T> {
  final T value;
  const Wrapped.value(this.value);
}
